(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    158968,       5415]
NotebookOptionsPosition[    140939,       4873]
NotebookOutlinePosition[    141653,       4898]
CellTagsIndexPosition[    141610,       4895]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"Solve", "::", "ifun"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"Clear", "::", "\"\<wrsym\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{3.42455359619216*^9}],

Cell[CellGroupData[{

Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["10. Relativity and Cosmology", "Title",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell[" Introduction    ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Off[General::spell ];  
Off[General::spell1];\
\>", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
 "10.1 Special Relativity ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Overview of Special Relativity  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 1:  Decay of a particle  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"momRule", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p1", " ", "\[Rule]", 
      RowBox[{"m1", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}]}], ",", " ", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"p2", " ", "\[Rule]", 
      RowBox[{"m2", " ", "\[Gamma]2", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", 
         RowBox[{"-", "v2"}]}], "}"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"p3", " ", "\[Rule]", 
      RowBox[{"m3", "  ", "\[Gamma]3", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "v3"}], "}"}]}]}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"conRule", "=", 
    RowBox[{"{", 
     RowBox[{"p3", "\[Rule]", 
      RowBox[{"p1", "-", "p2"}]}], "}"}]}], " ", ";"}], "  "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Eta]", "=", 
   RowBox[{"DiagonalMatrix", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}], "]"}]}], ";"}]], "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["m3", "2"], "==", 
       RowBox[{"p3", ".", "\[Eta]", ".", "p3"}]}], "/.", "conRule"}], "/.", 
     "momRule"}], "/.", 
    RowBox[{"{", 
     RowBox[{"v2", "\[Rule]", 
      FormBox[
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox["1", 
          SuperscriptBox["\[Gamma]2", "2"]]}]],
       TraditionalForm]}], "}"}]}], " ", "//", "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq1", ",", "\[Gamma]2"}], "  ", "]"}], "//", "Simplify"}], "//",
    "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"m2", "  ", "\[Gamma]2"}], "  ", "-", "m2"}], "/.", "sol"}], 
   "]"}]}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2:  Two-particle collision  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pL1", "=", 
    RowBox[{"{", 
     RowBox[{"E1", ",", "p1", ",", "0", ",", "0"}], "}"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pL2", "=", 
   RowBox[{"{", 
    RowBox[{"m2", ",", "0", ",", "0", ",", "0"}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"pLT", "=", 
  RowBox[{"pL1", "+", "pL2"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pCM1", "=", 
   RowBox[{"{", 
    RowBox[{"ECM1", ",", "kCM1", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pCM2", "=", 
   RowBox[{"{", 
    RowBox[{"ECM2", ",", 
     RowBox[{"-", "kCM1"}], ",", "0", ",", "0"}], "}"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"pCMT", "=", 
  RowBox[{"pCM1", "+", "pCM2"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Eta]", "=", 
   RowBox[{"DiagonalMatrix", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}], "]"}]}], ";"}]], "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"pLT", ".", "\[Eta]", ".", "pLT"}], "\[Equal]", 
   RowBox[{"pCMT", ".", "\[Eta]", ".", "pCMT"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{"ECM1", "+", "ECM2"}], "\[Equal]", 
    RowBox[{"m3", "+", "m4"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"eq3", ",", "eq4"}], "}"}], "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"E1", "\[Equal]", 
     RowBox[{"T1", "+", "m1"}]}], ",", 
    RowBox[{"p1", "\[Equal]", 
     FormBox[
      SqrtBox[
       RowBox[{
        SuperscriptBox["E1", "2"], "-", 
        SuperscriptBox["m1", "2"]}]],
      TraditionalForm]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eq1", ",", "eq2", ",", "eq3", ",", "eq4"}], "}"}], ",", 
      RowBox[{"{", "T1", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"E1", ",", "p1", ",", "ECM1"}], "}"}]}], "]"}], "//", 
    "Flatten"}], "//", "Simplify"}]}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3:  Compton scattering ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"p1", "=", 
    RowBox[{
     FormBox[
      FractionBox["h", "\[Lambda]0"],
      TraditionalForm], " ", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"m", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{
    FormBox[
     FractionBox["h", "\[Lambda]1"],
     TraditionalForm], 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"Sin", "[", "\[Theta]1", "]"}], ",", "0", ",", 
      RowBox[{"Cos", "[", "\[Theta]1", "]"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p4", "=", 
   RowBox[{"m", " ", "\[Gamma]f", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{
       RowBox[{"-", "vf"}], " ", 
       RowBox[{"Sin", "[", "\[Theta]2", "]"}]}], ",", "0", ",", 
      RowBox[{"vf", " ", 
       RowBox[{"Cos", "[", "\[Theta]2", "]"}]}]}], "}"}]}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Eta]", "=", 
   RowBox[{"DiagonalMatrix", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}], ",", 
      RowBox[{"-", "1"}]}], "}"}], "]"}]}], ";"}]], "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["m", "2"], "\[Equal]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p1", "+", "p2", "-", "p3"}], ")"}], ".", "\[Eta]", ".", 
       RowBox[{"(", 
        RowBox[{"p1", "+", "p2", "-", "p3"}], ")"}]}]}], "//", "Simplify"}], "//",
     "ExpandAll"}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"lamRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", " ", 
     RowBox[{"eq1", " ", ",", " ", "\[Lambda]1"}], " ", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], " ", "//", "ExpandAll", 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]1", " ", "-", "\[Lambda]0"}], "/.", "lamRule"}], "//", 
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{"#", ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "h"}], "}"}]}], "]"}], "&"}], " "}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"eq2", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"p1", "+", "p2"}], "\[Equal]", 
       RowBox[{"p3", "+", "p4"}]}], "//", "Thread"}]}], ")"}], "//", 
   "Column"}], " "}], "\[IndentingNewLine]", 
 RowBox[{" "}]}], "Input",
 CellChangeTimes->{3.424549312609744*^9}],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eq2", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", "\[Gamma]f"}], "  ", 
     "]"}], "//", "Flatten"}], "//", "Simplify", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", "  ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"m", 
            RowBox[{"(", 
             RowBox[{"\[Gamma]f", "-", "1"}], ")"}]}], " ", "/.", "lamRule"}],
           "/.", "eq3"}], "//", "Factor"}], ")"}], " ", "/.", "lamRule"}], 
      " ", "/.", 
      RowBox[{"\[Lambda]0", "\[Rule]", 
       RowBox[{
        RowBox[{"h", "/", "m"}], " ", "temp"}]}]}], " ", "//", "Factor"}], 
    ")"}], "/.", 
   RowBox[{"temp", "\[Rule]", " ", 
    RowBox[{"\[Lambda]0", " ", 
     RowBox[{"m", "/", "h"}]}]}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"eq2", "[", 
   RowBox[{"[", 
    RowBox[{"{", 
     RowBox[{"2", ",", "4"}], "}"}], "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{"Eliminate", "[", " ", 
    RowBox[{
     RowBox[{"eq2", "[", 
      RowBox[{"[", 
       RowBox[{"{", 
        RowBox[{"2", ",", "4"}], "}"}], "]"}], "]"}], ",", "  ", 
     "\[Gamma]f"}], " ", "]"}], "//", "Simplify", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq6", "=", " ", 
  RowBox[{
   RowBox[{"eq5", "/.", "lamRule"}], " ", "//", 
   RowBox[{
    RowBox[{"ExpandAll", "[", 
     RowBox[{"#", ",", 
      RowBox[{"Trig", "\[Rule]", "True"}]}], "]"}], "&"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"eq6", "/.", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"Sin", "[", "\[Theta]2", "]"}], "\[Rule]", 
          RowBox[{
           RowBox[{"tan", "[", "\[Theta]2", "]"}], " ", 
           RowBox[{"Cos", "[", "\[Theta]2", "]"}]}]}], "}"}]}], " ", ",", 
       "  ", 
       RowBox[{"tan", "[", "\[Theta]2", "]"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], " ", "/.", 
    RowBox[{"tan", " ", "\[Rule]", "Tan"}]}], "/.", "  ", 
   RowBox[{"Rule", "\[Rule]", "Equal"}]}], " ", "//", "Simplify", 
  " "}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4:  Moving mirror and generalized Snell's law  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ki", "=", 
   RowBox[{"\[Nu]i", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"Cos", "[", "\[Theta]i", "]"}], ",", 
      RowBox[{"Sin", "[", "\[Theta]i", "]"}], ",", "0"}], "}"}]}]}], ";", 
  RowBox[{"Kr", "=", 
   RowBox[{"\[Nu]r", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]r", "]"}]}], ",", 
      RowBox[{"Sin", "[", "\[Theta]r", "]"}], ",", "0"}], "}"}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Kmi", "=", 
   RowBox[{"\[Nu]m", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"Cos", "[", "\[Theta]m", "]"}], ",", 
      RowBox[{"Sin", "[", "\[Theta]m", "]"}], ",", "0"}], "}"}]}]}], ";", 
  RowBox[{"Kmr", "=", 
   RowBox[{"\[Nu]m", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]m", "]"}]}], ",", 
      RowBox[{"Sin", "[", "\[Theta]m", "]"}], ",", "0"}], "}"}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"boostx", "=", 
   FormBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"\[Gamma]", 
        RowBox[{
         RowBox[{"-", "v"}], " ", "\[Gamma]"}], "0", "0"},
       {
        RowBox[{
         RowBox[{"-", "v"}], " ", "\[Gamma]"}], "\[Gamma]", "0", "0"},
       {"0", "0", "1", "0"},
       {"0", "0", "0", "1"}
      }], "\[NoBreak]", ")"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"eq1", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Ki", "\[Equal]", 
       RowBox[{"boostx", ".", "Kmi"}]}], ")"}], "//", "Thread"}]}], ")"}], "//",
   "Column"}]], "Input",
 CellChangeTimes->{3.424549320016621*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"eq2", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Kr", "\[Equal]", 
       RowBox[{"boostx", ".", "Kmr"}]}], ")"}], "//", "Thread"}]}], ")"}], 
  " ", "//", "Column"}]], "Input",
 CellChangeTimes->{3.424549324800698*^9}],

Cell[BoxData[
 RowBox[{"sol1", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eq1", ",", "eq2"}], "}"}], "//", "Flatten"}], ",", " ", 
     "\[Nu]i", " ", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Theta]r", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Theta]r", "]"}], ",", 
       RowBox[{"Cos", "[", "\[Theta]m", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Theta]m", "]"}], ",", "\[Nu]m"}], "}"}]}], 
    "]"}], "//", "Flatten", " "}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"Eliminate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eq1", ",", "eq2", "  ", ",", "  ", 
         RowBox[{"\[Nu]r", "\[NotEqual]", "0"}], ",", 
         RowBox[{"\[Nu]i", "\[NotEqual]", "0"}], "  ", ",", " ", 
         RowBox[{"v", "\[NotEqual]", "0"}], ",", 
         RowBox[{"v", "\[NotEqual]", 
          RowBox[{"-", "1"}]}], "  ", ",", 
         RowBox[{"v", "\[NotEqual]", "1"}]}], " ", "}"}], "/.", "sol1"}], "//",
       "Flatten"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Theta]m", "]"}], ",", 
       RowBox[{"Sin", "[", "\[Theta]m", "]"}], ",", "\[Gamma]"}], "  ", 
      "}"}]}], "]"}], " ", "//", 
   RowBox[{
    RowBox[{"Map", "[", 
     RowBox[{"Simplify", " ", ",", "#"}], "]"}], "&"}], " "}]}]], "Input",
 CellChangeTimes->{
  3.424549342436229*^9, {3.424549727258286*^9, 3.424549803857255*^9}, {
   3.424549852925328*^9, 3.424549853445938*^9}, {3.424549896999547*^9, 
   3.424549935007376*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", " ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{
    "THIS", " ", "DOES", " ", "NOT", " ", "WORK", " ", "AS", " ", "eq3", " ", 
     "IS", " ", "NOT", " ", "A", " ", "TRUE", " ", 
     RowBox[{"LIST", ":", " ", "\[IndentingNewLine]", "eq3"}]}], " ", "//", 
    "Column"}], " ", "\[IndentingNewLine]", " ", "*)"}]}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", " ", 
      RowBox[{
       RowBox[{"eq3", "[", 
        RowBox[{"[", "2", "]"}], "]"}], " ", ",", "v"}], " ", "]"}], " ", "//",
      "Simplify"}], "//", "PowerExpand"}], " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FormBox[
    FractionBox[
     RowBox[{"1", "-", "v"}], 
     RowBox[{"v", "+", "1"}]],
    TraditionalForm], "\[Equal]", 
   RowBox[{"(", 
    RowBox[{
     FormBox[
      FractionBox[
       RowBox[{"1", "-", "v"}], 
       RowBox[{"v", "+", "1"}]],
      TraditionalForm], "/.", 
     RowBox[{"eq4", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ")"}]}], "//", "Simplify"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 5:  One-dimensional motion of a relativistic particle with constant \
acceleration  \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eqMotion", "=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], 
      FormBox[
       SqrtBox[
        RowBox[{"1", "-", 
         SuperscriptBox[
          RowBox[{
           SuperscriptBox["x", "\[Prime]",
            MultilineFunction->None], "(", "t", ")"}], "2"]}]],
       TraditionalForm]], ",", "t"}], "]"}], "\[Equal]", "g"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"eq1", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", "eqMotion", " ", "}"}], "//", "Flatten"}], " ", ",", 
         RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "//", "Simplify"}], 
      "//", "PowerExpand"}], "//", "Simplify"}], " ", "//", "Flatten", 
    " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"test", "=", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"eqMotion", "/.", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{"eq1", "[", 
            RowBox[{"[", "#", "]"}], "]"}], ",", "t"}], "]"}]}], "/.", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"eq1", "[", 
           RowBox[{"[", "#", "]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2"}], "}"}]}], " ", "//", "Simplify"}], "//", 
    "PowerExpand"}], " ", "//", "Simplify", "  "}]}]], "Input",
 CellChangeTimes->{{3.424550209930418*^9, 3.424550212664693*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"IN", " ", "VERSION", " ", "6"}], ",", " ", 
     RowBox[{
      RowBox[{"WE", " ", "NEED", " ", "THE", " ", "2", "ND", " ", 
       RowBox[{"SOLUTION", ":", " ", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"PRE", "-", 
          RowBox[{"VERSION", " ", "6"}]}], ":", "   ", "eq2"}]}]}], "=", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], "/.", 
       RowBox[{"eq1", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}]}], " ", "\[IndentingNewLine]", " ",
     "*)"}],
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["\[IndentingNewLine]",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["\[IndentingNewLine]",
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["\[IndentingNewLine]",
   FontColor->RGBColor[1, 0, 0]], 
  RowBox[{
   RowBox[{"index", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Position", "[", 
       RowBox[{"test", ",", "True"}], "]"}], "//", "First"}], " ", "//", 
     "First"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"eq2", "=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", 
     RowBox[{"eq1", "[", 
      RowBox[{"[", "index", "]"}], "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.424550102853685*^9, 3.424550171274714*^9}, {
  3.424550204302815*^9, 3.424550204511924*^9}, {3.424550389009364*^9, 
  3.424550398175088*^9}}],

Cell[BoxData[
 RowBox[{"initialConditions", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", " ", "eq2", ")"}], "\[Equal]", "x0"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"D", "[", 
         RowBox[{"eq2", ",", "t"}], "]"}], ")"}], "\[Equal]", "v0"}]}], "}"}],
     "/.", 
    RowBox[{"t", "\[Rule]", "0"}]}], "//", "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"gamRule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"1", "-", 
        SuperscriptBox["v0", "2"]}], "\[Rule]", 
       FractionBox["1", 
        SuperscriptBox["\[Gamma]", "2"]]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["v0", "2"], "-", "1"}], "\[Rule]", 
       RowBox[{"-", 
        FractionBox["1", 
         SuperscriptBox["\[Gamma]", "2"]]}]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"eq3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"initialConditions", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"C", "[", "1", "]"}], ",", 
             RowBox[{"C", "[", "2", "]"}]}], "}"}]}], "]"}], "  ", "//", 
         "Simplify"}], ")"}], "//", "PowerExpand"}], ")"}], "/.", "gamRule"}],
     " ", "//", "PowerExpand", " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initialConditions", " ", "/.", "eq3"}], " ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.424550621997181*^9, 3.424550643188655*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"IN", " ", "VERSION", " ", "6"}], ",", " ", 
     RowBox[{
      RowBox[{"WE", " ", "NEED", " ", "THE", " ", "2", "ND", " ", 
       RowBox[{"SOLUTION", ":", " ", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"PRE", "-", 
          RowBox[{"VERSION", " ", "6"}]}], ":", "   ", "crule"}]}]}], "=", 
      RowBox[{"eq3", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", " ", "*)"}],
   
   FontColor->RGBColor[1, 0, 0]], 
  StyleBox["\[IndentingNewLine]",
   FontColor->RGBColor[1, 0, 0]], 
  RowBox[{"crule", "=", 
   RowBox[{"eq3", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.424550596150071*^9, 3.424550596299881*^9}, {
  3.424550674962638*^9, 3.424550686538386*^9}}],

Cell[BoxData[
 RowBox[{"xsol", "=", "  ", 
  RowBox[{
   RowBox[{"eq2", "/.", "crule"}], "//", "Simplify", "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"nonRelResult", " ", "=", 
  RowBox[{
   RowBox[{"Series", "[", 
    RowBox[{
     RowBox[{"(", " ", 
      RowBox[{"xsol", "/.", 
       RowBox[{"\[Gamma]", "\[Rule]", 
        FormBox[
         FractionBox["1", 
          SqrtBox[
           RowBox[{"1", "-", 
            SuperscriptBox["v0", "2"]}]]],
         TraditionalForm]}]}], ")"}], " ", ",", "   ", 
     RowBox[{"{", 
      RowBox[{"g", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"v0", ",", "0", ",", "1"}], "}"}]}], "]"}], "//", "Normal", 
   "  "}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x0", "\[Rule]", "0"}], ",", 
     RowBox[{"v0", "\[Rule]", 
      RowBox[{"1", "/", "2"}]}], ",", 
     RowBox[{"g", "\[Rule]", 
      RowBox[{"-", "0.1"}]}], ",", 
     RowBox[{"\[Gamma]", "\[Rule]", 
      FormBox[
       FractionBox["1", 
        SqrtBox[
         RowBox[{"1", "-", 
          SuperscriptBox["v0", "2"]}]]],
       TraditionalForm]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"text", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<Relativistic\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"10", ",", "1.2`"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<non-relaltivistic \>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "0.2`"}], "}"}]}], "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"xsol", ",", "nonRelResult"}], "}"}], "//.", "values"}], "//", 
    "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "12"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Thickness", "[", "0.01", "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", 
          RowBox[{"0.06", ",", "0.1"}], "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "0.001", "]"}]}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", "  ", "text"}]}], " ", "]"}]], "Input",
 CellChangeTimes->{{3.424549370133207*^9, 3.424549370754992*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 6: Two-dimensional motion of a relativistic particle in a uniform \
electric field  \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"pVec", "[", "t_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"px", "[", "t", "]"}], ",", 
     RowBox[{"py", "[", "t", "]"}], ",", 
     RowBox[{"pz", "[", "t", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eqMotion", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"pVec", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{"{", 
     RowBox[{"0", ",", " ", 
      RowBox[{"e", " ", "E0"}], ",", "0"}], "}"}]}], "//", "Thread", 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"px", "[", "0", "]"}], "\[Equal]", "px0"}], ",", 
     RowBox[{
      RowBox[{"py", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"pz", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"momRule", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"eqMotion", "~", "Join", "~", "initial"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"px", "[", "t", "]"}], ",", 
       RowBox[{"py", "[", "t", "]"}], ",", 
       RowBox[{"pz", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Gamma]Rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"m", " ", "\[Gamma]"}], "\[Equal]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"pVec", "[", "t", "]"}], ".", 
         RowBox[{"pVec", "[", "t", "]"}]}], "+", 
        SuperscriptBox["m", "2"]}], "/.", "momRule"}], "]"}]}], "//", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"#", ",", "\[Gamma]"}], "]"}], "&"}]}], "//", 
   "Flatten"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"   ", 
  RowBox[{"eq1", "=", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"pVec", "[", "t", "]"}], "\[Equal]", 
       RowBox[{"m", " ", "\[Gamma]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
          RowBox[{
           RowBox[{"y", "'"}], "[", "t", "]"}], ",", 
          RowBox[{
           RowBox[{"z", "'"}], "[", "t", "]"}]}], "}"}]}]}], "/.", 
      "momRule"}], "/.", "\[Gamma]Rule"}], "//", "Thread"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"z", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"path", "=", 
    RowBox[{
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"eq1", ",", "initial"}], "}"}], "//", "Flatten"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}], ",", 
         RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "//", 
     "Flatten"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"path", "//", "Column", " "}]}], "Input",
 CellChangeTimes->{3.424549378271692*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"e", "\[Rule]", "1"}], ",", 
     RowBox[{"E0", "\[Rule]", "0.1"}], ",", 
     RowBox[{"px0", "\[Rule]", "0.1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "path"}], "//.", 
      "values"}], "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.01", "]"}], " ", ",", " ", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", 
         RowBox[{"0.06", ",", "0.1"}], "}"}], "]"}]}], " ", "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<y or x\>\""}], "}"}]}]}], " ", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424549383149732*^9, 3.42454938331641*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"relXY", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "path"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"nonrelXY", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Map", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Series", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{"t", ",", "0", ",", "2"}], "}"}]}], "]"}], "&"}], ",", 
          "relXY"}], "]"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"px0", "^", "2"}], "\[Rule]", "0"}], "}"}]}], "//", 
       "PowerExpand"}], "//", "Simplify"}], "//", "Normal"}], 
    ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"relXY", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
       RowBox[{"nonrelXY", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "/.", "values"}], "//", 
    "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.01", "]"}], " ", ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", 
        RowBox[{"0.06", ",", "0.1"}], "}"}], "]"}]}], " ", "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}]}], " ", "]"}]], "Input",\

 CellChangeTimes->{3.424549388749359*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"relXY", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", " ", 
       RowBox[{"nonrelXY", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}], "/.", "values"}], "//", 
    "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.01", "]"}], " ", ",", " ", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", 
        RowBox[{"0.06", ",", "0.1"}], "}"}], " ", "]"}]}], " ", "}"}]}], ",", 
   
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<y\>\""}], "}"}]}]}], " ", "]"}]], "Input",\

 CellChangeTimes->{3.424549393199691*^9}]
}, Closed]]
}, Closed]],

Cell[TextData[{
 "10.2 General Relativity      ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Overview of General Relativity", "Subsection"],

Cell[CellGroupData[{

Cell["Problem 1: Killing vectors and Spherical Symmetry    ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"g\[Mu]\[Nu]", "=", 
   RowBox[{"DiagonalMatrix", "[", 
    FormBox[
     RowBox[{"{", 
      RowBox[{
       RowBox[{"g00", "(", "r", ")"}], ",", 
       RowBox[{"g11", "(", "r", ")"}], ",", 
       RowBox[{"-", 
        SuperscriptBox["r", "2"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["r", "2"]}], " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}], "}"}],
     TraditionalForm], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"g\[Mu]\[Nu]", "//", "MatrixForm"}]}], "Input"],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"killingEq", "[", 
    RowBox[{"ContraV_", ",", "g_", ",", "\[CapitalGamma]_", ",", 
     RowBox[{"x_:", 
      RowBox[{"{", 
       RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]}], 
    "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"temp1", ",", "temp2", ",", "temp3", ",", "temp4"}], "}"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"temp1", "=", 
       RowBox[{"g", ".", "ContraV"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"temp2", "=", 
       RowBox[{
        RowBox[{"Outer", "[", 
         RowBox[{"D", ",", "temp1", ",", "x"}], "]"}], "-", 
        RowBox[{"temp1", ".", "\[CapitalGamma]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"temp3", "=", 
       RowBox[{"temp2", "+", 
        RowBox[{"Transpose", "[", "temp2", "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"temp4", "=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"temp3", "//", "Flatten"}], ")"}], "\[Equal]", "0"}], "//",
          "Thread"}], " ", "//", "Simplify"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Complement", "[", 
       RowBox[{"Select", "[", 
        RowBox[{"temp4", ",", 
         RowBox[{"FreeQ", "[", 
          RowBox[{"#", ",", 
           RowBox[{"True", "&"}]}], " ", "]"}]}], " ", "]"}], " ", "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"christ", "[", 
    RowBox[{"met_", ",", 
     RowBox[{"var_:", 
      RowBox[{"{", 
       RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]}], 
    "]"}], " ", ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"temp1", ",", "imet", ",", "result"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"temp1", "=", 
       RowBox[{"Outer", "[", 
        RowBox[{"D", ",", "met", ",", "var"}], "]"}]}], " ", ";", 
      "\[IndentingNewLine]", 
      RowBox[{"imet", "=", 
       RowBox[{
        RowBox[{"Inverse", "[", "met", "]"}], "//", "Simplify"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"result", "=", 
       RowBox[{
        RowBox[{"1", "/", "2"}], 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{
            RowBox[{"imet", ".", "temp1"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], "]"}], " ", "+", 
          "   ", 
          RowBox[{"Transpose", "[", 
           RowBox[{
            RowBox[{"imet", ".", "temp1"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}], "  ", "-", 
          "    ", 
          RowBox[{"imet", ".", 
           RowBox[{"Transpose", "[", 
            RowBox[{"temp1", ",", 
             RowBox[{"{", 
              RowBox[{"3", ",", "2", ",", "1"}], "}"}]}], "]"}]}]}], " ", 
         ")"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "result", "]"}]}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"kt", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kz", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kx", "=", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}], 
       RowBox[{"Cot", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ky", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}], ",", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Sin", "[", "\[Phi]", "]"}]}], 
      RowBox[{"Cot", "[", "\[Theta]", "]"}]}]}], "}"}]}], ";"}]}], "Input"],

Cell["\[CapitalGamma]=christ[g\[Mu]\[Nu]]  ", "Input",
 AspectRatioFixed->True],

Cell[BoxData["\[CapitalGamma]"], "Input"],

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"killingEq", "[", 
      RowBox[{"#", ",", "g\[Mu]\[Nu]", ",", "\[CapitalGamma]"}], "]"}], "&"}],
     "/@", 
    RowBox[{"{", 
     RowBox[{"kt", ",", "kz", ",", "kx", ",", "ky"}], "}"}]}], " ", "//", 
   "Simplify"}], ")"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"velocity", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"t", "'"}], "[", "s", "]"}], ",", 
     RowBox[{
      RowBox[{"r", "'"}], "[", "s", "]"}], ",", 
     RowBox[{
      RowBox[{"\[Theta]", "'"}], "[", "s", "]"}], ",", 
     RowBox[{
      RowBox[{"\[Phi]", "'"}], "[", "s", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"kconst", "=", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"en", "\[Equal]", 
       RowBox[{"g\[Mu]\[Nu]", ".", "velocity", ".", "kt"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"jx", "\[Equal]", 
       RowBox[{"g\[Mu]\[Nu]", ".", "velocity", ".", "kx"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"jy", "\[Equal]", 
       RowBox[{"g\[Mu]\[Nu]", ".", "velocity", ".", "ky"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"jz", "\[Equal]", 
       RowBox[{"g\[Mu]\[Nu]", ".", "velocity", ".", "kz"}]}]}], "}"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"kconst", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.42454940461158*^9, 3.424549405141139*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"kconst", "[", 
      RowBox[{"[", 
       RowBox[{"{", " ", 
        RowBox[{"1", ",", "4"}], "}"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"t", "'"}], "[", "s", "]"}], ",", 
       RowBox[{
        RowBox[{"\[Phi]", "'"}], "[", "s", "]"}]}], "}"}]}], "]"}], "//", 
   "Flatten"}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.424549410287732*^9, 3.424549410841439*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"kconst", "[", 
      RowBox[{"[", 
       RowBox[{"{", " ", 
        RowBox[{"2", ",", "3"}], "}"}], "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"\[Theta]", "'"}], "[", "s", "]"}], ",", 
     RowBox[{
      RowBox[{"\[Phi]", "'"}], "[", "s", "]"}]}], " ", "]"}], "//", 
   "Flatten"}], "//", "Simplify", " "}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Schwarzschild solution  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"g\[Mu]\[Nu]", "=", 
    RowBox[{"DiagonalMatrix", "[", 
     FormBox[
      RowBox[{"{", 
       RowBox[{
        RowBox[{"g00", "(", "r", ")"}], ",", 
        RowBox[{"g11", "(", "r", ")"}], ",", 
        RowBox[{"-", 
         SuperscriptBox["r", "2"]}], ",", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["r", "2"]}], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}], "}"}],
      TraditionalForm], "]"}]}], ";"}]}]], "Input"],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"christ", "[", 
    RowBox[{"met_", ",", 
     RowBox[{"var_:", 
      RowBox[{"{", 
       RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]}], 
    "]"}], " ", ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"temp1", ",", "imet"}], "}"}], ",", " ", "\[IndentingNewLine]", 
     
     RowBox[{
      RowBox[{"temp1", "=", 
       RowBox[{"Outer", "[", 
        RowBox[{"D", ",", "met", ",", "var"}], "]"}]}], " ", ";", 
      "\[IndentingNewLine]", 
      RowBox[{"imet", "=", 
       RowBox[{
        RowBox[{"Inverse", "[", "met", "]"}], "//", "Simplify"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"1", "/", "2"}], 
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{"imet", ".", "temp1"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], "]"}], " ", "+", 
         "   ", 
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{"imet", ".", "temp1"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}], "  ", "-", 
         "    ", 
         RowBox[{"imet", ".", 
          RowBox[{"Transpose", "[", 
           RowBox[{"temp1", ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "2", ",", "1"}], "}"}]}], "]"}]}]}], " ", 
        ")"}]}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"curvR", "[", 
   RowBox[{"christ_", ",", 
    RowBox[{"var_:", 
     RowBox[{"{", 
      RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp1", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{"D", ",", "christ", ",", "var"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Outer", "[", 
          RowBox[{"D", ",", "christ", ",", "var"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}]}], "]"}], "-", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Outer", "[", 
          RowBox[{"D", ",", "christ", ",", "var"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "+", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Inner", "[", 
          RowBox[{
          "Times", ",", "christ", ",", "christ", ",", "Plus", ",", "2"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "}"}]}], "]"}], "-", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Inner", "[", 
          RowBox[{
          "Times", ",", "christ", ",", "christ", ",", "Plus", ",", "2"}], 
          "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "}"}]}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"einstein", "[", 
   RowBox[{"curv_", ",", "met_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "dem", ",", "temp1", ",", "temp2", ",", "i", ",", "j", ",", "s"}], "}"}],
     ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dem", "=", 
      RowBox[{"Length", "[", "met", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"temp1", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"ExpandAll", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"curv", "[", 
             RowBox[{"[", 
              RowBox[{"s", ",", "i", ",", "s", ",", "j"}], "]"}], "]"}], ",", 
            
            RowBox[{"{", 
             RowBox[{"s", ",", "dem"}], "}"}]}], "]"}], ",", "   ", 
          RowBox[{"{", 
           RowBox[{"i", ",", "dem"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "dem"}], "}"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"temp2", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"ExpandAll", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Inverse", "[", "met", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "i"}], "]"}], "]"}], 
           RowBox[{"curv", "[", 
            RowBox[{"[", 
             RowBox[{"s", ",", "i", ",", "s", ",", "j"}], "]"}], "]"}]}], ",",
           
          RowBox[{"{", 
           RowBox[{"s", ",", "dem"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "dem"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "dem"}], "}"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Simplify", "[", 
      RowBox[{"ExpandAll", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"temp1", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "/", "2"}], ")"}], 
           RowBox[{"met", "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "j"}], "]"}], "]"}], "temp2"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "dem"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "dem"}], "}"}]}], "]"}], "]"}], "]"}]}]}], 
   "]"}]}]], "Input"]
}, Closed]],

Cell["Solution", "Subsubsection"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"\[CapitalGamma]", " ", "=", 
   RowBox[{"christ", "[", 
    RowBox[{"g\[Mu]\[Nu]", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}], "]"}],
    "   "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "=", 
   RowBox[{
    RowBox[{"curvR", "[", 
     RowBox[{"\[CapitalGamma]", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}], 
     "]"}], "//", "Simplify"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"G\[Mu]\[Nu]", "=", 
   RowBox[{"einstein", "[", 
    RowBox[{"R", ",", "g\[Mu]\[Nu]"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "eqGtt", ",", "eqGrr", ",", "eqG\[Theta]\[Theta]", ",", 
      "eqG\[Phi]\[Phi]"}], "}"}], "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"MapAt", "[", 
        RowBox[{"Flatten", ",", 
         RowBox[{"G\[Mu]\[Nu]", "\[Equal]", "0"}], ",", "1"}], "]"}], "//", 
       "Thread"}], "//", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"#1", ",", 
         RowBox[{
          RowBox[{"FreeQ", "[", 
           RowBox[{"#", ",", "True"}], "]"}], "&"}]}], "]"}], "&"}]}], " ", "//",
      "Simplify"}]}], " ", ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
   "eqGtt", ",", "eqGrr", ",", "eqG\[Theta]\[Theta]", ",", 
    "eqG\[Phi]\[Phi]"}], "}"}], " ", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.424549419826036*^9, 3.424549420344844*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vacuumeq", "=", 
    RowBox[{
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{"eqGtt", ",", "eqGrr"}], "}"}], "//", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"#", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"g11", "'"}], "[", "r", "]"}], ",", 
             RowBox[{
              RowBox[{"g00", "'"}], "[", "r", "]"}]}], "}"}]}], "]"}], 
         "&"}]}], "//", "Flatten"}], ")"}], "/.", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"vacuumeq", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.424549425411158*^9, 3.424549425931924*^9}}],

Cell["sol=DSolve[vacuumeq,{g11[r],g00[r]},r]// Simplify//Flatten ", "Input"],

Cell[BoxData[
 RowBox[{"bdcond", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"Log", "[", 
      FormBox[
       FractionBox[
        SuperscriptBox["c", "2"], 
        RowBox[{"2", " ", "G", " ", "M"}]],
       TraditionalForm], "]"}]}], ",", 
    RowBox[{
     RowBox[{"C", "[", "2", "]"}], "\[Rule]", " ", 
     FormBox[
      FractionBox[
       RowBox[{"2", " ", "G", " ", "M"}], 
       SuperscriptBox["c", "2"]],
      TraditionalForm]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"g\[Mu]\[Nu]", "/.", "sol"}], "/.", "bdcond"}], "/.", 
     RowBox[{"G", "\[Rule]", 
      RowBox[{"temp", " ", 
       SuperscriptBox["c", "2"], " ", "r"}]}]}], " ", "//", "Simplify"}], 
   ")"}], "/.", 
  RowBox[{"temp", "\[Rule]", 
   FractionBox["G", 
    RowBox[{"r", " ", 
     SuperscriptBox["c", "2"]}]]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"7.35", " ", "*", 
         SuperscriptBox["10", "25"], "  ", "g"}], ",", 
        RowBox[{"1.738", " ", "*", 
         SuperscriptBox["10", "8"], "   ", "cm"}]}], "}"}], ",", " ", 
      "\[IndentingNewLine]", "           ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"5.977", " ", "*", 
         SuperscriptBox["10", "27"], "  ", "g"}], ",", 
        RowBox[{"6.378", " ", "*", 
         SuperscriptBox["10", "8"], "  ", "cm"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "           ", 
      RowBox[{"{", 
       RowBox[{"Mo", ",", 
        RowBox[{"6.9598", " ", "*", 
         SuperscriptBox["10", "10"], "    ", "cm"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "           ", 
      RowBox[{"{", 
       RowBox[{"Mo", " ", ",", 
        RowBox[{"1.738", " ", "*", 
         SuperscriptBox["10", "10"], "  ", "cm"}]}], "}"}], ",", 
      "\[IndentingNewLine]", "           ", 
      RowBox[{"{", 
       RowBox[{"Mo", " ", ",", 
        RowBox[{
         SuperscriptBox["10", "6"], "  ", "cm"}]}], " ", "}"}]}], "}"}], "/.",
     "\[IndentingNewLine]", 
    RowBox[{"Mo", "\[Rule]", " ", 
     RowBox[{"1.989", " ", "*", 
      SuperscriptBox["10", "33"], "g"}]}]}]}], "  ", ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"names", "=", 
   RowBox[{"{", 
    RowBox[{
    "Moon", ",", "Earth", ",", "Sun", ",", "\"\<white dwarf\>\"", " ", ",", 
     RowBox[{"neutron", " ", "star"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{"data", ",", 
     RowBox[{"TableHeadings", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"names", ",", " ", 
        RowBox[{"{", " ", 
         RowBox[{"Mass", ",", " ", "Radius"}], "}"}]}], "}"}]}]}], "]"}], "/.",
    
   RowBox[{"cm", "\[Rule]", 
    RowBox[{
     SuperscriptBox["10", 
      RowBox[{"-", "5"}]], " ", "km", " "}]}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"constants", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"c", "\[Rule]", 
      RowBox[{"3.0", "*", " ", 
       SuperscriptBox["10", "10"], 
       RowBox[{"cm", "/", "sec"}]}]}], " ", ",", " ", 
     RowBox[{"G", "\[Rule]", 
      RowBox[{"7.425", " ", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "29"}]], 
       FractionBox[
        RowBox[{
         SuperscriptBox["c", "2"], " ", "cm"}], "g"]}]}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ratio", "[", 
   RowBox[{"{", 
    RowBox[{"M_", ",", "r_"}], "}"}], "]"}], " ", ":=", 
  RowBox[{
   FormBox[
    FractionBox[
     RowBox[{"2", " ", "G", " ", "M"}], 
     RowBox[{
      SuperscriptBox["c", "2"], " ", "r"}]],
    TraditionalForm], "//.", "constants"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Transpose", "[", 
   RowBox[{"{", 
    RowBox[{"names", ",", 
     RowBox[{
      RowBox[{
       RowBox[{"Ratio", "[", "#", "]"}], "&"}], "/@", "data"}]}], " ", "}"}], 
   "]"}], " ", "//", "TableForm"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Geodesics for the Schwarzschild metric   ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"geodesic", "[", 
   RowBox[{"met_", ",", "var_", ",", 
    RowBox[{"parameter_:", "s"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"met1", ",", "temp1", ",", "vel1", ",", "var1"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"vel1", "=", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"Through", "[", 
         RowBox[{"var", "[", "parameter", "]"}], "]"}], ",", "parameter"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"var1", "=", 
      RowBox[{"Through", "[", 
       RowBox[{"var", "[", "parameter", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"met1", "=", 
      RowBox[{"met", "/.", 
       RowBox[{"Thread", "[", 
        RowBox[{"var", "\[Rule]", 
         RowBox[{"Through", "[", 
          RowBox[{"var", "[", "parameter", "]"}], "]"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"temp1", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"met1", ".", "vel1"}], ",", "parameter"}], "]"}], "-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"1", "/", "2"}], " ", 
              RowBox[{
               RowBox[{"D", "[", 
                RowBox[{"met1", ",", "#"}], "]"}], ".", "vel1", ".", 
               "vel1"}]}], "&"}], "/@", "var1"}], ")"}]}], "\[Equal]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], ")"}], "//", 
       "Thread"}]}]}]}], "]"}]}]], "Input"]
}, Closed]],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"g\[Mu]\[Nu]", "=", 
  RowBox[{"DiagonalMatrix", "[", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"g00", "(", "r", ")"}], ",", 
      RowBox[{"g11", "(", "r", ")"}], ",", 
      RowBox[{"-", 
       SuperscriptBox["r", "2"]}], ",", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["r", "2"]}], " ", 
       RowBox[{
        SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}], "}"}],
    TraditionalForm], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"comp", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"g00", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "-", 
          FractionBox[
           RowBox[{"2", " ", "m"}], "#1"]}], "&"}], ")"}]}], ",", 
      RowBox[{"g11", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           RowBox[{"1", "-", 
            FractionBox[
             RowBox[{"2", " ", "m"}], "#1"]}]]}], "&"}], ")"}]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"eq1", "=", 
    RowBox[{
     RowBox[{"geodesic", "[", 
      RowBox[{"g\[Mu]\[Nu]", " ", ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}], 
      "]"}], "//", "Simplify"}]}], " ", ";"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"eq2", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Solve", "[", 
           RowBox[{"eq1", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"t", "''"}], "[", "s", "]"}], ",", 
              RowBox[{
               RowBox[{"r", "''"}], "[", "s", "]"}], ",", 
              RowBox[{
               RowBox[{"\[Theta]", "''"}], "[", "s", "]"}], ",", 
              RowBox[{
               RowBox[{"\[Phi]", "''"}], "[", "s", "]"}]}], "}"}]}], "]"}], "//",
           "Flatten"}], ")"}], "/.", "comp"}], "/.", 
       RowBox[{"\[Theta]", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Pi]", "/", "2"}], "&"}], ")"}]}]}], "/.", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], " ", "//", "Simplify"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"eq2", "//", "Column"}]}]}], "Input",
 CellChangeTimes->{{3.424549434702585*^9, 3.42454943566388*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"eq2", "[", 
       RowBox[{"[", "1", "]"}], "]"}], " ", ",", 
      RowBox[{"r", "[", "s", "]"}], ",", "s"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], " ", "/.", 
   RowBox[{"Rule", "\[Rule]", "Equal", " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"trule", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq3", ",", 
       RowBox[{
        RowBox[{"t", "'"}], "[", "s", "]"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "\[Rule]", 
     RowBox[{
      FormBox[
       RowBox[{"-", 
        FractionBox["1", 
         RowBox[{"2", " ", "m"}]]}],
       TraditionalForm], "  ", 
      RowBox[{"Log", "[", "En", "]"}]}]}]}], "//", "Flatten", 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Phi]rule", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{
         RowBox[{"eq2", "[", 
          RowBox[{"[", "4", "]"}], "]"}], " ", ",", 
         RowBox[{"r", "[", "s", "]"}], ",", "s"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], " ", "/.", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"#", ",", 
         RowBox[{
          RowBox[{"\[Phi]", "'"}], "[", "s", "]"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], "&"}]}], " ", ")"}], "/.", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "\[Rule]", 
    FormBox[
     SqrtBox["h"],
     TraditionalForm]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eq2", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/.", "trule"}], "/.", "\[Phi]rule"}], "//",
    "Simplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vel", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"t", "'"}], "[", "s", "]"}], ",", 
     RowBox[{
      RowBox[{"r", "'"}], "[", "s", "]"}], ",", "0", ",", 
     RowBox[{
      RowBox[{"\[Phi]", "'"}], "[", "s", "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"met", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"g\[Mu]\[Nu]", "/.", "comp"}], "/.", 
       RowBox[{"\[Theta]", "\[Rule]", 
        FractionBox["\[Pi]", "2"]}]}], "/.", 
      RowBox[{"r", "\[Rule]", 
       RowBox[{"r", "[", "s", "]"}]}]}], "/.", 
     RowBox[{"\[Theta]", "\[Rule]", 
      RowBox[{"\[Theta]", "[", "s", "]"}]}]}], ")"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{"1", "\[Equal]", 
   RowBox[{
    RowBox[{"vel", ".", "met"}], ".", "vel"}], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq6", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"eq5", "/.", "trule"}], "/.", "\[Phi]rule"}], " ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    RowBox[{
     RowBox[{"r", "'"}], "[", "s", "]"}], "2"], "/.", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq6", ",", 
      RowBox[{
       RowBox[{"r", "'"}], "[", "s", "]"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "//", "Simplify"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Time it takes to fall into a black hole     ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   FormBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["r", "\[Prime]",
        MultilineFunction->None], "(", "s", ")"}], "2"], "==", 
     RowBox[{
      SuperscriptBox["En", "2"], "+", 
      FractionBox[
       RowBox[{"2", " ", "m"}], 
       RowBox[{"r", "(", "s", ")"}]], "-", 
      FractionBox[
       SuperscriptBox["h", "2"], 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "2"]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SuperscriptBox["h", "2"], " ", "m"}], 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "3"]], "-", "1"}]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq1", ",", 
        RowBox[{
         RowBox[{"r", "'"}], "[", "s", "]"}]}], "]"}], " ", "/.", 
      RowBox[{"h", "\[Rule]", "0"}]}], " ", "/.", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}], " ", "/.", 
    FormBox[
     RowBox[{
      SqrtBox["x_"], "\[RuleDelayed]", 
      SqrtBox[
       RowBox[{"Simplify", "[", "x", "]"}]]}],
     TraditionalForm]}], "//", "Flatten", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"eq2", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", 
     RowBox[{"eq3", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
    RowBox[{"s", "\[Rule]", "0"}]}], "/.", 
   RowBox[{
    RowBox[{"r", "[", "0", "]"}], "\[Rule]", "r0"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"rprimerule", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eq3", ",", "eq4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"r", "'"}], "[", "s", "]"}], ",", "En"}], "}"}]}], "]"}], 
     "[", 
     RowBox[{"[", "2", "]"}], "]"}], "   ", "//", "Simplify"}], "//", 
   "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"radialeq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"rprimerule", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", 
    FormBox[
     RowBox[{
      SqrtBox["x_"], "\[RuleDelayed]", 
      SqrtBox[
       RowBox[{"Factor", "[", "x", "]"}]]}],
     TraditionalForm]}], "//", "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Stime", "=", 
  RowBox[{
   RowBox[{"Integrate", "[", " ", 
    RowBox[{
     RowBox[{
      FractionBox["1", 
       RowBox[{
        RowBox[{"r", "'"}], "[", "s", "]"}]], "/.", "rprimerule"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r", "[", "s", "]"}], ",", "r0", " ", ",", "r"}], " ", "}"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Assumptions", "\[Rule]", 
      RowBox[{"{", "  ", 
       RowBox[{"r0", " ", ">", "r", " ", ">", "0"}], "}"}]}]}], "]"}], "//", 
   "Apart", "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Stime", "/.", 
    RowBox[{"r", "\[Rule]", "0"}]}], "/.", 
   RowBox[{"m", "\[Rule]", " ", 
    FormBox[
     FractionBox[
      RowBox[{"G", " ", "M"}], 
      SuperscriptBox["c", "2"]],
     TraditionalForm]}]}], "//", "PowerExpand"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"trule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"t", "'"}], "[", "s", "]"}], "\[Rule]", 
    FormBox[
     FractionBox["En", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{"2", " ", "m"}], 
        RowBox[{"r", "(", "s", ")"}]]}]],
     TraditionalForm]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          FormBox[
           FractionBox[
            RowBox[{
             SuperscriptBox["r", "\[Prime]",
              MultilineFunction->None], "(", "s", ")"}], 
            RowBox[{
             SuperscriptBox["t", "\[Prime]",
              MultilineFunction->None], "(", "s", ")"}]],
           TraditionalForm], "/.", "trule"}], "/.", "rprimerule"}], "/.", 
        RowBox[{
         RowBox[{"r", "[", "s", "]"}], "\[Rule]", 
         RowBox[{"r", "[", "t", "]"}]}]}], ")"}], "  ", "/.", " ", 
      FormBox[
       RowBox[{
        SuperscriptBox["x_", "n_"], "\[RuleDelayed]", 
        SuperscriptBox[
         RowBox[{"Factor", "[", 
          RowBox[{"Together", "[", "x", "]"}], "]"}], "n"]}],
       TraditionalForm]}], " ", "//", "PowerExpand"}], " ", "//", "Expand"}], 
   " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", " ", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "(", "t", ")"}], "\[Rule]", 
       RowBox[{"r0", " ", 
        RowBox[{
         SuperscriptBox["cos", "2"], "(", "x", ")"}]}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["r", "\[Prime]",
         MultilineFunction->None], "(", "x", ")"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "r0", " ", 
        RowBox[{"cos", "(", "x", ")"}], " ", 
        RowBox[{"sin", "(", "x", ")"}]}]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq6", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["1", "eq5"], "  ", 
       RowBox[{
        RowBox[{"r", "'"}], "[", "x", "]"}]}], "/.", "change"}], ")"}], "//", 
    "Simplify"}], "//", "PowerExpand", "   "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Ttime", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Integrate", "[", "  ", 
        RowBox[{"eq6", " ", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", 
           FormBox[
            RowBox[{
             SuperscriptBox["cos", 
              RowBox[{"-", "1"}]], "(", 
             SqrtBox[
              FractionBox["r", "r0"]], ")"}],
            TraditionalForm]}], " ", "}"}], "  ", ",", 
         RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"2", " ", "m"}], "-", "r0"}], "\[Rule]", 
         RowBox[{"-", "temp1"}]}], " ", "}"}]}], "//", "PowerExpand"}], ")"}],
     "/.", 
    RowBox[{"temp1", "\[Rule]", 
     RowBox[{"r0", "-", 
      RowBox[{"2", " ", "m"}]}]}]}], " ", "//", "Simplify", " "}]}]], "Input",\

 CellChangeTimes->{{3.424551203918243*^9, 3.424551208743286*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"value", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"r0", "\[Rule]", "8"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pt1", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"Evaluate", "[", 
       RowBox[{"(", 
        RowBox[{"Ttime", "/.", "value"}], ")"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "2", ",", "8"}], "}"}], ",", 
      RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pt2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Stime", "/.", "value"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "8"}], "}"}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
  ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"text", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "40"}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Proper Time\>\"", ",", 
          RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
          RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"1.2`", ",", "22"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<Coordinate Time\>\"", ",", 
          RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
          RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"4.5`", ",", "30"}], "}"}]}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<r=2m\>\"", ",", 
          RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
          RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2.6`", ",", "10"}], "}"}]}], "]"}]}], "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.424549459374445*^9, 3.424549459787609*^9}, 
   3.424551349702206*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pt1", ",", "pt2", ",", " ", "text"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Distance\>\"", ",", "\"\<Time\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "40"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424549474621645*^9, 3.424549479377333*^9}, {
  3.424551353462973*^9, 3.424551364373065*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 5: Circular geodesics for the Schwarzschild metric   \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"teq", "=", 
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["t", "\[Prime]",
       MultilineFunction->None], "(", "s", ")"}], "==", 
     FractionBox["En", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{"2", " ", "m"}], 
        RowBox[{"r", "(", "s", ")"}]]}]]}],
    TraditionalForm], "/.", 
   RowBox[{
    RowBox[{"r", "[", "s", "]"}], " ", "\[Rule]", "r0"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"\[Phi]eq", "=", " ", 
   RowBox[{
    FormBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Phi]", "\[Prime]",
        MultilineFunction->None], "(", "s", ")"}], "==", 
      FractionBox["h", 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "2"]]}],
     TraditionalForm], "/.", 
    RowBox[{
     RowBox[{"r", "[", "s", "]"}], " ", "\[Rule]", "r0"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"acc", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"r", "''"}], "[", "s", "]"}], " ", "\[Equal]", " ", 
     FormBox[
      FractionBox[
       RowBox[{
        RowBox[{"m", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["En", "2"], "-", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["r", "\[Prime]",
              MultilineFunction->None], "(", "s", ")"}], "2"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "(", "s", ")"}], "3"]}], "-", 
        RowBox[{
         SuperscriptBox["h", "2"], " ", 
         SuperscriptBox[
          RowBox[{"r", "(", "s", ")"}], "2"]}], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["h", "2"], " ", "m", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"r", "(", "s", ")"}], "-", "m"}], ")"}]}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "m"}], "-", 
          RowBox[{"r", "(", "s", ")"}]}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"r", "(", "s", ")"}], "4"]}]],
      TraditionalForm]}], "/.", 
    RowBox[{"r", " ", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"r0", "&"}], ")"}]}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"vel", "=", " ", 
  RowBox[{
   FormBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["r", "\[Prime]",
        MultilineFunction->None], "(", "s", ")"}], "2"], "==", 
     RowBox[{
      SuperscriptBox["En", "2"], "+", 
      FractionBox[
       RowBox[{"2", " ", "m"}], 
       RowBox[{"r", "(", "s", ")"}]], "-", 
      FractionBox[
       SuperscriptBox["h", "2"], 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "2"]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SuperscriptBox["h", "2"], " ", "m"}], 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "3"]], "-", "1"}]}],
    TraditionalForm], " ", "/.", 
   RowBox[{"r", " ", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"r0", "&"}], ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"acc", ",", "vel"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"En", ",", " ", "h"}], "}"}]}], " ", "]"}], "//", 
      "Simplify"}], " ", "//", "PowerExpand"}], ")"}], "/.", 
   RowBox[{"{", 
    FormBox[
     RowBox[{
      FractionBox["1", 
       SqrtBox[
        RowBox[{
         RowBox[{"3", " ", "m"}], "-", "r0"}]]], "\[Rule]", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox[
         RowBox[{"r0", "-", 
          RowBox[{"3", " ", "m"}]}]]]}]}],
     TraditionalForm], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Enhrule", "=", 
  RowBox[{"eq2", "[", 
   RowBox[{"[", "4", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"teq", ",", "\[Phi]eq", ",", 
         RowBox[{
          RowBox[{"t", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"\[Phi]", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
       
       RowBox[{"{", 
        RowBox[{
         RowBox[{"t", "[", "s", "]"}], ",", 
         RowBox[{"\[Phi]", " ", "[", "s", "]"}]}], "}"}], ",", "s"}], "]"}], "/.",
      "Enhrule"}], "//", "Flatten"}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"s", "/.", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[Phi]", "[", "s", "]"}], "/.", "sol"}], ")"}], " ", 
       "\[Equal]", 
       RowBox[{"2", " ", "\[Pi]"}]}], ",", "s"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Period", "/.", 
   RowBox[{
    RowBox[{"Solve", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Period", "\[Equal]", 
          RowBox[{"t", "[", "s", " ", "]"}]}], ",", 
         RowBox[{
          RowBox[{"\[Phi]", "[", "s", "]"}], "\[Equal]", 
          RowBox[{"2", " ", "\[Pi]"}]}]}], " ", "}"}], "/.", "sol"}], ",", 
      "Period", ",", "s"}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], " "}]}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 6: Precession of the Perihelion ", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell["Solution", "Subsubsection"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   FormBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["r", "\[Prime]",
        MultilineFunction->None], "(", "s", ")"}], "2"], "==", 
     RowBox[{
      SuperscriptBox["En", "2"], "+", 
      FractionBox[
       RowBox[{"2", " ", "m"}], 
       RowBox[{"r", "(", "s", ")"}]], "-", 
      FractionBox[
       SuperscriptBox["h", "2"], 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "2"]], "+", 
      FractionBox[
       RowBox[{"2", " ", 
        SuperscriptBox["h", "2"], " ", "m"}], 
       SuperscriptBox[
        RowBox[{"r", "(", "s", ")"}], "3"]], "-", "1"}]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["r", "\[Prime]",
         MultilineFunction->None], "(", "s", ")"}], "\[Rule]", 
       FractionBox[
        RowBox[{"h", " ", 
         RowBox[{
          SuperscriptBox["r", "\[Prime]",
           MultilineFunction->None], "(", "\[Phi]", ")"}]}], 
        SuperscriptBox[
         RowBox[{"r", "(", "\[Phi]", ")"}], "2"]]}], ",", 
      RowBox[{
       RowBox[{"r", "(", "s", ")"}], "\[Rule]", 
       RowBox[{"r", "(", "\[Phi]", ")"}]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"eq1", "/.", "change"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"eq2", "/.", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"u", "[", "#", "]"}]}], "&"}], ")"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"uEq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"eq3", ",", "\[Phi]"}], "]"}], "//", 
      RowBox[{
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"u", "'"}], "'"}], "[", "\[Phi]", "]"}]}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}], "&"}]}], ")"}], "/.", 
    RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", "ExpandAll"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pertu", "=", 
   RowBox[{"{", 
    RowBox[{"u", " ", "->", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"u0", "+", 
        RowBox[{"du", "[", "#", "]"}]}], "&"}], ")"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"uEq", "/.", "pertu"}], "//", "ExpandAll", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"uEq", "/.", "pertu"}], "//", "ExpandAll"}], ")"}], " ", "/.", 
   RowBox[{
    RowBox[{
     RowBox[{"du", "[", "\[Phi]", "]"}], "^", "2"}], "\[Rule]", 
    "0"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"eq4", "/.", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"du", "'"}], "'"}], "[", "\[Phi]", "]"}], "\[Rule]", "0"}]}], 
    "/.", 
    RowBox[{
     RowBox[{"du", "[", "\[Phi]", "]"}], "\[Rule]", "0"}]}], "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq6", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"eq5", ",", "eq4"}], "}"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"du", "'"}], "'"}], "[", "\[Phi]", "]"}]}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"6", " ", "m", " ", "u0"}], "->", 
        RowBox[{"1", "-", 
         SuperscriptBox["\[Gamma]", "2"]}]}], "}"}]}], "/.", 
     RowBox[{"Rule", "->", "Equal"}]}], "//", "ExpandAll"}], "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Gamma]rule", "=", "  ", 
   FormBox[
    RowBox[{"\[Gamma]", "\[Rule]", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{"6", " ", "m", " ", "u0"}]}]]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"dusol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq6", "  ", ",", 
       RowBox[{
        RowBox[{"du", "[", "0", "]"}], "==", 
        RowBox[{"e", " ", "u0"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"du", "'"}], "[", "0", "]"}], "==", "0"}]}], "}"}], ",", 
     RowBox[{"du", "[", "\[Phi]", "]"}], ",", "\[Phi]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}], "  "}]], "Input"],

Cell[BoxData[
 RowBox[{"uSol", "=", 
  RowBox[{
   RowBox[{"u0", "+", 
    RowBox[{"du", "[", "\[Phi]", "]"}]}], "/.", "dusol", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"u0rule", "=", " ", 
   FormBox[
    RowBox[{"u0", "\[Rule]", 
     FractionBox["1", 
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["e", "2"]}], ")"}]}]]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"r", "==", 
    RowBox[{"(", 
     RowBox[{"1", "/", " ", "uSol"}], "  ", ")"}]}], "/.", "u0rule"}], "  ", "//",
   "Simplify", " "}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"eq7", "=", " ", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"\[Pi]", "/", "\[Gamma]"}]}], " ", "-", " ", 
     RowBox[{"2", " ", "\[Pi]"}]}]}], ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"eq7", "/.", "\[Gamma]rule"}], "/.", "u0rule"}], ")"}], "+", 
     RowBox[{
      RowBox[{"O", "[", "m", "]"}], "^", "2"}]}], "//", "Normal"}], ")"}], "/.",
   
  FormBox[
   RowBox[{"m", "\[Rule]", 
    FractionBox[
     RowBox[{"G", " ", "M"}], 
     SuperscriptBox["c", "2"]]}],
   TraditionalForm]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalDelta]", "=", 
   FormBox[
    FractionBox[
     RowBox[{"6", " ", "G", " ", "M", " ", "\[Pi]"}], 
     RowBox[{"a", " ", 
      SuperscriptBox["c", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["e", "2"]}], ")"}]}]],
    TraditionalForm]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c   ", "Subsubsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"const", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"M", " ", "\[Rule]", 
       RowBox[{"1.989", " ", "*", 
        SuperscriptBox["10", "33"], "  ", "gm"}]}], ",", " ", 
      RowBox[{"G", " ", "->", " ", 
       RowBox[{"7.42426", " ", "*", " ", 
        SuperscriptBox["10", 
         RowBox[{"-", "29"}]], " ", 
        FormBox[
         FractionBox[
          RowBox[{
           SuperscriptBox["c", "2"], " ", "cm"}], "gm"],
         TraditionalForm]}]}]}], "}"}]}], ";"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"mercury", " ", "=", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"a", "\[Rule]", 
       RowBox[{"0.3871", " ", "AU"}]}], ",", " ", 
      RowBox[{"AU", "->", 
       RowBox[{"1.495985", "*", " ", 
        SuperscriptBox["10", "13"], " ", "cm"}]}], ",", "  ", 
      RowBox[{"e", "->", "0.20561421"}]}], " ", "}"}]}], ";"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"radTosec", "=", " ", 
   RowBox[{"360", "*", " ", "60", " ", "*", 
    RowBox[{"60", " ", "/", 
     RowBox[{"(", 
      RowBox[{"2", " ", "\[Pi]"}], ")"}]}]}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Mnumber", "=", "   ", 
    FractionBox["100", "0.24085"]}], ";"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", " ", 
     RowBox[{"(", "radTosec", ")"}], 
     RowBox[{"(", " ", "Mnumber", ")"}]}], "/.", "const"}], "//.", 
   "mercury"}], "//", 
  RowBox[{
   RowBox[{"NumberForm", "[", 
    RowBox[{"#", ",", "4"}], "]"}], "&"}], "   "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"venus", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"a", "\[Rule]", 
      RowBox[{"108.2", "  ", "*", 
       SuperscriptBox["10", "11"], " ", "cm"}]}], ",", 
     RowBox[{"e", "\[Rule]", "0.007"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{"Vnumber", "=", 
    FractionBox["100", "0.62"]}], "  ", ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalDelta]", " ", 
      RowBox[{"(", "radTosec", ")"}], 
      RowBox[{"(", " ", "Vnumber", ")"}]}], "/.", "const"}], "//.", "venus"}],
    "//", 
   RowBox[{
    RowBox[{"NumberForm", "[", 
     RowBox[{"#", ",", "2"}], "]"}], "&"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"earth", "=", 
   RowBox[{"{", "  ", 
    RowBox[{
     RowBox[{"a", "\[Rule]", 
      RowBox[{"149.6", " ", "*", " ", 
       SuperscriptBox["10", "11"], " ", "cm"}]}], " ", ",", 
     RowBox[{"e", "\[Rule]", "0.017"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]", " ", 
     RowBox[{"(", "radTosec", " ", ")"}], 
     RowBox[{"(", "100", ")"}]}], "/.", "const"}], "//.", "earth"}], "//", 
  RowBox[{
   RowBox[{"NumberForm", "[", 
    RowBox[{"#", ",", "2"}], "]"}], "&"}]}]], "Input"]
}, Closed]]
}, Closed]],

Cell[TextData[{
 "10.3 Cosmology     ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Overview of Friedmann, Robertson, and Walker Cosmology  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["\<\
Problem  1: Field equations for Friedmann-Robertson-Walker cosmology   \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"christ", "[", 
    RowBox[{"g\[Mu]\[Nu]_", ",", 
     RowBox[{"var_:", 
      RowBox[{"{", 
       RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]}], 
    "]"}], " ", ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{"temp1", ",", "imet"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"temp1", "=", " ", 
       RowBox[{"Outer", "[", 
        RowBox[{"D", ",", "g\[Mu]\[Nu]", ",", "var"}], "]"}]}], " ", ";", 
      "\[IndentingNewLine]", 
      RowBox[{"imet", "=", " ", 
       RowBox[{
        RowBox[{"Inverse", "[", "g\[Mu]\[Nu]", "]"}], "//", "Simplify"}]}], 
      ";", "\[IndentingNewLine]", "  ", 
      RowBox[{
       RowBox[{"1", "/", "2"}], 
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{"imet", ".", "temp1"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], "]"}], " ", "+", 
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{"imet", ".", "temp1"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "]"}], "  ", "-", " ",
          
         RowBox[{"imet", ".", 
          RowBox[{"Transpose", "[", 
           RowBox[{"temp1", ",", 
            RowBox[{"{", 
             RowBox[{"3", ",", "2", ",", "1"}], "}"}]}], "]"}]}]}], " ", 
        ")"}]}]}]}], "\[IndentingNewLine]", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"curvR", "[", 
   RowBox[{"\[CapitalGamma]_", ",", 
    RowBox[{"var_:", 
     RowBox[{"{", 
      RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}]}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp1", "}"}], ",", 
    RowBox[{
     RowBox[{"temp1", "=", 
      RowBox[{"Outer", "[", 
       RowBox[{"D", ",", "\[CapitalGamma]", ",", "var"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Outer", "[", 
          RowBox[{"D", ",", "\[CapitalGamma]", ",", "var"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}]}], "]"}], "-", 
       "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Outer", "[", 
          RowBox[{"D", ",", "\[CapitalGamma]", ",", "var"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}]}], "]"}], "+", 
       "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Inner", "[", 
          RowBox[{
          "Times", ",", "\[CapitalGamma]", ",", "\[CapitalGamma]", ",", 
           "Plus", ",", "2"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "4", ",", "2"}], "}"}]}], "]"}], "-", 
       "\[IndentingNewLine]", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{"Inner", "[", 
          RowBox[{
          "Times", ",", "\[CapitalGamma]", ",", "\[CapitalGamma]", ",", 
           "Plus", ",", "2"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "4", ",", "3", ",", "2"}], "}"}]}], "]"}]}], 
      ")"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"einstein", "[", 
   RowBox[{"curv_", ",", "g\[Mu]\[Nu]_"}], "]"}], ":=", "\[IndentingNewLine]",
   
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "dem", ",", "temp1", ",", "temp2", ",", "i", ",", "j", ",", "s"}], "}"}],
     ",", 
    RowBox[{
     RowBox[{"dem", "=", 
      RowBox[{"Length", "[", "g\[Mu]\[Nu]", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"temp1", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"ExpandAll", "[", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"curv", "[", 
             RowBox[{"[", 
              RowBox[{"s", ",", "i", ",", "s", ",", "j"}], "]"}], "]"}], ",", 
            
            RowBox[{"{", 
             RowBox[{"s", ",", "dem"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "dem"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "dem"}], "}"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"temp2", "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"ExpandAll", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Inverse", "[", "g\[Mu]\[Nu]", "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"j", ",", "i"}], "]"}], "]"}], 
           RowBox[{"curv", "[", 
            RowBox[{"[", 
             RowBox[{"s", ",", "i", ",", "s", ",", "j"}], "]"}], "]"}]}], ",",
           
          RowBox[{"{", 
           RowBox[{"s", ",", "dem"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "dem"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "dem"}], "}"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Simplify", "[", 
      RowBox[{"ExpandAll", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"temp1", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j"}], "]"}], "]"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "/", "2"}], ")"}], 
           RowBox[{"g\[Mu]\[Nu]", "[", 
            RowBox[{"[", 
             RowBox[{"i", ",", "j"}], "]"}], "]"}], "temp2"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "dem"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "dem"}], "}"}]}], "]"}], "]"}], "]"}]}]}], 
   "]"}]}]], "Input"]
}, Closed]],

Cell["Solution ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"g\[Mu]\[Nu]", "=", 
   RowBox[{"DiagonalMatrix", "[", 
    FormBox[
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"R", "(", "t", ")"}], "2"], 
         RowBox[{"1", "-", 
          RowBox[{"k", " ", 
           SuperscriptBox["r", "2"]}]}]]}], ",", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["r", "2"]}], " ", 
        SuperscriptBox[
         RowBox[{"R", "(", "t", ")"}], "2"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["r", "2"]}], " ", 
        SuperscriptBox[
         RowBox[{"R", "(", "t", ")"}], "2"], " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}], "}"}],
     TraditionalForm], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalGamma]", "=", 
   RowBox[{"christ", "[", "g\[Mu]\[Nu]", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"R\[Alpha]\[Beta]\[Gamma]\[Delta]", "=", 
    RowBox[{
     RowBox[{"curvR", "[", "\[CapitalGamma]", "]"}], "//", "Simplify"}]}], 
   ";"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"G\[Mu]\[Nu]", "=", 
  RowBox[{"einstein", "[", 
   RowBox[{"R\[Alpha]\[Beta]\[Gamma]\[Delta]", ",", "g\[Mu]\[Nu]"}], 
   "]"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vel", "=", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], ";"}], 
  "               ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Contravariant", " ", "four"}], "-", "velocity"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"covel", "=", 
    RowBox[{"g\[Mu]\[Nu]", ".", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Covariant", " ", "four"}], "-", "velocity"}], "*)"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Rho]", "[", "t", "]"}], "+", 
          RowBox[{"P", "[", "t", "]"}]}], ")"}], 
        RowBox[{"covel", "[", 
         RowBox[{"[", "i", "]"}], "]"}], 
        RowBox[{"covel", "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "-", 
       RowBox[{
        RowBox[{"g\[Mu]\[Nu]", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "j"}], "]"}], "]"}], 
        RowBox[{"P", "[", "t", "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "4"}], "}"}]}], "]"}], "//", "Simplify"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"eq1", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Map", "[", 
        RowBox[{"Flatten", ",", 
         RowBox[{"G\[Mu]\[Nu]", "\[Equal]", 
          RowBox[{
           RowBox[{"8", " ", "\[Pi]", " ", "G", " ", "T"}], "+", 
           RowBox[{"\[Lambda]", " ", "g\[Mu]\[Nu]"}]}]}]}], "]"}], "//", 
       "Thread"}], "//", 
      RowBox[{
       RowBox[{"Select", "[", 
        RowBox[{"#1", ",", 
         RowBox[{
          RowBox[{"FreeQ", "[", 
           RowBox[{"#", ",", "True"}], "]"}], "&"}]}], "]"}], "&"}]}], " ", "//",
      "Simplify"}]}], " ", ")"}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.424549495864569*^9, 3.424549496423942*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"fieldeq", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"eq1", "/.", 
           RowBox[{
            RowBox[{
             RowBox[{"R", "'"}], "[", "t", "]"}], "\[Rule]", 
            RowBox[{"Sqrt", "[", "x", "]"}]}]}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"R", "''"}], "[", "t", "]"}], ",", "x"}], "}"}]}], "]"}],
         "[", 
        RowBox[{"[", "1", "]"}], "]"}], "/.", 
       RowBox[{"x", "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"R", "'"}], "[", "t", "]"}], "^", "2"}]}]}], "/.", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", "ExpandAll"}]}], ")"}], "//",
   "Column"}]], "Input",
 CellChangeTimes->{{3.424549501196358*^9, 3.424549501741976*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"conT", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Rho]", "[", "t", "]"}], "+", 
        RowBox[{"P", "[", "t", "]"}]}], ")"}], 
      RowBox[{"vel", "[", 
       RowBox[{"[", "i", "]"}], "]"}], " ", 
      RowBox[{"vel", "[", 
       RowBox[{"[", "j", "]"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{
       RowBox[{"Inverse", "[", "g\[Mu]\[Nu]", "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "j"}], "]"}], "]"}], " ", 
      RowBox[{"P", "[", "t", "]"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "4"}], "}"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"coder", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2", ",", "U", ",", "U"}], "}"}], ",", "conT_", ",", "christ_", 
    ",", "var_"}], "]"}], " ", ":=", "\n", "\t", 
  RowBox[{
   RowBox[{"Outer", "[", 
    RowBox[{"D", ",", "conT", ",", "var"}], "]"}], "+", " \t", "\n", "\t", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{"Inner", "[", 
      RowBox[{"Times", ",", "christ", ",", "conT", ",", "Plus", ",", "2"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], "]"}], "+", "  ", 
   RowBox[{"Transpose", "[", 
    RowBox[{
     RowBox[{"Inner", "[", 
      RowBox[{"Times", ",", "christ", ",", 
       RowBox[{"Transpose", "[", 
        RowBox[{"conT", ",", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1"}], "}"}]}], "]"}], ",", "Plus", ",", "2"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{"coder", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2", ",", "U", ",", "U"}], "}"}], ",", "conT", ",", 
      "\[CapitalGamma]", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}]}], 
     "]"}], "//", "Simplify"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"eq2", "[", 
       RowBox[{"[", 
        RowBox[{"i", ",", "s", ",", "s"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"s", ",", "1", ",", "4"}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "4"}], "}"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"eq3", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "0"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqstate", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"P", "[", "t", "]"}], "\[Rule]", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"\[Rho]", "[", "t", "]"}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"DSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"eq4", "/.", "eqstate"}], ",", 
          RowBox[{
           RowBox[{"R", "[", "to", "]"}], "\[Equal]", "Ro"}]}], "}"}], ",", 
        RowBox[{"R", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Rho]", "[", "to", "]"}], "\[Rule]", "\[Rho]o"}], ",", 
       RowBox[{"Rule", "\[Rule]", "Equal"}]}], "}"}]}], "//", "Simplify"}], "//",
    "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Rho]rule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq5", ",", 
       RowBox[{"\[Rho]", "[", "t", "]"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "//", "PowerExpand"}], "//", 
   "Simplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell["\<\
 fieldeq/.\[Rho]rule/.eqstate/.\[Alpha]->0//
                           ExpandAll  //Column\
\>", "Input",
 CellChangeTimes->{{3.424549506196852*^9, 3.424549506700439*^9}},
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem  2: Zero-pressure (Dust) Cosmological Models    ",
 StyleBox["  ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   FormBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["R", "\[Prime]\[Prime]",
       MultilineFunction->None], "(", "t", ")"}], "==", 
     RowBox[{
      RowBox[{
       FractionBox["1", "3"], " ", "\[Lambda]", " ", 
       RowBox[{"R", "(", "t", ")"}]}], "-", 
      FractionBox[
       RowBox[{"4", " ", "G", " ", "\[Pi]", " ", 
        SuperscriptBox["Ro", "3"], " ", "\[Rho]o"}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"R", "(", "t", ")"}], "2"]}]]}]}],
    TraditionalForm]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq2", "=", 
   FormBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["R", "\[Prime]",
        MultilineFunction->None], "(", "t", ")"}], "2"], "==", 
     RowBox[{
      FractionBox[
       RowBox[{"8", " ", "G", " ", "\[Pi]", " ", "\[Rho]o", " ", 
        SuperscriptBox["Ro", "3"]}], 
       RowBox[{"3", " ", 
        RowBox[{"R", "(", "t", ")"}]}]], "+", 
      RowBox[{
       FractionBox["1", "3"], " ", "\[Lambda]", " ", 
       SuperscriptBox[
        RowBox[{"R", "(", "t", ")"}], "2"]}], "-", "k"}]}],
    TraditionalForm]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"parameterrule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"R", "(", "to", ")"}], "\[Rule]", "Ro"}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["R", "\[Prime]",
         MultilineFunction->None], "(", "to", ")"}], "\[Rule]", 
       RowBox[{"Ho", " ", "Ro"}]}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["R", "\[Prime]\[Prime]",
         MultilineFunction->None], "(", "to", ")"}], "\[Rule]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["Ho", "2"]}], " ", "qo", " ", "Ro"}]}], ",", 
      RowBox[{"\[Rho]o", "\[Rule]", 
       FractionBox[
        RowBox[{"3", " ", 
         SuperscriptBox["Ho", "2"], " ", "\[Sigma]"}], 
        RowBox[{"4", " ", "G", " ", "\[Pi]"}]]}], ",", 
      RowBox[{"\[Lambda]", "\[Rule]", 
       RowBox[{"3", " ", 
        SuperscriptBox["Ho", "2"], " ", "\[CapitalGamma]"}]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"qrule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"eq1", ",", "eq2"}], "}"}], "/.", 
        RowBox[{"t", "\[Rule]", "to"}]}], "/.", "parameterrule"}], ",", 
      RowBox[{"{", 
       RowBox[{"qo", ",", "k"}], "}"}]}], "]"}], "//", "Flatten"}], "//", 
   "Simplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"R", "'"}], "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"X", "'"}], "[", "t", "]"}], " ", "Ro"}]}], ",", 
     RowBox[{
      RowBox[{"R", "[", "t", "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"X", "[", "t", "]"}], " ", "Ro"}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eq2", "/.", "parameterrule"}], "/.", "qrule"}], "/.", 
    "change"}], "//", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"#", ",", 
      RowBox[{
       RowBox[{"X", "'"}], "[", "t", "]"}]}], "]"}], "&"}]}], ")"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"X", "'"}], "[", "t", "]"}], "\[Rule]", 
    RowBox[{"Ho", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "\[CapitalGamma]", "-", 
        RowBox[{"2", " ", "\[Sigma]"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", " ", "\[Sigma]"}], ")"}], "/", 
         RowBox[{"X", "[", "t", "]"}]}], "+", 
        RowBox[{"\[CapitalGamma]", " ", 
         RowBox[{
          RowBox[{"X", "[", "t", "]"}], "^", "2"}]}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "2"}], ")"}]}]}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"integrand", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", 
      RowBox[{
       RowBox[{"X", "'"}], "[", "t", "]"}]}], "/.", "eq3"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[CapitalGamma]", "\[Rule]", "0"}], ",", 
      RowBox[{"Ho", "\[Rule]", "1"}], ",", 
      RowBox[{"\[Sigma]", "\[Rule]", "qo"}]}], "}"}]}], "  ", ")"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"Integrate", "[", " ", 
    RowBox[{"integrand", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"X", "[", "t", "]"}], ",", "0", ",", "1"}], "}"}], " ", ",", 
     RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], " ", "]"}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.424551984036059*^9, 3.424551984557099*^9}, {
  3.424552049640345*^9, 3.424552051119374*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "ageo", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ageo", "[", "q1_", "]"}], " ", ":=", " ", 
   RowBox[{
    RowBox[{"eq4", "/.", 
     RowBox[{"qo", "\[Rule]", "q1"}]}], "//", "Chop"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ageo", "[", 
    RowBox[{"1", "/", "2"}], "]"}], "=", 
   RowBox[{"2", "/", "3"}]}], ";", " ", 
  RowBox[{
   RowBox[{"ageo", "[", ".5", "]"}], "=", 
   RowBox[{"2", "/", "3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ageo", "[", "0", "]"}], "=", "1"}], ";", 
  RowBox[{
   RowBox[{"geo", "[", ".0", "]"}], "=", "1"}], ";"}]}], "Input",
 CellChangeTimes->{3.424552023414378*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"label", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PointSize", "[", "0.03`", "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{"0.5`", ",", 
        RowBox[{"ageo", "[", "0.5`", "]"}]}], "}"}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<k=0, Flat\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.9`", ",", "0.67`"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<k=1, Closed\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.4`", ",", "0.58`"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<k=-1, Open\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.5`", ",", "0.82`"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.424551619883051*^9, 3.424551624836854*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ageo", "[", "qo", "]"}], "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"qo", ",", ".00001", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.424551836451632*^9, {3.424551889324442*^9, 3.424551891649372*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"ageplot", "[", "Ho_", "]"}], ":=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ageo", "[", "qo", "]"}], " ", "//", "Evaluate"}], ",", 
     RowBox[{"{", 
      RowBox[{"qo", ",", ".00001", ",", "2"}], "}"}], ",", 
     RowBox[{"Frame", "\[Rule]", "True"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Age for \[CapitalGamma]=0\>\""}], 
     ",", 
     RowBox[{"FrameLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<10^-29 gm/cc\>\"", ",", "\"\<  \>\"", ",", "\"\<\[CurlyRho]o\>\"",
         ",", "\"\< \>\""}], "}"}]}], ",", 
     RowBox[{"FrameTicks", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", "10"}], 
         RowBox[{"Round", "[", " ", 
          RowBox[{"10", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"1", "/", "2"}], ",", 
                 RowBox[{".000196", " ", 
                  RowBox[{"Ho", "^", "2"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"2", "*", ".000196", " ", 
                  RowBox[{"Ho", "^", "2"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1.5", ",", 
                 RowBox[{"3", "*", ".000196", " ", 
                  RowBox[{"Ho", "^", "2"}]}]}], "}"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{".5", ",", 
                 RowBox[{".5", "*", "9.78", "*", 
                  RowBox[{"(", 
                   RowBox[{"100", "/", "Ho"}], ")"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".6", ",", 
                 RowBox[{".6", "*", "9.78", "*", 
                  RowBox[{"(", 
                   RowBox[{"100", "/", "Ho"}], ")"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".7", ",", 
                 RowBox[{".7", "*", "9.78", "*", 
                  RowBox[{"(", 
                   RowBox[{"100", "/", "Ho"}], ")"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".8", ",", 
                 RowBox[{".8", "*", "9.78", "*", 
                  RowBox[{"(", 
                   RowBox[{"100", "/", "Ho"}], ")"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{".9", ",", 
                 RowBox[{".9", "*", "9.78", "*", 
                  RowBox[{"(", 
                   RowBox[{"100", "/", "Ho"}], ")"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"1", "*", "9.78", "*", 
                  RowBox[{"(", 
                   RowBox[{"100", "/", "Ho"}], ")"}]}]}], "}"}]}], "}"}]}], 
            "}"}]}], "  ", "]"}]}], "//", "N"}], ")"}]}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Epilog", "\[Rule]", "label"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.424549525425319*^9, {3.424551896508833*^9, 3.424551898346217*^9}}],

Cell[BoxData[
 RowBox[{"ageplot", "[", "70", "]"}]], "Input",
 CellChangeTimes->{3.424549529272095*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ageL", "[", 
   RowBox[{"q1_", ",", "\[Sigma]1_"}], "]"}], ":=", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"1", "/", 
           RowBox[{
            RowBox[{"X", "'"}], "[", "t", "]"}]}], "/.", "eq3"}], "/.", 
         RowBox[{"Ho", "\[Rule]", "1"}]}], "/.", 
        RowBox[{"\[CapitalGamma]", "\[Rule]", 
         RowBox[{"\[Sigma]1", "-", "q1"}]}]}], "/.", 
       RowBox[{"qo", "\[Rule]", "q1"}]}], "/.", 
      RowBox[{"\[Sigma]", "\[Rule]", "\[Sigma]1"}]}], "/.", 
     RowBox[{
      RowBox[{"X", "[", "t", "]"}], "\[Rule]", "x"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"agetable", "[", "Ho_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "100"}], 
     RowBox[{"Round", "[", 
      RowBox[{"100", 
       RowBox[{"Table", "[", " ", 
        RowBox[{
         RowBox[{"9.78", "*", 
          RowBox[{"(", 
           RowBox[{"100", "/", "Ho"}], ")"}], " ", 
          RowBox[{"ageL", "[", 
           RowBox[{"q", ",", "sigma"}], "]"}]}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"q", ",", "0", ",", "2", ",", ".5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"sigma", ",", "0", ",", "2.5", ",", ".5"}], "}"}]}], 
        "]"}]}], "]"}]}], "//", "N"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"agetable", "[", "70", "]"}], ",", 
   RowBox[{"TableSpacing", "\[Rule]", 
    RowBox[{"{", "1", "}"}]}], ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<qo=0\>\"", ",", "\"\<qo=.5\>\"", ",", "\"\<qo=1\>\"", ",", 
        "\"\<qo=1.5\>\"", ",", "\"\<qo=2\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<\[Sigma]o=0\>\"", ",", "\"\<.5\>\"", ",", "\"\<1\>\"", ",", 
        "\"\<1.5\>\"", ",", "\"\<2\>\"", ",", "\"\<2.5\>\""}], "}"}]}], 
     "}"}]}]}], "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem  3: The Expansion and Age for the ",
 "Friedmann",
 "-Robertson-Walker models    ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   FormBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["R", "\[Prime]",
        MultilineFunction->None], "(", "t", ")"}], "2"], "==", 
     FractionBox[
      RowBox[{
       SuperscriptBox["Ho", "2"], " ", 
       SuperscriptBox["Ro", "3"]}], 
      RowBox[{"R", "(", "t", ")"}]]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"t", "\[Equal]", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{"1", "/", 
        RowBox[{"eq1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}], ",", 
      RowBox[{"R", "[", "t", "]"}]}], "]"}]}], "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "/.", 
  RowBox[{
   RowBox[{"R", "[", "t", "]"}], "\[Rule]", "Ro"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"OLD", " ", 
     RowBox[{"VERSION", ":", " ", 
      RowBox[{
      "UPDATED", " ", "FOR", " ", "VERSION", " ", "6", "\[IndentingNewLine]", 
       "scale0"}]}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq2", ",", 
        RowBox[{"R", "[", "t", "]"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}], "/.", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"scale0", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq2", ",", 
       RowBox[{"R", "[", "t", "]"}]}], "]"}], " ", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], "/.", 
    RowBox[{"Rule", "\[Rule]", "Equal"}]}]}]}]], "Input",
 CellChangeTimes->{{3.424552122239719*^9, 3.42455217606456*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"scale0", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Ho", "\[Rule]", "1"}], ",", 
       RowBox[{"Ro", "\[Rule]", "1"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameTicks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\"\<0\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "3"}], ",", "\"\<1/(3Ho)\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", "/", "3"}], ",", "\"\<Now \>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "\"\<1/Ho\>\""}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", "\"\< Ro/2 \>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "\"\<Ro\>\""}], "}"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", ".03", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "/", "3"}], ",", "1"}], "}"}], "]"}]}], "}"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424549537613234*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"scale0", "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Ho", "\[Rule]", "1"}], ",", 
       RowBox[{"Ro", "\[Rule]", "1"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "scale0"}], ",", 
   RowBox[{"FrameTicks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\"\<0\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "3"}], ",", "\"\<1/(3Ho)\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", "/", "3"}], ",", "\"\<Now \>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "\"\<1/Ho\>\""}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", "\"\< Ro/2 \>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "\"\<Ro\>\""}], "}"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", ".03", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "/", "3"}], ",", "1"}], "}"}], "]"}]}], "}"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424549542397753*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"R", "'"}], "[", "t", "]"}], "^", "2"}], "\[Equal]", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "qo", " ", 
      RowBox[{"Ho", "^", "2"}], " ", 
      RowBox[{
       RowBox[{"Ro", "^", "3"}], "/", 
       RowBox[{"(", 
        RowBox[{"R", "[", "t", "]"}], ")"}]}]}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rorule", "=", 
   RowBox[{"Ro", "\[Rule]", 
    RowBox[{
     RowBox[{"1", "/", "Ho"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "qo"}], "-", "1"}], ")"}]}], "]"}]}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"eq3", "/.", "Rorule"}], "//", "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", 
   RowBox[{"R", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"qo", "/", 
         RowBox[{"(", 
          RowBox[{"Ho", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "qo"}], "-", "1"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"3", "/", "2"}], ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"x", "[", "#", "]"}], "]"}], "^", "2"}]}], ")"}], "&"}], 
     ")"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"scale1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", "x", "]"}], "/.", "change"}], "/.", 
    RowBox[{
     RowBox[{"x", "[", "x", "]"}], "\[Rule]", "x"}]}], "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"eq4", "/.", "change"}], ",", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}]}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "Simplify"}], "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"time1", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}]}], "/.", "eq5"}], ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", "0", ",", "x"}], "}"}]}], "]"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{"xage", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"Ro", "\[Equal]", "scale1"}], ",", "x"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/.", "Rorule"}], "//", "ExpandAll"}], "//",
    "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"age1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"time1", "/.", "xage"}], "//", "ExpandAll"}], "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"value", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"qo", "\[Rule]", "1"}], ",", 
     RowBox[{"Ho", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"label", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PointSize", "[", "0.03`", "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{
           FractionBox["1", "100"], " ", 
           RowBox[{"Round", "[", 
            RowBox[{"100", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"time1", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
               "\[InvisibleSpace]", "value"}], ")"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"2.6`", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<age/Ho =\>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.4`", ",", "1"}], "}"}]}], "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"time1", "/.", "\[InvisibleSpace]", 
          RowBox[{"x", "\[Rule]", 
           FractionBox["\[Pi]", "2"]}]}], "/.", "\[InvisibleSpace]", 
         "value"}], ",", 
        RowBox[{
         RowBox[{"scale1", "/.", "\[InvisibleSpace]", 
          RowBox[{"x", "\[Rule]", 
           FractionBox["\[Pi]", "2"]}]}], "/.", "\[InvisibleSpace]", 
         "value"}]}], "}"}], "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"time1", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
         "\[InvisibleSpace]", "value"}], ",", 
        RowBox[{
         RowBox[{"scale1", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
         "\[InvisibleSpace]", "value"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"time1", ",", "scale1"}], "}"}], "/.", "value"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "\[Pi]"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Closed Model, qo=1 \>\""}], ",", 
   RowBox[{"FrameTicks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\"\<0\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"age1", "/.", "value"}], "//", "N"}], ",", "\"\<age\>\""}],
          "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"3", " ", "age1"}], "/.", "value"}], "//", "N"}], ",", 
          "\"\<3* age\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"time1", "/.", "value"}], "/.", 
           RowBox[{"x", "\[Rule]", 
            RowBox[{"\[Pi]", "/", "2"}]}]}], ",", "\"\<Max\>\""}], "}"}], ",",
         
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"9", " ", "age1"}], "/.", "value"}], "//", "N"}], ",", 
          "\"\<9* age\>\""}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "/", "2"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "\"\<Ro\>\""}], "}"}], ",", "1.5", ",", "2"}], 
       "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", "label"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.424549559355908*^9, {3.424552234950841*^9, 3.424552241205766*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[" eq6=R'[t]^2 == 1+ 2 qo Ho^2 Ro^3/(R[t]); ", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rorule", "=", 
   RowBox[{"Ro", "\[Rule]", 
    RowBox[{
     RowBox[{"1", "/", "Ho"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "qo"}]}], ")"}]}], "]"}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq7", "=", 
  RowBox[{
   RowBox[{"eq6", "/.", "Rorule"}], "//", "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", 
   RowBox[{"R", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", " ", 
        RowBox[{"qo", "/", 
         RowBox[{"(", 
          RowBox[{"Ho", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", "qo"}]}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"3", "/", "2"}], ")"}]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"Sinh", "[", 
          RowBox[{"x", "[", "#", "]"}], "]"}], "^", "2"}]}], ")"}], "&"}], 
     ")"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"scale2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", "x", "]"}], "/.", "change"}], "/.", 
    RowBox[{
     RowBox[{"x", "[", "x", "]"}], "\[Rule]", "x"}]}], "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq8", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"eq7", "/.", "change"}], ",", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}]}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "Simplify"}], "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"time2", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}]}], "/.", "eq8"}], ")"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", "0", ",", "x"}], "}"}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"xage", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"Ro", "\[Equal]", "scale2"}], ",", "x"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "/.", "Rorule"}], "//", "PowerExpand"}],
    "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"age2", "=", 
  RowBox[{"time2", "/.", "xage"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"value", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"qo", "\[Rule]", ".02"}], ",", 
     RowBox[{"Ho", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"label", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PointSize", "[", "0.03`", "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<age/Ho = \>\"", ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"1.5`", " ", "time2"}], "/.", "\[InvisibleSpace]", 
           "xage"}], "/.", "\[InvisibleSpace]", "value"}], ",", 
         RowBox[{
          RowBox[{"scale2", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
          "\[InvisibleSpace]", "value"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"N", "[", 
          RowBox[{
           FractionBox["1", "100"], " ", 
           RowBox[{"Round", "[", 
            RowBox[{"100", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"time2", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
               "\[InvisibleSpace]", "value"}], ")"}]}], "]"}]}], "]"}], ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Times-Bold\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "10"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"1.9`", " ", "time2"}], "/.", "\[InvisibleSpace]", 
           "xage"}], "/.", "\[InvisibleSpace]", "value"}], ",", 
         RowBox[{
          RowBox[{"scale2", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
          "\[InvisibleSpace]", "value"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"time2", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
         "\[InvisibleSpace]", "value"}], ",", 
        RowBox[{
         RowBox[{"scale2", "/.", "\[InvisibleSpace]", "xage"}], "/.", 
         "\[InvisibleSpace]", "value"}]}], "}"}], "]"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"time2", ",", "scale2"}], "}"}], "/.", "value"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "\"\<Open Model, qo=.02\>\""}], ",", 
   RowBox[{"FrameTicks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\"\< 0\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{".5", " ", "age1"}], "/.", "value"}], "//", "N"}], ",", 
          "\"\<age/2\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"age1", "/.", "value"}], "//", "N"}], ",", "\"\<age\>\""}],
          "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"2", "age1"}], "/.", "value"}], "//", "N"}], ",", 
          "\"\<2age\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"3", "/", "2"}], " ", "age1"}], "/.", "value"}], "//", 
           "N"}], ",", "\"\<3/2 age\>\""}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "/", "2"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "\"\<Ro\>\""}], "}"}], ",", "1.5", ",", "2"}], 
       "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", "label"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.424549572034743*^9, {3.424552259779768*^9, 3.424552264484184*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["10.4 Exercises ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 1 Lorentz boosts ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 2 Radioactive decay of moving Nucleus ", "Subsubsection"],

Cell["Exercise 3 Schwarzschild solution  ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 4 Potential analysis for timelike geodesics  ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 5 Schwarzschild solution in null coordinates    ", \
"Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 6 Null geodesics for the Schwarzschild metric", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Exercise 7 Mercury's Anomalous Precession and Modification of Newton's \
Gravity \
\>", "Subsubsection"],

Cell["Exercise 8 Cosmological Force and Mercury ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True]
}, Closed]]
},
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{741, 932},
WindowMargins->{{148, Automatic}, {Automatic, 0}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{$RootDirectory, "home", "olness", 
   "zim", "2002", "ch10"}, "ch10.nb.ps", CharacterEncoding -> "ISO8859-1"]},
ShowSelection->True,
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 87, 2, 32, "Input"],
Cell[658, 25, 156, 4, 32, "Input"],
Cell[CellGroupData[{
Cell[839, 33, 224, 7, 30, "Subsubsection"],
Cell[1066, 42, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1894, 62, 115, 2, 24, "Subsubsection"],
Cell[2012, 66, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[4025, 103, 91, 2, 59, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4141, 109, 82, 2, 73, "Section",
 Evaluatable->False],
Cell[4226, 113, 95, 4, 50, "Input"]
}, Closed]],
Cell[4336, 120, 152, 6, 43, "Section",
 Evaluatable->False],
Cell[4491, 128, 100, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4616, 134, 101, 2, 31, "Subsection",
 Evaluatable->False],
Cell[4720, 138, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4835, 144, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[4917, 148, 91, 2, 32, "Input"],
Cell[5011, 152, 698, 19, 99, "Input"],
Cell[5712, 173, 185, 6, 32, "Input"],
Cell[5900, 181, 276, 9, 32, "Input"],
Cell[6179, 192, 504, 17, 70, "Input"],
Cell[6686, 211, 198, 6, 32, "Input"],
Cell[6887, 219, 182, 6, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[7118, 231, 104, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[7247, 237, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[7329, 241, 91, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[7457, 248, 31, 0, 30, "Subsubsection"],
Cell[7491, 250, 306, 10, 55, "Input"],
Cell[7800, 262, 78, 2, 32, "Input"],
Cell[7881, 266, 317, 10, 55, "Input"],
Cell[8201, 278, 81, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[8319, 285, 31, 0, 30, "Subsubsection"],
Cell[8353, 287, 276, 9, 32, "Input"],
Cell[8632, 298, 169, 4, 32, "Input"],
Cell[8804, 304, 158, 5, 32, "Input"],
Cell[8965, 311, 385, 14, 46, "Input"],
Cell[9353, 327, 369, 11, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[9771, 344, 99, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[9895, 350, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[9977, 354, 91, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10105, 361, 31, 0, 30, "Subsubsection"],
Cell[10139, 363, 426, 15, 75, "Input"],
Cell[10568, 380, 658, 21, 75, "Input"],
Cell[11229, 403, 276, 9, 32, "Input"],
Cell[11508, 414, 388, 12, 32, "Input"],
Cell[11899, 428, 272, 8, 32, "Input"],
Cell[12174, 438, 263, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[12474, 451, 31, 0, 30, "Subsubsection"],
Cell[12508, 453, 338, 11, 55, "Input"],
Cell[12849, 466, 289, 9, 32, "Input"],
Cell[13141, 477, 669, 22, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[13847, 504, 31, 0, 30, "Subsubsection"],
Cell[13881, 506, 156, 5, 32, "Input"],
Cell[14040, 513, 296, 9, 32, "Input"],
Cell[14339, 524, 240, 7, 32, "Input"],
Cell[14582, 533, 686, 20, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[15317, 559, 123, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[15465, 565, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[15547, 569, 91, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15675, 576, 31, 0, 30, "Subsubsection"],
Cell[15709, 578, 486, 15, 32, "Input"],
Cell[16198, 595, 488, 15, 32, "Input"],
Cell[16689, 612, 425, 14, 75, "Input"],
Cell[17117, 628, 276, 9, 32, "Input"],
Cell[17396, 639, 281, 9, 32, "Input"],
Cell[17680, 650, 533, 15, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[18250, 670, 31, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[18306, 674, 1048, 27, 77, "Input"],
Cell[19357, 703, 376, 8, 99, "Input"]
}, Closed]],
Cell[19748, 714, 307, 9, 32, "Input"],
Cell[20058, 725, 425, 16, 53, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[20532, 747, 168, 5, 51, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[20725, 756, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[20807, 760, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[20906, 766, 31, 0, 30, "Subsubsection"],
Cell[20940, 768, 449, 15, 66, "Input"],
Cell[21392, 785, 434, 13, 55, "Input"],
Cell[21829, 800, 749, 22, 77, "Input"],
Cell[22581, 824, 1377, 38, 187, "Input"],
Cell[23961, 864, 410, 13, 32, "Input"],
Cell[24374, 879, 493, 17, 56, "Input"],
Cell[24870, 898, 525, 16, 55, "Input"],
Cell[25398, 916, 182, 4, 32, "Input"],
Cell[25583, 922, 822, 22, 99, "Input"],
Cell[26408, 946, 126, 3, 32, "Input"],
Cell[26537, 951, 574, 18, 104, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[27148, 974, 31, 0, 30, "Subsubsection"],
Cell[27182, 976, 476, 16, 66, "Input"],
Cell[27661, 994, 770, 20, 99, "Input"],
Cell[28434, 1016, 1054, 28, 143, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[29537, 1050, 168, 5, 51, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[29730, 1059, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[29812, 1063, 91, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29940, 1070, 31, 0, 30, "Subsubsection"],
Cell[29974, 1072, 255, 8, 32, "Input"],
Cell[30232, 1082, 273, 9, 32, "Input"],
Cell[30508, 1093, 335, 11, 32, "Input"],
Cell[30846, 1106, 393, 11, 32, "Input"],
Cell[31242, 1119, 504, 16, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[31783, 1140, 31, 0, 30, "Subsubsection"],
Cell[31817, 1142, 559, 17, 32, "Input"],
Cell[32379, 1161, 330, 11, 32, "Input"],
Cell[32712, 1174, 600, 17, 77, "Input"],
Cell[33315, 1193, 276, 8, 32, "Input"],
Cell[33594, 1203, 960, 26, 99, "Input"],
Cell[34557, 1231, 214, 7, 32, "Input"],
Cell[34774, 1240, 602, 20, 77, "Input"],
Cell[35379, 1262, 924, 26, 99, "Input"],
Cell[36306, 1290, 938, 27, 121, "Input"]
}, Closed]]
}, Closed]],
Cell[37271, 1321, 157, 6, 43, "Section",
 Evaluatable->False],
Cell[37431, 1329, 52, 0, 31, "Subsection"],
Cell[CellGroupData[{
Cell[37508, 1333, 121, 2, 31, "Subsection",
 Evaluatable->False],
Cell[37632, 1337, 91, 2, 32, "Input"],
Cell[37726, 1341, 580, 17, 55, "Input"],
Cell[CellGroupData[{
Cell[38331, 1362, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[38424, 1366, 1495, 40, 187, "Input"],
Cell[39922, 1408, 1640, 46, 187, "Input"]
}, Closed]],
Cell[41577, 1457, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[41681, 1463, 31, 0, 24, "Subsubsection"],
Cell[41715, 1465, 954, 31, 99, "Input"],
Cell[42672, 1498, 79, 1, 32, "Input"],
Cell[42754, 1501, 41, 0, 32, "Input"],
Cell[42798, 1503, 314, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[43149, 1518, 31, 0, 30, "Subsubsection"],
Cell[43183, 1520, 367, 12, 32, "Input"],
Cell[43553, 1534, 789, 19, 165, "Input"],
Cell[44345, 1555, 510, 16, 32, "Input"],
Cell[44858, 1573, 412, 13, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[45319, 1592, 103, 2, 31, "Subsection",
 Evaluatable->False],
Cell[45425, 1596, 91, 2, 32, "Input"],
Cell[45519, 1600, 541, 17, 32, "Input"],
Cell[CellGroupData[{
Cell[46085, 1621, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[46178, 1625, 1524, 44, 165, "Input"],
Cell[47705, 1671, 1681, 46, 187, "Input"],
Cell[49389, 1719, 2461, 70, 253, "Input"]
}, Closed]],
Cell[51865, 1792, 33, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[51923, 1796, 31, 0, 24, "Subsubsection"],
Cell[51957, 1798, 251, 7, 32, "Input"],
Cell[52211, 1807, 271, 8, 32, "Input"],
Cell[52485, 1817, 148, 4, 32, "Input"],
Cell[52636, 1823, 917, 28, 121, "Input"],
Cell[53556, 1853, 787, 23, 99, "Input"],
Cell[54346, 1878, 76, 0, 32, "Input"],
Cell[54425, 1880, 528, 18, 56, "Input"],
Cell[54956, 1900, 419, 14, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[55412, 1919, 31, 0, 30, "Subsubsection"],
Cell[55446, 1921, 1355, 37, 143, "Input"],
Cell[56804, 1960, 662, 21, 55, "Input"],
Cell[57469, 1983, 485, 16, 57, "Input"],
Cell[57957, 2001, 318, 11, 53, "Input"],
Cell[58278, 2014, 250, 8, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[58577, 2028, 120, 2, 31, "Subsection",
 Evaluatable->False],
Cell[58700, 2032, 91, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[58816, 2038, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[58909, 2042, 1667, 47, 187, "Input"]
}, Closed]],
Cell[60591, 2092, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[60695, 2098, 31, 0, 24, "Subsubsection"],
Cell[60729, 2100, 476, 15, 32, "Input"],
Cell[61208, 2117, 573, 20, 72, "Input"],
Cell[61784, 2139, 302, 9, 32, "Input"],
Cell[62089, 2150, 1086, 31, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[63212, 2186, 31, 0, 30, "Subsubsection"],
Cell[63246, 2188, 377, 11, 32, "Input"],
Cell[63626, 2201, 570, 20, 52, "Input"],
Cell[64199, 2223, 836, 27, 81, "Input"],
Cell[65038, 2252, 215, 7, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[65290, 2264, 31, 0, 30, "Subsubsection"],
Cell[65324, 2266, 302, 10, 32, "Input"],
Cell[65629, 2278, 437, 13, 50, "Input"],
Cell[66069, 2293, 141, 4, 32, "Input"],
Cell[66213, 2299, 157, 5, 32, "Input"],
Cell[66373, 2306, 328, 11, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[66750, 2323, 123, 2, 31, "Subsection",
 Evaluatable->False],
Cell[66876, 2327, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[66958, 2331, 91, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[67074, 2337, 31, 0, 30, "Subsubsection"],
Cell[67108, 2339, 701, 23, 58, "Input"],
Cell[67812, 2364, 524, 17, 66, "Input"],
Cell[68339, 2383, 105, 3, 32, "Input"],
Cell[68447, 2388, 284, 9, 32, "Input"],
Cell[68734, 2399, 442, 15, 32, "Input"],
Cell[69179, 2416, 326, 11, 42, "Input"],
Cell[69508, 2429, 546, 16, 84, "Input"],
Cell[70057, 2447, 294, 10, 53, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[70388, 2462, 31, 0, 30, "Subsubsection"],
Cell[70422, 2464, 329, 12, 66, "Input"],
Cell[70754, 2478, 982, 29, 101, "Input"],
Cell[71739, 2509, 606, 19, 32, "Input"],
Cell[72348, 2530, 304, 10, 54, "Input"],
Cell[72655, 2542, 974, 29, 138, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[73666, 2576, 31, 0, 30, "Subsubsection"],
Cell[73700, 2578, 185, 6, 32, "Input"],
Cell[73888, 2586, 734, 22, 77, "Input"],
Cell[74625, 2610, 1474, 39, 187, "Input"],
Cell[76102, 2651, 658, 17, 99, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[76809, 2674, 137, 4, 31, "Subsection",
 Evaluatable->False],
Cell[76949, 2680, 91, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[77065, 2686, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[77147, 2690, 440, 15, 66, "Input"],
Cell[77590, 2707, 429, 14, 55, "Input"],
Cell[78022, 2723, 1253, 39, 60, "Input"],
Cell[79278, 2764, 799, 26, 58, "Input"],
Cell[80080, 2792, 717, 25, 83, "Input"],
Cell[80800, 2819, 109, 3, 32, "Input"],
Cell[80912, 2824, 611, 18, 55, "Input"],
Cell[81526, 2844, 392, 13, 32, "Input"],
Cell[81921, 2859, 533, 16, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[82503, 2881, 62, 0, 31, "Subsection"],
Cell[82568, 2883, 91, 2, 32, "Input"],
Cell[82662, 2887, 33, 0, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[82720, 2891, 31, 0, 24, "Subsubsection"],
Cell[82754, 2893, 701, 23, 58, "Input"],
Cell[83458, 2918, 638, 20, 56, "Input"],
Cell[84099, 2940, 82, 2, 32, "Input"],
Cell[84184, 2944, 242, 8, 32, "Input"],
Cell[84429, 2954, 543, 17, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[85009, 2976, 33, 0, 30, "Subsubsection"],
Cell[85045, 2978, 241, 9, 32, "Input"],
Cell[85289, 2989, 112, 3, 32, "Input"],
Cell[85404, 2994, 273, 9, 32, "Input"],
Cell[85680, 3005, 329, 12, 32, "Input"],
Cell[86012, 3019, 683, 22, 55, "Input"],
Cell[86698, 3043, 237, 8, 37, "Input"],
Cell[86938, 3053, 501, 15, 32, "Input"],
Cell[87442, 3070, 146, 4, 32, "Input"],
Cell[87591, 3076, 282, 10, 58, "Input"],
Cell[87876, 3088, 190, 6, 32, "Input"],
Cell[88069, 3096, 222, 7, 32, "Input"],
Cell[88294, 3105, 428, 16, 53, "Input"],
Cell[88725, 3123, 337, 11, 58, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[89099, 3139, 34, 0, 30, "Subsubsection"],
Cell[89136, 3141, 557, 17, 57, "Input"],
Cell[89696, 3160, 398, 12, 32, "Input"],
Cell[90097, 3174, 219, 6, 32, "Input"],
Cell[90319, 3182, 130, 4, 52, "Input"],
Cell[90452, 3188, 316, 10, 32, "Input"],
Cell[90771, 3200, 272, 8, 32, "Input"],
Cell[91046, 3210, 127, 4, 52, "Input"],
Cell[91176, 3216, 334, 11, 32, "Input"],
Cell[91513, 3229, 282, 8, 32, "Input"],
Cell[91798, 3239, 299, 9, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[92124, 3252, 147, 6, 43, "Section",
 Evaluatable->False],
Cell[92274, 3260, 124, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[92423, 3266, 147, 4, 51, "Subsection",
 Evaluatable->False],
Cell[92573, 3272, 91, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[92689, 3278, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[92782, 3282, 1533, 42, 187, "Input"],
Cell[94318, 3326, 1825, 49, 165, "Input"],
Cell[96146, 3377, 2472, 72, 231, "Input"]
}, Closed]],
Cell[98633, 3452, 80, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[98738, 3458, 31, 0, 24, "Subsubsection"],
Cell[98772, 3460, 819, 26, 56, "Input"],
Cell[99594, 3488, 125, 3, 32, "Input"],
Cell[99722, 3493, 203, 6, 32, "Input"],
Cell[99928, 3501, 163, 4, 32, "Input"],
Cell[100094, 3507, 574, 19, 77, "Input"],
Cell[100671, 3528, 771, 25, 55, "Input"],
Cell[101445, 3555, 731, 21, 55, "Input"],
Cell[102179, 3578, 880, 27, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[103096, 3610, 31, 0, 30, "Subsubsection"],
Cell[103130, 3612, 724, 23, 55, "Input"],
Cell[103857, 3637, 962, 27, 99, "Input"],
Cell[104822, 3666, 368, 11, 32, "Input"],
Cell[105193, 3679, 397, 12, 32, "Input"],
Cell[105593, 3693, 137, 4, 32, "Input"],
Cell[105733, 3699, 229, 7, 32, "Input"],
Cell[105965, 3708, 692, 21, 77, "Input"],
Cell[106660, 3731, 313, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[107010, 3746, 31, 0, 30, "Subsubsection"],
Cell[107044, 3748, 207, 5, 50, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[107300, 3759, 188, 6, 31, "Subsection",
 Evaluatable->False],
Cell[107491, 3767, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[107606, 3773, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[107688, 3777, 91, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[107816, 3784, 31, 0, 30, "Subsubsection"],
Cell[107850, 3786, 1198, 37, 107, "Input"],
Cell[109051, 3825, 982, 28, 85, "Input"],
Cell[110036, 3855, 403, 13, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[110476, 3873, 31, 0, 30, "Subsubsection"],
Cell[110510, 3875, 418, 14, 32, "Input"],
Cell[110931, 3891, 313, 11, 32, "Input"],
Cell[111247, 3904, 638, 19, 32, "Input"],
Cell[111888, 3925, 411, 13, 32, "Input"],
Cell[112302, 3940, 445, 11, 55, "Input"],
Cell[112750, 3953, 61, 1, 32, "Input"],
Cell[112814, 3956, 658, 21, 99, "Input"],
Cell[113475, 3979, 1367, 35, 165, "Input"],
Cell[114845, 4016, 302, 8, 32, "Input"],
Cell[115150, 4026, 3138, 78, 231, "Input"],
Cell[118291, 4106, 103, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[118431, 4113, 31, 0, 30, "Subsubsection"],
Cell[118465, 4115, 785, 23, 77, "Input"],
Cell[119253, 4140, 687, 20, 99, "Input"],
Cell[119943, 4162, 632, 17, 77, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[120624, 4185, 220, 8, 51, "Subsection",
 Evaluatable->False],
Cell[120847, 4195, 90, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[120962, 4201, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[121044, 4205, 91, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[121172, 4212, 31, 0, 30, "Subsubsection"],
Cell[121206, 4214, 400, 14, 57, "Input"],
Cell[121609, 4230, 345, 11, 32, "Input"],
Cell[121957, 4243, 163, 5, 32, "Input"],
Cell[122123, 4250, 958, 27, 143, "Input"],
Cell[123084, 4279, 1604, 48, 99, "Input"],
Cell[124691, 4329, 1657, 49, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[126385, 4383, 31, 0, 30, "Subsubsection"],
Cell[126419, 4385, 417, 14, 32, "Input"],
Cell[126839, 4401, 307, 11, 32, "Input"],
Cell[127149, 4414, 117, 3, 32, "Input"],
Cell[127269, 4419, 600, 20, 32, "Input"],
Cell[127872, 4441, 241, 8, 32, "Input"],
Cell[128116, 4451, 332, 11, 32, "Input"],
Cell[128451, 4464, 352, 12, 32, "Input"],
Cell[128806, 4478, 318, 10, 32, "Input"],
Cell[129127, 4490, 153, 5, 32, "Input"],
Cell[129283, 4497, 186, 6, 32, "Input"],
Cell[129472, 4505, 1981, 53, 201, "Input"],
Cell[131456, 4560, 1824, 52, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[133317, 4617, 31, 0, 30, "Subsubsection"],
Cell[133351, 4619, 84, 1, 32, "Input"],
Cell[133438, 4622, 304, 10, 32, "Input"],
Cell[133745, 4634, 117, 3, 32, "Input"],
Cell[133865, 4639, 606, 20, 32, "Input"],
Cell[134474, 4661, 241, 8, 32, "Input"],
Cell[134718, 4671, 332, 11, 32, "Input"],
Cell[135053, 4684, 348, 12, 32, "Input"],
Cell[135404, 4698, 317, 10, 32, "Input"],
Cell[135724, 4710, 83, 2, 32, "Input"],
Cell[135810, 4714, 188, 6, 32, "Input"],
Cell[136001, 4722, 2073, 54, 211, "Input"],
Cell[138077, 4778, 1811, 52, 143, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[139937, 4836, 80, 2, 43, "Section",
 Evaluatable->False],
Cell[140020, 4840, 97, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[140120, 4844, 72, 0, 24, "Subsubsection"],
Cell[140195, 4846, 106, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[140304, 4850, 125, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[140432, 4854, 130, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[140565, 4859, 125, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[140693, 4863, 114, 3, 24, "Subsubsection"],
Cell[140810, 4868, 113, 2, 24, "Subsubsection",
 Evaluatable->False]
}, Closed]]
}
]
*)

(* End of internal cache information *)
