(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    125171,       3828]
NotebookOptionsPosition[     61369,       2357]
NotebookOutlinePosition[    111981,       3431]
CellTagsIndexPosition[    111773,       3422]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["Getting Started", "Title",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.1 Introduction", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["1.1.1  Computers as a Tool", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.1.2 A Note About Notation and Style", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Off[General::spell ]; 
Off[General::spell1];\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "1.1.3 Notation and Symbolize ",
 StyleBox["\t",
  FontSlant->"Italic"],
 StyleBox["(For experts only)",
  FontWeight->"Plain",
  FontSlant->"Italic"]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  SubscriptBox["x", "1"], "//", "FullForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"term", " ", "=", 
  RowBox[{
   RowBox[{"a", "  ", 
    SubscriptBox["x", "1"]}], "  ", "+", " ", 
   RowBox[{"b", " ", 
    SubscriptBox["x", "2"]}], " ", "+", " ", 
   RowBox[{"c", " ", "x"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"term", " ", "/.", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", "1"}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"<<", "Notation`"}]], "Input",
 CellTags->{"Notation:S1", "Notation:S1.1", "NotationDocumentation"},
 CellID->25990533],

Cell[BoxData[
 RowBox[{"?", "Symbolize"}]], "Input",
 CellChangeTimes->{3.421848511742442*^9}],

Cell[BoxData[
 RowBox[{"Symbolize", "[", 
  TagBox[
   SubscriptBox["x", "1"],
   "NotationTemplateTag"], "]"}]], "Input",
 CellChangeTimes->{{3.421848637759588*^9, 3.421848647509016*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   TagBox[
    SubscriptBox["x", "1"],
    NotationBoxTag,
    BaseStyle->"NotationTemplateStyle"], " ", "//", "FullForm"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Entered", " ", "from", " ", "the", " ", "Notation", " ", "Palette"}], " ",
    "*)"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{"Symbolize", "[", 
  TagBox[
   SubscriptBox["x", "2"],
   "NotationTemplateTag"], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"term2", " ", "=", 
   RowBox[{
    RowBox[{"a", 
     TagBox[
      SubscriptBox["x", "1"],
      NotationBoxTag,
      BaseStyle->"NotationTemplateStyle"]}], " ", "+", " ", 
    RowBox[{"b", " ", 
     TagBox[
      SubscriptBox["x", "2"],
      NotationBoxTag,
      BaseStyle->"NotationTemplateStyle"]}], " ", "+", " ", 
    RowBox[{"c", " ", "x"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.421848668479572*^9, 3.421848675809639*^9}}],

Cell[BoxData[
 RowBox[{"term2", " ", "/.", 
  RowBox[{"x", "\[Rule]", "1"}]}]], "Input"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.2 Arithmetic and Algebra    ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.2.1 Arithmetic and Notation", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"2", "*", "6", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"12", "+", "4"}], ")"}], "/", 
   RowBox[{"(", "  ", 
    RowBox[{"12", "-", "4"}], ")"}]}], "  "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"2", "^", "3"}], ",", 
   RowBox[{"Sqrt", "[", "2", "]"}], ",", 
   RowBox[{"4", "!"}], ",", 
   RowBox[{"4", "!!"}]}], "}"}]], "Input",
 Hyphenation->False],

Cell["N[Sqrt[2]]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Sqrt[2] // N ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "//", "Sqrt"}], "  ", "//", "N"}]], "Input"],

Cell["N[Sqrt[2],50]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Sqrt[2] // N[#,50]&", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"list1", "=", 
  RowBox[{"{", 
   RowBox[{
   "I", ",", " ", "\[Pi]", " ", ",", "E", ",", "Infinity", ",", "GoldenRatio",
     ",", "EulerGamma", ",", "Catalan", ",", "Degree"}], "}"}], 
  "  "}]], "Input",
 Hyphenation->False],

Cell["list1 // N", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  StyleBox["list1",
   FontFamily->"Courier",
   FontWeight->"Bold"], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 StyleBox["list1",
  FontFamily->"Courier",
  FontWeight->"Bold"]], "Input",
 Hyphenation->False],

Cell["{Sqrt[-1],I,\[ImaginaryI]}", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["(4 I + 6 I)/(2 - 4I)  ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{"2", "+", "I"}], "]"}], ",", 
   RowBox[{"Re", "[", 
    RowBox[{"2", "+", "I"}], "]"}], ",", 
   RowBox[{"Im", "[", 
    RowBox[{"2", "+", "I"}], "]"}], ",", 
   RowBox[{"Conjugate", "[", 
    RowBox[{"2", "+", "I"}], "]"}]}], " ", "}"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.2 Algebraic Manipulations", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq1= Expand[(1+ x^2)^5]      ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq1 // Factor ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Factor[eq1,GaussianIntegers->True]    ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Options[Factor]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq1= Expand[(x+1)^5 (y+1)^2 , y]", "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "//", "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Sqrt", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"a", " ", "b", " ", "c", " ", "d", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}], "^", "2"}], "]"}], " ", 
  "//", "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Simplify", "[", " ", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", " ", "b", " ", "c", " ", "d", " ", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}], "^", "2"}], "]"}], ",",
    
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"a", ">", "0"}], ",", 
     RowBox[{"b", "\[Element]", "Reals"}], ",", 
     RowBox[{"c", "\[Element]", "Complexes"}], ",", " ", 
     RowBox[{
      RowBox[{"\[Pi]", " ", "/", "2"}], "<", "\[Theta]", " ", "<", 
      "\[Pi]"}]}], "  ", "}"}]}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Cos", "[", " ", 
       RowBox[{"n", "  ", "\[Pi]"}], " ", "]"}], ",", 
      RowBox[{"Sin", "[", 
       RowBox[{"n", " ", "\[Pi]"}], " ", "]"}]}], "}"}], ",", " ", 
    RowBox[{"n", "\[Element]", "Integers"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell["Factor[Cos[4 x]^2-2 Cos[4 x] Sin[3 x]+Sin[3 x]^2]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Factor[Cos[4 x]^2-2 Cos[4 x] Sin[3 x]+Sin[3 x]^2,Trig->True]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"4", " ", "x"}], "]"}], "^", "2"}], "-", 
   RowBox[{"2", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"4", " ", "x"}], "]"}], " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"3", " ", "x"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"3", " ", "x"}], "]"}], "^", "2"}]}], " ", "//", 
  "TrigFactor"}]], "Input"],

Cell["ComplexExpand[Exp[I \[Theta]]]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["ComplexExpand[Exp[I \[Theta]],\[Theta]]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" Options[ComplexExpand]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ComplexExpand", "[", 
  RowBox[{
   RowBox[{"Exp", "[", 
    RowBox[{"I", " ", "\[Theta]"}], "]"}], ",", "\[Theta]", ",", " ", 
   RowBox[{"TargetFunctions", "\[Rule]", "Abs"}]}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.3 PowerExpand", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"a", "^", "2"}], "]"}], ",", 
    RowBox[{"Log", "[", 
     RowBox[{"a", "/", "b"}], "]"}], ",", 
    RowBox[{"Log", "[", 
     RowBox[{"a", "^", "b"}], "]"}]}], "}"}], " ", "//", 
  "PowerExpand"}]], "Input"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"x", "^", "2"}], "]"}], "\[Equal]", "a"}], ",", "x"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Sqrt", "[", 
      RowBox[{"x", "^", "2"}], "]"}], "\[Equal]", "a"}], " ", "//", 
    "PowerExpand"}], ",", "x"}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.4 Simple Rules", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a", ",", "b"}], "}"}], "/.", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"a", "\[Rule]", " ", "b"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "c"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"a", ",", "b"}], "}"}], "//.", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"a", "\[Rule]", " ", "b"}], ",", " ", 
    RowBox[{"b", "\[Rule]", "c"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"a", " ", "//.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"a", "\[Rule]", "b"}], ",", 
    RowBox[{"b", "\[Rule]", "a"}]}], "}"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"generates", " ", "endless", " ", "loop"}], " ", "*)"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.5 A Home-made Complex Conjugate with SuperStar", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "I"}], " ", "/.", 
  RowBox[{"{", 
   RowBox[{"I", " ", "\[Rule]", " ", 
    RowBox[{"-", "I"}]}], "}"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", "I"}], "//", "FullForm"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"I", " ", "\[Rule]", " ", 
    RowBox[{"-", "I"}]}], "}"}], "//", "FullForm"}]], "Input"],

Cell["conjugateRule= {Complex[re_,im_]->Complex[re,-im]};", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["2 I /. conjugateRule ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Unprotect", "[", "SuperStar", "]"}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{"SuperStar", " ", "/:", " ", 
  SuperscriptBox["exp_", "*"], ":=", 
  RowBox[{"exp", " ", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Complex", "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
     RowBox[{"Complex", "[", 
      RowBox[{"a", ",", 
       RowBox[{"-", "b"}]}], "]"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "SuperStar", "]"}], ";"}]}], "Input"],

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"a", "+", 
    RowBox[{"\[ImaginaryI]", " ", "b"}], "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}], ")"}], "*"]], "Input"],

Cell[BoxData[
 RowBox[{"SuperStar", "[", 
  RowBox[{"a", "+", 
   RowBox[{"\[ImaginaryI]", " ", "b"}], "+", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Conjugate", "[", 
  RowBox[{"a", "+", 
   RowBox[{"\[ImaginaryI]", " ", "b"}], "+", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.6 Immediate and Delayed Substitutions", "Subsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x", ",", "x", ",", "x"}], "}"}], "/.", "\[InvisibleSpace]", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{"RandomReal", "[", "]"}]}], "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x", ",", "x", ",", "x"}], "}"}], "/.", "\[InvisibleSpace]", 
  RowBox[{"{", 
   RowBox[{"x", "\[RuleDelayed]", 
    RowBox[{"RandomReal", "[", "]"}]}], "}"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.7 Selecting Parts of Expressions", "Subsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", " ", 
   RowBox[{
    RowBox[{"a1", " ", "x"}], "+", " ", 
    RowBox[{"a2", " ", 
     RowBox[{"x", "^", "2"}]}], " ", "+", " ", 
    RowBox[{"a3", " ", 
     RowBox[{"x", "^", "3"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"x", "/", "y"}], "]"}]}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Part", "[", 
  RowBox[{"eq1", ",", "3"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "[", 
  RowBox[{"[", "3", "]"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "[", 
  RowBox[{"[", 
   RowBox[{"3", ",", "1"}], "]"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "[", 
  RowBox[{"[", 
   RowBox[{"{", 
    RowBox[{"3", ",", "1"}], "}"}], "]"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"position", "=", 
  RowBox[{"Position", "[", 
   RowBox[{"eq1", ",", 
    StyleBox[
     RowBox[{"Sin", "[", 
      RowBox[{"x", "/", "y"}], "]"}],
     FontFamily->"Courier",
     FontWeight->"Bold"]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ReplacePart", "[", 
  RowBox[{"eq1", ",", " ", 
   StyleBox[
    RowBox[{"Cos", "[", 
     RowBox[{"x", "/", "y"}], "]"}],
    FontFamily->"Courier",
    FontWeight->"Bold"], " ", ",", "position"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.2.8 Algebraic Equations", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq1= a x^2 + b x + c == 0;", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" sol1= Solve[eq1,x] ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["x /. sol1[[2]]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["eq1 /.sol1 //Simplify ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Roots", "[", 
  RowBox[{"eq1", ",", "x"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{"eq1", ",", "x"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"a", " ", "x"}], "+", 
       RowBox[{"b", " ", "y"}]}], "\[Equal]", "c"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"a", " ", "x"}], "-", 
       RowBox[{"b", " ", "y"}]}], "\[Equal]", "d"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"Reduce", "[", 
   RowBox[{"eq2", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "[", 
  RowBox[{"[", 
   RowBox[{"4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}], "]"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"Reduce", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq2", ",", 
       RowBox[{"a", "\[NotEqual]", "0"}], ",", 
       RowBox[{"b", "\[NotEqual]", "0"}]}], "}"}], "//", "Flatten"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3 Functions and Procedures", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.3.1 Built-In Functions", "Subsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"list1", "=", 
  RowBox[{"{", 
   StyleBox[
    RowBox[{
     RowBox[{"Sin", "[", "x", "]"}], ",", 
     RowBox[{"ArcCos", "[", "x", "]"}], ",", 
     RowBox[{"Cosh", "[", "x", "]"}], ",", 
     RowBox[{"ArcSinh", "[", "x", "]"}], ",", 
     RowBox[{"BesselJ", "[", 
      RowBox[{"n", ",", "x"}], "]"}]}],
    FontFamily->"Courier",
    FontWeight->"Bold"], 
   StyleBox["}",
    FontFamily->"Courier",
    FontWeight->"Bold"]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"list1", " ", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "\[Rule]", "0.5"}], ",", 
    RowBox[{"n", "\[Rule]", "2"}]}], "}"}]}]], "Input"],

Cell["?Sin", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["??Sin", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "0", ",", "45", ",", "90", ",", "180", ",", "270", " ", ",", "360"}], 
     "}"}], "*", "Degree"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Sin", "[", "list", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.3.2 User-Defined Functions", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f1", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"x", "^", "2"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"f1", "[", "2", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f2", "[", "x", "]"}], "=", " ", 
   RowBox[{"x", "^", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"f2", "[", "x", "]"}], ",", 
   RowBox[{"f2", "[", "2", "]"}]}], "}"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f3", "[", "x_", "]"}], " ", ":=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"x", "\[LessEqual]", "a"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"f4", "[", "x_", "]"}], "   ", "=", " ", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"x", "\[LessEqual]", "a"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "]"}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"f3", "[", "2", "]"}], ",", 
   RowBox[{"f4", "[", "2", "]"}]}], "}"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"f3", "[", "2", "]"}], ",", 
   RowBox[{"f4", "[", "2", "]"}]}], "}"}]}], "Input"],

Cell[BoxData[
 RowBox[{"?", "f3"}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "f4"}]], "Input"],

Cell[BoxData[
 RowBox[{"Clear", "[", "a", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Clear", "[", "fac", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fac", "[", "1", "]"}], "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fac", "[", 
   RowBox[{"n_Integer", "?", "Positive"}], "]"}], " ", ":=", " ", 
  RowBox[{"n", " ", 
   RowBox[{"fac", "[", 
    RowBox[{"n", "-", "1"}], "]"}]}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"4", "!"}], ",", " ", 
   RowBox[{"fac", "[", "4", "]"}], ",", 
   RowBox[{"fac", "[", "4.0", "]"}], ",", 
   RowBox[{"fac", "[", 
    RowBox[{"-", "4"}], "]"}], ",", 
   RowBox[{"fac", "[", "a", "]"}]}], "}"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.3.3 Pure Functions", "Subsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1", "=", " ", 
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"x", " ", "/", "y"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"f1", "[", 
  RowBox[{"a", ",", "b"}], "]"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f2", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Sin", "[", 
      RowBox[{"#1", "/", "#2"}], "]"}], ")"}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f2", "[", 
   RowBox[{"a", ",", "b"}], "]"}], " "}]}], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", " ", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], " ", "+", " ", 
    RowBox[{"a", " ", 
     RowBox[{"x", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"eq1", " ", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "+", "b"}]}], "}"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"eq1", " ", "/.", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "[", "#", "]"}], "+", "b"}], "&"}], ")"}]}], 
   "}"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"term1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "x"}], ")"}], "^", "2"}], " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "y"}], ")"}], "^", "2"}]}], " ", "//", 
   "Expand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Select", "[", 
  RowBox[{"term1", ",", 
   RowBox[{
    RowBox[{"FreeQ", "[", 
     RowBox[{"#", ",", "x"}], "]"}], "&"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Select", "[", " ", 
  RowBox[{"term1", ",", 
   RowBox[{
    RowBox[{"!", 
     RowBox[{"FreeQ", "[", 
      RowBox[{"#", ",", "x"}], "]"}]}], "&"}]}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.3.4 Assigning Rules and Restrictions to Functions  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
i /: i^2  = -1;
i /: i^3  = -i;
i /: i^4  =  1;\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["i /: i^n_Integer := i^Mod[n,4] /; n<0 || 4<n;", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Table[i^n == I^n,{n,-8,8}] /.{i->I}", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"step1", ",", "step2"}], "]"}]], "Input"],

Cell["\<\
step1[x_]= 0 /; x<=0;
step1[x_]= 1 /; 0< x;\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
step2[x_ /; x<=0]= 0;
step2[x_ /; 0< x]= 1;\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"step1", "[", 
   RowBox[{"-", "0.1"}], "]"}], " ", "//", "Trace"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"step2", "[", 
   RowBox[{"-", "0.1"}], "]"}], " ", "//", "Trace"}]], "Input"],

Cell["step3[x_]:=Which[x<=0,0,x>0,1]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"step3", "[", 
   RowBox[{"-", "0.1"}], "]"}], " ", "//", "Trace"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"step1", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "10000"}], ",", "10000", ",", "1"}], "}"}]}], "]"}], 
     " ", "//", "Timing"}], " ", "//", "First"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"step2", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "10000"}], ",", "10000", ",", "1"}], "}"}]}], "]"}], 
     " ", "//", "Timing"}], " ", "//", "First"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"step3", "[", "x", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "10000"}], ",", "10000", ",", "1"}], "}"}]}], "]"}], 
     " ", "//", "Timing"}], " ", "//", "First"}]}], "}"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.3.5 Module", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"shift", "[", "list_", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"newList", ",", 
      RowBox[{"a", "=", "1"}], ",", "max"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"newList", "=", 
      RowBox[{"list", "+", "a"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"max", "=", 
      RowBox[{"Max", "[", "newList", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<The max of the new list is: \>\"", ",", "max"}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "newList", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"shift", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"newList", ",", "a", ",", "max"}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"shift2", "[", 
   RowBox[{"list_", ",", 
    RowBox[{"a_:", "1"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"newList", ",", "max"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"newList", "=", 
      RowBox[{"list", "+", "a"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"max", "=", 
      RowBox[{"Max", "[", "newList", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Print", "[", 
      RowBox[{"\"\<The max of the new list is: \>\"", ",", "max"}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "newList", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"shift2", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "2"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"shift2", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.3.6 rootPlot", "Subsection"],

Cell["\<\
eq1= 0 == 1 + x + 2 x^2 + 3 x^3 + 4 x^4 + 5 x^5;

NSolve[eq1,x]\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"list", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Re", "[", "x", "]"}], ",", 
       RowBox[{"Im", "[", "x", "]"}]}], "}"}], " ", "/.", 
     RowBox[{"NSolve", "[", 
      RowBox[{"eq1", ",", "x"}], "]"}]}]}], ")"}], "//", 
  "TraditionalForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"list", ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"PointSize", "[", "0.03`", "]"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rootPlot", "[", 
   RowBox[{"equation_", ",", 
    RowBox[{"variable_", ":", "x"}], ",", "opts___"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"nSol", ",", "list"}], "}"}], ",", 
    RowBox[{
     RowBox[{"nSol", "=", 
      RowBox[{"NSolve", "[", 
       RowBox[{"equation", ",", "variable"}], "]"}]}], ";", 
     RowBox[{"list", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Re", "[", "x", "]"}], ",", 
         RowBox[{"Im", "[", "x", "]"}]}], "}"}], "/.", "\[InvisibleSpace]", 
       "nSol"}]}], ";", 
     RowBox[{"Return", "[", 
      RowBox[{"ListPlot", "[", 
       RowBox[{"list", ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"PointSize", "[", "0.03`", "]"}]}], ",", "opts"}], "]"}], 
      "]"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"rootPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "15"], "-", "1"}], "\[Equal]", "0"}], ",", "x", ",", 
   
   RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421848982977437*^9}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.4 Packages", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.4.1 Loading Packages", "Subsection",
 Hyphenation->False],

Cell[BoxData["$Packages"], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<BarCharts`\>\"", "]"}], ";", 
  RowBox[{"Needs", "[", "\"\<Histograms`\>\"", "]"}], ";", 
  RowBox[{"Needs", "[", "\"\<PieCharts`\>\"", "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData["$Packages"], "Input"],

Cell["Partial Update :", "Subsubsection",
 CellChangeTimes->{{3.421849143898946*^9, 3.421849147840928*^9}}],

Cell[BoxData[
 RowBox[{"Contexts", "[", "]"}]], "Input",
 CellChangeTimes->{{3.421849031814262*^9, 3.421849035714374*^9}}],

Cell[BoxData[
 RowBox[{"?", "Algebra`*"}]], "Input",
 CellChangeTimes->{{3.421907642931476*^9, 3.421907656472133*^9}}],

Cell["\<\
This context does not exist any more

?Graphics`Graphics`*\
\>", "Subsubsection",
 CellChangeTimes->{{3.421849007064039*^9, 3.421849009025985*^9}, {
  3.421849053918957*^9, 3.421849054842509*^9}, {3.421907670357897*^9, 
  3.421907709585492*^9}}],

Cell[BoxData[
 RowBox[{"?", "ListPolarPlot"}]], "Input",
 CellChangeTimes->{{3.421849104883269*^9, 3.421849110064211*^9}}],

Cell[BoxData[
 RowBox[{"Context", "[", "ListPolarPlot", "]"}]], "Input",
 CellChangeTimes->{{3.421849113872426*^9, 3.421849121404365*^9}}],

Cell["\<\
Not yet updated here : 
  Major changes
  This package does not exist any more\
\>", "Subsubsection",
 CellChangeTimes->{{3.421849301366723*^9, 3.421849309490277*^9}, {
  3.421907736502758*^9, 3.421907743738474*^9}}],

Cell[BoxData[
 RowBox[{"!!", "Graphics`Graphics`"}]], "Input",
 Evaluatable->False],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"CoordinatesToCartesian", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "}"}], ",", "Spherical"}], 
  "]"}]], "Input",
 Hyphenation->False],

Cell["\<\
x2rRule = Thread[{x,y,z} -> \
CoordinatesToCartesian[{r,\[Theta],\[Phi]},Spherical] ]\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"x", "^", "2"}], "+", 
    RowBox[{"y", "^", "2"}], "+", 
    RowBox[{"z", "^", "2"}]}], "/.", "x2rRule"}], "//", "Simplify"}]], "Input",\

 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.4.2 Contexts", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Contexts", "[", "]"}]], "Input"],

Cell["Context[ListPolarPlot]", "Input",
 CellChangeTimes->{{3.421849339040528*^9, 3.421849351063929*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Context[dummy]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Graphics`Graphics`*\"]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
dummy[x_]=x;
Protect[dummy];
 \
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["?dummy", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["1.4.3 Shadowing", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"EasterSunday", "[", "2002", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<Calendar`\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"EasterSunday", "[", "2002", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Context", "[", "EasterSunday", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Remove", "[", "EasterSunday", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Context", "[", "EasterSunday", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"EasterSunday", "[", "2002", "]"}]], "Input"]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.5 Calculus", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.5.1 Derivatives and Integrals", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", "x_", "]"}], "=", 
    RowBox[{"x", "^", "n"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"{", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"x", "^", "n"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"x", "^", "n"}], ",", "x"}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"f", "[", "x", "]"}], ",", "x"}], "]"}], ",", 
   RowBox[{
    RowBox[{"f", "'"}], "[", "x", "]"}]}], "}"}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"x", "^", "n"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "'"}], "[", "x", "]"}], ",", "x"}], "]"}], ",", 
   RowBox[{
    RowBox[{"f", "''"}], "[", "x", "]"}]}], "}"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"term1", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "^", "3"}], " ", 
      RowBox[{"y", "^", "4"}]}], "+", 
     RowBox[{"y", " ", 
      RowBox[{"x", "^", "5"}]}], "+", 
     RowBox[{"x", "/", 
      RowBox[{"y", "^", "3"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"D", "[", 
  RowBox[{"term1", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "2"}], "}"}], ",", "y"}], "]"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    SuperscriptBox["x", "a"], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"GenerateConditions", "\[Rule]", "True"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    SuperscriptBox["x", 
     RowBox[{"-", "1"}]], ",", "x"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    SuperscriptBox["x", "a"], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   SuperscriptBox["x", "a"], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Re", "[", "a", "]"}], ">", 
      RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Integrate", "[", " ", 
  RowBox[{"1", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", 
     SqrtBox[
      RowBox[{"1", "-", 
       SuperscriptBox["x", "2"]}]]}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{"z", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"x", " ", "y"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "0", ",", "x"}], " ", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", "0", ",", 
     RowBox[{"x", "  ", "y"}]}], "}"}]}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.5.2 Differential Equations", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"y", "''"}], "[", "t", "]"}], "+", 
     RowBox[{
      SuperscriptBox["\[Omega]", "2"], " ", 
      RowBox[{"y", "[", "t", "]"}]}]}], "\[Equal]", "0"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "v0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell["eq2= Append[initial,eq1]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eq2", ",", 
     RowBox[{"{", 
      RowBox[{"y", "[", "t", "]"}], "}"}], ",", "t"}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["1.5.3 Changing Variables and Pure Functions", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{
       RowBox[{"x", "''"}], "[", "t", "]"}]}], "+", 
     RowBox[{"b", " ", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"c", " ", 
      RowBox[{"x", "[", "t", "]"}]}]}], "\[Equal]", "0"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "+", "2"}]}], "}"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "/.", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "[", "#", "]"}], "+", "2"}], "&"}], ")"}]}], 
   "}"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "/.", 
  RowBox[{"{", 
   RowBox[{"x", "\[Rule]", 
    RowBox[{"Function", "[", 
     RowBox[{
      RowBox[{"{", "t", "}"}], ",", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "+", "2"}]}], "]"}]}], "}"}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "==", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "+", "2"}]}], "}"}], ",", "x", ",", 
    "t"}], "]"}], " ", "//", "Flatten"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.5.4 Numerical Solutions of Differential Equations  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "''"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"x", "[", "t", "]"}]}], "-", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], " ", 
        RowBox[{
         RowBox[{"y", "[", "t", "]"}], "^", "2"}]}]}]}], ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "''"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"y", "[", "t", "]"}]}], "-", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], " ", 
        RowBox[{
         RowBox[{"y", "[", "t", "]"}], "^", "2"}]}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "2"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ndsol", "=", 
  RowBox[{
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"eq1", ",", "initial"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input",
 CellTags->"S5.37.1"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "ndsol"}], " ", "//", 
    "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.02", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x[t]\>\"", ",", "\"\<y[t]\>\""}], "}"}]}], ",", 
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.421907858762496*^9, 3.421907859641582*^9}, 
   3.42190798998446*^9},
 Hyphenation->False],

Cell[BoxData[
 FormBox["", TraditionalForm]], "Input",
 CellChangeTimes->{
  3.421849422301245*^9, {3.42184946723241*^9, 3.421849491579302*^9}, 
   3.421849645408517*^9, 3.421852565597736*^9, 3.421907441534493*^9, 
   3.421907819409716*^9, {3.421907855390209*^9, 3.421907861150861*^9}, 
   3.421907993480731*^9}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "\[InvisibleSpace]", 
     "ndsol"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"y", "'"}], "[", "t", "]"}]}], "}"}], "/.", "ndsol"}], " ", "//",
     "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Dashing", "[", 
         RowBox[{"{", "0.02", "}"}], "]"}], ",", 
        RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421849509668226*^9},
 Hyphenation->False]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.6 Graphics   ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["1.6.1 Using the Plot Command", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Options", "[", "Plot", "]"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", "   ", 
  RowBox[{"Plot", "[", " ", 
   RowBox[{
    RowBox[{"1", " ", "/", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", "^", "2"}]}], ")"}]}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"x", ",", " ", 
      RowBox[{"-", "10"}], ",", " ", "10"}], "}"}], ",", "\n", "      \t", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"Hue", "[", "0.8", "]"}], ",", 
       RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421849515700294*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"colors", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "red", ",", "green", ",", "blue", ",", "cyan", ",", "magenta", ",", 
      "yellow"}], "}"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "1", ",", "0"}], "]"}], ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", "1"}], "]"}], ",", 
      RowBox[{"CMYKColor", "[", 
       RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"CMYKColor", "[", 
       RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "]"}], ",", 
      RowBox[{"CMYKColor", "[", 
       RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "]"}]}], "}"}]}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"i", " ", "x"}], " ", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "6"}], "}"}]}], "]"}], " ", "//", "Evaluate"}], " ",
     ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", "colors"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.421849524275703*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"n", "=", "13"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hues", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Hue", "[", 
        RowBox[{"i", "/", "n"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "n"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", " ", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"i", " ", "x"}], " ", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "n"}], "}"}]}], "]"}], " ", "//", "Evaluate"}], 
     " ", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "hues"}]}], " ", "]"}]}]}]], "Input",
 CellChangeTimes->{3.421849528556134*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["1.6.2 Animated Plots", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
frames=10;
Animate[
\tPlot[Cos[2 \[Pi] (x-t)],
\t{x,-2,2},
\tPlotRange->{-1,1},
\tAxes-> False],
{t,1/frames,1,1/frames}]\
\>", "Input",
 CellChangeTimes->{3.421852105313333*^9},
 Hyphenation->False,
 CellTags->"S5.25.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frames", "=", "1.1"}], ";"}], "\n", 
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"2", "\[Pi]", 
         RowBox[{"(", 
          RowBox[{"x", "-", "t"}], ")"}]}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{"2", "\[Pi]", 
         RowBox[{"(", 
          RowBox[{"x", "+", "t"}], ")"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"2", "\[Pi]", 
          RowBox[{"(", 
           RowBox[{"x", "-", "t"}], ")"}]}], "]"}], "+", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", "\[Pi]", 
          RowBox[{"(", 
           RowBox[{"x", "+", "t"}], ")"}]}], "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"blue", ",", "green", ",", 
        RowBox[{"{", 
         RowBox[{"red", ",", 
          RowBox[{"Thickness", "[", "0.008", "]"}]}], " ", "}"}]}], "}"}]}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"1", "/", "frames"}], ",", "1", ",", 
     RowBox[{"1", "/", "frames"}]}], "}"}]}], "]"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["1.6.3 Vector Field Plots", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"vector", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "x"}], ",", 
     RowBox[{"1", "/", "y"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"VectorFieldPlots`VectorFieldPlot", "[", 
  RowBox[{"vector", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "2"}], "}"}], ",", 
   RowBox[{"ScaleFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"1", "&"}], ")"}]}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "20"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421849553132707*^9, 3.421849557224595*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"VectorFieldPlots`GradientFieldPlot3D", "[", 
  RowBox[{
   FractionBox["1", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      SuperscriptBox["y", "2"], "+", 
      SuperscriptBox["z", "2"]}]]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "5"}], ",", "5", ",", "2"}], "}"}], ",", 
   RowBox[{"ScaleFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{"1", "&"}], ")"}]}], ",", 
   RowBox[{"VectorHeads", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421849568592105*^9, 3.421849569905825*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
1.6.4 Three-dimensional Graphics using Plot3D and ParametricPlot3D\
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sqrt", "[", 
     RowBox[{"x", "+", 
      RowBox[{"I", " ", "y"}]}], "]"}], "//", "Im"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "25"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Re\>\"", ",", "\"\<Im\>\"", ",", "\"\<\>\""}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421849575031605*^9}],

Cell[BoxData[
 RowBox[{"RevolutionPlot3D", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    SqrtBox[
     RowBox[{"r", " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}]]}]], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", 
     RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "25"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421849589371722*^9}],

Cell[BoxData[
 RowBox[{"SphericalPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SphericalHarmonicY", "[", 
      RowBox[{"2", ",", "0", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], " ", "//",
      "Abs"}], "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Phi]", ",", "0", ",", 
     RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "50"}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421849594665389*^9}],

Cell["\<\
ParametricPlot3D[{Cos[2t+\[Pi]/4]+t/100,2 Cos[2 t]+t/200,Cos[3 t]},{t,0,100}, \
PlotPoints-> 3000]\
\>", "Input",
 CellChangeTimes->{3.421849600548724*^9},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.7 Exercises", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 1: Real Expressions", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 2:  Series", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 3: Integration", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 4: Superposition of Waves", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 5: Tables of Zeros for Several Functions", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[{
 "Exercise 6:",
 StyleBox[" ",
  FontSize->12,
  FontColor->RGBColor[0, 0, 1]],
 "Plot of Roots"
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" eq1= x^7 + x^3 + x^2 + 1==0;  ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[TextData[{
 StyleBox["Exercise",
  FontColor->GrayLevel[0]],
 " ",
 StyleBox["7",
  FontColor->GrayLevel[0]],
 ":",
 StyleBox[" Coupled Equations",
  FontColor->GrayLevel[0]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True,
 FontColor->RGBColor[0.499992, 0, 0.499992]],

Cell[CellGroupData[{

Cell["Exercise 8: Statistical Data", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "=", 
   RowBox[{"RandomInteger", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "20"}], "}"}], ",", "1000"}], "]"}]}], ";"}]], "Input",\

 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell["Exercise 9: Differential Equation ", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 10: Coupled Differential Equations", "Subsubsection",
 Hyphenation->False],

Cell["\<\
Exercise 11: Trajectories and Vector Field Plots for Coupled Differential \
Equations\
\>", "Subsubsection",
 CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 12: Heat Equation", "Subsubsection",
 CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 13: Wave Equation", "Subsubsection",
 CellMargins->{{Inherited, Inherited}, {Inherited, 18}},
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Exercise 14: Fit to Data  ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{"#1", ",", 
          FractionBox["1", 
           SuperscriptBox["10", "3"]]}], "]"}], "&"}], ")"}], "[", 
      RowBox[{"N", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{
          RowBox[{"5", " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"3", " ", "\[Pi]", " ", "x"}], "]"}]}], "+", 
          RowBox[{"RandomReal", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}], "]"}]}]}], "}"}], 
       "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.5`", ",", "0.05`"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercise 15: Rules used to solve problems", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"0", ",", "100"}], "}"}], "]"}], "&"}], ")"}], "/@", 
    RowBox[{"Range", "[", "13", "]"}]}]}], ";"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercise 16: Procedures to select numbers", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"RandomReal", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "20"}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Exercise 17: Procedure to Select certain Pairs of Points", \
"Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"pairs", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1000", ",", "2"}], "}"}]}], "]"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell["Exercise 18: Change", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 19: Toss of a Die", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 LineSpacing->{1, 0},
 AspectRatioFixed->True],

Cell["Exercise 20: Three Dice", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[{
 "Exercise 21: ",
 StyleBox["Playing Darts and the Calculation of ",
  FontVariations->{"CompatibilityType"->0}],
 "\[Pi] "
}], "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"RandomReal", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"10", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421852420743935*^9, 3.421852460167064*^9}}],

Cell[BoxData[
 RowBox[{"list", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"RandomReal", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "10"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421852416829604*^9}]
}, Closed]],

Cell["Exercise 22: Dropping Needles", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Exercise 23: Pacal's Wager", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pairs", "=", 
  RowBox[{"RandomInteger", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1000", ",", "2"}], "}"}]}], "]"}]}]], "Input"]
}, Closed]],

Cell["Exercise 24: The birthday problem", "Subsubsection",
 Hyphenation->False]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{1280, 949},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Visible->True,
PrintingCopies->1,
PrintingPageRange->{1, 9999},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
InputAliases->{"notation" -> RowBox[{"Notation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], " ", 
       "\[DoubleLongLeftRightArrow]", " ", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "notation>" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], " ", 
       "\[DoubleLongRightArrow]", " ", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "notation<" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], " ", 
       "\[DoubleLongLeftArrow]", " ", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "symb" -> 
  RowBox[{"Symbolize", "[", 
     TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], "]"}], 
  "infixnotation" -> RowBox[{"InfixNotation", "[", 
     RowBox[{
       TagBox["\[SelectionPlaceholder]", "NotationTemplateTag"], ",", 
       "\[Placeholder]"}], "]"}], "addia" -> RowBox[{"AddInputAlias", "[", 
     RowBox[{"\"\[SelectionPlaceholder]\"", "\[Rule]", 
       TagBox["\[Placeholder]", "NotationTemplateTag"]}], "]"}], "pattwraper" -> 
  TagBox["\[SelectionPlaceholder]", "NotationPatternTag"], "madeboxeswraper" -> 
  TagBox["\[SelectionPlaceholder]", "NotationMadeBoxesTag"]},
Hyphenation->False,
SpellingOptions->{"AlwaysStop"->"RepeatedWords"},
SpellingDictionaries->{"CorrectWords"->{
 "descrete", "Poincar\[EAcute]", "Mandelbrot", "xo", "Gfixpt", "Gfixptpt", 
  "Lvalues", "Spoints", "fdata", "rdata", "returnpt", "diff", "Gder", "prob", 
  "Scobweb", "Svalues", "fder", "Lagrange's", "Lagrange", "qi", "Qi", "eq", 
  "eqin", "Ser", "eqs", "vars", "Diff", "zpsol", "zp", "perturbative", 
  "firstorderpert", "xfirst", "ro", "''", "Rx", "Ry", "Rz", "Eq", "Kepler", 
  "Keplerian", "Johannes", "Kepler's", "uo", "ee", "cterm", "plotorbit", 
  "num", "uforce", "ndsol", "ndsol.", "numorbit", "rrule", "Urule", "Lpt", 
  "tmax", "Mgraph", "fx", "fy", "tfinal", "hrule", "vxo", "vyo", "eqlist", 
  "Equi", "Lgraph", "jac", "nonrotating", "accreting", "Lagragian", "rl", 
  "zeropt", "yi", "yrs", "Ll", "freq", "invfreq", "xy", "tmoon", "Descrete", 
  "Poincare", "eigenfrequencies", "eigenfrequency", "eigenmatrix", 
  "nondiagonal", "iv.", "Vol", "km", "clusterdata", "Persus", "Cor", "Bor", 
  "dsol", "patt", "patt.", "expr", "simpexp", "seq", "eq.", "ith", "psl", 
  "ei", "crit", "lhs", "rhs.", "rhs", "lhs.", "nonanalytic", "shdw", "fac", 
  "mynsolve", "mysolve", "args", "args.", "wrsym", "optx", "ii", "iii", 
  "solvse", "eq1", "eqn", "bvalue", "bvalue.", "rootplot", "Coord", "zf", 
  "coeflist", "xlist", "myselect", "pts", "ptplot", "lapsol", "neq", "nsol", 
  "solset", "solplot", "vecplot", "soly", "solc", "Ext", "sumtrials", 
  "asctrials", "allpoints", "ptcircle", "redpoints", "Buffon's", "datapt", 
  "ptx", "pty", "th", "allneedles", "datalist", "amt", "imax", "iterator", 
  "Pi"}},
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions", "Subtitle"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 12], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellLabelMargins -> {{8, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 8], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          CellLabelMargins -> {{2, Inherited}, {Inherited, Inherited}}, 
          ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, CellFrameLabelMargins -> 
          6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], CellMargins -> {{12, Inherited}, {20, 40}}, 
             CellGroupingRules -> {"TitleGrouping", 0}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LineSpacing -> {1, 11}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontFamily -> 
             "Helvetica", FontSize -> 36, FontWeight -> "Bold"], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 40}}, LineSpacing -> {1, 0}, 
             FontSize -> 44], 
            Cell[
             StyleData["Title", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{2, 10}, {12, 30}}, FontSize -> 24]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 10}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 24], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 4}}, FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 18]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], 
             CellMargins -> {{12, Inherited}, {20, 15}}, 
             CellGroupingRules -> {"TitleGrouping", 20}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsubtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}}, FontFamily -> "Helvetica", FontSize -> 14, 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{24, 10}, {20, 20}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Subsubtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {8, 8}}, FontSize -> 12], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{2, 10}, {12, 8}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellDingbat -> "\[FilledSquare]", 
             CellMargins -> {{25, Inherited}, {8, 24}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LineSpacing -> {1, 7}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 16, FontWeight -> "Bold"],
             
            Cell[
             StyleData["Section", "Presentation"], 
             CellMargins -> {{40, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 24], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{18, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{13, 0}, {7, 22}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> "\[FilledSmallSquare]", 
             CellMargins -> {{22, Inherited}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Times", FontSize -> 14, FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{36, 10}, {11, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{16, Inherited}, {6, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 22}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> 
             "\[FilledSmallSquare]", 
             CellMargins -> {{22, Inherited}, {8, 18}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, DefaultNewInlineCellStyle -> "None", 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             LanguageCategory -> "NaturalLanguage", CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {11, 26}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{17, Inherited}, {6, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{9, 0}, {7, 14}}, FontSize -> 11]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{12, 10}, {7, 7}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", Inherited}, 
             Hyphenation -> True, LineSpacing -> {1, 3}, CounterIncrements -> 
             "Text"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {6, 6}},
              LineSpacing -> {1, 1}, FontSize -> 11], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{2, 2}, {6, 6}}, 
             TextJustification -> 0.5, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {6, 6}}, 
             DefaultNewInlineCellStyle -> "None", Hyphenation -> True, 
             LineSpacing -> {1, 3}, LanguageCategory -> "NaturalLanguage", 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{24, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             FontSize -> 12], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {5, 5}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{2, 2}, {5, 5}}, TextJustification -> 0.5, 
             FontSize -> 7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names. Some attributes for these styles are actually set in FormatType Styles \
(in the last section of this stylesheet). ", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellMargins -> {{45, 10}, {5, 7}}, 
             Evaluatable -> True, CellGroupingRules -> "InputGrouping", 
             CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
             FormatType -> InputForm, ShowStringCharacters -> True, 
             NumberMarks -> True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1},
              CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{72, Inherited}, {8, 10}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, 10}, {2, 3}}, FontSize -> 11], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{39, 0}, {4, 6}},
              LinebreakAdjustments -> {0.85, 2, 10, 1, 1}, FontSize -> 9]}, 
           Closed]], 
         Cell[
          StyleData["InputOnly"], Evaluatable -> True, CellGroupingRules -> 
          "InputGrouping", CellHorizontalScrolling -> True, DefaultFormatType -> 
          DefaultInputFormatType, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           AutoItalicWords -> {}, LanguageCategory -> "Mathematica", 
          FormatType -> InputForm, ShowStringCharacters -> True, NumberMarks -> 
          True, LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, 
          CounterIncrements -> "Input", StyleMenuListing -> None, FontWeight -> 
          "Bold"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellMargins -> {{47, 10}, {7, 5}}, 
             CellEditDuplicate -> True, CellGroupingRules -> "OutputGrouping",
              CellHorizontalScrolling -> True, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, DefaultFormatType -> 
             DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Output"], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{72, Inherited}, {10, 8}}, LineSpacing -> {1, 0},
              FontSize -> 16], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{41, Inherited}, {3, 2}}, FontSize -> 11], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{39, 0}, {6, 4}}, FontSize -> 9]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{45, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontSize -> 11, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 7, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{45, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, LanguageCategory -> None, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{72, Inherited}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 0}, FontSize -> 16], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{41, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 11], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{39, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{4, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, LanguageCategory -> 
             None, FormatType -> InputForm, CounterIncrements -> "Graphics", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             StyleMenuListing -> None, FontFamily -> "Courier", FontSize -> 
             10], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             ImageMargins -> {{62, Inherited}, {Inherited, 0}}], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             ImageMargins -> {{38, Inherited}, {Inherited, 0}}, Magnification -> 
             0.6], 
            Cell[
             StyleData["Graphics", "Printout"], 
             ImageMargins -> {{30, Inherited}, {Inherited, 0}}, Magnification -> 
             0.8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], LanguageCategory -> None, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             9, FontColor -> RGBColor[0, 0, 1]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 9], 
            Cell[
             StyleData["CellLabel", "Printout"], FontFamily -> "Courier", 
             FontSize -> 8, FontSlant -> "Italic", FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["SO10", "EnhancedPrintout"], StyleMenuListing -> None, 
             FontFamily -> "Futura", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Formulas and Programming", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["InlineFormula"], CellMargins -> {{10, 4}, {0, 8}}, 
             CellHorizontalScrolling -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 1, SingleLetterItalics -> True], 
            Cell[
             StyleData["InlineFormula", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["InlineFormula", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, LineSpacing -> {1, 1}, 
             FontSize -> 11], 
            Cell[
             StyleData["InlineFormula", "Printout"], 
             CellMargins -> {{2, 0}, {6, 6}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], 
             CellMargins -> {{42, Inherited}, {Inherited, Inherited}}, 
             CellHorizontalScrolling -> True, DefaultFormatType -> 
             DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             LineSpacing -> {1, 5}, FontSize -> 16], 
            Cell[
             StyleData["DisplayFormula", "Condensed"], LineSpacing -> {1, 1}, 
             FontSize -> 11], 
            Cell[
             StyleData["DisplayFormula", "Printout"], FontSize -> 10]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"], CellFrame -> {{0, 0}, {0.5, 0.5}}, 
             CellMargins -> {{10, 4}, {0, 8}}, CellHorizontalScrolling -> 
             True, Hyphenation -> False, LanguageCategory -> "Formula", 
             ScriptLevel -> 1, FontFamily -> "Courier"], 
            Cell[
             StyleData["Program", "Presentation"], 
             CellMargins -> {{24, 10}, {10, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16], 
            Cell[
             StyleData["Program", "Condensed"], 
             CellMargins -> {{8, 10}, {6, 6}}, LineSpacing -> {1, 1}, 
             FontSize -> 11], 
            Cell[
             StyleData["Program", "Printout"], 
             CellMargins -> {{2, 0}, {6, 6}}, FontSize -> 9]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Outline Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Outline1"], CellMargins -> {{12, 10}, {7, 7}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, 
             ParagraphIndent -> -38, CounterIncrements -> "Outline1", 
             FontSize -> 18, FontWeight -> "Bold", 
             CounterBoxOptions -> {CounterFunction :> CapitalRomanNumeral}], 
            Cell[
             StyleData["Outline1", "Printout"], 
             CounterBoxOptions -> {CounterFunction :> CapitalRomanNumeral}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Outline2"], CellMargins -> {{59, 10}, {7, 7}}, 
             CellGroupingRules -> {"SectionGrouping", 60}, 
             ParagraphIndent -> -27, CounterIncrements -> "Outline2", 
             FontSize -> 15, FontWeight -> "Bold", 
             CounterBoxOptions -> {CounterFunction :> (Part[
                 CharacterRange["A", "Z"], #]& )}], 
            Cell[
             StyleData["Outline2", "Printout"], 
             CounterBoxOptions -> {CounterFunction :> (Part[
                 CharacterRange["A", "Z"], #]& )}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Outline3"], CellMargins -> {{108, 10}, {7, 7}}, 
             CellGroupingRules -> {"SectionGrouping", 70}, 
             ParagraphIndent -> -21, CounterIncrements -> "Outline3", 
             FontSize -> 12, 
             CounterBoxOptions -> {CounterFunction :> Identity}], 
            Cell[
             StyleData["Outline3", "Printout"], 
             CounterBoxOptions -> {CounterFunction :> Identity}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Outline4"], CellMargins -> {{158, 10}, {7, 7}}, 
             CellGroupingRules -> {"SectionGrouping", 80}, 
             ParagraphIndent -> -18, CounterIncrements -> "Outline4", 
             FontSize -> 10, CounterBoxOptions -> {CounterFunction :> (Part[
                 CharacterRange["a", "z"], #]& )}], 
            Cell[
             StyleData["Outline4", "Printout"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
         "The following styles are for linking automatically to the on-line \
help system.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MainBookLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFrame -> "None", 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}], 
            Cell[
             StyleData["MainBookLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["MainBookLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["MainBookLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["AddOnsLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFrame -> "None", 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}], 
            Cell[
             StyleData["AddOnsLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["AddOnsLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["AddOnsLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFrame -> "None", 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["GettingStartedLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFrame -> "None", 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}], 
            Cell[
             StyleData["GettingStartedLink", "Presentation"], FontSize -> 16],
             
            Cell[
             StyleData["GettingStartedLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["GettingStartedLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OtherInformationLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, 
             FontVariations -> {"Underline" -> True}, FontColor -> 
             RGBColor[0, 0, 1], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFrame -> "None", 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}], 
            Cell[
             StyleData["OtherInformationLink", "Presentation"], FontSize -> 
             16], 
            Cell[
             StyleData["OtherInformationLink", "Condensed"], FontSize -> 11], 
            
            Cell[
             StyleData["OtherInformationLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 10, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          DefaultNewInlineCellStyle -> "None", LanguageCategory -> 
          "NaturalLanguage", StyleMenuListing -> None, FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 10]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Placeholder Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making placeholder objects \
in palette templates.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Placeholder"], Placeholder -> True, StyleMenuListing -> 
             None, FontSlant -> "Italic", FontColor -> 
             RGBColor[0.890623, 0.864698, 0.384756], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["Placeholder", "Presentation"]], 
            Cell[
             StyleData["Placeholder", "Condensed"]], 
            Cell[
             StyleData["Placeholder", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["PrimaryPlaceholder"], StyleMenuListing -> None, 
             DrawHighlighted -> True, FontSlant -> "Italic", Background -> 
             RGBColor[0.912505, 0.891798, 0.507774], 
             TagBoxOptions -> {
              Editable -> False, Selectable -> False, StripWrapperBoxes -> 
               False}], 
            Cell[
             StyleData["PrimaryPlaceholder", "Presentation"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Condensed"]], 
            Cell[
             StyleData["PrimaryPlaceholder", "Printout"]]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "The cells below define styles that are mixed in with the styles of \
most cells.  If a cell's FormatType matches the name of one of the styles \
defined below, then that style is applied between the cell's style and its \
own options. This is particularly true of Input and Output.", "Text"], 
         Cell[
          StyleData["CellExpression"], PageWidth -> Infinity, 
          CellMargins -> {{6, Inherited}, {Inherited, Inherited}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 12, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], InputAutoReplacements -> {}, 
          AllowInlineCells -> False, Hyphenation -> False, StyleMenuListing -> 
          None, FontFamily -> "Courier"], 
         Cell[
          StyleData["OutputForm"], PageWidth -> Infinity, TextAlignment -> 
          Left, LineSpacing -> {0.6, 1}, StyleMenuListing -> None, FontFamily -> 
          "Courier"], 
         Cell[
          StyleData["StandardForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          StyleMenuListing -> None, FontFamily -> "Courier"], 
         Cell[
          StyleData["TraditionalForm"], 
          InputAutoReplacements -> {
           "->" -> "\[Rule]", ":>" -> "\[RuleDelayed]", "<=" -> 
            "\[LessEqual]", ">=" -> "\[GreaterEqual]", "!=" -> "\[NotEqual]", 
            "==" -> "\[Equal]", Inherited}, LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, StyleMenuListing -> None], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text"], 
         Cell[
          StyleData["InlineCell"], LanguageCategory -> "Formula", ScriptLevel -> 
          1, StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Automatic Styles", "Section"], 
         Cell[
         "The cells below define styles that are used to affect the display \
of certain types of objects in typeset expressions.  For example, \
\"UnmatchedBracket\" style defines how unmatched bracket, curly bracket, and \
parenthesis characters are displayed (typically by coloring them to make them \
stand out).", "Text"], 
         Cell[
          StyleData["UnmatchedBracket"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.760006, 0.330007, 0.8]]}, Closed]]}, Open]], 
   Cell[
    CellGroupData[{
      Cell[
      "Notation Package Styles", "Section", GeneratedCell -> True, CellTags -> 
       "NotationPackage"], 
      Cell[
      "The cells below define certain styles needed by the Notation package. \
These styles serve to make visible otherwise invisible tagboxes.", "Text", 
       GeneratedCell -> True, CellTags -> "NotationPackage"], 
      Cell[
       StyleData["NotationTemplateStyle"], GeneratedCell -> True, 
       StyleMenuListing -> None, Background -> RGBColor[1, 1, 0.850004], 
       TagBoxOptions -> {SyntaxForm -> "symbol"}, CellTags -> 
       "NotationPackage"], 
      Cell[
       StyleData["NotationPatternWrapperStyle"], GeneratedCell -> True, 
       StyleMenuListing -> None, Background -> 
       RGBColor[1, 0.900008, 0.979995], 
       TagBoxOptions -> {SyntaxForm -> "symbol"}, CellTags -> 
       "NotationPackage"], 
      Cell[
       StyleData["NotationMadeBoxesWrapperStyle"], GeneratedCell -> True, 
       StyleMenuListing -> None, Background -> 
       RGBColor[0.900008, 0.889998, 1], 
       TagBoxOptions -> {SyntaxForm -> "symbol"}, CellTags -> 
       "NotationPackage"]}, Closed]]}, Visible -> False, FrontEndVersion -> 
  "6.0 for Linux x86 (32-bit) (June 19, 2007)", StyleDefinitions -> 
  "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Notation:S1"->{
  Cell[5112, 157, 142, 3, 29, "Input",
   CellTags->{"Notation:S1", "Notation:S1.1", "NotationDocumentation"},
   CellID->25990533]},
 "Notation:S1.1"->{
  Cell[5112, 157, 142, 3, 29, "Input",
   CellTags->{"Notation:S1", "Notation:S1.1", "NotationDocumentation"},
   CellID->25990533]},
 "NotationDocumentation"->{
  Cell[5112, 157, 142, 3, 29, "Input",
   CellTags->{"Notation:S1", "Notation:S1.1", "NotationDocumentation"},
   CellID->25990533]},
 "S5.37.1"->{
  Cell[43148, 1688, 99, 2, 29, "Input",
   CellTags->"S5.37.1"]},
 "S5.25.1"->{
  Cell[49018, 1892, 231, 11, 137, "Input",
   CellTags->"S5.25.1"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Notation:S1", 111137, 3401},
 {"Notation:S1.1", 111291, 3405},
 {"NotationDocumentation", 111453, 3409},
 {"S5.37.1", 111601, 3413},
 {"S5.25.1", 111681, 3416}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 7, 43, "Subsubsection"],
Cell[817, 32, 791, 15, 317, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1645, 52, 115, 2, 29, "Subsubsection"],
Cell[1763, 56, 1998, 34, 803, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3776, 93, 99, 3, 69, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3900, 100, 102, 3, 54, "Section",
 Evaluatable->False],
Cell[4005, 105, 115, 3, 47, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4145, 112, 126, 3, 31, "Subsection",
 Evaluatable->False],
Cell[4274, 117, 115, 5, 47, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[4426, 127, 252, 10, 31, "Subsection",
 Evaluatable->False],
Cell[4681, 139, 79, 2, 29, "Input"],
Cell[4763, 143, 232, 7, 29, "Input"],
Cell[4998, 152, 111, 3, 29, "Input"],
Cell[5112, 157, 142, 3, 29, "Input",
 CellTags->{"Notation:S1", "Notation:S1.1", "NotationDocumentation"},
 CellID->25990533],
Cell[5257, 162, 94, 2, 29, "Input"],
Cell[5354, 166, 188, 5, 29, "Input"],
Cell[5545, 173, 303, 10, 29, "Input"],
Cell[5851, 185, 599, 19, 52, "Input"],
Cell[6453, 206, 88, 2, 29, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6590, 214, 116, 3, 54, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[6731, 221, 118, 3, 47, "Subsection",
 Evaluatable->False],
Cell[6852, 226, 215, 7, 29, "Input"],
Cell[7070, 235, 208, 7, 29, "Input"],
Cell[7281, 244, 73, 2, 29, "Input"],
Cell[7357, 248, 76, 2, 29, "Input"],
Cell[7436, 252, 88, 2, 29, "Input"],
Cell[7527, 256, 76, 2, 29, "Input"],
Cell[7606, 260, 82, 2, 29, "Input"],
Cell[7691, 264, 250, 7, 29, "Input"],
Cell[7944, 273, 73, 2, 29, "Input"],
Cell[8020, 277, 145, 5, 29, "Input"],
Cell[8168, 284, 111, 4, 29, "Input"],
Cell[8282, 290, 89, 2, 29, "Input"],
Cell[8374, 294, 85, 2, 29, "Input"],
Cell[8462, 298, 346, 11, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[8845, 314, 118, 3, 31, "Subsection",
 Evaluatable->False],
Cell[8966, 319, 92, 2, 29, "Input"],
Cell[9061, 323, 77, 2, 29, "Input"],
Cell[9141, 327, 101, 2, 29, "Input"],
Cell[9245, 331, 78, 2, 29, "Input"],
Cell[9326, 335, 70, 1, 29, "Input"],
Cell[9399, 338, 80, 2, 29, "Input"],
Cell[9482, 342, 263, 8, 29, "Input"],
Cell[9748, 352, 584, 17, 29, "Input"],
Cell[10335, 371, 369, 11, 29, "Input"],
Cell[10707, 384, 112, 2, 29, "Input"],
Cell[10822, 388, 123, 2, 29, "Input"],
Cell[10948, 392, 414, 14, 29, "Input"],
Cell[11365, 408, 93, 2, 29, "Input"],
Cell[11461, 412, 102, 2, 29, "Input"],
Cell[11566, 416, 86, 2, 29, "Input"],
Cell[11655, 420, 241, 6, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[11933, 431, 106, 3, 31, "Subsection",
 Evaluatable->False],
Cell[12042, 436, 300, 10, 29, "Input"],
Cell[12345, 448, 174, 6, 29, "Input"],
Cell[12522, 456, 219, 7, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[12778, 468, 107, 3, 31, "Subsection",
 Evaluatable->False],
Cell[12888, 473, 221, 7, 29, "Input"],
Cell[13112, 482, 222, 7, 29, "Input"],
Cell[13337, 491, 262, 7, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[13636, 503, 72, 0, 31, "Subsection"],
Cell[13711, 505, 166, 5, 29, "Input"],
Cell[13880, 512, 80, 2, 29, "Input"],
Cell[13963, 516, 140, 4, 29, "Input"],
Cell[14106, 522, 114, 2, 29, "Input"],
Cell[14223, 526, 84, 2, 29, "Input"],
Cell[14310, 530, 88, 2, 29, "Input"],
Cell[14401, 534, 441, 12, 52, "Input"],
Cell[14845, 548, 229, 6, 29, "Input"],
Cell[15077, 556, 214, 5, 29, "Input"],
Cell[15294, 563, 214, 5, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15545, 573, 63, 0, 31, "Subsection"],
Cell[15611, 575, 215, 6, 29, "Input"],
Cell[15829, 583, 222, 6, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[16088, 594, 79, 1, 31, "Subsection"],
Cell[16170, 597, 344, 11, 29, "Input"],
Cell[16517, 610, 103, 3, 29, "Input"],
Cell[16623, 615, 100, 3, 29, "Input"],
Cell[16726, 620, 124, 4, 29, "Input"],
Cell[16853, 626, 149, 5, 29, "Input"],
Cell[17005, 633, 266, 9, 29, "Input"],
Cell[17274, 644, 260, 8, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[17571, 657, 114, 3, 31, "Subsection",
 Evaluatable->False],
Cell[17688, 662, 89, 2, 29, "Input"],
Cell[17780, 666, 83, 2, 29, "Input"],
Cell[17866, 670, 77, 2, 29, "Input"],
Cell[17946, 674, 85, 2, 29, "Input"],
Cell[18034, 678, 104, 3, 29, "Input"],
Cell[18141, 683, 105, 3, 29, "Input"],
Cell[18249, 688, 374, 14, 29, "Input"],
Cell[18626, 704, 182, 6, 29, "Input"],
Cell[18811, 712, 175, 6, 29, "Input"],
Cell[18989, 720, 353, 11, 29, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[19391, 737, 114, 3, 54, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[19530, 744, 67, 1, 47, "Subsection"],
Cell[19600, 747, 486, 16, 29, "Input"],
Cell[20089, 765, 170, 5, 29, "Input"],
Cell[20262, 772, 67, 2, 29, "Input"],
Cell[20332, 776, 68, 2, 29, "Input"],
Cell[20403, 780, 236, 8, 29, "Input"],
Cell[20642, 790, 80, 2, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[20759, 797, 117, 3, 31, "Subsection",
 Evaluatable->False],
Cell[20879, 802, 153, 5, 29, "Input"],
Cell[21035, 809, 55, 1, 29, "Input"],
Cell[21093, 812, 261, 8, 52, "Input"],
Cell[21357, 822, 536, 16, 74, "Input"],
Cell[21896, 840, 132, 4, 29, "Input"],
Cell[22031, 846, 202, 6, 52, "Input"],
Cell[22236, 854, 45, 1, 29, "Input"],
Cell[22284, 857, 45, 1, 29, "Input"],
Cell[22332, 860, 58, 1, 29, "Input"],
Cell[22393, 863, 60, 1, 29, "Input"],
Cell[22456, 866, 309, 9, 52, "Input"],
Cell[22768, 877, 272, 8, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[23077, 890, 63, 1, 31, "Subsection"],
Cell[23143, 893, 362, 12, 52, "Input"],
Cell[23508, 907, 298, 11, 52, "Input"],
Cell[23809, 920, 419, 13, 52, "Input"],
Cell[24231, 935, 220, 8, 29, "Input"],
Cell[24454, 945, 276, 10, 29, "Input"],
Cell[24733, 957, 165, 5, 29, "Input"],
Cell[24901, 964, 192, 6, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[25130, 975, 142, 3, 31, "Subsection",
 Evaluatable->False],
Cell[25275, 980, 118, 6, 65, "Input"],
Cell[25396, 988, 108, 2, 29, "Input"],
Cell[25507, 992, 98, 2, 29, "Input"],
Cell[25608, 996, 89, 2, 29, "Input"],
Cell[25700, 1000, 114, 5, 47, "Input"],
Cell[25817, 1007, 114, 5, 47, "Input"],
Cell[25934, 1014, 112, 3, 29, "Input"],
Cell[26049, 1019, 112, 3, 29, "Input"],
Cell[26164, 1024, 93, 2, 29, "Input"],
Cell[26260, 1028, 112, 3, 29, "Input"],
Cell[26375, 1033, 1006, 31, 74, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[27418, 1069, 101, 3, 31, "Subsection",
 Evaluatable->False],
Cell[27522, 1074, 685, 18, 140, "Input"],
Cell[28210, 1094, 115, 3, 29, "Input"],
Cell[28328, 1099, 90, 2, 29, "Input"],
Cell[28421, 1103, 690, 18, 140, "Input"],
Cell[29114, 1123, 141, 4, 29, "Input"],
Cell[29258, 1129, 116, 3, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29411, 1137, 36, 0, 31, "Subsection"],
Cell[29450, 1139, 134, 6, 65, "Input"],
Cell[29587, 1147, 334, 11, 29, "Input"],
Cell[29924, 1160, 167, 4, 29, "Input"],
Cell[30094, 1166, 857, 25, 74, "Input"],
Cell[30954, 1193, 264, 8, 29, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[31267, 1207, 98, 3, 54, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[31390, 1214, 65, 1, 47, "Subsection"],
Cell[31458, 1217, 35, 0, 29, "Input"],
Cell[31496, 1219, 253, 6, 29, "Input"],
Cell[31752, 1227, 35, 0, 29, "Input"],
Cell[31790, 1229, 107, 1, 43, "Subsubsection"],
Cell[31900, 1232, 122, 2, 26, "Input"],
Cell[32025, 1236, 118, 2, 29, "Input"],
Cell[32146, 1240, 255, 7, 79, "Subsubsection"],
Cell[32404, 1249, 122, 2, 26, "Input"],
Cell[32529, 1253, 138, 2, 29, "Input"],
Cell[32670, 1257, 226, 6, 79, "Subsubsection"],
Cell[32899, 1265, 83, 2, 26, "Input",
 Evaluatable->False],
Cell[32985, 1269, 101, 2, 29, "Input"],
Cell[33089, 1273, 201, 6, 29, "Input"],
Cell[33293, 1281, 156, 5, 29, "Input"],
Cell[33452, 1288, 219, 8, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[33708, 1301, 103, 3, 31, "Subsection",
 Evaluatable->False],
Cell[33814, 1306, 56, 1, 29, "Input"],
Cell[33873, 1309, 151, 3, 29, "Input"],
Cell[34027, 1314, 77, 2, 29, "Input"],
Cell[34107, 1318, 82, 2, 29, "Input"],
Cell[34192, 1322, 93, 2, 29, "Input"],
Cell[34288, 1326, 101, 6, 65, "Input"],
Cell[34392, 1334, 82, 2, 29, "Input"],
Cell[34477, 1338, 69, 2, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[34583, 1345, 104, 3, 31, "Subsection",
 Evaluatable->False],
Cell[34690, 1350, 68, 1, 29, "Input"],
Cell[34761, 1353, 74, 1, 29, "Input"],
Cell[34838, 1356, 68, 1, 29, "Input"],
Cell[34909, 1359, 71, 1, 29, "Input"],
Cell[34983, 1362, 70, 1, 29, "Input"],
Cell[35056, 1365, 71, 1, 29, "Input"],
Cell[35130, 1368, 68, 1, 29, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[35247, 1375, 98, 3, 54, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[35370, 1382, 120, 3, 47, "Subsection",
 Evaluatable->False],
Cell[35493, 1387, 605, 21, 74, "Input"],
Cell[36101, 1410, 372, 13, 29, "Input"],
Cell[36476, 1425, 496, 17, 74, "Input"],
Cell[36975, 1444, 259, 7, 29, "Input"],
Cell[37237, 1453, 158, 5, 29, "Input"],
Cell[37398, 1460, 260, 7, 29, "Input"],
Cell[37661, 1469, 346, 11, 29, "Input"],
Cell[38010, 1482, 289, 9, 44, "Input"],
Cell[38302, 1493, 452, 14, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[38791, 1512, 117, 3, 31, "Subsection",
 Evaluatable->False],
Cell[38911, 1517, 272, 9, 29, "Input"],
Cell[39186, 1528, 280, 10, 29, "Input"],
Cell[39469, 1540, 87, 2, 29, "Input"],
Cell[39559, 1544, 235, 8, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[39831, 1557, 132, 3, 31, "Subsection",
 Evaluatable->False],
Cell[39966, 1562, 377, 13, 29, "Input"],
Cell[40346, 1577, 212, 7, 29, "Input"],
Cell[40561, 1586, 236, 9, 29, "Input"],
Cell[40800, 1597, 278, 10, 29, "Input"],
Cell[41081, 1609, 277, 9, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[41395, 1623, 142, 3, 31, "Subsection",
 Evaluatable->False],
Cell[41540, 1628, 745, 26, 29, "Input"],
Cell[42288, 1656, 472, 16, 29, "Input"],
Cell[42763, 1674, 382, 12, 29, "Input"],
Cell[43148, 1688, 99, 2, 29, "Input",
 CellTags->"S5.37.1"],
Cell[43250, 1692, 1022, 31, 96, "Input"],
Cell[44275, 1725, 312, 6, 29, "Input"],
Cell[44590, 1733, 383, 12, 29, "Input"],
Cell[44976, 1747, 745, 25, 52, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[45770, 1778, 101, 3, 54, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[45896, 1785, 117, 3, 47, "Subsection",
 Evaluatable->False],
Cell[46016, 1790, 102, 3, 29, "Input"],
Cell[46121, 1795, 603, 18, 52, "Input"],
Cell[46727, 1815, 812, 22, 74, "Input"],
Cell[47542, 1839, 482, 15, 29, "Input"],
Cell[48027, 1856, 842, 26, 96, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[48906, 1887, 109, 3, 31, "Subsection",
 Evaluatable->False],
Cell[49018, 1892, 231, 11, 137, "Input",
 CellTags->"S5.25.1"],
Cell[49252, 1905, 1548, 45, 140, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[50837, 1955, 113, 3, 31, "Subsection",
 Evaluatable->False],
Cell[50953, 1960, 173, 6, 29, "Input"],
Cell[51129, 1968, 146, 4, 29, "Input"],
Cell[51278, 1974, 517, 13, 52, "Input"],
Cell[51798, 1989, 146, 4, 29, "Input"],
Cell[51947, 1995, 775, 22, 95, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52759, 2022, 163, 5, 31, "Subsection",
 Evaluatable->False],
Cell[52925, 2029, 712, 19, 96, "Input"],
Cell[53640, 2050, 558, 15, 44, "Input"],
Cell[54201, 2067, 648, 16, 52, "Input"],
Cell[54852, 2085, 211, 6, 29, "Input"]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55112, 2097, 99, 3, 54, "Section",
 Evaluatable->False],
Cell[55214, 2102, 120, 3, 43, "Subsubsection",
 Evaluatable->False],
Cell[55337, 2107, 65, 1, 29, "Subsubsection"],
Cell[55405, 2110, 69, 1, 29, "Subsubsection"],
Cell[55477, 2113, 80, 1, 29, "Subsubsection"],
Cell[55560, 2116, 95, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[55680, 2121, 200, 9, 29, "Subsubsection",
 Evaluatable->False],
Cell[55883, 2132, 94, 2, 29, "Input"]
}, Closed]],
Cell[55992, 2137, 312, 13, 29, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[56329, 2154, 74, 1, 29, "Subsubsection"],
Cell[56406, 2157, 238, 9, 29, "Input"]
}, Closed]],
Cell[56659, 2169, 80, 1, 29, "Subsubsection"],
Cell[56742, 2172, 89, 1, 29, "Subsubsection"],
Cell[56834, 2175, 242, 7, 29, "Subsubsection",
 Evaluatable->False],
Cell[57079, 2184, 175, 4, 29, "Subsubsection",
 Evaluatable->False],
Cell[57257, 2190, 175, 4, 29, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[57457, 2198, 118, 3, 29, "Subsubsection",
 Evaluatable->False],
Cell[57578, 2203, 833, 27, 81, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[58448, 2235, 87, 1, 29, "Subsubsection"],
Cell[58538, 2238, 300, 10, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[58875, 2253, 87, 1, 29, "Subsubsection"],
Cell[58965, 2256, 278, 9, 29, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[59280, 2270, 150, 4, 29, "Subsubsection",
 Evaluatable->False],
Cell[59433, 2276, 289, 10, 29, "Input"]
}, Closed]],
Cell[59737, 2289, 65, 1, 29, "Subsubsection"],
Cell[59805, 2292, 140, 4, 29, "Subsubsection",
 Evaluatable->False],
Cell[59948, 2298, 69, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[60042, 2303, 181, 6, 29, "Subsubsection"],
Cell[60226, 2311, 272, 8, 29, "Input"],
Cell[60501, 2321, 346, 11, 29, "Input"]
}, Closed]],
Cell[60862, 2335, 75, 1, 29, "Subsubsection"],
Cell[CellGroupData[{
Cell[60962, 2340, 72, 1, 29, "Subsubsection"],
Cell[61037, 2343, 222, 7, 29, "Input"]
}, Closed]],
Cell[61274, 2353, 79, 1, 29, "Subsubsection"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
