(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    154603,       4754]
NotebookOptionsPosition[    139842,       4325]
NotebookOutlinePosition[    141722,       4369]
CellTagsIndexPosition[    141679,       4366]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["4. NonLinear Oscillating Systems", "Title",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Introduction", "Section",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], ";"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell["4.1 Nonlinear Pendulum  ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of the Nonlinear Pendulum", "Subsection",
 Hyphenation->False],

Cell["Initialization of User-Defined Functions:", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["\<\
1. User-defined procedure for the Pendulum's angle-time graph  \
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"anglePend", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Theta]0_", ",", "d\[Theta]0_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Gamma]_", ",", "f0_", ",", "\[Omega]0_", ",", "\[Omega]d_"}],
       "}"}], ",", "tmax_", ",", "step_", ",", " ", "opts___"}], "]"}], ":=", 
   "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "temp", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"temp", "=", 
       RowBox[{
        RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"d\[Theta]", "'"}], "[", "t", "]"}], "+", 
              RowBox[{"\[Gamma]", "  ", 
               RowBox[{"d\[Theta]", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"\[Omega]0", "^", "2"}], "  ", 
               RowBox[{"Sin", "[", 
                RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
             RowBox[{"f0", " ", 
              RowBox[{"Cos", "[", 
               RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], " ", ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              SuperscriptBox["\[Theta]", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
             RowBox[{"d\[Theta]", "[", "t", "]"}]}], ",", 
            RowBox[{
             RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
            ",", 
            RowBox[{
             RowBox[{"d\[Theta]", "[", "0", "]"}], "==", "d\[Theta]0"}]}], 
           "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"d\[Theta]", "[", "t", "]"}], ",", 
            RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
          RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
         "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", " ", 
           RowBox[{"\[Theta]", "[", "t", "]"}], "  ", "}"}], "/.", "temp"}], 
         "  ", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        "\[IndentingNewLine]", "opts"}], "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{3.424418434701555*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["2. User-defined procedure for the Pendulum's Phase diagram", \
"Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"phasePend", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "d\[Theta]0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "f0_", ",", "\[Omega]0_", ",", "\[Omega]d_"}], 
     "}"}], ",", "tmax_", ",", "step_", ",", " ", "opts___"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp", "=", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"d\[Theta]", "'"}], "[", "t", "]"}], "+", 
             RowBox[{"\[Gamma]", "  ", 
              RowBox[{"d\[Theta]", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]0", "^", "2"}], "  ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], " ", ",", "  ", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"d\[Theta]", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
           ",", 
           RowBox[{
            RowBox[{"d\[Theta]", "[", "0", "]"}], "==", "d\[Theta]0"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"numgraph", "=", "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "t", "]"}], " ", ",", 
            RowBox[{"d\[Theta]", "[", "t", "]"}]}], "}"}], "/.", "temp"}], 
         " ", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        "\[IndentingNewLine]", "opts"}], "]"}]}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424418445590859*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
3. User-defined procedure for the Pendulum's Poincar\[EAcute] diagram \
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"poincarePend", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "d\[Theta]0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "f0_", ",", "\[Omega]0_", ",", "\[Omega]d_"}], 
     "}"}], ",", " ", "start_", ",", "tmax_", ",", "step_", ",", " ", 
    "opts___"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"temp1", ",", "temp2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp1", "=", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"d\[Theta]", "'"}], "[", "t", "]"}], "+", 
             RowBox[{"\[Gamma]", "  ", 
              RowBox[{"d\[Theta]", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]0", "^", "2"}], "  ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], ",", "  ", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"d\[Theta]", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
           ",", 
           RowBox[{
            RowBox[{"d\[Theta]", "[", "0", "]"}], "==", "d\[Theta]0"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"temp2", "=", " ", 
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"\[Theta]", "[", "t", "]"}], " ", ",", 
           RowBox[{"d\[Theta]", "[", "t", "]"}]}], "}"}], "/.", "temp1"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "start", ",", "tmax", ",", 
          RowBox[{"2", " ", 
           RowBox[{"\[Pi]", "/", "\[Omega]d"}]}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"temp2", ",", " ", 
       RowBox[{"PlotStyle", "->", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], ",", "opts"}], "]"}]}]}], 
   "\[IndentingNewLine]", "  ", "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
4. User-defined procedure to map the pendulum to the interval -\[Pi]  and  \
\[Pi]\
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"reduce", "[", "x_", "]"}], " ", "=", " ", 
   RowBox[{"Mod", "[", 
    RowBox[{"x", " ", ",", " ", 
     RowBox[{"2", "\[Pi]"}], ",", 
     RowBox[{"-", "\[Pi]"}]}], "]"}], " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"reduce", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{
      RowBox[{"-", "4"}], "\[Pi]"}], " ", ",", 
     RowBox[{"4", " ", "\[Pi]"}]}], "}"}], ",", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"i", " ", "\[Pi]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", 
          RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}], ",", "None"}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424417676129074*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
5. User-defined procedure for the Pendulum's reduced angle-time graph \
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"anglePendR", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "d\[Theta]0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "f0_", ",", "\[Omega]0_", ",", "\[Omega]d_"}], 
     "}"}], ",", "tmax_", ",", "step_", ",", " ", "opts___"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp", "}"}], ",", 
    RowBox[{
     RowBox[{"temp", "=", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"d\[Theta]", "'"}], "[", "t", "]"}], "+", 
             RowBox[{"\[Gamma]", "  ", 
              RowBox[{"d\[Theta]", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]0", "^", "2"}], "  ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], " ", ",", "  ", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"d\[Theta]", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
           ",", 
           RowBox[{
            RowBox[{"d\[Theta]", "[", "0", "]"}], "==", "d\[Theta]0"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"reduce", "[", 
         RowBox[{
          RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "temp"}], "]"}], " ", "//",
         "Evaluate"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
       "\[IndentingNewLine]", "opts"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424418458171901*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
6. User-defined procedure for the Pendulum's reduced phase diagram  \
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"phasePendR", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "d\[Theta]0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "f0_", ",", "\[Omega]0_", ",", "\[Omega]d_"}], 
     "}"}], ",", "tmax_", ",", "step_", ",", " ", "opts___"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp", "}"}], ",", 
    RowBox[{
     RowBox[{"temp", "=", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"d\[Theta]", "'"}], "[", "t", "]"}], "+", 
             RowBox[{"\[Gamma]", "  ", 
              RowBox[{"d\[Theta]", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]0", "^", "2"}], "  ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], " ", ",", "  ", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"d\[Theta]", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
           ",", 
           RowBox[{
            RowBox[{"d\[Theta]", "[", "0", "]"}], "==", "d\[Theta]0"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"reduce", "[", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "temp"}], " ", "]"}], 
          ",", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], "/.", "temp"}]}], "}"}], "//",
         "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
       "\[IndentingNewLine]", "opts"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424418463494889*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
7. User-defined procedure for the Pendulum's reduced Poincar\[EAcute] diagram\
\
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"poincarePendR", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "d\[Theta]0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "f0_", ",", "\[Omega]0_", ",", "\[Omega]d_"}], 
     "}"}], ",", " ", "start_", ",", "tmax_", ",", "step_", ",", " ", 
    "opts___"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"temp1", ",", "temp2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp1", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"d\[Theta]", "'"}], "[", "t", "]"}], "+", 
             RowBox[{"\[Gamma]", "  ", 
              RowBox[{"d\[Theta]", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]0", "^", "2"}], "  ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], " ", ",", "  ", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"d\[Theta]", "[", "t", "]"}]}], ",", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
           ",", 
           RowBox[{
            RowBox[{"d\[Theta]", "[", "0", "]"}], "==", "d\[Theta]0"}]}], 
          "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"t", ",", " ", "0", ",", "tmax"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
     "\[IndentingNewLine]", "\n", 
     RowBox[{"temp2", "=", " ", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"reduce", "[", " ", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "temp1"}], "]"}], " ", 
          ",", 
          RowBox[{
           RowBox[{"d\[Theta]", "[", "t", "]"}], "/.", "temp1"}]}], "}"}], 
        " ", ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"t", ",", "start", ",", "tmax", ",", 
          RowBox[{"2", " ", 
           RowBox[{"\[Pi]", "/", "\[Omega]d"}]}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"temp2", ",", 
       RowBox[{"PlotStyle", "->", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], ",", "opts"}], "]"}]}]}], 
   "\[IndentingNewLine]", "  ", "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["8. Protect User-defined procedures", "Subsubsection",
 Hyphenation->False],

Cell["\<\
Protect[anglePend,phasePend,poincarePend,
reduce,anglePendR,phasePendR,poincarePendR];\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Off[Clear::wrsym]; 
Off[SetDelayed::write];\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 1: Analytic Solution for the Planar Pendulum ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and Outline: ", "Subsubsection",
 Hyphenation->False,
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False,
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part a ",
 FontWeight->"Bold"]], "Subsubsection",
 Hyphenation->False,
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[
 RowBox[{"NLeq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "''"}], "[", "t", "]"}], "+", 
    RowBox[{
     RowBox[{"g", "/", "L"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "\[Equal]", 
   "0"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"En", "\[Equal]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]", "'"}], "[", "t", "]"}], 
       RowBox[{"NLeq", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], " ", "//", "ExpandAll"}], "//", 
     RowBox[{
      RowBox[{"Integrate", "[", 
       RowBox[{"#", ",", "t"}], "]"}], "&"}]}], ")"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Erule", "=", 
   RowBox[{"{", 
    RowBox[{"En", "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "g"}], "/", " ", "L"}], "  ", 
      RowBox[{"Cos", "[", "\[Theta]0", "]"}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"En", "/.", "Erule"}], "/.", 
  RowBox[{"{", 
   RowBox[{"\[Theta]0", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "\[Pi]"}], "}"}]}], "}"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"eq1", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"g", "\[Rule]", "1"}], ",", 
         RowBox[{"L", "\[Rule]", "1"}]}], "}"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "t", "]"}], " ", "\[Rule]", 
        RowBox[{"\[Theta]p", "[", "t", "]"}]}], "}"}]}], "//", "Evaluate"}], 
    ",", " ", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"-", "4"}], "\[Pi]"}], ",", " ", 
      RowBox[{"4", "  ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]p", "[", "t", "]"}], ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}], " ", ",", "\[IndentingNewLine]", 
    
    RowBox[{"Contours", "\[Rule]", 
     RowBox[{"Range", "[", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "3", ",", "0.5"}], "]"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Pi]", "  ", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"-", "4"}], ",", "4"}], "  ", "]"}]}], ",", "Automatic"}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", " ", "\[IndentingNewLine]",
     
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424418632434123*^9, 3.424418643599074*^9}, 
   3.424418729995942*^9, {3.424418787947986*^9, 3.424418791150792*^9}, 
   3.424418834292807*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt", ",", " ", "\[IndentingNewLine]", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", ".2", "]"}], ",", 
      RowBox[{"PointSize", "[", ".02", "]"}], ",", 
      RowBox[{"Map", "[", 
       RowBox[{"Point", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", "  ", 
           RowBox[{
            RowBox[{"\[Pi]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", "#"}], "+", "1"}], ")"}]}], ",", "0"}], " ", 
           "}"}], " ", "&"}], "/@", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "1"}], "]"}]}]}], "]"}]}], "}"}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", ".8", "]"}], ",", 
      RowBox[{"PointSize", "[", ".03", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Map", "[", 
       RowBox[{"Point", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", " ", "\[Pi]", "#"}], ",", "0"}], " ", "}"}], " ", 
          "&"}], "/@", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "]"}]}]}], "]"}]}], "}"}], "]"}]}],
   "]"}]], "Input",
 CellChangeTimes->{3.42441768916005*^9},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"cylind", "=", " ", 
    RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"v", ",", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], ",", 
        RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", 
        RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"v", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", "cylind", "]"}]}], "Input",
 CellChangeTimes->{{3.424417699188196*^9, 3.424417702113656*^9}, 
   3.424418940905773*^9},
 Hyphenation->False],

Cell[BoxData["pt"], "Input",
 CellChangeTimes->{{3.424418980370235*^9, 3.424418980487314*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   StyleBox["(*",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox[
     RowBox[{"Does", " ", "not", " ", 
      RowBox[{"work", ":", " ", 
       RowBox[{
       "depends", " ", "on", " ", "internal", " ", "structure", " ", "of", 
        " ", 
        RowBox[{"graphics", ":", "\[IndentingNewLine]", 
         RowBox[{"Needs", " ", "major", " ", "revision"}]}]}]}]}],
     FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", "  ", 
     RowBox[{"cylind", ",", "\[IndentingNewLine]", 
      RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"AbsoluteThickness", "[", "3", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{
            RowBox[{"Graphics", "[", "pt", "]"}], ",", "_Line", ",", 
            "Infinity"}], "]"}], "/.", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[Theta]_", " ", ",", "v_"}], "}"}], ":>", 
           RowBox[{"{", 
            RowBox[{"v", ",", 
             RowBox[{"1.02", "  ", 
              RowBox[{"Cos", "[", "\[Theta]", " ", "]"}]}], ",", 
             RowBox[{"1.02", 
              RowBox[{"Sin", "[", "\[Theta]", " ", "]"}]}]}], " ", 
            "}"}]}]}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", " ", 
      RowBox[{"ViewPoint", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "*)"}]}]], "Input",
 CellChangeTimes->{
  3.424417709784819*^9, {3.424419021105186*^9, 3.424419042536668*^9}, {
   3.424419072980644*^9, 3.424419077715907*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq1", ",", 
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "t", "]"}]}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], " ", "/.", "Erule"}], "//", 
    "Simplify"}], "//", "PowerExpand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq3", "=", "  ", 
   RowBox[{"t", "==", 
    RowBox[{"Integrate", "[", "  ", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{
         RowBox[{"\[Theta]", "'"}], "[", "t", "]"}]], "//.", "eq2"}], " ", 
      ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "t", "]"}], ",", "0", ",", "\[Theta]"}], 
       "}"}], ",", 
      RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}]}]}], " ", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.424419125656075*^9, 3.42441913176184*^9}, {
  3.424419414897564*^9, 3.424419416535613*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "For", " ", "Version", " ", "6", " ", "we", " ", "need", " ", "to", " ", 
    "massage", " ", "by", " ", "hand", " ", "a", " ", "bit"}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"tTmp", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"t", "^", "2"}], " ", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"eq3", ",", "t"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], " ", "//", "FullSimplify"}], " ", "//",
      "Sqrt"}], " ", "//", "PowerExpand"}]}]}]], "Input",
 CellChangeTimes->{{3.424423569524569*^9, 3.424423656367648*^9}}],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", 
  RowBox[{"t", " ", "\[Equal]", " ", "tTmp"}]}]], "Input",
 CellChangeTimes->{{3.42442362937397*^9, 3.424423634736886*^9}}],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"eq3", ",", "\[Theta]", ",", 
     RowBox[{"InverseFunctions", "\[Rule]", "True"}]}], " ", "]"}], "//", 
   "Flatten", " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"NL\[Theta]sol", "[", 
   RowBox[{"t1_", ",", "\[Theta]1_", ",", "\[Omega]_"}], " ", "]"}], " ", "=",
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Theta]", " ", "/.", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq3", ",", "\[Theta]", ",", 
        RowBox[{"InverseFunctions", "\[Rule]", "True"}]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "\[Rule]", "t1"}], ",", 
      RowBox[{"\[Theta]0", "\[Rule]", "\[Theta]1"}], ",", 
      RowBox[{"g", "\[Rule]", "  ", 
       RowBox[{"L", " ", 
        SuperscriptBox["\[Omega]", "2"]}]}]}], " ", "}"}]}], " ", "//", 
   "PowerExpand", " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"NLeq", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "/.", 
    RowBox[{"\[Theta]", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"NL\[Theta]sol", "[", 
         RowBox[{"#", ",", "\[Theta]0", " ", ",", "\[Omega]"}], "  ", "]"}], 
        ")"}], "&"}], ")"}]}]}], "/.", 
   RowBox[{"g", "\[Rule]", 
    RowBox[{
     SuperscriptBox["\[Omega]", "2"], " ", "L"}]}]}], "//", 
  "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"initial", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Theta]", "[", "0", "]"}], ",", 
       RowBox[{
        RowBox[{"\[Theta]", "'"}], "[", "0", "]"}]}], "}"}], "\[Equal]", 
     "\[IndentingNewLine]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"NL\[Theta]sol", "[", 
        RowBox[{"0", ",", "\[Theta]0", ",", "\[Omega]"}], "]"}], " ", ",", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"NL\[Theta]sol", "[", 
          RowBox[{"t", ",", "\[Theta]0", ",", "\[Omega]"}], "]"}], ",", "t"}],
         "]"}]}], "}"}]}], "/.", 
    RowBox[{"t", "\[Rule]", "0"}]}], "//", "Thread"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", " ", 
   RowBox[{"Table", "[", " ", 
    RowBox[{
     RowBox[{"NL\[Theta]sol", "[", 
      RowBox[{"t", " ", ",", 
       RowBox[{"i", " ", "\[Pi]"}], ",", "1"}], " ", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0.1", " ", ",", "0.9", " ", ",", "0.2"}], "}"}]}], 
    "]"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"list", "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "16"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", 
           RowBox[{"#", "/", "100"}], "]"}], ",", 
          RowBox[{"Hue", "[", "#", "]"}]}], "}"}], "&"}], " ", "/@", " ", 
       RowBox[{"Range", "[", 
        RowBox[{"0.1", ",", "0.9", ",", "0.2"}], "]"}]}], "//", "Evaluate"}], 
     ")"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{3.424417720491723*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part c",
 FontWeight->"Bold"]], "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq3", "[", 
   RowBox[{"[", "2", "]"}], "]"}], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{"\[Theta]", "->", "\[Theta]0"}], "}"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"period", "=", " ", 
  RowBox[{
   RowBox[{"4", " ", 
    RowBox[{"eq3", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", "->", "\[Theta]0"}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"period", " ", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"g", "\[Rule]", "1"}], ",", 
        RowBox[{"L", "\[Rule]", "1"}]}], "}"}]}], " ", "//", "Re"}], " ", "//",
     "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"\[Theta]0", ",", "0.0", " ", ",", "\[Pi]"}], " ", "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\[Theta]0\>\"", ",", "\"\<Period\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", ".6", "]"}], ",", 
      RowBox[{"Thickness", "[", ".01", "]"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Pi]", "/", "4"}], 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "4", ",", "1"}], "]"}]}], ",", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "10", ",", "2"}], "]"}]}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Pi]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"10", " ", "\[Pi]"}]}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", ".8", "]"}], ",", 
      RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Pi]", ",", 
           RowBox[{"2", "\[Pi]"}]}], "}"}]}], "}"}], " ", "]"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.424417727846094*^9, 3.424417728275002*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Leq", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Theta]", "''"}], "[", "t", "]"}], "+", 
     RowBox[{
      RowBox[{"g", "/", "L"}], " ", 
      RowBox[{"\[Theta]", "[", "t", "]"}]}]}], "\[Equal]", "0"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"L\[Theta]sol", "[", 
   RowBox[{"t1_", ",", "\[Theta]o_", ",", "\[Omega]_"}], " ", "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "[", "t", "]"}], "/.", 
     RowBox[{
      RowBox[{"DSolve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Leq", ",", 
          RowBox[{
           RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"\[Theta]", "'"}], "[", "0", "]"}], "\[Equal]", 
           RowBox[{"2", " ", "\[Omega]", " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"\[Theta]0", "/", "2"}], "]"}]}]}]}], "}"}], ",", 
        RowBox[{"\[Theta]", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"t", "\[Rule]", "t1"}], ",", 
      RowBox[{"\[Theta]0", "\[Rule]", "\[Theta]o"}], " ", ",", 
      RowBox[{"g", "\[Rule]", "  ", 
       RowBox[{"L", " ", 
        RowBox[{"\[Omega]", "^", "2"}]}]}]}], "   ", "}"}]}], "//", 
   "PowerExpand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", "  ", 
      RowBox[{
       RowBox[{"L\[Theta]sol", "[", 
        RowBox[{"t", ",", 
         RowBox[{"\[Pi]", "/", "2"}], ",", "1"}], "]"}], ",", " ", 
       RowBox[{"NL\[Theta]sol", "[", 
        RowBox[{"t", ",", 
         RowBox[{"\[Pi]", "/", "2"}], ",", "1"}], "]"}]}], "}"}], " ", "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"4", " ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"1.00", ",", "0.00"}], "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", 
           RowBox[{"0.06", ",", "0.03"}], "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "0.001", "]"}]}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Frame", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424423751824009*^9, 3.424423754436973*^9}},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Lpts", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"#", ",", " ", 
           RowBox[{"L\[Theta]sol", "[", 
            RowBox[{"#", ",", 
             RowBox[{"\[Pi]", "/", "2"}], ",", "1"}], "]"}]}], "}"}], "&"}], 
        "  ", "/@", "  ", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", 
          RowBox[{"4", " ", "\[Pi]"}], ",", ".5"}], "]"}]}], "//", 
       "Flatten"}], "//", 
      RowBox[{
       RowBox[{"Partition", "[", 
        RowBox[{"#", ",", "2"}], "]"}], "&"}]}], "//", "Chop"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NLpts", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", " ", 
          RowBox[{"NL\[Theta]sol", "[", 
           RowBox[{"#", ",", 
            RowBox[{"\[Pi]", "/", "2"}], ",", "1"}], "]"}]}], "}"}], "&"}], "/@",
        
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", 
         RowBox[{"4", " ", "\[Pi]"}], ",", ".5"}], "]"}]}], "//", "Flatten"}],
      "//", 
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{"#", ",", "2"}], "]"}], "&"}]}], "//", "Chop"}]}], 
  ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{"pt1", ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", ".6", "]"}], ",", 
      RowBox[{"PointSize", "[", ".02", "]"}], ",", 
      RowBox[{"Map", "[", " ", 
       RowBox[{"Point", ",", 
        RowBox[{"Join", "[", 
         RowBox[{"NLpts", " ", ",", "Lpts"}], " ", "]"}]}], "]"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424417737895991*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part e   ",
 FontWeight->"Bold"]], "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"?", "Fourier"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"fourierdataNL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"NL\[Theta]sol", "[", 
       RowBox[{"t", ",", 
        RowBox[{"0.99", "\[Pi]"}], " ", ",", "1"}], "]"}], " ", "//", "N"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100", ",", 
       RowBox[{"100", "/", "511"}]}], "}"}]}], "]"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ptNL", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Fourier", "[", "fourierdataNL", "]"}], " ", "//", "Abs"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Hue", "[", 
      RowBox[{"RandomReal", "[", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424418386165488*^9, 3.424418395788227*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"ptNL", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "45"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "8"}], " ", "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.424417763102829*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"fourierdataL", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"L\[Theta]sol", "[", 
       RowBox[{"t", ",", 
        RowBox[{".99", "\[Pi]"}], " ", ",", "1"}], "]"}], " ", "//", "N"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "100", ",", 
       RowBox[{"100", "/", "511"}]}], "}"}]}], "]"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ptL", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Fourier", "[", "fourierdataL", "]"}], " ", "//", "Abs"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Joined", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", ".01", "]"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "45"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "10"}], " ", "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"ptNL", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424417786966226*^9, 3.424417790131658*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Damped Pendulum ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["\[Theta]", "\[DoublePrime]",
           MultilineFunction->None], "[", "t", "]"}], "+", 
         RowBox[{"\[Gamma]", "  ", 
          RowBox[{
           SuperscriptBox["\[Theta]", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"\[Omega]0", "^", "2"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "==", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", 
        RowBox[{".9", "\[Pi]"}]}], ",", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[Theta]", "\[Prime]",
          MultilineFunction->None], "[", "0", "]"}], "\[Equal]", "0"}]}], 
      "}"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Gamma]", "\[Rule]", "0.2"}], ",", 
       RowBox[{"\[Omega]0", "\[Rule]", "1"}]}], "}"}]}], "//", "Flatten"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"solDP", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", " ", 
     RowBox[{"eq1", ",", " ", 
      RowBox[{"\[Theta]", "[", "t", "]"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "40"}], "}"}]}], "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "solDP"}], "   ", "//", 
    "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "40"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
      RowBox[{"Hue", "[", 
       RowBox[{"RandomReal", "[", "]"}], "]"}]}], "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.424417826690095*^9, 3.424417829547122*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"angle", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "v0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "\[Omega]0_"}], "}"}], ",", "tmax_", ",", " ", 
    "opts___"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "numsol", "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"numsol", "=", "\[IndentingNewLine]", 
      RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[DoublePrime]",
              MultilineFunction->None], "[", "t", "]"}], "+", 
            RowBox[{"\[Gamma]", "  ", 
             RowBox[{
              SuperscriptBox["\[Theta]", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{"\[Omega]0", "^", "2"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "==", "0"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
          ",", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[Theta]", "\[Prime]",
             MultilineFunction->None], "[", "0", "]"}], "==", "v0"}]}], "}"}],
         ",", 
        RowBox[{"\[Theta]", "[", "t", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"numgraph", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "numsol"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", "opts"}], 
       "]"}]}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.424423834564056*^9, 3.424423843489798*^9}, 
   3.424423996954848*^9, {3.424424063459499*^9, 3.424424076554234*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"grlist", "=", "  ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"angle", "[", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "#"}], "}"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"0.3", ",", "1"}], "}"}], ",", "23", ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", ".01", "]"}], ",", 
         RowBox[{"Hue", "[", 
          RowBox[{"RandomReal", "[", "]"}], "]"}]}], " ", "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Pi]", " ", 
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "8", ",", "2"}], "]"}]}], ",", 
         RowBox[{"2", " ", "\[Pi]", "  ", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "2"}], " ", "]"}]}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], " ", "\[IndentingNewLine]", 
     "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "6"}], ",", 
     RowBox[{"-", "3"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", "3", ",", "6"}], "}"}], 
   " "}]}]], "Input",
 CellChangeTimes->{{3.424417839661433*^9, 3.424417849707023*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", "grlist", "]"}]], "Input",
 CellChangeTimes->{3.424417858850767*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "solDP"}], ",", 
      RowBox[{"D", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]", "[", "t", "]"}], "/.", "solDP"}], " ", ",", 
        "t"}], "]"}]}], " ", "}"}], " ", "//", "Evaluate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "40"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "2", ",", 
         RowBox[{"1", "/", "4"}]}], "]"}]}], ",", "Automatic"}], "}"}]}], ",",
    "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", ".8", "]"}], ",", 
      RowBox[{"Thickness", "[", ".009", "]"}]}], " ", "}"}]}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{3.42441786624096*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"phase", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Theta]0_", ",", "v0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Gamma]_", ",", "\[Omega]0_"}], "}"}], ",", "tmax_", ",", " ", 
    "opts___"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "numsol", "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"numsol", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"v", "'"}], "[", "t", "]"}], "+", 
             RowBox[{"\[Gamma]", "  ", 
              RowBox[{"v", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"\[Omega]0", "^", "2"}], "  ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Theta]", "[", "t", "]"}], "]"}]}]}], "==", "0"}], 
           " ", ",", "  ", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Theta]", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"v", "[", "t", "]"}]}], ",", "\[IndentingNewLine]", " ", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", "\[Theta]0"}], 
           ",", 
           RowBox[{
            RowBox[{"v", "[", "0", "]"}], "==", "v0"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"v", "[", "t", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", " ", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}], "//", 
       "Flatten"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"numgraph", "=", 
      RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"\[Theta]", "[", "t", "]"}], " ", ",", 
            RowBox[{"v", "[", "t", "]"}]}], "}"}], "/.", "numsol"}], " ", "//",
          "Evaluate"}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        "\[IndentingNewLine]", "opts"}], "]"}]}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424423861060687*^9, 3.424424147122918*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", "\[IndentingNewLine]", 
  RowBox[{"phase", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{".2", ",", "1"}], "}"}], ",", "40", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", ".009", "]"}], ",", 
       RowBox[{"Hue", "[", ".7", "]"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"Ticks", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"\[Pi]", "  ", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", "4"}], " ", "]"}]}], ",", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "2"}], ",", "4"}], " ", "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", " ", 
    RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424423868616078*^9, 3.424423870232*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"phlist", "=", "  ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"phase", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "#"}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{".3", ",", "1"}], "}"}], ",", "23", ",", "\[IndentingNewLine]",
       
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", ".008", "]"}], ",", 
         RowBox[{"Hue", "[", 
          RowBox[{"RandomReal", "[", "]"}], "]"}]}], " ", "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Pi]", " ", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{"-", "8"}], ",", "8", ",", "2"}], "]"}]}], ",", 
         RowBox[{"Range", "[", 
          RowBox[{
           RowBox[{"-", "6"}], ",", "6"}], " ", "]"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], "  ", "\[IndentingNewLine]", 
     "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "6"}], ",", 
     RowBox[{"-", "3"}], ",", 
     RowBox[{"-", "1"}], ",", "1", ",", "3", ",", "6"}], "}"}], 
   " "}]}]], "Input",
 CellChangeTimes->{{3.42441787311096*^9, 3.424417873518813*^9}, 
   3.424424158174907*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", 
  RowBox[{"Show", "[", "  ", 
   RowBox[{"phlist", " ", ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}], " "}]], "Input",
 CellChangeTimes->{{3.424417884885531*^9, 3.424417892691022*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"list", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"3", "+", "#"}]}], "}"}], "&"}], "/@", 
     RowBox[{"Range", "[", 
      RowBox[{
       RowBox[{"-", "0.51"}], " ", ",", "0.51", " ", ",", "0.2"}], "]"}]}]}], 
   ";"}], "  "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"grlist", "=", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"phase", "[", 
     RowBox[{"#", ",", 
      RowBox[{"{", 
       RowBox[{".2", ",", "1"}], "}"}], ",", "155", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Thickness", "[", ".005", "]"}], ",", 
         RowBox[{"Hue", "[", ".9", "]"}]}], "}"}]}]}], "  ", 
     "\[IndentingNewLine]", "]"}], "&"}], " ", "/@", " ", "list", 
   " "}]}]], "Input",
 CellChangeTimes->{3.424424175520952*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt3", "=", 
  RowBox[{"Show", "[", "\[IndentingNewLine]", 
   RowBox[{"grlist", ",", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", " ", "\[Pi]", " ", "#"}], ",", "0"}], "}"}], " ", 
        "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "2"}], "]"}]}], " ", "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
    RowBox[{"Ticks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Pi]", " ", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", "4"}], " ", "]"}]}], ",", "  ", 
       RowBox[{
        RowBox[{"\[Pi]", " ", "/", "4"}], " ", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", "4"}], " ", "]"}]}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.424417902565233*^9, 3.424417903831084*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt4", "=", 
  RowBox[{"VectorFieldPlot", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{"y", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", ".2"}], "y"}], " ", "-", 
       RowBox[{"1", "  ", 
        RowBox[{"Sin", "[", "x", "]"}]}]}]}], "   ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", " ", 
      RowBox[{"5", "  ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "1"}], ",", " ", "5"}], "}"}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", "\[IndentingNewLine]", 
    RowBox[{"ScaleFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{".4", "#"}], "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"ScaleFactor", "\[Rule]", "None"}]}], " ", "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424417926865726*^9, 3.42441794435773*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", " ", 
  RowBox[{"pt4", ",", "pt1", ",", "pt3"}], "]"}]], "Input",
 CellChangeTimes->{3.424417961018098*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Problem 3: P", "Subsection"],
 "eriodic Solutions for the Driven Pendulum "
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a   ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"anglePend", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"0", ",", 
        RowBox[{"#", "   ", "\[Pi]"}]}], " ", "}"}], ",", 
      RowBox[{"{", " ", 
       RowBox[{".5", "  ", ",", "1", " ", ",", "1", ",", 
        RowBox[{"2", "/", "3"}]}], "}"}], ",", "100", " ", ",", "5000", " ", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Pi]", " ", 
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "20", " ", ",", "5"}], "]"}]}], ",", 
         RowBox[{"\[Pi]", " ", 
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "10", " ", ",", "2"}], " ", "]"}]}]}], "}"}]}], 
      ",", " ", "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}]}]}], " ", 
     "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"3", "/", "2"}], ",", "2", ",", "3"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424417968383824*^9, 3.424417972977556*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", "pt1", "]"}]], "Input",
 CellChangeTimes->{3.424417981447002*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"phasePend", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"0", ",", 
        RowBox[{"#", " ", "\[Pi]"}]}], "}"}], ",", 
      RowBox[{"{", " ", 
       RowBox[{".5", "  ", ",", "1", " ", ",", "1", ",", 
        RowBox[{"2", "/", "3"}]}], "}"}], ",", "400", " ", ",", "5000", " ", 
      ",", " ", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<\[Theta]\>\"", ",", "\"\<\[Theta]'\>\""}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Pi]", " ", 
          RowBox[{"Range", "[", 
           RowBox[{"0", ",", "6"}], "   ", "]"}]}], ",", " ", "Automatic"}], 
        "}"}]}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}]}]}], "   ", 
     "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"3", "/", "2"}], ",", "2", ",", "3"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424417987171351*^9, 3.424417991473928*^9}, {
  3.424426694068888*^9, 3.42442669539313*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt2", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "\[Pi]"}], ",", 
        RowBox[{"8", "\[Pi]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "\[Pi]"}], ",", 
        RowBox[{"3", "\[Pi]"}]}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.424417999353829*^9, {3.42442671254624*^9, 3.424426769468406*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt3", "=", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"poincarePend", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"0", ",", 
         RowBox[{"#", " ", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"{", " ", 
        RowBox[{".5", "  ", ",", "1", " ", ",", "1", ",", 
         RowBox[{"2", "/", "3"}]}], "}"}], ",", "100", ",", " ", "400", " ", 
       ",", "5000", " ", ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "25"}], ",", "25"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], " ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], " ", 
      "\[IndentingNewLine]", "]"}], "&"}], " ", "/@", "  ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", 
      RowBox[{"3", "/", "2"}], ",", "2", ",", "3"}], "}"}]}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"pt3", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.424418010485273*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", " ", "pt3", "]"}]], "Input",
 CellChangeTimes->{{3.424418018044621*^9, 3.424418019081755*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Problem 4: ", "Subsection"],
 "Looping Solutions for the Driven Pendulum "
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a   ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", "\[IndentingNewLine]", 
  RowBox[{"anglePend", "[", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], " ", ",", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", "1.44", " ", ",", "1", ",", 
      RowBox[{"2", "/", "3"}]}], "}"}], ",", "50", " ", ",", "10000", " ", 
    ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
    RowBox[{"Ticks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{
        RowBox[{"-", "\[Pi]"}], " ", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", "10", ",", "2"}], "  ", "]"}]}]}], " ", "}"}]}], 
    ",", " ", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", " ", 
     RowBox[{"{", "  ", 
      RowBox[{"Thickness", "[", ".01", "]"}], "}"}]}]}], " ", 
   "\[IndentingNewLine]", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.424424237869927*^9, 3.424424249057561*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", "  ", "\[IndentingNewLine]", 
  RowBox[{"anglePendR", "[", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], "  ", ",", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", "1.44", ",", "1", ",", 
      RowBox[{"2", "/", "3"}]}], "}"}], ",", "50", ",", "6000", " ", ",", 
    RowBox[{"Ticks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Pi]", " ", 
        RowBox[{"Range", "[", 
         RowBox[{"0", ",", "20", " ", ",", " ", "5"}], "]"}]}], ",", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "30"}], ",", "0", " ", ",", "5"}], " ", "]"}]}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", "  ", 
     RowBox[{"Thickness", "[", ".01", "]"}]}]}], " ", "\[IndentingNewLine]", 
   "]"}], " "}]], "Input",
 CellChangeTimes->{3.424424254255994*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", "  ", 
  RowBox[{"eq1", ",", "eq2", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.424418027748123*^9, {3.424424266840025*^9, 3.424424271619943*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", "\[IndentingNewLine]", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"#", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}], "  ", ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"1", "/", "2"}], ",", "1.44", "  ", ",", "1", ",", 
        RowBox[{"2", "/", "3"}]}], "}"}], ",", "100", " ", ",", "6000", " ", 
      ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", "None"}], ",", 
      RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}]}], ",", "\[IndentingNewLine]",
       
      RowBox[{"AspectRatio", "\[Rule]", 
       RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", "]"}], 
    " ", "&"}], " ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{"phasePend", ",", "phasePendR"}], "}"}], " "}]}]], "Input",
 CellChangeTimes->{{3.424418032528802*^9, 3.424418035628762*^9}, {
  3.424426795245994*^9, 3.424426800335956*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "eq3", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424424287576025*^9, 3.424424289318365*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", " ", 
  RowBox[{
   RowBox[{"eq3", "[", 
    RowBox[{"[", "2", "]"}], "]"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "0"}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424418050465292*^9, 3.424418055891289*^9}},
 Hyphenation->False],

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"poincarePend", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], "  ", ",", "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", "1.44", " ", ",", "1", ",", 
      RowBox[{"2", "/", "3"}]}], "}"}], ",", "400", ",", "500", " ", ",", 
    "6000"}], "  ", "]"}], " "}]], "Input",
 CellChangeTimes->{3.424424322016168*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"poincarePendR", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], " ", ",", "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", "1.44", " ", ",", "1", ",", 
      RowBox[{"2", "/", "3"}]}], "}"}], ",", "400", ",", "500", " ", ",", 
    "6000"}], "  ", "]"}], " "}]], "Input",
 CellChangeTimes->{3.424424326434328*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 5: Chaotic motion for the Driven Pendulum  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part a",
 FontWeight->"Bold"]], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eq1", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"anglePend", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", " ", 
         RowBox[{"0.2", ",", " ", "#", ",", "1", ",", "0.694"}], "}"}], ",", 
        "50", " ", ",", "10000", " ", ",", 
        RowBox[{"PlotRange", "\[Rule]", "All"}]}], "  ", 
       "\[IndentingNewLine]", "]"}], "&"}], " ", "/@", "  ", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "0.3", ",", "0.1"}], "]"}]}]}], " ", ";"}], 
  "   "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"eq1", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.42441806705213*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"phasePend", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"0.2", ",", "#", ",", "1", ",", "0.694"}], "}"}], " ", ",", 
      "  ", "600", " ", ",", "10000", " ", ",", " ", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "All"}], " ", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", " ", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Pi]", " ", 
          RowBox[{"Range", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "/", "2"}], ",", 
            RowBox[{"1", "/", "2"}], ",", 
            RowBox[{"1", "/", "4"}]}], "]"}]}], ",", "None"}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "100"}]}], " ", "\[IndentingNewLine]", 
     "]"}], "&"}], " ", "/@", "  ", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", "0.3", ",", "0.1"}], "]"}]}]}]], "Input",
 CellChangeTimes->{3.424424372859267*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"eq2", ",", "2"}], "]"}], "]"}], " ", "]"}]], "Input",
 CellChangeTimes->{
  3.424418073487586*^9, {3.424424384092238*^9, 3.424424384258955*^9}, {
   3.424426833699838*^9, 3.424426851639652*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"poincarePend", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", " ", 
        RowBox[{"0.2", ",", "#", ",", "1", ",", "0.694"}], "}"}], " ", ",", 
       " ", "500", ",", "  ", "600", " ", ",", "10000", " ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", " ", "\[Rule]", "False"}], "  ", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], " ", ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], " ", 
      "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "  ", 
    RowBox[{"Range", "[", 
     RowBox[{"0", ",", "0.3", ",", "0.1"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424424392937537*^9, 3.424424402216493*^9}, {
   3.424424464170435*^9, 3.424424496224284*^9}, 3.424426915690876*^9, {
   3.424426962401018*^9, 3.424426987520618*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"eq3", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.424418080562214*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part b ",
 FontWeight->"Bold"]], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"anglePend", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "0.69", ",", "1", ",", "0.694"}], "}"}], ",", 
   "200", " ", ",", "10000", " ", ",", "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{"0", ",", "2", ",", 
         RowBox[{"1", "/", "2"}]}], " ", "]"}]}]}], "}"}]}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "150"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.424424507345078*^9, 3.42442450929496*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"phasePend", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "0.69", ",", "1", ",", "0.694"}], "}"}], ",", 
   "  ", "700", " ", ",", "8000", " ", ",", " ", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424424515155562*^9, 3.42442451599083*^9}, {
  3.424424564314044*^9, 3.424424625284212*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"poincarePend", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "0.69", ",", "1", ",", "0.694"}], "}"}], ",", 
   "  ", "200", ",", "700", " ", ",", "10000", " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "5"}], " ", ",", "10"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}]}], " ", 
  "]"}]], "Input",
 CellChangeTimes->{{3.424424539775831*^9, 3.424424542838282*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"anglePend", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{"0.2", ",", " ", "0.74", " ", ",", "1", ",", "0.694"}], "}"}], 
    ",", "300", " ", ",", "12000", " ", ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Ticks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", 
       RowBox[{"\[Pi]", " ", 
        RowBox[{"Range", "[", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5", ",", "1"}], "  ", "]"}]}]}], 
      "}"}]}]}], " ", "\[IndentingNewLine]", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.424424643359237*^9, 3.424424647051854*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"phasePendR", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", " ", ",", " ", "0.83", " ", ",", "1", ",", "0.694"}], 
    "}"}], ",", "  ", "300", " ", ",", "10000", " ", ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{3.424424652647978*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"poincarePendR", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{"0.2", ",", " ", "0.8", ",", "1", ",", "0.694"}], "}"}], ",", 
    "100", ",", "  ", "300", " ", ",", "10000", " ", ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424424658047664*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"anglePend", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "0.982", " ", ",", "1", ",", "0.694"}], "}"}], 
   ",", "50", " ", ",", "12000", " ", ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1", ",", 
         RowBox[{"1", "/", "2"}]}], "  ", "]"}]}]}], "}"}]}]}], " ", 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.42442466316353*^9, 3.42442466493329*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"anglePendR", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "0.982", " ", ",", "1", ",", "0.694"}], "}"}], 
   ",", "50", " ", ",", "12000", " ", ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<\[Theta]\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1", ",", 
         RowBox[{"1", "/", "2"}]}], "  ", "]"}]}]}], "}"}]}]}], " ", 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.42442467001808*^9, 3.42442467106592*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"phasePend", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "1", " ", ",", "0.982", " ", ",", "0.694"}], 
    "}"}], ",", "  ", "300", " ", ",", "12000", " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "150"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424424676606138*^9, 3.42442469655269*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", 
  RowBox[{"phasePendR", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{"0.2", ",", " ", "1", " ", ",", "0.982", " ", ",", "0.694"}], 
     "}"}], ",", "  ", "300", " ", ",", "12000", " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "150"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424424703078189*^9, 3.424424704270985*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", " ", 
  RowBox[{"pt1", ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"1", ",", "3"}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424418090523884*^9, 3.424418095917147*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"poincarePendR", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"\[Pi]", "/", "2"}], ",", "0"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{"0.2", ",", " ", "1", " ", ",", "0.985", ",", "0.694"}], "}"}], 
   ",", "200", ",", "300", " ", ",", "12000", "  ", ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], " ", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}]}], " ", 
  "]"}]], "Input",
 CellChangeTimes->{{3.424418100506044*^9, 3.424418105033652*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["4.2 Duffing Equation   ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of the Duffing Equation", "Subsection",
 Hyphenation->False],

Cell["Initializations for the Duffing Equation", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["\<\
1. User-defined procedure to plot the Duffing displacement motion\
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"dispDuff", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q0_", ",", "p0_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_", ",", "c_", ",", "f0_", ",", "wd_"}], "}"}], 
     ",", "tmax_", ",", "step_", ",", " ", "opts___"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "temp", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"temp", "=", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"p", "'"}], "[", "t", "]"}], "-", 
              RowBox[{"a", " ", 
               RowBox[{"q", "[", "t", "]"}]}], "+", 
              RowBox[{"b", " ", 
               RowBox[{
                RowBox[{"q", "[", "t", "]"}], "^", "3"}]}], "+", 
              RowBox[{"c", "  ", 
               RowBox[{"p", "[", "t", "]"}]}]}], " ", "\[Equal]", 
             RowBox[{"f0", "  ", 
              RowBox[{"Cos", "[", 
               RowBox[{"t", " ", "wd"}], "]"}]}]}], ",", "  ", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              SuperscriptBox["q", "\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
             RowBox[{"p", "[", "t", "]"}]}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"q", "[", "0", "]"}], "\[Equal]", "q0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"p", "[", "0", "]"}], "\[Equal]", "p0"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"p", "[", "t", "]"}], ",", 
            RowBox[{"q", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]",
           
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
         "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"numgraph", "=", " ", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", " ", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"q", "[", "t", "]"}], "/.", "temp"}], " ", "//", 
          "Evaluate"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", "opts"}], 
        "]"}]}]}]}], "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.424424786662825*^9, 3.424424805213501*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["2. User-defined procedure to plot the Duffing phase  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"phaseDuff", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"q0_", ",", "p0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_", ",", "c_", ",", "f0_", ",", "\[Omega]d_"}], 
     "}"}], ",", "tmax_", ",", "step_", ",", " ", "opts___"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "temp", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"p", "'"}], "[", "t", "]"}], "-", 
             RowBox[{"a", "  ", 
              RowBox[{"q", "[", "t", "]"}]}], "+", 
             RowBox[{"b", " ", 
              RowBox[{
               RowBox[{"q", "[", "t", "]"}], "^", "3"}]}], " ", "+", 
             RowBox[{"c", " ", 
              RowBox[{"p", "[", "t", "]"}]}]}], "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], " ", ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["q", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"p", "[", "t", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"q", "[", "0", "]"}], "\[Equal]", "q0"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"p", "[", "0", "]"}], "\[Equal]", "p0"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p", "[", "t", "]"}], ",", 
           RowBox[{"q", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"q", "[", "t", "]"}], " ", ",", 
           RowBox[{"p", "[", "t", "]"}]}], "}"}], "/.", "temp"}], " ", "//", 
        "Evaluate"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
       "\[IndentingNewLine]", "opts"}], "]"}]}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{3.424424821342594*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
3. User-defined procedure to plot the Duffing Poincar\[EAcute] map\
\>", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"poincareDuff", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"q0_", ",", "p0_"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_", ",", "c_", ",", "f0_", ",", "\[Omega]d_"}], 
     "}"}], ",", " ", "start_", ",", "tmax_", ",", "step_", ",", " ", 
    "opts___"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"temp1", ",", "temp2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"temp1", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"NDSolve", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"p", "'"}], "[", "t", "]"}], "-", 
             RowBox[{"a", "  ", 
              RowBox[{"q", "[", "t", "]"}]}], "+", 
             RowBox[{"b", " ", 
              RowBox[{
               RowBox[{"q", "[", "t", "]"}], "^", "3"}]}], "+", 
             RowBox[{"c", "  ", 
              RowBox[{"p", "[", "t", "]"}]}]}], " ", "\[Equal]", 
            RowBox[{"f0", " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "\[Omega]d"}], "]"}]}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             SuperscriptBox["q", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], " ", "\[Equal]", 
            RowBox[{"p", "[", "t", "]"}]}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"q", "[", "0", "]"}], "\[Equal]", "q0"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"p", "[", "0", "]"}], "\[Equal]", "p0"}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"p", "[", "t", "]"}], ",", 
           RowBox[{"q", "[", "t", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"MaxSteps", "\[Rule]", "step"}]}], " ", 
        "\[IndentingNewLine]", "]"}], "//", "Flatten"}]}], " ", ";", " ", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"temp2", "=", " ", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"q", "[", "t", "]"}], " ", ",", 
           RowBox[{"p", "[", "t", "]"}]}], "}"}], "/.", "temp1"}], "  ", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"t", ",", "start", ",", "tmax", ",", 
          RowBox[{"2", " ", 
           RowBox[{"\[Pi]", "/", "\[Omega]d"}]}]}], "}"}]}], 
       "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"temp2", ",", 
       RowBox[{"PlotStyle", "->", 
        RowBox[{"PointSize", "[", "0.02", "]"}]}], ",", "opts"}], "]"}]}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["4. Protect User-defined procedures", "Subsubsection",
 Hyphenation->False],

Cell["\<\
Protect[dispDuff,phaseDuff,poincareDuff];

Off[Clear::wrsym]
 \
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 1:  Potential and Phase Diagrams for the Duffing Oscillator  ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Part a ",
 FontWeight->"Bold"]], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Acc", "=", 
   RowBox[{
    SuperscriptBox["q", "\[DoublePrime]",
     MultilineFunction->None], "[", "t", "]"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Flinear", "=", " ", 
    RowBox[{"a", " ", 
     RowBox[{"q", "[", "t", "]"}]}]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fnonlinear", "=", 
   RowBox[{
    RowBox[{"-", " ", "b"}], " ", 
    SuperscriptBox[
     RowBox[{"q", "[", "t", "]"}], "3"]}]}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"eqMotion", "=", " ", 
   RowBox[{
    RowBox[{"Acc", "-", "Flinear", "-", "Fnonlinear"}], "==", 
    "0"}]}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"energy", "=", 
  RowBox[{"Integrate", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"q", "'"}], "[", "t", "]"}], 
     RowBox[{"(", " ", 
      RowBox[{"Acc", "-", "Flinear", "-", "Fnonlinear"}], ")"}]}], " ", ",", 
    "t", ",", 
    RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}], 
  " "}]], "Input",
 CellChangeTimes->{{3.424424858247351*^9, 3.424424861847468*^9}},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{"{", 
  RowBox[{
   RowBox[{"T", "=", " ", 
    RowBox[{"Integrate", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"q", "'"}], "[", "t", "]"}], "Acc"}], " ", ",", "t"}], 
     "]"}]}], ",", "\n", 
   RowBox[{"V0", "=", 
    RowBox[{"-", 
     RowBox[{"Integrate", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"q", "'"}], "[", "t", "]"}], "Flinear"}], ",", "t"}], 
      "]"}]}]}], ",", "\n", 
   RowBox[{"V1", "=", 
    RowBox[{"-", 
     RowBox[{"Integrate", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"q", "'"}], "[", "t", "]"}], "Fnonlinear"}], " ", ",", "t"}],
       "]"}]}]}]}], "}"}], "\n", 
 RowBox[{" "}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"V0", "+", "V1"}], "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"q", "[", "t", "]"}], "\[Rule]", "q"}], ",", 
       RowBox[{"b", "\[Rule]", "0.05"}]}], "}"}]}], " ", "//", "Evaluate"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"q", ",", 
     RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"a", ",", 
     RowBox[{"-", "1"}], ",", "4"}], "}"}], ",", " ", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<q\>\"", ",", "\"\<a\>\"", ",", "\"\<Potential\>\""}], 
     "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "100"}], ",", "50"}], "}"}]}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "3", ",", "1"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{3.424418121843823*^9}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"V0", "+", "V1"}], "//.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"q", "[", "t", "]"}], "\[Rule]", "q"}], ",", 
         RowBox[{"b", "\[Rule]", "0.05"}]}], "}"}]}], "/.", " ", 
      RowBox[{"a", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "4"}], "}"}]}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"q", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"Ticks", "->", "None"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "->", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", " ", 
          RowBox[{"{", "0.01", "}"}], " ", "]"}], ",", 
         RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", " ", 
          RowBox[{"{", "0.03", "}"}], " ", "]"}], ",", 
         RowBox[{"Hue", "[", "0.9", "]"}]}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLegend", "->", 
     RowBox[{"{", 
      RowBox[{"\"\<a=-1\>\"", ",", "\"\<a=+4\>\""}], "}"}]}], ",", "    ", 
    "\[IndentingNewLine]", 
    RowBox[{"LegendPosition", "->", 
     RowBox[{"{", 
      RowBox[{"0.1", ",", "0.3"}], " ", "}"}]}]}], "]"}], " "}]], "Input",
 CellChangeTimes->{
  3.424418133694605*^9, {3.424424904918306*^9, 3.424424913708034*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "[", "t", "]"}], "\[Rule]", "q"}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["q", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Rule]", "v"}], ",", 
     RowBox[{"b", "\[Rule]", "0.05"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"contour", "=", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ContourPlot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"energy", "//.", "values"}], "//.", 
        RowBox[{"{", " ", 
         RowBox[{"a", "\[Rule]", " ", "#"}], " ", "}"}]}], " ", "//", 
       "Evaluate"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"q", ",", 
        RowBox[{"-", " ", "15"}], ",", " ", "15"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"v", ",", 
        RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Contours", "\[Rule]", "10"}], " ", ",", " ", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ColorFunction", "\[Rule]", "Hue"}]}], "\[IndentingNewLine]", 
     "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "4"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424418141889215*^9, 3.424418143361191*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "contour", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425057410172*^9, 3.42442505950526*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"energy", "//.", "values"}], "//.", 
      RowBox[{"{", " ", 
       RowBox[{"a", "\[Rule]", " ", "4"}], " ", "}"}]}], " ", "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"q", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"v", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Contours", "\[Rule]", "10"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{{3.424425078021562*^9, 3.42442508658093*^9}}],

Cell[BoxData[
 RowBox[{"pt2", "=", "  ", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"energy", "//.", "values"}], "//.", 
      RowBox[{"{", " ", 
       RowBox[{"a", "\[Rule]", " ", "4"}], "  ", "}"}]}], " ", "//", 
     "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"q", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"v", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", "  ", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", " ", "\[IndentingNewLine]", 
    
    RowBox[{"ColorFunction", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"#", "<", "0.226"}], " ", ",", 
         RowBox[{"Hue", "[", "0.9", "]"}], ",", 
         RowBox[{"Hue", "[", "0.1", "]"}]}], "]"}], "&"}], ")"}]}]}], 
   "\[IndentingNewLine]", " ", "]"}]}]], "Input",
 CellChangeTimes->{{3.424425026315948*^9, 3.424425027576378*^9}, 
   3.424425097973177*^9}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   StyleBox["this",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["will",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox["not",
    FontColor->RGBColor[1, 0, 0]], 
   StyleBox[" ",
    FontColor->RGBColor[1, 0, 0]], 
   RowBox[{
    StyleBox["work",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[":",
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[" ",
     FontColor->RGBColor[1, 0, 0]], 
    RowBox[{
     StyleBox["depends",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["on",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["the",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["internals",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["of",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["the",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[
      RowBox[{"graphics", ".", " ", "need"}],
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox["to",
      FontColor->RGBColor[1, 0, 0]], 
     StyleBox[" ",
      FontColor->RGBColor[1, 0, 0]], 
     RowBox[{
      StyleBox["rework",
       FontColor->RGBColor[1, 0, 0]], 
      StyleBox[".",
       FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Show", "[", " ", "\[IndentingNewLine]", 
       RowBox[{"pt2", ",", "\[IndentingNewLine]", 
        RowBox[{"Graphics3D", "[", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"AbsoluteThickness", "[", "3", "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Cases", "[", 
             RowBox[{
              RowBox[{"Graphics", "[", "pt1", "]"}], " ", ",", "_Line", ",", 
              "Infinity"}], "]"}], "/.", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", " ", 
              RowBox[{"q_Real", " ", ",", "v_"}], "}"}], ":>", 
             RowBox[{"{", 
              RowBox[{"q", ",", "v", ",", 
               RowBox[{"15", " ", "-", 
                RowBox[{"2", " ", 
                 SuperscriptBox["q", "2"]}], "+", 
                RowBox[{
                 RowBox[{"1", "/", "2"}], "  ", 
                 SuperscriptBox["v", "2"]}], " ", "+", 
                RowBox[{".0125", " ", 
                 SuperscriptBox["q", "4"]}]}]}], "}"}]}]}]}], "}"}], 
         "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"ViewPoint", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1", ",", "0.8"}], "}"}]}]}], 
       "\[IndentingNewLine]", "]"}]}]}]}]}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.424418157745779*^9, 3.4244181614858*^9}, {
  3.42442513317862*^9, 3.424425169701111*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"eqMotion", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["q", "\[DoublePrime]",
         MultilineFunction->None], "[", "t", "]"}], "\[Rule]", 
       RowBox[{
        SuperscriptBox["p", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], "}"}]}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["q", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "==", 
     RowBox[{"p", "[", "t", "]"}]}]}], "}"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "0", "]"}], "==", "0.001"}], ",", 
     RowBox[{
      RowBox[{"q", "[", "0", "]"}], "==", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"eq1", ",", "initial"}], "]"}]}], " ", ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ndsol1", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{"eq2", "//.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", "\[Rule]", "0.05"}], ",", 
        RowBox[{"a", "\[Rule]", 
         RowBox[{"-", "1"}]}]}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"q", "[", "t", "]"}], ",", 
       RowBox[{"p", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "30"}], "}"}]}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"q1", "[", "t_", "]"}], "=", 
    RowBox[{
     RowBox[{"q", "[", "t", "]"}], "//.", "ndsol1"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p1", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"p", "[", "t", "]"}], "//.", "ndsol1"}]}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt", "[", 
   RowBox[{"var_", ",", "opts___"}], "]"}], "  ", ":=", " ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"var", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", "opts"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.424425187195179*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"pt", "[", 
      RowBox[{"q1", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Hue", "[", "0.7`", "]"}]}]}], "]"}], ",", 
     RowBox[{"pt", "[", 
      RowBox[{"p1", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Hue", "[", "0.9`", "]"}]}]}], "]"}]}], "}"}], "]"}], 
  "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"ndsol2", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"eq2", "//.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"b", "\[Rule]", "0.05"}], ",", 
         RowBox[{"a", "\[Rule]", 
          RowBox[{"+", "4"}]}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"q", "[", "t", "]"}], ",", 
        RowBox[{"p", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "30"}], "}"}]}], "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"q2", "[", "t_", "]"}], "=", 
    RowBox[{
     RowBox[{"q", "[", "t", "]"}], "//.", "ndsol2"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p2", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"p", "[", "t", "]"}], "//.", "ndsol2"}]}], ";"}]}], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"pt", "[", 
      RowBox[{"q2", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Hue", "[", "0.7`", "]"}]}]}], "]"}], ",", 
     RowBox[{"pt", "[", 
      RowBox[{"p2", ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Hue", "[", "0.9`", "]"}]}]}], "]"}]}], "}"}], "]"}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"q2", "[", "t", "]"}], " ", ",", 
      RowBox[{"p2", "[", "t", "]"}]}], "}"}], "   ", "//", "Evaluate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<q\>\"", ",", "\"\<p\>\""}], "}"}]}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{3.424418179912221*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"oscMovie", "[", 
   RowBox[{"f_", ",", "tMax_", ",", "frames_", ",", 
    RowBox[{"range_:", "Automatic"}]}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"t", ",", "i"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"t", "=", 
        RowBox[{"i", " ", 
         RowBox[{"tMax", "/", "frames"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"plot", "[", "i", "]"}], "=", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"PointSize", "[", "0.05", "]"}], ",", 
               RowBox[{"Point", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"N", "[", 
                   RowBox[{"f", "[", "t", "]"}], "]"}], ",", "0"}], "}"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"PlotRange", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"range", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Axes", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
          "]"}], " ", "//", "Print"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "frames"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{
  3.424425228087161*^9, {3.424425274823027*^9, 3.424425276189949*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frames", "=", "1"}], ";"}], "\n", 
 RowBox[{"oscMovie", "[", 
  RowBox[{"q2", ",", "30", ",", "frames", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "15"}], ",", "15"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.424425219120201*^9, 3.424425248109028*^9}, {
  3.424425281746215*^9, 3.424425286573912*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 2:  Phase Diagram and Orbits for the Damped,  Duffing Equation   ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False,
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorFieldPlots`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lista", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"VectorFieldPlot", "[", " ", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"p", ",", 
        RowBox[{
         RowBox[{"#", " ", "q"}], "-", " ", 
         RowBox[{".05", "  ", 
          RowBox[{"q", "^", "3"}]}], "-", 
         RowBox[{".15", "  ", "p"}]}]}], "  ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"q", ",", 
        RowBox[{"-", "13"}], ",", "13"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"p", ",", 
        RowBox[{"-", "20"}], "  ", ",", "20"}], " ", "}"}], " ", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "10"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ScaleFunction", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{".2", "#"}], "&"}], ")"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"ScaleFactor", "\[Rule]", "None"}]}], "\[IndentingNewLine]", 
     "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", " ", 
    RowBox[{"4", " ", ",", 
     RowBox[{"-", "1"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.42441819575203*^9, 3.424418212725118*^9}}],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{"{", "lista", "}"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424425420277352*^9, 3.424425422189262*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "4"}], ",", "4"}], " ", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], " ", ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "23"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "23"}]}], "}"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"listb", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dispDuff", "[", " ", "\[IndentingNewLine]", 
     RowBox[{"#", "  ", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"4", ",", ".05", ",", ".1", ",", "0", ",", "0"}], "}"}], ",", 
      "30", ",", "1000", " ", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}]}], ",", "\[IndentingNewLine]",
       
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], "\[IndentingNewLine]", "]"}],
     "&"}], "  ", "/@", "  ", "values"}]}]], "Input",
 CellChangeTimes->{{3.424418227824174*^9, 3.424418233392295*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"listb", "[", 
    RowBox[{"[", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], "]"}], "]"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "30"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.424418245834455*^9, 3.424418251075885*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", " ", 
  RowBox[{
   RowBox[{"listb", "[", 
    RowBox[{"[", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], "]"}], "]"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "30"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.42441825900885*^9, 3.424418264013455*^9}}],

Cell[BoxData[
 RowBox[{"listc", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"phaseDuff", "[", " ", "\[IndentingNewLine]", 
     RowBox[{"#", "  ", ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{"4", ",", ".05", ",", ".1", ",", "0", ",", "0"}], "}"}], ",", 
      "30", ",", "1000", " ", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", ".6", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"AspectRatio", "\[Rule]", 
       RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", "]"}], 
    "&"}], "  ", "/@", "  ", "values"}]}]], "Input",
 CellChangeTimes->{
  3.424425445809593*^9, {3.424425477160704*^9, 3.424425496303704*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"listc", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.42441827433491*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", " ", 
  RowBox[{
   RowBox[{"{", "  ", 
    RowBox[{
     RowBox[{"listc", "[", 
      RowBox[{"[", "4", "]"}], "]"}], " ", ",", 
     RowBox[{"lista", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], " ", "}"}], ",", " ", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "20"}], "}"}]}], "}"}]}]}], "]"}]], "Input",\

 CellChangeTimes->{{3.424418282005375*^9, 3.424418286823853*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Driven Duffing Orbits with No Damping", "Subsection",
 Hyphenation->False],

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dispDuff", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2.038", ",", 
     RowBox[{"-", "1.5"}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{"-", "1"}], " ", ",", "1", " ", ",", "0", " ", ",", 
     RowBox[{"1", "/", "4"}], ",", "2"}], " ", "}"}], ",", "100", ",", 
   "10000", " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{3.424425526819661*^9}],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", "\[IndentingNewLine]", 
  RowBox[{"phaseDuff", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2.038", ",", 
      RowBox[{"-", "1.5"}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"-", "1"}], " ", ",", "1", " ", ",", "0", " ", ",", 
      RowBox[{"1", "/", "4"}], ",", "2"}], " ", "}"}], ",", "100", " ", ",", 
    "10000", " ", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "300"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424425538535707*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"phaseDuff", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2.038", ",", 
     RowBox[{"-", "1.5"}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], " ", ",", "1", " ", ",", "0", " ", ",", 
     RowBox[{"1", "/", "4"}], ",", "2"}], "}"}], ",", "100", ",", "10000", 
   " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1.93", ",", "2.2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], " ", ",", "3"}], " ", "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424425548151028*^9, 3.424425563059984*^9}}],

Cell[BoxData[
 RowBox[{"list", "=", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"phaseDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"2.038", ",", 
        RowBox[{"-", "1.5"}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", "1"}], " ", ",", "1", " ", ",", "0", " ", ",", 
        RowBox[{"1", "/", "4"}], ",", "2"}], " ", "}"}], ",", "#", ",", 
      "10000", " ", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "300"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1.93", ",", "2.2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "3"}], " ", ",", "3"}], " ", "}"}]}], "}"}]}], "  ", 
      ",", "\[IndentingNewLine]", 
      RowBox[{"AspectRatio", "\[Rule]", 
       RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", "]"}], 
    "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{"30", ",", "50"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424425569921527*^9, 3.424425583740887*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "list", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425590574918*^9, 3.424425592373408*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", " ", "\[IndentingNewLine]", 
  RowBox[{"poincareDuff", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"2.038", ",", 
      RowBox[{"-", "1.5"}]}], " ", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"-", "1"}], " ", ",", "1", " ", ",", "0", " ", ",", 
      RowBox[{"1", "/", "4"}], ",", "2"}], " ", "}"}], ",", "0", " ", ",", 
    "300", ",", "10000"}], " ", "]"}]}]], "Input",
 CellChangeTimes->{{3.424425599382965*^9, 3.424425627746817*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt1", ",", "pt2", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1.8", ",", "2.4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "3"}], " ", ",", "3"}], " ", "}"}]}], "}"}]}], " ", ",", 
   
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.42441829991122*^9, {3.424425635883998*^9, 3.424425639986858*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dispDuff", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{".99", " ", ",", "0"}], " ", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "5"}], " ", ",", "1", " ", ",", "0", " ", ",", 
     RowBox[{"1", "/", "4"}], ",", "2"}], "}"}], ",", "200", ",", "10000", 
   " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "]"}]], "Input",
 CellChangeTimes->{3.424425660483468*^9}],

Cell[BoxData[
 RowBox[{"pt3", "=", " ", "\[IndentingNewLine]", 
  RowBox[{"phaseDuff", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{".99", "  ", ",", "0"}], " ", "}"}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"{", "  ", 
     RowBox[{
      RowBox[{"1", "/", "5"}], " ", ",", "1", " ", ",", "0", " ", ",", 
      RowBox[{"1", "/", "4"}], ",", "2"}], " ", "}"}], ",", "300", ",", 
    "10000", " ", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.424425666458308*^9}],

Cell[BoxData[
 RowBox[{"pt4", "=", " ", "\[IndentingNewLine]", 
  RowBox[{"poincareDuff", "[", " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{".99", "  ", ",", "0"}], " ", "}"}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"{", "  ", 
     RowBox[{
      RowBox[{"1", "/", "5"}], " ", ",", "1", " ", ",", "0", " ", ",", 
      RowBox[{"1", "/", "4"}], ",", "2"}], " ", "}"}], ",", "0", " ", ",", 
    "350", ",", "10000"}], "  ", "]"}]}]], "Input",
 CellChangeTimes->{{3.424425673477612*^9, 3.424425674553296*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Two Well Driven Duffing Oscillator with Damping ", \
"Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lista", " ", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dispDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", ".13"}], ",", 
        RowBox[{"-", ".7"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{".5", ",", ".5", ",", ".3", ",", "#", ",", "1"}], " ", "}"}], 
      ",", "50", " ", ",", "10000", ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}]}], ",", "\[IndentingNewLine]",
       
      RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "   ", 
     "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "   ", 
   RowBox[{"{", 
    RowBox[{".05", "  ", ",", ".24"}], " ", "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424418307385093*^9, 3.424418312450537*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "lista", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.42442570918543*^9, 3.424425712849982*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"lista", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"phaseDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", ".13"}], ",", 
        RowBox[{"-", ".7"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{".5", ",", ".5", ",", ".3", ",", "#", ",", "1"}], " ", "}"}], 
      ",", "300", " ", ",", "10000", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "   ", 
     "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{".05", "  ", ",", ".24"}], " ", "}"}]}]}]], "Input",
 CellChangeTimes->{3.424425717978648*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "lista", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425727294042*^9, 3.424425729338786*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"listb", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"poincareDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", ".13"}], ",", 
        RowBox[{"-", ".7"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{".5", ",", ".5", ",", ".3", ",", "#", ",", "1"}], " ", "}"}], 
      ",", " ", "100", ",", "400", " ", ",", "10000", ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", "False"}]}], "\[IndentingNewLine]", "]"}], 
    "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{".05", " ", ",", ".24"}], " ", "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424425736809894*^9, 3.424425740698161*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "listb", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425745313838*^9, 3.424425747179531*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"listc", " ", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dispDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", "0.13"}], ",", 
        RowBox[{"-", "0.7"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"0.5", ",", "0.5", ",", "0.3", ",", "#", ",", "1"}], " ", 
       "}"}], ",", "50", " ", ",", "10000", ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", 
        RowBox[{"RandomReal", "[", "]"}], "]"}]}], ",", "\[IndentingNewLine]",
       
      RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "   ", 
     "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", " ", 
    RowBox[{"0.29", " ", ",", "0.32"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.424418330168089*^9, 3.424418335207843*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "listc", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425756917345*^9, 3.424425759045644*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"listd", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"phaseDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", "0.13"}], ",", 
        RowBox[{"-", "0.7"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"0.5", ",", "0.5", ",", "0.3", ",", "#", ",", "1"}], " ", 
       "}"}], ",", "300", " ", ",", "10000", ",", "\[IndentingNewLine]", 
      RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "   ", 
     "\[IndentingNewLine]", "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", " ", 
    RowBox[{"0.29", " ", ",", "0.32"}], "}"}]}]}]], "Input",
 CellChangeTimes->{3.424425766239033*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "listd", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425772638304*^9, 3.42442577442782*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"liste", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"poincareDuff", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", "0.13"}], ",", 
        RowBox[{"-", "0.7"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", " ", 
       RowBox[{"0.5", ",", "0.5", ",", "0.3", ",", "#", ",", "1"}], " ", 
       "}"}], ",", " ", "100", ",", "400", " ", ",", "10000", ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Ticks", "\[Rule]", "False"}]}], "\[IndentingNewLine]", "]"}], 
    "&"}], "  ", "/@", "  ", 
   RowBox[{"{", " ", 
    RowBox[{"0.29", ",", "0.32"}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.42442578248501*^9, 3.424425784495389*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "liste", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424425788650118*^9, 3.424425790409513*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["4.3 Exercises", "Section",
 Hyphenation->False],

Cell[TextData[{
 "Exercise 1:  van der Pol  Oscillator and Limiting Cycles ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]],
 " (Solved in the Appendix) "
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 2:  Springs ", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 3: Buckling column system", "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 "Exercise 4: ",
 StyleBox["Nonlinear Equation",
  FontVariations->{"CompatibilityType"->0}]
}], "Subsubsection",
 Hyphenation->False],

Cell["Exercise 5:   Inverted Pendulum ", "Subsubsection",
 Hyphenation->False],

Cell[TextData[{
 "Exercise 6:",
 StyleBox[" ",
  FontWeight->"Plain"],
 StyleBox["Driven Nonlinear Equation",
  FontVariations->{"CompatibilityType"->0}]
}], "Subsubsection",
 Hyphenation->False]
}, Closed]]
},
AutoGeneratedPackage->None,
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{878, 940},
WindowMargins->{{97, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowSelection->True,
ShowCellLabel->True,
ShowCellTags->False,
SpellingOptions->{"AlwaysStop"->"RepeatedWords"},
SpellingDictionaries->{"CorrectWords"->{
 "descrete", "Poincar\[EAcute]", "Mandelbrot", "xo", "Gfixpt", "Gfixptpt", 
  "Lvalues", "Spoints", "fdata", "rdata", "returnpt", "diff", "Gder", "prob", 
  "Scobweb", "Svalues", "fder", "Lagrange's", "Lagrange", "qi", "Qi", "eq", 
  "eqin", "Ser", "eqs", "vars", "Diff", "zpsol", "zp", "perturbative", 
  "firstorderpert", "xfirst", "ro", "''", "Rx", "Ry", "Rz", "Eq", "Kepler", 
  "Keplerian", "Johannes", "Kepler's", "uo", "ee", "cterm", "plotorbit", 
  "num", "uforce", "ndsol", "ndsol.", "numorbit", "rrule", "Urule", "Lpt", 
  "tmax", "Mgraph", "fx", "fy", "tfinal", "hrule", "vxo", "vyo", "eqlist", 
  "Equi", "Lgraph", "jac", "nonrotating", "accreting", "Lagragian", "rl", 
  "zeropt", "yi", "yrs", "Ll", "freq", "invfreq", "xy", "tmoon", "Descrete", 
  "Poincare", "eigenfrequencies", "eigenfrequency", "eigenmatrix", "Acc", 
  "Flinear", "Fnonlinear", "eqmotion", "var", "fo", "wd", "poincare", "listc",
   "osc", "ii.", "numgraph", "iii.", "wrsym", "Leq", "Erule", "cylind", 
  "Lpts", "fourierdata", "numsol", "grlist", "phlist", "separatrix.", "fo.", 
  "Pend", "tmax.", "Henri", "Poincar\[EAcute]."}},
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False},
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 224, 7, 30, "Subsubsection"],
Cell[817, 32, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1645, 52, 115, 2, 24, "Subsubsection"],
Cell[1763, 56, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3776, 93, 116, 3, 59, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[3917, 100, 52, 1, 73, "Section"],
Cell[3972, 103, 282, 9, 55, "Input"]
}, Closed]],
Cell[4269, 115, 110, 3, 43, "Section",
 Evaluatable->False],
Cell[4382, 120, 77, 1, 31, "Subsection"],
Cell[4462, 123, 84, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[4571, 128, 117, 3, 24, "Subsubsection"],
Cell[4691, 133, 2700, 68, 297, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[7428, 206, 106, 2, 24, "Subsubsection"],
Cell[7537, 210, 2800, 70, 341, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[10374, 285, 124, 3, 24, "Subsubsection"],
Cell[10501, 290, 2983, 76, 297, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[13521, 371, 136, 4, 24, "Subsubsection"],
Cell[13660, 377, 264, 8, 32, "Input"],
Cell[13927, 387, 614, 20, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[14578, 412, 124, 3, 24, "Subsubsection"],
Cell[14705, 417, 2607, 67, 297, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[17349, 489, 122, 3, 24, "Subsubsection"],
Cell[17474, 494, 2755, 72, 275, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[20266, 571, 133, 4, 24, "Subsubsection"],
Cell[20402, 577, 3136, 79, 385, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[23575, 661, 80, 1, 24, "Subsubsection"],
Cell[23658, 664, 157, 5, 50, "Input"],
Cell[23818, 671, 114, 5, 50, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[23969, 681, 142, 3, 31, "Subsection",
 Evaluatable->False],
Cell[24114, 686, 99, 2, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[24238, 692, 86, 2, 24, "Subsubsection"],
Cell[24327, 696, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[24446, 702, 126, 3, 30, "Subsubsection"],
Cell[24575, 707, 313, 11, 32, "Input"],
Cell[24891, 720, 433, 14, 32, "Input"],
Cell[25327, 736, 272, 9, 32, "Input"],
Cell[25602, 747, 221, 7, 32, "Input"],
Cell[25826, 756, 1913, 53, 187, "Input"],
Cell[27742, 811, 1372, 41, 99, "Input"],
Cell[29117, 854, 803, 22, 143, "Input"],
Cell[29923, 878, 94, 1, 32, "Input"],
Cell[30020, 881, 1850, 47, 275, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[31907, 933, 53, 1, 30, "Subsubsection"],
Cell[31963, 936, 368, 12, 32, "Input"],
Cell[32334, 950, 651, 19, 78, "Input"],
Cell[32988, 971, 667, 18, 55, "Input"],
Cell[33658, 991, 164, 3, 32, "Input"],
Cell[33825, 996, 243, 7, 32, "Input"],
Cell[34071, 1005, 762, 21, 55, "Input"],
Cell[34836, 1028, 513, 17, 32, "Input"],
Cell[35352, 1047, 738, 21, 77, "Input"],
Cell[36093, 1070, 380, 11, 32, "Input"],
Cell[36476, 1083, 887, 24, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[37400, 1112, 93, 2, 30, "Subsubsection"],
Cell[37496, 1116, 198, 6, 32, "Input"],
Cell[37697, 1124, 251, 8, 32, "Input"],
Cell[37951, 1134, 2126, 62, 209, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[40114, 1201, 52, 1, 30, "Subsubsection"],
Cell[40169, 1204, 302, 11, 32, "Input"],
Cell[40474, 1217, 1121, 31, 77, "Input"],
Cell[41598, 1250, 1329, 36, 143, "Input"],
Cell[42930, 1288, 1334, 44, 77, "Input"],
Cell[44267, 1334, 525, 14, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[44829, 1353, 96, 2, 30, "Subsubsection"],
Cell[44928, 1357, 71, 2, 32, "Input"],
Cell[45002, 1361, 426, 13, 32, "Input"],
Cell[45431, 1376, 589, 14, 121, "Input"],
Cell[46023, 1392, 351, 11, 32, "Input"],
Cell[46377, 1405, 423, 13, 32, "Input"],
Cell[46803, 1420, 876, 24, 143, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[47740, 1451, 70, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[47835, 1456, 54, 1, 30, "Subsubsection"],
Cell[47892, 1459, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[48011, 1465, 78, 2, 30, "Subsubsection"],
Cell[48092, 1469, 1143, 34, 55, "Input"],
Cell[49238, 1505, 322, 10, 32, "Input"],
Cell[49563, 1517, 857, 22, 143, "Input"],
Cell[50423, 1541, 2159, 55, 253, "Input"],
Cell[52585, 1598, 1581, 43, 165, "Input"],
Cell[54169, 1643, 125, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[54331, 1651, 52, 1, 30, "Subsubsection"],
Cell[54386, 1654, 1335, 37, 187, "Input"],
Cell[55724, 1693, 2551, 65, 363, "Input"],
Cell[58278, 1760, 1275, 33, 187, "Input"],
Cell[59556, 1795, 1531, 43, 165, "Input"],
Cell[61090, 1840, 261, 6, 32, "Input"],
Cell[61354, 1848, 359, 13, 32, "Input"],
Cell[61716, 1863, 841, 22, 143, "Input"],
Cell[62560, 1887, 1013, 28, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[63610, 1920, 53, 1, 30, "Subsubsection"],
Cell[63666, 1923, 103, 2, 32, "Input"],
Cell[63772, 1927, 1017, 27, 187, "Input"],
Cell[64792, 1956, 164, 4, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[65017, 1967, 187, 6, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[65229, 1977, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[65332, 1982, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[65451, 1988, 55, 1, 30, "Subsubsection"],
Cell[65509, 1991, 1455, 37, 143, "Input"],
Cell[66967, 2030, 122, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[67126, 2038, 52, 1, 30, "Subsubsection"],
Cell[67181, 2041, 1426, 37, 121, "Input"],
Cell[68610, 2080, 504, 16, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[69151, 2101, 52, 1, 30, "Subsubsection"],
Cell[69206, 2104, 1128, 31, 143, "Input"],
Cell[70337, 2137, 223, 6, 32, "Input"],
Cell[70563, 2145, 151, 3, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[70775, 2155, 186, 6, 31, "Subsection",
 Evaluatable->False],
Cell[70964, 2163, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[71083, 2169, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[71208, 2176, 55, 1, 30, "Subsubsection"],
Cell[71266, 2179, 1040, 27, 121, "Input"],
Cell[72309, 2208, 922, 24, 121, "Input"],
Cell[73234, 2234, 252, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[73523, 2245, 52, 1, 30, "Subsubsection"],
Cell[73578, 2248, 1167, 28, 165, "Input"],
Cell[74748, 2278, 209, 5, 32, "Input"],
Cell[74960, 2285, 485, 15, 32, "Input"],
Cell[75448, 2302, 52, 1, 30, "Subsubsection"],
Cell[75503, 2305, 441, 12, 49, "Input"],
Cell[75947, 2319, 441, 12, 55, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[76449, 2338, 140, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[76614, 2345, 54, 1, 30, "Subsubsection"],
Cell[76671, 2348, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[76790, 2354, 139, 4, 30, "Subsubsection",
 Evaluatable->False],
Cell[76932, 2360, 706, 20, 99, "Input"],
Cell[77641, 2382, 222, 6, 32, "Input"],
Cell[77866, 2390, 1185, 31, 165, "Input"],
Cell[79054, 2423, 327, 8, 32, "Input"],
Cell[79384, 2433, 1246, 32, 143, "Input"],
Cell[80633, 2467, 223, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[80893, 2478, 140, 4, 30, "Subsubsection",
 Evaluatable->False],
Cell[81036, 2484, 810, 21, 143, "Input"],
Cell[81849, 2507, 856, 23, 121, "Input"],
Cell[82708, 2532, 753, 22, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[83498, 2559, 52, 1, 30, "Subsubsection"],
Cell[83553, 2562, 924, 24, 143, "Input"],
Cell[84480, 2588, 510, 13, 99, "Input"],
Cell[84993, 2603, 541, 14, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[85571, 2622, 52, 1, 30, "Subsubsection"],
Cell[85626, 2625, 911, 24, 143, "Input"],
Cell[86540, 2651, 912, 24, 143, "Input"],
Cell[87455, 2677, 637, 15, 121, "Input"],
Cell[88095, 2694, 571, 14, 99, "Input"],
Cell[88669, 2710, 412, 12, 32, "Input"],
Cell[89084, 2724, 759, 22, 99, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[89882, 2751, 109, 3, 43, "Section",
 Evaluatable->False],
Cell[89994, 2756, 75, 1, 31, "Subsection"],
Cell[90072, 2759, 83, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[90180, 2764, 119, 3, 24, "Subsubsection"],
Cell[90302, 2769, 2694, 68, 341, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[93033, 2842, 99, 1, 24, "Subsubsection"],
Cell[93135, 2845, 2744, 70, 407, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[95916, 2920, 120, 3, 24, "Subsubsection"],
Cell[96039, 2925, 3089, 78, 473, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[99165, 3008, 80, 1, 24, "Subsubsection"],
Cell[99248, 3011, 133, 7, 86, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[99418, 3023, 221, 7, 31, "Subsection",
 Evaluatable->False],
Cell[99642, 3032, 112, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[99779, 3039, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[99882, 3044, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[100001, 3050, 140, 4, 30, "Subsubsection",
 Evaluatable->False],
Cell[100144, 3056, 213, 7, 32, "Input"],
Cell[100360, 3065, 384, 13, 55, "Input"],
Cell[100747, 3080, 207, 7, 32, "Input"],
Cell[100957, 3089, 444, 13, 32, "Input"],
Cell[101404, 3104, 760, 27, 99, "Input"],
Cell[102167, 3133, 1212, 34, 187, "Input"],
Cell[103382, 3169, 98, 2, 32, "Input"],
Cell[103483, 3173, 1622, 46, 187, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[105142, 3224, 53, 1, 30, "Subsubsection"],
Cell[105198, 3227, 409, 13, 32, "Input"],
Cell[105610, 3242, 1070, 27, 187, "Input"],
Cell[106683, 3271, 237, 6, 32, "Input"],
Cell[106923, 3279, 673, 17, 99, "Input"],
Cell[107599, 3298, 1061, 29, 143, "Input"],
Cell[108663, 3329, 3223, 94, 297, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[111923, 3428, 52, 1, 30, "Subsubsection"],
Cell[111978, 3431, 605, 19, 32, "Input"],
Cell[112586, 3452, 290, 10, 32, "Input"],
Cell[112879, 3464, 185, 6, 32, "Input"],
Cell[113067, 3472, 593, 19, 55, "Input"],
Cell[113663, 3493, 392, 14, 55, "Input"],
Cell[114058, 3509, 331, 10, 32, "Input"],
Cell[114392, 3521, 429, 13, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[114870, 3540, 52, 1, 30, "Subsubsection"],
Cell[114925, 3543, 604, 20, 32, "Input"],
Cell[115532, 3565, 392, 14, 55, "Input"],
Cell[115927, 3581, 429, 13, 32, "Input"],
Cell[116359, 3596, 662, 17, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[117058, 3618, 52, 1, 30, "Subsubsection"],
Cell[117113, 3621, 1775, 44, 275, "Input"],
Cell[118891, 3667, 356, 9, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[119296, 3682, 225, 7, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[119546, 3693, 54, 1, 30, "Subsubsection"],
Cell[119603, 3696, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[119722, 3702, 85, 2, 30, "Subsubsection"],
Cell[119810, 3706, 103, 2, 32, "Input"],
Cell[119916, 3710, 1214, 31, 209, "Input"],
Cell[121133, 3743, 217, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[121387, 3753, 54, 1, 30, "Subsubsection"],
Cell[121444, 3756, 455, 16, 32, "Input"],
Cell[121902, 3774, 704, 15, 165, "Input"],
Cell[122609, 3791, 490, 16, 32, "Input"],
Cell[123102, 3809, 494, 16, 32, "Input"],
Cell[123599, 3827, 813, 17, 187, "Input"],
Cell[124415, 3846, 203, 5, 32, "Input"],
Cell[124621, 3853, 598, 19, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[125280, 3879, 91, 1, 31, "Subsection"],
Cell[125374, 3882, 54, 1, 30, "Subsubsection"],
Cell[125431, 3885, 94, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[125550, 3891, 54, 1, 30, "Subsubsection"],
Cell[125607, 3894, 513, 12, 99, "Input"],
Cell[126123, 3908, 603, 14, 121, "Input"],
Cell[126729, 3924, 911, 23, 143, "Input"],
Cell[127643, 3949, 1178, 29, 187, "Input"],
Cell[128824, 3980, 210, 5, 32, "Input"],
Cell[129037, 3987, 544, 12, 99, "Input"],
Cell[129584, 4001, 536, 16, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[130157, 4022, 54, 1, 30, "Subsubsection"],
Cell[130214, 4025, 488, 11, 99, "Input"],
Cell[130705, 4038, 568, 13, 121, "Input"],
Cell[131276, 4053, 541, 12, 99, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[131866, 4071, 150, 4, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[132041, 4079, 54, 1, 30, "Subsubsection"],
Cell[132098, 4082, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[132217, 4088, 53, 1, 30, "Subsubsection"],
Cell[132273, 4091, 866, 21, 143, "Input"],
Cell[133142, 4114, 210, 5, 32, "Input"],
Cell[133355, 4121, 707, 17, 143, "Input"],
Cell[134065, 4140, 211, 5, 32, "Input"],
Cell[134279, 4147, 1030, 27, 143, "Input"],
Cell[135312, 4176, 211, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[135560, 4186, 53, 1, 30, "Subsubsection"],
Cell[135616, 4189, 872, 21, 143, "Input"],
Cell[136491, 4212, 211, 5, 32, "Input"],
Cell[136705, 4219, 714, 17, 143, "Input"],
Cell[137422, 4238, 210, 5, 32, "Input"],
Cell[137635, 4245, 1032, 27, 143, "Input"],
Cell[138670, 4274, 211, 5, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[138942, 4286, 53, 1, 43, "Section"],
Cell[138998, 4289, 243, 8, 30, "Subsubsection",
 Evaluatable->False],
Cell[139244, 4299, 67, 1, 24, "Subsubsection"],
Cell[139314, 4302, 80, 1, 24, "Subsubsection"],
Cell[139397, 4305, 150, 5, 24, "Subsubsection"],
Cell[139550, 4312, 78, 1, 24, "Subsubsection"],
Cell[139631, 4315, 195, 7, 24, "Subsubsection"]
}, Closed]]
}
]
*)

(* End of internal cache information *)
