(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    196875,       6949]
NotebookOptionsPosition[    172037,       6204]
NotebookOutlinePosition[    172458,       6223]
CellTagsIndexPosition[    172415,       6220]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"Clear", "::", "wrsym"}], "]"}]], "Input"],

Cell[CellGroupData[{

Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["6. Lagrangians and Hamiltonians", "Title",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Introduction    ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "spell"}], "]"}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "spell1"}], "]"}], ";"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell["6.1 Lagrangian Problems without Lagrange Multipliers", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Overview of  Lagrangian Problems without Lagrange Multipliers\
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Initialization for Lagrangian Problems", "Subsection"],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VariationalMethods`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"?", "EulerEquations"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"m", "/", "2"}], "  ", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}], "^", "2"}]}], " ", "-", 
   RowBox[{
    RowBox[{"k", "/", "2"}], "  ", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "^", "2"}], "   "}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"EulerEquations", "[", 
   RowBox[{"L", ",", 
    RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "//", 
  "ExpandAll"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"?", "FirstIntegrals"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstIntegrals", "[", 
   RowBox[{"L", ",", 
    RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "//", 
  "ExpandAll"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 1: Particle Sliding on a Movable Incline", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "M", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["x1", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["x", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"m", " ", "g", " ", 
    RowBox[{"y", "[", "t", "]"}]}]}], ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x1", "[", "#", "]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"L0", "-", 
             RowBox[{"s", "[", "#", "]"}]}], ")"}], 
           RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ")"}], "&"}], ")"}]}], 
     ",", "   ", "\[IndentingNewLine]", "             ", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"L0", "-", 
            RowBox[{"s", "[", "#", "]"}]}], ")"}], " ", 
          RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ")"}], "&"}], ")"}]}]}], 
    "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["  L=T-V /.change //Simplify ", "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"EulerEquations", "[", 
   RowBox[{"L", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x1", "[", "t", "]"}], ",", 
      RowBox[{"s", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[" eqMotion=Solve[eq1, {x1''[t],s''[t]}] //Flatten   ", "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"xmomentum", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"M", " ", 
      RowBox[{
       RowBox[{"x1", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"m", " ", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}]}], "/.", "change"}], " ", "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{"xmomentum", ",", "t"}], "]"}], " ", "/.", "eqMotion"}], "//", 
  "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"energy", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"T", "+", "V"}], "/.", "change"}], "//", "Simplify"}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"energy", ",", "t"}], "]"}], "/.", "change"}], "/.", 
   "eqMotion"}], "//", "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"FirstIntegrals", "[", 
   RowBox[{"L", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x1", "[", "t", "]"}], ",", 
      RowBox[{"s", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], 
  " "}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"(", " ", 
          RowBox[{"eqMotion", "/.", 
           RowBox[{"Rule", "\[Rule]", "Equal"}]}], ")"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"s", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"s", "'"}], "[", "0", "]"}], "==", "0"}], ",", 
         RowBox[{
          RowBox[{"x1", "[", "0", "]"}], "==", "0"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"x1", "'"}], "[", "0", "]"}], "==", "0"}]}], "}"}], "//", 
       "Flatten"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x1", "[", "t", "]"}], ",", 
        RowBox[{"s", "[", "t", "]"}]}], "}"}], ",", "t"}], "  ", "]"}], "//", 
    "Simplify"}], " ", "//", "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"s", "[", "t", "]"}], " ", "/.", "Sol"}], ")"}], "  ", 
         "\[Equal]", "L0"}], " ", "//", "Simplify"}], "\[IndentingNewLine]", "//",
        
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{"#", "/.", 
           RowBox[{
            RowBox[{"t", "^", "2"}], "\[Rule]", "x"}]}], ",", "x"}], "]"}], 
        "&"}]}], "\[IndentingNewLine]", ")"}], "/.", 
     RowBox[{"x", "\[Rule]", 
      RowBox[{"t", "^", "2"}]}]}], " ", "//", "Flatten"}], "  ", "//", 
   "FullSimplify"}], " ", ")"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Bead Sliding on a Rotating Wire   ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"x2rRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], " ", 
          RowBox[{"Sin", "[", "\[Theta]", "]"}], 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Omega]", " ", "#"}], "]"}]}], ")"}], "&"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], " ", 
          RowBox[{"Sin", "[", "\[Theta]", "]"}], 
          RowBox[{"Sin", "[", 
           RowBox[{"\[Omega]", " ", "#"}], "]"}]}], ")"}], "&"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}], "&"}]}], "}"}]}], "//",
     "Thread"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]Rule", "=", 
   RowBox[{"\[Theta]", "\[Rule]", " ", 
    RowBox[{"(", 
     RowBox[{"\[Pi]", "-", "\[Psi]"}], ")"}]}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["x", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["y", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["z", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"m", " ", "g", " ", 
    RowBox[{"z", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"T", "-", "V"}], " ", "/.", "x2rRule"}], " ", "/.", 
    "\[Psi]Rule"}], " ", "//", "Simplify"}]}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"EulerEquations", "[", 
   RowBox[{"L", ",", 
    RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"rSol", "=", 
  RowBox[{
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq1", ",", 
        RowBox[{
         RowBox[{"r", "''"}], "[", "t", "]"}]}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], "//", "ExpandAll"}], " ", ")"}],
    "//.", 
   RowBox[{"Rule", "\[Rule]", "Equal"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"DSolve", "[", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"rSol", ",", 
          RowBox[{
           RowBox[{"r", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"r", "'"}], "[", "0", "]"}], "\[Equal]", "v0"}]}], "}"}], 
        " ", ",", 
        RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}], " ", "//", "Simplify"}], " ", "//",
     "PowerExpand"}], "  ", "//", "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"rRule", "=", " ", 
  RowBox[{"MapAt", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Collect", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"Exp", "[", 
         RowBox[{"-", "x_"}], "]"}], "  ", "}"}]}], "]"}], " ", "&"}], ",", 
    " ", "eq2", ",", " ", "2"}], "]"}], " "}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"tRule", "=", 
  RowBox[{"(", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Len", "\[Equal]", 
          RowBox[{"r", "[", "t", "]"}]}], "/.", "rRule"}], " ", ",", "t", " ",
         ",", 
        RowBox[{"InverseFunctions", "\[Rule]", "True"}]}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], " ", "//", "Simplify"}], 
    "\[IndentingNewLine]", "//", "PowerExpand"}], " ", "\[IndentingNewLine]", 
   ")"}]}]], "Input"],

Cell["Patch : Insert PowerExpand", "Subsubsection",
 CellChangeTimes->{{3.421763793048626*^9, 3.421763799030728*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{
       RowBox[{"t", "/.", "tRule"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Psi]", ",", "0", ",", "0"}], "}"}]}], " ", "]"}], " ", "//",
      "Normal"}], "//", "Simplify"}], "//", "PowerExpand"}], "//", "Simplify",
   " "}]], "Input",
 CellChangeTimes->{{3.421763098194874*^9, 3.42176310714896*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Psi]", "\[Rule]", 
      RowBox[{"\[Pi]", "/", "13"}]}], ",", 
     RowBox[{"g", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Omega]", "\[Rule]", "2"}], ",", 
     RowBox[{"v0", "\[Rule]", "0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"position", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}], ",", 
         RowBox[{"z", "[", "t", "]"}]}], "}"}], "//.", "x2rRule"}], "//.", 
      "rRule"}], "/.", "\[Psi]Rule"}], "//.", "values"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"position", "//", "Evaluate"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Boxed", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Axes", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
     RowBox[{"BoxRatios", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{3.421763146582323*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"discretePoints", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"position", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "6", ",", "0.5`"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"discreteGraphics", "=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.03`", "]"}], ",", 
      RowBox[{"Point", "/@", "discretePoints"}]}], "}"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{3.421763154170337*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"discreteGraphics", ",", "p1", ",", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Bead on a Rotating Hoop  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"x2rRule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"\[Theta]", "[", "#", "]"}], "]"}], 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Omega]", " ", "#"}], "]"}]}], ")"}], "&"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"\[Theta]", "[", "#", "]"}], "]"}], 
          RowBox[{"Sin", "[", 
           RowBox[{"\[Omega]", " ", "#"}], "]"}]}], ")"}], "&"}], ",", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"r", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], ")"}], "&"}]}], 
      "}"}]}], "//", "Thread"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"      ", 
  RowBox[{
   RowBox[{"\[Psi]Rule", "=", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Pi]", "-", " ", 
         RowBox[{"\[Psi]", "[", "#", "]"}]}], "&"}], " ", ")"}]}], "}"}]}], 
   ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"T", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["x", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["y", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["z", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "//.", 
     "x2rRule"}], " ", "/.", "\[Psi]Rule"}], "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"V", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"m", " ", "g", " ", 
      RowBox[{"z", "[", "t", "]"}]}], "//.", "x2rRule"}], " ", "/.", 
    "\[Psi]Rule"}], "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"L", "=", 
   RowBox[{"(", 
    RowBox[{"T", "-", "V"}], ")"}], " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"EulerEquations", "[", 
   RowBox[{"L", ",", " ", 
    RowBox[{"\[Psi]", "[", "t", "]"}], ",", "t"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"\[Psi]Sol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{"eq1", ",", 
        RowBox[{
         RowBox[{"\[Psi]", "''"}], "[", "t", "]"}]}], "]"}], "//", 
      "Flatten"}], ")"}], "/.", 
    RowBox[{"{", 
     RowBox[{"g", "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Omega]c", "2"], " ", "r"}]}], "}"}]}], "//", 
   "ExpandAll", " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"energy", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"\[Psi]", "'"}], "[", "t", "]"}], " ", 
       RowBox[{"D", "[", 
        RowBox[{"L", ",", 
         RowBox[{
          RowBox[{"\[Psi]", "'"}], "[", "t", "]"}]}], "]"}]}], "-", "L"}], 
     ")"}], "/.", 
    RowBox[{"{", 
     RowBox[{"g", "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Omega]c", "2"], " ", "r"}]}], "}"}]}], "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"energy", ",", "t"}], "]"}], "/.", "\[Psi]Sol"}], "/.", 
   RowBox[{"{", 
    RowBox[{"g", "\[Rule]", 
     RowBox[{
      RowBox[{"\[Omega]c", "^", "2"}], " ", "r"}]}], "}"}]}], "  ", "//", 
  "Simplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{"FirstIntegrals", "[", 
     RowBox[{"L", ",", " ", 
      RowBox[{"\[Psi]", "[", "t", "]"}], ",", "t"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"g", "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Omega]c", "2"], " ", "r"}]}], "}"}]}], "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Veff", "=", 
  RowBox[{
   RowBox[{"energy", "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]", "'"}], "[", "t", "]"}], "\[Rule]", "0"}], "}"}]}], "//",
    "ExpandAll"}]}]], "Input"],

Cell["dVeff= D[Veff,\[Psi][t]]  ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"dVeff", " ", "\[Equal]", "0"}], ",", 
    RowBox[{"\[Psi]", "[", "t", "]"}], ",", 
    RowBox[{"InverseFunctions", "\[Rule]", "True"}]}], " ", "]"}], 
  " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eqRule", "=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Psi]", "[", "t", "]"}], "\[Rule]", "\[Pi]"}], "}"}], "}"}], 
    ",", "sol"}], "]"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"dVeff", "\[Equal]", "0"}], "//.", "eqRule"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "\[Rule]", "1"}], ",", " ", 
     RowBox[{"\[Omega]c", "\[Rule]", "1"}], ",", " ", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Veff", "/.", "\[InvisibleSpace]", "values1"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Psi]", "[", "t", "]"}], ",", 
     RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "1", ",", "3"}], "}"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1", ",", 
         FractionBox["1", "2"]}], "]"}]}], ",", "Automatic", ",", 
      "Automatic"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Veff", "//.", "\[InvisibleSpace]", "values1"}], "/.", 
        "\[InvisibleSpace]", 
        RowBox[{"\[Omega]", "\[Rule]", "#1"}]}], "&"}], ")"}], "/@", 
     RowBox[{"{", 
      RowBox[{"2", ",", "0.2`"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Psi]", "[", "t", "]"}], ",", 
     RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "\[Pi]"}], ",", "0", ",", "\[Pi]"}], "}"}], ",", 
      "Automatic"}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0.6`", "]"}], ",", 
      RowBox[{"AbsolutePointSize", "[", "6", "]"}], ",", 
      RowBox[{"Point", "/@", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Psi]", "[", "t", "]"}], ",", "Veff"}], "}"}], "/.", 
           "\[InvisibleSpace]", "eqRule"}], "/.", "\[InvisibleSpace]", 
          "values1"}], "/.", "\[InvisibleSpace]", 
         RowBox[{"\[Omega]", "\[Rule]", "2"}]}], ")"}]}]}], "}"}]}]}], 
  "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell["\<\
Patch : substitute dummy variable for \[Psi]'[t]\
\>", "Subsubsection",
 CellChangeTimes->{{3.421763747056425*^9, 3.42176376158338*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ContourPlot", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"energy", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"\[Psi]", "'"}], "[", "t", "]"}], " ", "\[Rule]", 
              "\[Psi]prime"}], "}"}]}], "\[IndentingNewLine]", "/.", 
           "values1"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"m", "\[Rule]", "2"}], ",", 
            RowBox[{"r", "\[Rule]", "1"}]}], " ", "}"}]}], "/.", 
         RowBox[{"(", 
          RowBox[{"\[Omega]", "\[Rule]", "#"}], ")"}]}], "  ", "//", 
        "Evaluate"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Psi]", "[", "t", "]"}], ",", 
         RowBox[{
          RowBox[{"-", "4"}], "\[Pi]"}], ",", " ", 
         RowBox[{"4", "  ", "\[Pi]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Psi]prime", ",", 
         RowBox[{"-", "3"}], ",", "3"}], "}"}], " ", ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"FrameTicks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Pi]", " ", 
           RowBox[{"Range", "[", 
            RowBox[{
             RowBox[{"-", "4"}], ",", "4", ",", "2"}], "]"}]}], ",", 
          "Automatic"}], "}"}]}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", "  ", 
       "\[IndentingNewLine]", 
       RowBox[{"PlotPoints", "\[Rule]", "10"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"FrameLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<\[Psi]\>\"", ",", "\"\<\[Psi]'\>\""}], "}"}]}]}], "]"}],
      "&"}], "  ", "/@", "  ", 
    RowBox[{"{", 
     RowBox[{"2", ",", "0.2"}], " ", "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.42176331622451*^9, {3.42176354308862*^9, 3.421763556140792*^9}, {
   3.421763633195437*^9, 3.421763634669457*^9}, {3.421763675107454*^9, 
   3.421763725242369*^9}, 3.421764390331652*^9}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", "pt1", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421763912441229*^9, 3.421763915620885*^9}, {
  3.421764011598318*^9, 3.421764013093808*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"cylind", "=", " ", 
  RowBox[{"ParametricPlot3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"v", ",", 
      RowBox[{"Sin", "[", "u", "]"}], ",", 
      RowBox[{"Cos", "[", "u", "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"u", ",", 
      RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"v", ",", 
      RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421764051719851*^9, 3.421764079860235*^9}}],

Cell["\<\
This trick won' t work in 6.0 as graphics have been redefined. Need new \
trick!\
\>", "Subsubsection",
 CellChangeTimes->{{3.421764993523764*^9, 3.421765030460236*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"Show", "[", 
   RowBox[{"cylind", ",", 
    RowBox[{"Graphics3D", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"AbsoluteThickness", "[", "3", "]"}], ",", 
       RowBox[{
        RowBox[{"Cases", "[", 
         RowBox[{
          RowBox[{"Graphics", "[", 
           RowBox[{
           "pt1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
           "]"}], ",", "_Line", ",", "\[Infinity]"}], "]"}], "/.", 
        "\[InvisibleSpace]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x_", ",", "y_"}], "}"}], "\[RuleDelayed]", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"1.02`", " ", 
            RowBox[{"Cos", "[", "x", "]"}]}], ",", 
           RowBox[{"1.02`", " ", 
            RowBox[{"Sin", "[", "x", "]"}]}]}], "}"}]}]}]}], "}"}], "]"}], 
    ",", 
    RowBox[{"ViewPoint", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "1"}], "}"}]}]}], "]"}],
  FontColor->RGBColor[1, 0, 0]]], "Input",
 Evaluatable->False,
 CellChangeTimes->{3.42176405652304*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "     Let us numerically solve ",
 StyleBox["\[Psi]",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " for the rapidly spinning loop. If we let  "
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Omega]", "\[Rule]", "2"}], ",", " ", 
     RowBox[{"\[Omega]c", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqRule", "/.", "values2"}], "//", "N"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"g", "\[RightArrow]", 
    RowBox[{"\[Omega]c2", " ", "r"}]}], "}"}], " ", "//", 
  "FullForm"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"\[Psi]Sol", "//.", 
    RowBox[{"{", 
     RowBox[{"g", "\[Rule]", " ", 
      RowBox[{
       SuperscriptBox["\[Omega]c", "2"], "r"}]}], "}"}]}], "/.", 
   RowBox[{"Rule", "\[Rule]", "Equal"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"eq1", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Psi]", "''"}], "[", "t", "]"}], "\[Rule]", 
        RowBox[{
         RowBox[{"d\[Psi]", "'"}], "[", "t", "]"}]}], "}"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]", "'"}], "[", "t", "]"}], "\[Equal]", 
      RowBox[{"d\[Psi]", "[", "t", "]"}]}]}], "}"}], "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ndsol1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"eq2", "//.", "values2"}], ",", 
          RowBox[{
           RowBox[{"\[Psi]", "[", "0", "]"}], "\[Equal]", "1.1318"}], ",", 
          RowBox[{
           RowBox[{"d\[Psi]", "[", "0", "]"}], "\[Equal]", "#"}]}], "}"}], "//",
         "Flatten"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Psi]", "[", "t", "]"}], ",", 
         RowBox[{"d\[Psi]", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", "  ", 
    RowBox[{"1", ",", "2.5"}], "}"}]}]}]], "Input"],

Cell["\<\
 \[Psi][1][t_]= \[Psi][t] /.ndsol1[[1,1]];
d\[Psi][1][t_]= d\[Psi][t]/.ndsol1[[1,2]];
 \[Psi][2][t_]= \[Psi][t] /.ndsol1[[2,1]];
d\[Psi][2][t_]= d\[Psi][t]/.ndsol1[[2,2]];\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Plot", "[", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"d\[Psi]", "[", "#", "]"}], "[", "t", "]"}], ",", 
          RowBox[{
           RowBox[{"\[Psi]", "[", "#", "]"}], "[", "t", "]"}]}], "}"}], " ", "//",
         "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Dashing", "[", 
           RowBox[{"{", "0.04", "}"}], " ", "]"}], ",", 
          RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], " ", "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", 
        RowBox[{"{", "  ", 
         RowBox[{"Automatic", ",", 
          RowBox[{
           RowBox[{"\[Pi]", "/", "2"}], "   ", 
           RowBox[{"Range", "[", 
            RowBox[{"1", ",", "12", ",", "3"}], "]"}]}]}], " ", "}"}]}]}], 
      "]"}], " ", "&"}], " ", "/@", "  ", 
    RowBox[{"Range", "[", " ", "2", "]"}]}]}], " ", ";"}]], "Input",
 CellChangeTimes->{3.421765095809729*^9}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", "pt2", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421765101406278*^9, 3.421765106488394*^9}},
 Hyphenation->False],

Cell["Graphics enhancement here", "Subsubsection",
 CellChangeTimes->{{3.421765288454085*^9, 3.42176529371738*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pt3a", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Psi]", "[", "#", "]"}], "[", "t", "]"}], ",", " ", 
          RowBox[{
           RowBox[{"d\[Psi]", "[", "#", "]"}], "[", "t", "]"}]}], "}"}], " ", 
        "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"PlotStyle", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"White", ",", 
          RowBox[{"AbsoluteThickness", "[", "10", "]"}]}], "}"}]}]}], "]"}], 
     "&"}], "  ", "/@", "  ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "   ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pt3b", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Psi]", "[", "#", "]"}], "[", "t", "]"}], ",", " ", 
          RowBox[{
           RowBox[{"d\[Psi]", "[", "#", "]"}], "[", "t", "]"}]}], "}"}], " ", 
        "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", "\[IndentingNewLine]",
        
       RowBox[{"PlotStyle", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"AbsoluteThickness", "[", "5", "]"}]}], "}"}]}]}], "]"}], 
     "&"}], "  ", "/@", "  ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], "   ", 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.421765122294163*^9, {3.42176516599128*^9, 3.421765271562502*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"pt1", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",",
    "pt3a", ",", "pt3b"}], "]"}]], "Input",
 CellChangeTimes->{
  3.421765127748894*^9, {3.421765276108949*^9, 3.421765277761818*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "  To animate the solution, construct the ",
 StyleBox["Graphics",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " for the bead on the hoop at an instant of time ",
 StyleBox["t",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ":  "
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"bead", "[", "t_", "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PointSize", "[", "0.03`", "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{
          RowBox[{"\[Psi]", "[", "1", "]"}], "[", "t", "]"}], "]"}], ",", 
        RowBox[{"Cos", "[", 
         RowBox[{
          RowBox[{"\[Psi]", "[", "1", "]"}], "[", "t", "]"}], "]"}]}], "}"}], 
      "]"}]}], "}"}], "]"}]}]], "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Generate a set of graphics with a ",
 StyleBox["Do",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " loop. This can be animated to see the motion (all but two frames are \
suppressed):"
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frames", "=", "2"}], ";"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"bead", "[", "t", "]"}], ",", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Hue", "[", "0.1", "]"}], ",", 
           RowBox[{"Circle", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}], ",", "1"}], "]"}]}], "}"}], ",",
          
         RowBox[{"PlotRange", "\[RightArrow]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "\[IndentingNewLine]", 
        "]"}]}], "}"}], "\[IndentingNewLine]", "]"}], " ", "//", "Print"}], 
   "\n", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10", ",", 
     RowBox[{"10", "/", 
      RowBox[{"(", 
       RowBox[{"frames", "-", "1"}], ")"}]}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.421765362664348*^9, 3.421765363979312*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Springs Mounted on Top of a Carriage ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["xi", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["yi", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"V", "=", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", "K", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "r0"}], "+", 
         RowBox[{"xb", "[", "t", "]"}]}], ")"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "k", " ", 
      SuperscriptBox[
       RowBox[{"yb", "[", "t", "]"}], "2"]}]}]}], ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"xi", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"xb", "[", "#", "]"}], ")"}], 
           RowBox[{"Cos", "[", 
            RowBox[{"\[Omega]", " ", "#"}], "]"}]}], "-", 
          RowBox[{
           RowBox[{"yb", "[", "#", "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"\[Omega]", " ", "#"}], "]"}]}]}], ")"}], "&"}], ")"}]}], 
     ",", 
     RowBox[{"yi", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"xb", "[", "#", "]"}], ")"}], 
           RowBox[{"Sin", "[", 
            RowBox[{"\[Omega]", " ", "#"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"yb", "[", "#", "]"}], " ", 
           RowBox[{"Cos", "[", 
            RowBox[{"\[Omega]", " ", "#"}], "]"}]}]}], ")"}], "&"}], 
       ")"}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["L =T-V  /.change  //FullSimplify", "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eqmotion", " ", "=", " ", 
  RowBox[{
   RowBox[{"EulerEquations", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xb", "[", "t", "]"}], ",", 
       RowBox[{"yb", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "//", " ", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"#", ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"xb", "''"}], "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"yb", "''"}], "[", "t", "]"}]}], "}"}]}], "]"}], 
    "&"}]}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"K", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"k", "\[Rule]", "1"}], " ", ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"r0", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"eq1", ",", "eq2"}], "}"}], "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"eqmotion", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "/.", "values"}], "/.", 
    RowBox[{"Rules", "\[Rule]", "Equal"}]}], ")"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"xb", "''"}], "[", "t", "]"}], "+", 
    RowBox[{"I", " ", 
     RowBox[{
      RowBox[{"yb", "''"}], "[", "t", "]"}]}]}], " ", "\[Equal]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"xb", "''"}], "[", "t", "]"}], "+", 
       RowBox[{"I", " ", 
        RowBox[{
         RowBox[{"yb", "''"}], "[", "t", "]"}]}]}], "/.", "eq1"}], "/.", 
     "eq2"}], ")"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"eq3", "/.", 
    RowBox[{"xb", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"u", "[", "#", "]"}], "-", 
         RowBox[{"I", "  ", 
          RowBox[{"yb", "[", "#", "]"}]}]}], ")"}], "&"}], ")"}]}]}], "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"uSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "/.", 
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"eq4", ",", " ", 
           RowBox[{
            RowBox[{"u", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"u", "'"}], "[", "0", "]"}], "==", "0"}]}], " ", "}"}], 
         " ", ",", " ", 
         RowBox[{"u", "[", "t", "]"}], ",", "t"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "//", "  ", "ExpToTrig"}], "//", 
    "Simplify"}], "//", "Expand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"xSol", "=", "  ", 
  RowBox[{
   RowBox[{"uSol", "/.", " ", 
    RowBox[{
     RowBox[{"Complex", "[", 
      RowBox[{"a_", ",", "b_"}], "]"}], "\[Rule]", 
     RowBox[{"Complex", "[", 
      RowBox[{"a", ",", "0"}], "]"}]}]}], "//", "Simplify", " "}]}]], "Input",\

 Hyphenation->False],

Cell["To get complex part, take diff and divide by I instead ", \
"Subsubsection",
 CellChangeTimes->{{3.421765629949329*^9, 3.421765643658267*^9}}],

Cell[BoxData[
 RowBox[{"ySol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"uSol", "-", "xSol"}], " ", "//", "Together"}], ")"}], "/", 
    "I"}], "//", "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.421765623241428*^9, 3.42176562351088*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"This", " ", "trick", " ", 
    RowBox[{"won", "'"}], "t", " ", "work"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ySol", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"uSol", "-", "xSol"}], " ", "//", "Together"}], ")"}], "/.", 
     RowBox[{"I", "\[Rule]", "1"}]}], "//", "Simplify"}]}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.421765659835572*^9, 3.421765686761913*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"wvalues", "=", 
   RowBox[{"{", 
    RowBox[{"0.2", ",", "0.4", ",", "0.6", ",", "0.8"}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"listb", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xSol", ",", "ySol"}], "}"}], "/.", 
         RowBox[{"\[Omega]", "\[Rule]", "#"}]}], " ", "//", "Evaluate"}], ",",
        
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<xb\>\"", ",", "\"\<yb\>\""}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}], "&"}], "  ", "/@", " ",
     "wvalues"}]}], ";"}]], "Input",
 CellChangeTimes->{3.421765420271915*^9, 3.42176550226614*^9, 
  3.421765710744382*^9}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{"listb", ",", "2"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.421765440981707*^9, 3.421765457189078*^9}},
 Hyphenation->False],

Cell[BoxData["change"], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"xi", "[", "t", "]"}], ",", 
        RowBox[{"yi", "[", "t", "]"}]}], "}"}], "/.", "change"}], "/.", 
     RowBox[{
      RowBox[{"xb", "[", "t", "]"}], "\[Rule]", "xSol"}]}], "/.", 
    RowBox[{
     RowBox[{"yb", "[", "t", "]"}], "\[Rule]", "ySol"}]}], " ", "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"listi", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"eq2", "/.", 
         RowBox[{"\[Omega]", "\[Rule]", "#"}]}], "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<xi\>\"", ",", "\"\<yi\>\""}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}], "&"}], "/@", " ", 
    "wvalues"}]}], " ", ";"}]], "Input",
 CellChangeTimes->{{3.421765743127471*^9, 3.421765747983952*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"listi", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"listpb", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"ySol", ",", 
           RowBox[{"D", "[", 
            RowBox[{"ySol", ",", "t"}], "]"}]}], "}"}], "  ", "/.", 
         RowBox[{"\[Omega]", "\[Rule]", "#"}]}], "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<yb\>\"", ",", "\"\< yb'\>\""}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}], "&"}], " ", "/@", "  ",
     "wvalues"}]}], ";"}]], "Input",
 CellChangeTimes->{3.421765757440071*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"listpb", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"listpi", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"eq2", "[", 
            RowBox[{"[", "2", "]"}], "]"}], ",", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"eq2", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ",", "t"}], "]"}]}], "}"}], 
         "  ", "/.", 
         RowBox[{"\[Omega]", "\[Rule]", "#"}]}], "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<yb\>\"", ",", "\"\< yb'\>\""}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}], "&"}], " ", "/@", "  ",
     "wvalues"}]}], ";"}]], "Input",
 CellChangeTimes->{3.421765768343054*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"Partition", "[", 
    RowBox[{"listpi", ",", "2"}], "]"}], "]"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 5: Mass Falling Through a Hole in a Table     ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T1", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m1", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["r", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"r", "[", "t", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["\[Phi]", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"V1", "=", "0"}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"zRule", "=", 
   RowBox[{"{", 
    RowBox[{"z", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"len", "-", 
         RowBox[{"r", "[", "#", "]"}]}], ")"}], "&"}], ")"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T2", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["z", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "/.", "zRule"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"V2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "m2"}], " ", "g", " ", 
     RowBox[{"z", "[", "t", "]"}]}], "/.", "zRule"}]}], ";"}]}], "Input"],

Cell["L=(T1+T2)-(V1+V2) ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{"EulerEquations", "[", 
   RowBox[{"L", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r", "[", "t", "]"}], ",", 
      RowBox[{"\[Phi]", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], 
  "  "}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Solve", "[", 
     RowBox[{"eq1", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[Phi]", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], ",", 
        RowBox[{
         SuperscriptBox["r", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "}"}]}], "]"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", "eq2", "]"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Column", "[", 
  RowBox[{"FirstIntegrals", "[", 
   RowBox[{"L", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r", "[", "t", "]"}], ",", 
      RowBox[{"\[Phi]", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], 
  "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq\[Phi]", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Phi]", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Rule]", 
      FractionBox["h", 
       SuperscriptBox[
        RowBox[{"r", "[", "t", "]"}], "2"]]}], ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Phi]", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"2", " ", "h", " ", 
         RowBox[{
          SuperscriptBox["r", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], 
        SuperscriptBox[
         RowBox[{"r", "[", "t", "]"}], "3"]]}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eqR", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eq2", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "/.", "eq\[Phi]"}], "//", "Simplify"}], 
   "//", "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqMotion", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
       "eq\[Phi]", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
       ",", "eqR"}], "}"}], "/.", "\[InvisibleSpace]", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", "eqMotion", "]"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"energy", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"T1", "+", "T2", "+", "V1", "+", "V2"}], "/.", "eq\[Phi]"}], "//",
     "Simplify"}], "//", "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Effpot", " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"+", "g"}], "  ", "len", "  ", "m2"}], "+", "energy"}], ")"}], 
    "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"r", "'"}], "[", "t", "]"}], "\[Rule]", "0"}], ",", 
      RowBox[{
       RowBox[{"r", "[", "t", "]"}], "\[Rule]", "r"}]}], "}"}]}], "//", 
   "Apart"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"min", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"Effpot", ",", "r"}], " ", "]"}], "\[Equal]", "0"}], "//", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"#", ",", "r"}], " ", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "&"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[Rule]", "1"}], ",", 
     RowBox[{"m1", "\[Rule]", "1"}], ",", 
     RowBox[{"m2", "\[Rule]", "1"}], ",", 
     RowBox[{"g", "\[Rule]", "1"}]}], " ", "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"Effpot", "/.", "\[InvisibleSpace]", "values"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0.2`", ",", "3"}], "}"}]}], "]"}]], "Input",
 Hyphenation->False],

Cell["Substitute dummy variable for r'[t]", "Subsubsection",
 CellChangeTimes->{{3.421765852681488*^9, 3.421765858707941*^9}}],

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"energy", " ", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"r", "'"}], "[", "t", "]"}], "\[Rule]", "rPrime"}], "}"}]}],
       "\[IndentingNewLine]", "/.", "\[InvisibleSpace]", "values"}], "/.", 
     "\[InvisibleSpace]", 
     RowBox[{"len", "\[Rule]", "10"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "[", "t", "]"}], ",", "0.2`", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"rPrime", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"ContourShading", "\[Rule]", "True"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "Hue"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421765829869645*^9, 3.421765849303465*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[Rule]", "1"}], ",", 
     RowBox[{"m1", "\[Rule]", "1"}], ",", 
     RowBox[{"m2", "\[Rule]", "1"}], ",", 
     RowBox[{"g", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"ndsol", " ", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"eqMotion", "/.", "values"}], " ", ",", 
         RowBox[{
          RowBox[{"\[Phi]", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{
          RowBox[{"r", "[", "0", "]"}], "\[Equal]", " ", "2"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"r", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "//",
        "Flatten"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Phi]", "[", "t", "]"}], ",", 
        RowBox[{"r", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "70"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], " ", ";"}]], "Input"],

Cell["\<\
\[Phi]1[t_]= \[Phi][t] /.ndsol; 
r1[t_]= r[t] /.ndsol; \
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"r1", "[", "t", "]"}], " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"\[Phi]1", "[", "t", "]"}], "]"}], ",", 
       RowBox[{"Sin", "[", 
        RowBox[{"\[Phi]1", "[", "t", "]"}], "]"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "70"}], "}"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"AbsoluteThickness", "[", "3", "]"}], ",", 
      RowBox[{"Circle", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "2"}], "]"}], ",", 
      RowBox[{"Circle", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], ",", "0.55`"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 6: Spring Pendulum  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"lsrule", "=", 
    RowBox[{"lst", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"x", "[", "#1", "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"y", "[", "#1", "]"}], "2"]}]], "&"}], ")"}]}]}], 
   ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", " ", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["x", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["y", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Vsp", "=", " ", 
   RowBox[{
    FractionBox["1", "2"], " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "L0"}], "+", 
       RowBox[{"lst", "[", "t", "]"}]}], ")"}], "2"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Vgr", "=", 
  RowBox[{
   RowBox[{"-", " ", "m"}], " ", "g", " ", 
   RowBox[{"x", "[", "t", "]"}], "   "}]}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"polarrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], ")"}], "&"}], 
       ")"}]}], ",", 
     RowBox[{"y", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], ")"}], "&"}], 
       ")"}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"T", "-", "Vsp", "-", "Vgr"}], "/.", "lsrule"}], "/.", 
     "polarrule"}], "//", "Simplify"}], "//", "PowerExpand", " "}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqMotion", "=", 
   RowBox[{"ExpandAll", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"#1", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              SuperscriptBox["r", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}], ",", 
             RowBox[{
              SuperscriptBox["\[Theta]", "\[Prime]\[Prime]",
               MultilineFunction->None], "[", "t", "]"}]}], "}"}]}], "]"}], 
         "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "&"}], ")"}],
       "[", 
      RowBox[{"EulerEquations", "[", 
       RowBox[{"L", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "[", "t", "]"}], ",", 
          RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], 
      "]"}], "/.", "\[InvisibleSpace]", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", "eqMotion", "]"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"vertical", "=", "  ", 
   RowBox[{"{", 
    RowBox[{"\[Theta]", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{"0", "&"}], ")"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"vertMotion", "=", 
  RowBox[{
   RowBox[{"eqMotion", "/.", 
    RowBox[{"Rule", "\[Rule]", "Equal"}]}], "/.", "vertical", 
   " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"vertSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"vertMotion", "[", 
       RowBox[{"[", "1", "]"}], "]"}], " ", ",", " ", 
      RowBox[{"r", "[", "t", "]"}], ",", "t"}], "]"}], "//", "Flatten"}], "//",
    "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vertSol", "/.", 
     RowBox[{
      RowBox[{"C", "[", "1", "]"}], "\[Rule]", "0"}]}], "/.", 
    RowBox[{
     RowBox[{"C", "[", "2", "]"}], "\[Rule]", "0"}]}], "//", "Flatten"}], "//",
   "ExpandAll"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c   ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"valuesc", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"L0", "\[Rule]", 
      RowBox[{"40", "/", "9"}]}], ",", 
     RowBox[{"n", "\[Rule]", "1"}], ",", 
     RowBox[{"k", "\[Rule]", "4"}], ",", " ", 
     RowBox[{"g", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initialc", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "[", "0", "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"L0", "+", " ", 
          RowBox[{"g", " ", 
           RowBox[{"m", "/", "k"}]}]}], ")"}], "+", "1"}]}], " ", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "'"}], "[", "0", "]"}], "\[Equal]", ".1"}], ",", 
      RowBox[{
       RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "   ", "\[Pi]"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]", "'"}], "[", "0", "]"}], "\[Equal]", " ", ".0"}]}],
      "}"}], "/.", "valuesc"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"neqc", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqMotion", ",", "initialc"}], "}"}], "/.", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], " ", "/.", "valuesc"}], "//", 
    "Flatten"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell["Up the number of MaxSteps", "Subsubsection",
 CellChangeTimes->{{3.421766050698177*^9, 3.421766054835928*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nSolc", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"neqc", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r", "[", "t", "]"}], ",", 
        RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", "3000"}]}], " ", "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 CellChangeTimes->{3.421766046557636*^9},
 Hyphenation->False],

Cell["\<\
rc[t_]= r[t]/.nSolc; 
\[Theta]c[t_]= \[Theta][t]/.nSolc; \
\>", "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rc", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]c", "[", "t", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0.7`", "]"}], ",", 
      RowBox[{"Hue", "[", "0.9`", "]"}]}], "}"}]}], ",", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "2", ",", "1"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"Line", "/@", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"#1", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"125", ",", 
            RowBox[{"#1", " ", "\[Pi]"}]}], "}"}]}], "}"}], "&"}], ")"}], "/@",
       
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "2"}], "]"}]}]}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"rc", "[", "t", "]"}], " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"\[Theta]c", "[", "t", "]"}], "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Theta]c", "[", "t", "]"}], "]"}]}]}], "}"}]}], "]"}], ",",
    
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Hue", "[", "0.9`", "]"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "8"}], ",", "8"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "#1"}], "]"}], "&"}], ")"}], "/@",
       
      RowBox[{"{", 
       RowBox[{"6", ",", "4", ",", "2"}], "}"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pt1", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#1", "[", "t", "]"}], ",", 
           RowBox[{
            SuperscriptBox["#1", "\[Prime]",
             MultilineFunction->None], "[", "t", "]"}]}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Hue", "[", "0.7`", "]"}], ",", 
           RowBox[{"Hue", "[", "0.9`", "]"}]}], "}"}]}], ",", 
        RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}], "&"}], ")"}], "/@", 
    RowBox[{"{", 
     RowBox[{"rc", ",", "\[Theta]c"}], "}"}]}]}], ";"}], "\n", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", "pt1", "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.421765942702745*^9, 3.42176595959053*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d   ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"valuesd", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"L0", "\[Rule]", "5"}], ",", 
     RowBox[{"n", "\[Rule]", "1"}], ",", 
     RowBox[{"k", "\[Rule]", "2"}], ",", " ", 
     RowBox[{"g", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initiald", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"(", 
        RowBox[{"L0", "+", " ", 
         RowBox[{"g", " ", 
          RowBox[{"m", "/", "k"}]}], "+", ".01"}], ")"}]}], "  ", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", 
       RowBox[{"\[Pi]", " ", "-", ".07"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]", "'"}], "[", "0", "]"}], "\[Equal]", " ", "0"}]}], 
     "}"}], "/.", "valuesd"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"neqd", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"eqMotion", ",", "initiald"}], "}"}], "/.", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], " ", "/.", "valuesd"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"nSold", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"neqd", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r", "[", "t", "]"}], ",", 
        RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
      RowBox[{"MaxSteps", "\[Rule]", "2000"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}]], "Input"],

Cell["\<\
rd[t_]= r[t] /. nSold;
\[Theta]d[t_]= \[Theta][t] /. nSold; \
\>", "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"rd", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]d", "[", "t", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0.7`", "]"}], ",", 
      RowBox[{"Hue", "[", "0.9`", "]"}]}], "}"}]}], ",", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", 
      RowBox[{"\[Pi]", " ", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"-", "5"}], ",", "2", ",", "1"}], "]"}]}]}], "}"}]}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"Line", "/@", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"#1", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"125", ",", 
            RowBox[{"#1", " ", "\[Pi]"}]}], "}"}]}], "}"}], "&"}], ")"}], "/@",
       
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "5"}], ",", "2"}], "]"}]}]}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"rd", "[", "t", "]"}], " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"\[Theta]d", "[", "t", "]"}], "]"}], ",", 
       RowBox[{"-", 
        RowBox[{"Cos", "[", 
         RowBox[{"\[Theta]d", "[", "t", "]"}], "]"}]}]}], "}"}]}], "]"}], ",",
    
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Hue", "[", "0.9`", "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Circle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", "#1"}], "]"}], "&"}], ")"}], "/@",
       
      RowBox[{"{", 
       RowBox[{"8", ",", "6", ",", "4"}], "}"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"pt1", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"ParametricPlot", "[", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#1", "[", "t", "]"}], ",", 
            RowBox[{
             SuperscriptBox["#1", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "}"}], "]"}], ",", 
         
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "110"}], "}"}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Hue", "[", "0.7`", "]"}], ",", 
            RowBox[{"Hue", "[", "0.9`", "]"}]}], "}"}]}], ",", 
         RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}], "&"}], ")"}], "/@", 
     RowBox[{"{", 
      RowBox[{"rd", ",", "\[Theta]d"}], "}"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", "pt1", "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.421766117528696*^9, 3.421766150890669*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"line", "[", "t_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", " ", "\[IndentingNewLine]", 
    RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", 
            RowBox[{
             RowBox[{"rc", "[", "t", "]"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Sin", "[", 
                RowBox[{"\[Theta]c", "[", "t", "]"}], "]"}], ",", 
               RowBox[{"-", 
                RowBox[{"Cos", "[", 
                 RowBox[{"\[Theta]c", "[", "t", "]"}], "]"}]}]}], "}"}]}]}], 
           "}"}], "]"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"PointSize", "[", "0.1", "]"}], ",", 
           RowBox[{"Point", "[", " ", 
            RowBox[{
             RowBox[{"rd", "[", "t", "]"}], 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"Sin", "[", 
                RowBox[{"\[Theta]c", "[", "t", "]"}], "]"}], ",", 
               RowBox[{"-", 
                RowBox[{"Cos", "[", 
                 RowBox[{"\[Theta]c", "[", "t", "]"}], "]"}]}]}], "}"}]}], 
            "]"}]}], "}"}]}], "}"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "13"}], ",", "13"}], "}"}]}], "}"}]}]}], 
     "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], " ", "//", 
   "Print"}]}]], "Input",
 CellChangeTimes->{{3.421766175106071*^9, 3.421766176241001*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frames", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"movie", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"line", "[", "#", "]"}], "&"}], " ", "/@", " ", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "30", ",", 
       RowBox[{"30", "/", 
        RowBox[{"(", " ", 
         RowBox[{"frames", "-", "1"}], ")"}]}]}], "]"}]}]}], ";"}], 
  " "}]}], "Input",
 Hyphenation->False,
 AnimationDisplayTime->0.459482]
}, Closed]]
}, Closed]],

Cell[TextData[{
 "6.2 Lagrangian Problems with Lagrange Multipliers",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["\<\
Overview of Nonholonomic Constraints and Lagrange Multipliers  \
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
Lag[qi_,L_ ,Qi_,t_:t] := 
D[ D[L,(D[qi[t],t])],t]-D[L,qi[t]]==Qi;
  
Lag[qi_List,L_,Qi_List,t_:t] :=
(D[ D[L,(D[qi[[#]][t],t])],t]-D[L,qi[[#]][t]]==Qi[[#]]
)&  /@  Range[1,Length[qi]];\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Protect[Lag];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 1: Atwood Machine  ",
 StyleBox["  ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline: ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution    ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"m", "[", "i", "]"}], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"x", "[", "i", "]"}], "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"-", "g"}], ")"}], " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"m", "[", "i", "]"}], " ", 
       RowBox[{
        RowBox[{"x", "[", "i", "]"}], "[", "t", "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], ";"}]}], "Input"],

Cell["L= T-V", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["f[1]=x[1][t]+x[2][t]-Len;", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Qeq", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"f", "[", "1", "]"}], ",", 
        RowBox[{
         RowBox[{"x", "[", "#", "]"}], "[", "t", "]"}]}], "]"}], " ", 
      RowBox[{"\[Lambda]", "[", "1", "]"}]}], "&"}], " ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2"}], "}"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{" "}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"Lag", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "1", "]"}], ",", 
      RowBox[{"x", "[", "2", "]"}]}], "}"}], ",", "L", ",", "Qeq"}], "]"}], 
  " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"f", "[", "1", "]"}], "\[Equal]", "0"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "1", "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "2"}], "}"}]}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq4", "=", 
   RowBox[{
    RowBox[{"Flatten", "[", 
     RowBox[{"Simplify", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"{", 
          RowBox[{"eq2", ",", "eq3"}], "}"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Lambda]", "[", "1", "]"}], ",", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"x", "[", "2", "]"}], "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], ",", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"x", "[", "1", "]"}], "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], "}"}], ",", "t"}], 
       "]"}], "]"}], "]"}], "/.", "\[InvisibleSpace]", 
    RowBox[{"{", 
     RowBox[{"Rule", "\[Rule]", "Equal"}], "}"}]}]}], ";"}], "\n", 
 RowBox[{"Column", "[", "eq4", "]"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], "[", "0", "]"}], "\[Equal]", "x0"}], ",",
      
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "[", "1", "]"}], ")"}], "'"}], "[", "0", "]"}], 
      "\[Equal]", "v0"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol1", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"eq4", "[", 
          RowBox[{"[", 
           RowBox[{"{", "3", "}"}], "]"}], "]"}], ",", "initial"}], "}"}], 
       " ", "//", "Flatten"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"x", "[", "1", "]"}], ")"}], "[", "t", "]"}], "}"}], ",", 
      "t"}], "]"}], "//", "FullSimplify"}], " ", "//", "Flatten", 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol2", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "2", "]"}], "[", "t", "]"}], "\[Rule]", 
     RowBox[{"Len", "-", 
      RowBox[{
       RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}]}]}], "/.", "sol1"}], 
   "}"}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Hoop Rolling on an Incline    ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["x", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["\[Theta]", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"m", " ", "g", " ", 
    RowBox[{"(", 
     RowBox[{"Len", "-", 
      RowBox[{"x", "[", "t", "]"}]}], ")"}], " ", 
    RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"L", "=", 
  RowBox[{"T", "-", "V"}]}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"r", " ", 
      RowBox[{"\[Theta]", "[", "t", "]"}]}], "-", 
     RowBox[{"x", "[", "t", "]"}]}], "\[Equal]", "0"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"constraintForce", "=", "\[IndentingNewLine]", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Q", "[", "1", "]"}], "\[Rule]", 
     RowBox[{"\[Lambda]", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"x", "[", "t", "]"}]}], "]"}]}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{
     RowBox[{"Q", "[", "2", "]"}], "\[Rule]", 
     RowBox[{"\[Lambda]", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{"\[Theta]", "[", "t", "]"}]}], "]"}]}]}]}], "}"}]}]], "Input",\

 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eqX", ",", "eq\[Theta]"}], "}"}], "=", 
   RowBox[{
    RowBox[{"Lag", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "\[Theta]"}], "}"}], ",", "L", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Q", "[", "1", "]"}], ",", 
        RowBox[{"Q", "[", "2", "]"}]}], "}"}]}], "]"}], "//.", 
    "\[InvisibleSpace]", "constraintForce"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", 
  RowBox[{"{", 
   RowBox[{"eqX", ",", "eq\[Theta]"}], "}"}], "]"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "v0"}], ",", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", 
      RowBox[{"x0", "/", "r"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Theta]", "'"}], "[", "0", "]"}], "\[Equal]", 
      RowBox[{"v0", "/", "r"}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"xtSol", "=", 
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eqX", ",", "eq\[Theta]", ",", "initial"}], "}"}], "//", 
       "Flatten"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"\[Theta]", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "[", 
    
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"\[Lambda]Sol", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"eq1", "/.", "xtSol"}], ",", "\[Lambda]"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell["\<\
xtSol2= xtSol /.\[Lambda]Sol //ExpandAll //Flatten\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x0", "\[Rule]", "0"}], ",", 
     RowBox[{"v0", "\[Rule]", "0"}], ",", 
     RowBox[{"g", "\[Rule]", 
      RowBox[{"-", "0.1"}]}], ",", 
     RowBox[{"\[Phi]", "\[Rule]", 
      RowBox[{"\[Pi]", "/", "4"}]}], ",", 
     RowBox[{"r", "\[Rule]", "2.0"}]}], "}"}]}], ";"}]], "Input"],

Cell["\<\
posx = ( x[t] Sin[\[Phi]]+ r Sin[\[Theta][t]]);
posy = ( x[t] Cos[\[Phi]]+ r Cos[\[Theta][t]]);\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["point={posx,posy} /.xtSol2 //.values;", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", "point", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "70"}], "}"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Sphere Rolling on a Fixed Sphere   ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Tcm", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["r", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"r", "[", "t", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["\[Theta]1", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ")"}]}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Trot", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "I1", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Theta]1", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "+", 
       RowBox[{
        SuperscriptBox["\[Theta]2", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], ")"}], "2"]}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell["T=Tcm+Trot; ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["V= m g r[t] Cos[\[Theta]1[t]]; ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["L=T-V", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
constraints= {b \[Theta]1[t] - a \[Theta]2[t]==0, r[t]-a-b==0 }\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"constraintRule", "=", " ", 
  RowBox[{"DSolve", "[", 
   RowBox[{"constraints", " ", ",", 
    RowBox[{"{", 
     RowBox[{"\[Theta]2", ",", "r"}], "}"}], ",", "t"}], "]"}], 
  " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"vars", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]2", "[", "t", "]"}]}], "}"}]}], ";"}], " "}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Qeq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Lambda]", "[", "j", "]"}], "*", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"constraints", "[", 
          RowBox[{"[", 
           RowBox[{"j", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"vars", "[", 
          RowBox[{"[", "#", "]"}], "]"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "2"}], "}"}]}], "]"}], "&"}], " ", "/@", 
   " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"(", 
   RowBox[{"eqMotion", "=", 
    RowBox[{"Lag", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"r", ",", "\[Theta]1", ",", "\[Theta]2"}], "}"}], ",", "L", 
      ",", "Qeq"}], "]"}]}], ")"}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{"Column", "[", "eqMotion", "]"}]}], "Input",
 CellChangeTimes->{{3.421766463230115*^9, 3.421766476320742*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Lambda]2Sol", ",", "\[Theta]Sol", ",", "\[Lambda]1Sol"}], 
     "}"}], "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"eqMotion", "//.", "\[InvisibleSpace]", "constraintRule"}], 
         "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[Theta]1", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "t", "]"}], ",", 
          RowBox[{"\[Lambda]", "[", "1", "]"}], ",", 
          RowBox[{"\[Lambda]", "[", "2", "]"}]}], "}"}]}], "]"}], "/.", 
      "\[InvisibleSpace]", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], "]"}]}], ")"}], ";", " ", 
  RowBox[{"Column", "[", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]2Sol", ",", "\[Theta]Sol", ",", "\[Lambda]1Sol"}], 
    "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.421766491011459*^9, 3.421766492426163*^9}}],

Cell[BoxData[
 RowBox[{"eq\[Theta]", "=", 
  RowBox[{"(", " ", 
   RowBox[{
    RowBox[{"\[Theta]Sol", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "-", 
    RowBox[{"\[Theta]Sol", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], ")"}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"int\[Theta]", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"eq\[Theta]", "  ", 
        RowBox[{
         RowBox[{"\[Theta]1", "'"}], "[", "t", "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "t"}], "}"}]}], "]"}], " ", "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Theta]1", "[", "0", "]"}], "\[Rule]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Theta]1", "'"}], "[", "0", "]"}], "\[Rule]", "0"}]}], 
      "}"}]}], "//", "Simplify"}], "//", "Apart"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"sol\[Theta]", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"int\[Theta]", "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Theta]1", "'"}], "[", "t", "]"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], " ", "/.", 
   RowBox[{
    SqrtBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"Cos", "[", "x_", "]"}]}]], "\[Rule]", 
    RowBox[{"\[ImaginaryI]", " ", 
     SqrtBox[
      RowBox[{"1", "-", 
       RowBox[{"Cos", "[", "x", "]"}]}]]}]}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"\[Lambda]2Sol", "/.", 
    RowBox[{
     RowBox[{"\[Lambda]", "[", "2", "]"}], "\[Rule]", "0"}]}], "//.", 
   "sol\[Theta]"}]}]], "Input",
 Hyphenation->False],

Cell["\<\
sol2=Solve[eq1,Cos[\[Theta]1[t]]] //Flatten  \
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"sol3", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"sol2", "//.", 
      RowBox[{"{", 
       RowBox[{"Rule", "\[Rule]", "Equal"}], "}"}]}], ",", 
     RowBox[{"\[Theta]1", "[", "t", "]"}], ",", 
     RowBox[{"InverseFunctions", "\[Rule]", "True"}]}], "]"}], "//", 
   "Flatten", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Theta]1", "[", "t", "]"}], "/", "Degree"}], ")"}], "//.", 
    RowBox[{"sol3", "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "//.", 
   RowBox[{"{", 
    RowBox[{"I1", "\[Rule]", 
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["a", "2"], " ", "m"}], "5"]}], "}"}]}], "//", 
  "N"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[TextData[{
 "6.3 Hamiltonian Problems ",
 StyleBox["  ",
  FontColor->RGBColor[1, 0, 0]]
}], "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Overview of Hamilton's Equations", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Hamilton", "[", 
   RowBox[{"L_", ",", "xList_List", ",", "pList_List", ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "xx", ",", "vv", ",", "pp", ",", "sol", ",", "ham", ",", "eqp", ",", 
      "eqx", ",", "eqs"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"xx", "=", 
      RowBox[{"Through", "[", 
       RowBox[{"xList", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"vv", "=", 
      RowBox[{"D", "[", 
       RowBox[{"xx", ",", "t"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"pp", "=", 
      RowBox[{"Through", "[", 
       RowBox[{"pList", "[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"sol", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{"L", ",", "#"}], "]"}], "&"}], "/@", "vv"}], ")"}], 
          "\[Equal]", "pp"}], ",", "vv"}], "]"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ham", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"pp", ".", "vv"}], "-", "L"}], "//.", "sol"}], "//", 
        "Simplify"}], "//", "Expand"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eqp", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{"pp", ",", "t"}], "]"}], "\[Equal]", 
        RowBox[{"-", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{"ham", ",", "#"}], "]"}], "&"}], ",", "xx"}], "]"}]}]}], 
       "//", "Thread"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eqx", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"D", "[", 
         RowBox[{"xx", ",", "t"}], "]"}], "\[Equal]", 
        RowBox[{"+", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{"ham", ",", "#"}], "]"}], "&"}], ",", "pp"}], "]"}]}]}], 
       "//", "Thread"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eqs", "=", 
      RowBox[{"Join", "[", 
       RowBox[{"eqp", ",", "eqx"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", 
      RowBox[{"{", 
       RowBox[{"sol", ",", "ham", ",", "eqs"}], "}"}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"L", ",", "x", ",", "V"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"V", "[", 
      RowBox[{"x", "[", "t", "]"}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["x", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}]}]}], ";"}]], "Input",\

 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pRule", ",", "hamiltonian", ",", "eqMotion"}], "}"}], "=", 
   RowBox[{"Hamilton", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", "x", "}"}], ",", 
     RowBox[{"{", "px", "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", "pRule", "\[IndentingNewLine]", \
"hamiltonian", "\[IndentingNewLine]", "eqMotion"}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"V", "[", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["x", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}]}], 
  ";"}], "\n", 
 RowBox[{"Hamilton", "[", 
  RowBox[{"L", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"px", ",", "py"}], "}"}]}], "]"}]}], "Input"],

Cell["Protect[Hamilton];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 1: Harmonic Oscillator", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["x", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"V", "=", 
    RowBox[{
     FractionBox["1", "2"], " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"x", "[", "t", "]"}], "2"]}]}], ";"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"L", "=", 
  RowBox[{"T", "-", "V"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"p", "[", "t", "]"}], "\[Equal]", 
   RowBox[{"D", "[", 
    RowBox[{"L", ",", 
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}]}], "]"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"xpRule", "=", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{"eq1", ",", 
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}]}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"H", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "t", "]"}], " ", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "-", "L"}], ")"}], "//.", 
   "xpRule"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", "\[IndentingNewLine]", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"p", "'"}], "[", "t", "]"}], "\[Equal]", 
     RowBox[{"-", 
      RowBox[{"D", "[", 
       RowBox[{"H", ",", 
        RowBox[{"x", "[", "t", "]"}]}], "]"}]}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
     RowBox[{"+", 
      RowBox[{"D", "[", 
       RowBox[{"H", ",", 
        RowBox[{"p", "[", "t", "]"}]}], "]"}]}]}]}], "}"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Column", "[", 
  RowBox[{"Hamilton", "[", 
   RowBox[{"L", ",", 
    RowBox[{"{", "x", "}"}], ",", 
    RowBox[{"{", "p", "}"}]}], "]"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "[", "0", "]"}], "\[Equal]", "p0"}], ",", 
     RowBox[{
      RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"eq2", "~", "Join", "~", "initial"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p", "[", "t", "]"}], ",", 
        RowBox[{"x", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "//", 
    "Flatten"}], " ", "//", "FullSimplify"}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Nonlinear Oscillator    ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Remarks and Outline", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"firstDiffSeries", "[", 
   RowBox[{"eqin_", ",", 
    RowBox[{"{", 
     RowBox[{"z_", ",", "p_"}], "}"}], ",", "initRule_List", ",", "order_", 
    ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "eq", ",", "zSer", ",", "pSer", ",", "eSer", ",", "vars", ",", "sol", 
      ",", "zpsol"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eq", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"eqin", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}], "-", 
          RowBox[{"eqin", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "\[Equal]", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "2"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"zSer", "=", 
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{"z", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pSer", "=", 
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{"p", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"eSer", "=", 
      RowBox[{
       RowBox[{"eq", "//.", 
        RowBox[{"(", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"z", "[", "t", "]"}], "\[Rule]", "zSer"}], ",", 
           RowBox[{
            RowBox[{"p", "[", "t", "]"}], "\[Rule]", "pSer"}]}], "}"}], 
         ")"}]}], "//", "ExpandAll"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vars", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{"z", "[", "t", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "j"}], "}"}]}], "]"}], ",", 
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{"p", "[", "t", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "j"}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"order", "+", "1"}]}], "}"}]}], "]"}], "/.", 
         RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "//", "Flatten"}]}], ";", 
     "     ", 
     RowBox[{"sol", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"eSer", ",", "vars"}], "]"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"zpSol", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"zSer", ",", "pSer"}], "}"}], "//.", "sol"}], "//.", 
       "initRule"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "zpSol", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["w", "2"], " ", 
        RowBox[{"x", "[", "t", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["p", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}], ",", 
     
     RowBox[{
      RowBox[{"p", "[", "t", "]"}], "\[Equal]", 
      RowBox[{
       SuperscriptBox["x", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}]}]}], "}"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", 
  RowBox[{"firstDiffSeries", "[", 
   RowBox[{"eq1", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "p"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "\[Rule]", "x0"}], ",", 
      RowBox[{
       RowBox[{"p", "[", "0", "]"}], "\[Rule]", "p0"}]}], "}"}], ",", "4", 
    ",", "t"}], "]"}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"firstOrderPert", "[", 
   RowBox[{"eq1_", ",", "x_", ",", 
    RowBox[{"{", 
     RowBox[{"x0_", ",", "v0_"}], "}"}], ",", 
    RowBox[{"eps_:", "eps"}], ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "xRule", ",", "eq2", ",", "eqEps", ",", "initCon0", ",", "initCon1", ",",
       "dsol1", ",", "dsol2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"xRule", "=", 
      RowBox[{"{", 
       RowBox[{"x", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "[", "#", "]"}], "+", 
           RowBox[{"eps", " ", 
            RowBox[{
             RowBox[{"x", "[", "1", "]"}], "[", "#", "]"}]}]}], "&"}], 
         ")"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"eq2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "-", 
        RowBox[{"eq1", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "/.", "xRule"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"eqEps", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"CoefficientList", "[", 
         RowBox[{"eq2", ",", "eps"}], "]"}], "\[Equal]", "0"}], "//", 
       "Thread"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"initCon0", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "\[Equal]", "x0"}], 
        ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "[", "0", "]"}], ")"}], "'"}], "[", "0", "]"}], 
         "\[Equal]", "v0"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"initCon1", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "1", "]"}], "[", "0", "]"}], "\[Equal]", "0"}], 
        ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", "[", "1", "]"}], ")"}], "'"}], "[", "0", "]"}], 
         "\[Equal]", "0"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"dsol1", "=", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"DSolve", "[", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"eqEps", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", "initCon0"}], "]"}],
           ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "[", "t", "]"}], "}"}], ",", "t"}], 
         "]"}], "//", "Flatten"}], ")"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"dsol2", "=", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"DSolve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Join", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"eqEps", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "}"}], ",", "initCon1"}], 
            "]"}], "//.", "dsol1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}], "}"}], ",", "t"}], 
         "]"}], "//", "Flatten"}], ")"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "/.", "xRule"}], "//.", 
       RowBox[{"Join", "[", 
        RowBox[{"dsol1", ",", "dsol2"}], "]"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "==", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["k", "2"]}], " ", 
      RowBox[{"x", "[", "t", "]"}]}], "+", 
     RowBox[{"eps", " ", 
      SuperscriptBox[
       RowBox[{"x", "[", "t", "]"}], "2"]}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"firstOrderPert", "[", 
    RowBox[{"eq1", ",", "x", ",", 
     RowBox[{"{", 
      RowBox[{"x0", ",", "0"}], "}"}], ",", "eps", ",", "t"}], "]"}], "//", 
   "Simplify"}], " ", "//", 
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{"#", ",", "eps"}], "]"}], "&"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["x", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "k", " ", 
     SuperscriptBox[
      RowBox[{"x", "[", "t", "]"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "4"], " ", "\[Epsilon]", " ", 
     SuperscriptBox[
      RowBox[{"x", "[", "t", "]"}], "4"]}]}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"L", " ", "=", 
   RowBox[{"T", "-", "V"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xprule", ",", "hamiltonian", ",", "eqMotion"}], "}"}], "=", 
   RowBox[{"Hamilton", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", "x", "}"}], ",", 
     RowBox[{"{", "p", "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", 
  RowBox[{"{", 
   RowBox[{"xprule", ",", "hamiltonian", ",", "eqMotion"}], "}"}], 
  "]"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "\[Rule]", " ", "1"}], ",", " ", 
     RowBox[{"\[Epsilon]", "\[Rule]", 
      RowBox[{"1", "/", "2"}]}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"V", " ", "/.", "values"}], "//", "Evaluate"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"-", "2"}], " ", ",", "2"}], " ", "}"}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "Identity"}]}], "]"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt2", "=", " ", 
   RowBox[{"ContourPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hamiltonian", " ", "/.", "values"}], "//", "Evaluate"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"-", "2"}], ",", "2"}], " ", "}"}], ",", "\[IndentingNewLine]",
      
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "[", "t", "]"}], ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", "\[IndentingNewLine]", 
     
     RowBox[{"Contours", "\[Rule]", "15"}]}], "]"}]}], " ", ";"}]], "Input",
 CellChangeTimes->{3.421766839485384*^9}],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{"{", 
   RowBox[{"pt2", ",", "pt1"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421766843797323*^9, 3.421766846214845*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"solt", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"firstDiffSeries", "[", 
     RowBox[{"eqMotion", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "p"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "0", "]"}], "\[Rule]", "x0"}], ",", 
        RowBox[{
         RowBox[{"p", "[", "0", "]"}], "\[Rule]", "0"}]}], "}"}], ",", "6"}], 
     "]"}], "//", "Normal"}], " ", "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"eqMotion", "//", "First"}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p", "'"}], "[", "t", "]"}], "\[Rule]", 
     RowBox[{"m", " ", 
      RowBox[{
       RowBox[{"x", "''"}], "[", "t", "]"}]}]}], "}"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol\[Epsilon]", " ", "=", 
  RowBox[{
   RowBox[{"firstOrderPert", "[", 
    RowBox[{"eq1", ",", "x", ",", 
     RowBox[{"{", 
      RowBox[{"x0", ",", "0"}], "}"}], ",", "\[Epsilon]"}], "]"}], "//", 
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{"#", ",", 
      RowBox[{"{", 
       RowBox[{"x0", ",", "\[Epsilon]", ",", "  ", 
        RowBox[{"Cos", "[", "x_", "]"}]}], " ", "}"}]}], "]"}], "&"}], 
   " "}]}]], "Input",
 CellChangeTimes->{{3.421766968143807*^9, 3.421766986444471*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"test1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"solt", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Epsilon]", "^", "n_"}], "/;", 
       RowBox[{"n", ">", "1"}]}], "\[Rule]", "0"}]}], "//", "Apart"}], "//", 
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{"#", ",", "t"}], "]"}], "&"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"test2", "=", " ", 
   RowBox[{
    RowBox[{"Series", "[", 
     RowBox[{"sol\[Epsilon]", ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "6"}], "}"}]}], "]"}], "//", 
    "Normal"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"test1", "\[Equal]", "test2"}], " ", "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.421767301864952*^9, 3.421767304284537*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x0", "\[Rule]", "1.2"}], " ", ",", 
     RowBox[{"p0", "\[Rule]", "0"}], ",", 
     RowBox[{"k", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"\[Epsilon]", "\[Rule]", 
      RowBox[{"1", "/", "2"}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nsol", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"eqMotion", "/.", "values"}], ",", 
        RowBox[{
         RowBox[{"p", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1.2"}]}], "  ", "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"p", "[", "t", "]"}], ",", 
        RowBox[{"x", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", " ", ",", "30"}], " ", "}"}]}], "]"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["Force PlotRange", "Subsubsection",
 CellChangeTimes->{{3.421767379334665*^9, 3.421767382981057*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"sol\[Epsilon]", ",", 
        RowBox[{
        "solt", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
        RowBox[{"x", "[", "t", "]"}]}], "}"}], "/.", "\[InvisibleSpace]", 
      "nsol"}], "/.", "\[InvisibleSpace]", "values"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.05`", "}"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.005`", "]"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "10"}], ",", "15"}], "}"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.4217673495124*^9, 3.421767369251213*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Cylindrical Coordinates  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Remarks and outline ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"firstDiffSeries", "[", 
   RowBox[{"eqin_", ",", 
    RowBox[{"{", 
     RowBox[{"z_", ",", "p_"}], "}"}], ",", "initRule_List", ",", "order_", 
    ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "eq", ",", "zSer", ",", "pSer", ",", "eSer", ",", "vars", ",", "sol", 
      ",", "zpsol"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"eq", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"eqin", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "1"}], "]"}], "]"}], "-", 
          RowBox[{"eqin", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "\[Equal]", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "2"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"zSer", "=", 
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{"z", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pSer", "=", 
      RowBox[{"Series", "[", 
       RowBox[{
        RowBox[{"p", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"eSer", "=", 
      RowBox[{
       RowBox[{"eq", "//.", 
        RowBox[{"(", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"z", "[", "t", "]"}], "\[Rule]", "zSer"}], ",", 
           RowBox[{
            RowBox[{"p", "[", "t", "]"}], "\[Rule]", "pSer"}]}], "}"}], 
         ")"}]}], "//", "ExpandAll"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vars", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{"z", "[", "t", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "j"}], "}"}]}], "]"}], ",", 
             RowBox[{"D", "[", 
              RowBox[{
               RowBox[{"p", "[", "t", "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"t", ",", "j"}], "}"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"order", "+", "1"}]}], "}"}]}], "]"}], "/.", 
         RowBox[{"t", "\[Rule]", "0"}]}], ")"}], "//", "Flatten"}]}], ";", 
     "     ", 
     RowBox[{"sol", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{"eSer", ",", "vars"}], "]"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"zpSol", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"zSer", ",", "pSer"}], "}"}], "//.", "sol"}], "//.", 
       "initRule"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "zpSol", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input"]
}, Closed]],

Cell["Required packages", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input"],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"rRule", "=", 
  RowBox[{"rVector", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"CoordinatesToCartesian", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], ",", 
          RowBox[{"\[Theta]", "[", "#", "]"}], ",", 
          RowBox[{"z", "[", "#", "]"}]}], "}"}], ",", "Cylindrical"}], "]"}], 
      "]"}], "&"}], ")"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{"T", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"rVector", "'"}], "[", "t", "]"}], ".", 
       RowBox[{
        RowBox[{"rVector", "'"}], "[", "t", "]"}]}]}], ")"}], "//.", 
    "rRule"}], "//", "Simplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{"T", "-", 
    RowBox[{"V", "[", 
     RowBox[{
      RowBox[{"r", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
      RowBox[{"z", "[", "t", "]"}]}], "]"}]}], "//", "Simplify"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pRule", ",", "hamiltonian", ",", "eqMotion"}], "}"}], "=", 
   RowBox[{"Hamilton", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Theta]", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pr", ",", "p\[Theta]", ",", "pz"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData["pRule"], "Input"],

Cell[BoxData["hamiltonian"], "Input"],

Cell[BoxData[
 RowBox[{"Column", "[", "eqMotion", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vRule", "=", 
   RowBox[{"{", 
    RowBox[{"V", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["k", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["#1", "2"], "+", 
           SuperscriptBox["#3", "2"]}]]]}], "&"}], ")"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "[", 
   RowBox[{
    RowBox[{"r", "[", "t", "]"}], ",", 
    RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
    RowBox[{"z", "[", "t", "]"}]}], "]"}], "//.", "vRule"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"zRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"z", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"0", "&"}], ")"}]}], ",", 
     RowBox[{"pz", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"PowerExpand", "[", 
    RowBox[{
     RowBox[{"eqMotion", "//.", "\[InvisibleSpace]", "vRule"}], "/.", 
     "\[InvisibleSpace]", "zRule"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Column", "[", "eq1", "]"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"eq1", "//.", 
   RowBox[{"p\[Theta]", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"m", " ", "h"}], "&"}], ")"}]}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rEq", "=", 
   RowBox[{"eq2", "\[LeftDoubleBracket]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "4"}], "}"}], "\[RightDoubleBracket]"}]}], 
  ";"}], "\n", 
 RowBox[{"Column", "[", "rEq", "]"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", "[", "0", "]"}], "\[Rule]", "r0"}], ",", 
     RowBox[{
      RowBox[{"pr", "[", "0", "]"}], "\[Rule]", "0"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"pert", "=", " ", 
  RowBox[{
   RowBox[{"firstDiffSeries", "[", 
    RowBox[{"rEq", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "pr"}], "}"}], ",", "initial", ",", "4", ",", "t"}], 
    "]"}], "//", "Simplify", " "}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Swinging Atwood Machine   ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{
     FractionBox["m", "2"], 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x1", "'"}], "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"y1", "'"}], "[", "t", "]"}]}], "}"}], ".", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x1", "'"}], "[", "t", "]"}], ",", 
        RowBox[{
         RowBox[{"y1", "'"}], "[", "t", "]"}]}], "}"}]}]}], "+", " ", 
    RowBox[{
     FractionBox["M", "2"], " ", 
     SuperscriptBox[
      RowBox[{
       RowBox[{"x2", "'"}], "[", "t", "]"}], "2"]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"V", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "g"}], "  ", "m", " ", 
      RowBox[{"x1", "[", "t", "]"}]}], "-", 
     RowBox[{"g", "   ", "M", " ", 
      RowBox[{"x2", "[", "t", "]"}]}]}]}], ";"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x1", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"r", "[", "#", "]"}], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], "&"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"y1", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"r", "[", "#", "]"}], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], "&"}], ")"}]}]}], 
    "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"L0Rule", "=", 
   RowBox[{"x2", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"L0", "-", 
       RowBox[{"r", "[", "#", "]"}]}], "&"}], ")"}]}]}], ";"}]], "Input"],

Cell["L=T-V /.L0Rule /.change //Simplify ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xpRule", ",", "ham", ",", "eqMotion"}], "}"}], "=", 
   RowBox[{
    RowBox[{"Hamilton", "[", 
     RowBox[{"L", " ", ",", 
      RowBox[{"{", 
       RowBox[{"\[Theta]", ",", "r"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"p\[Theta]", ",", "pr"}], "}"}]}], "]"}], "//", "Simplify"}]}],
   ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData["xpRule"], "Input"],

Cell[BoxData["ham"], "Input"],

Cell[BoxData[
 RowBox[{"Column", "[", "eqMotion", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqMotion", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p\[Theta]", "[", "t", "]"}], "\[Rule]", "0"}], ",", " ", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "t", "]"}], "\[Rule]", "0"}]}], "}"}]}], "/.", 
  
  RowBox[{"r", " ", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"x1", "[", "#", "]"}], "&"}], " ", ")"}], " "}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"M", "\[Rule]", "1.05"}], ",", 
     RowBox[{"g", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"r", "[", "0", "]"}], "\[Equal]", "10"}], ",", 
     RowBox[{
      RowBox[{"pr", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
     RowBox[{
      RowBox[{"\[Theta]", "[", "0", "]"}], "\[Equal]", 
      RowBox[{"\[Pi]", "/", "12"}]}], ",", 
     RowBox[{
      RowBox[{"p\[Theta]", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eqMotion", ",", "initial"}], "}"}], "/.", "values"}], "//", 
    "Flatten"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"nSol", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{"eq1", ",", 
      RowBox[{"{", 
       RowBox[{"r", " ", ",", "pr", ",", "\[Theta]", " ", ",", "p\[Theta]"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "250"}], " ", "}"}]}], "  ", "]"}], "//", 
    "Flatten"}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r1", "[", "t_", "]"}], ",", 
     RowBox[{"\[Theta]1", "[", "t_", "]"}], ",", 
     RowBox[{"pr1", "[", "t_", "]"}], ",", 
     RowBox[{"p\[Theta]1", "[", "t_", "]"}]}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
      RowBox[{"pr", "[", "t", "]"}], ",", " ", 
      RowBox[{"p\[Theta]", "[", "t", "]"}]}], "}"}], "/.", "nSol"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r1", "[", "t", "]"}], ",", 
      RowBox[{"\[Theta]1", "[", "t", "]"}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "250"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.01`", "}"}], "]"}], ",", 
      RowBox[{"Thickness", "[", "0.008`", "]"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"r1", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"r1", "[", "t", "]"}]}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"\[Theta]1", "[", "t", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "80"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", 
      RowBox[{
       RowBox[{"#", "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "250"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Ticks", "\[Rule]", "False"}], ",", " ", 
       RowBox[{"AspectRatio", "\[Rule]", "1"}]}], "\[IndentingNewLine]", 
      "]"}], "&"}], " ", "/@", "  ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"r1", "[", "t", "]"}], "  ", ",", " ", 
        RowBox[{"pr1", "[", "t", "]"}]}], "  ", "}"}], ",", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"\[Theta]1", "[", "t", "]"}], "  ", ",", " ", 
        RowBox[{"p\[Theta]1", "[", "t", "]"}]}], "  ", "}"}]}], "}"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.421767724483035*^9, 3.421767791448751*^9, 3.421767822416961*^9, {
   3.421767884673012*^9, 3.421767955805973*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", "pt1", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.421767914355743*^9, 3.421767925295458*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 5: Spherical Pendulum ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required Packages  ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution  ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"T", "=", 
     RowBox[{
      FractionBox["1", "2"], " ", "m", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["x", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["y", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["z", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"V", "=", 
     RowBox[{"m", " ", "g", " ", 
      RowBox[{"z", "[", "t", "]"}]}]}], " ", ";"}], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"change", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", " ", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"L0", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Phi]", "[", "#", "]"}], "]"}], "  ", 
         RowBox[{"Sin", "[", " ", 
          RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], "&"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"y", " ", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"L0", " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"\[Phi]", "[", "#", "]"}], "]"}], "  ", 
         RowBox[{"Sin", "[", " ", 
          RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], "&"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"z", " ", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"L0", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"\[Theta]", "[", "#", "]"}], "]"}]}], "&"}], ")"}]}]}], 
    "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]Rule", "=", " ", 
   RowBox[{"\[Theta]", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Pi]", "-", 
       RowBox[{"\[Psi]", "[", "#", "]"}]}], "&"}], ")"}]}]}], ";"}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"T", "-", "V"}], "/.", "change"}], "/.", "\[Psi]Rule"}], "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"eq1", "=", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"prule", ",", "ham", ",", "eqMotion"}], "}"}], "=", 
     RowBox[{"Hamilton", "[", 
      RowBox[{"L", ",", 
       RowBox[{"{", 
        RowBox[{"\[Psi]", ",", "\[Phi]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p\[Psi]", ",", "p\[Phi]"}], "}"}], ",", "t"}], "]"}]}]}], 
   ";"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData["prule"], "Input"],

Cell[BoxData["ham"], "Input"],

Cell[BoxData[
 RowBox[{"Column", "[", "eqMotion", "]"}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{"Column", "[", "eqMotion", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"p\[Phi]Rule", "=", 
   RowBox[{"{", 
    RowBox[{"p\[Phi]", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"m", " ", "h"}], "&"}], ")"}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Column", "[", 
  RowBox[{"eqMotion", "/.", "\[InvisibleSpace]", "p\[Phi]Rule"}], 
  "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eqMotion", " ", "/.", " ", "p\[Phi]Rule"}], "/.", 
     RowBox[{"h", "\[Rule]", "0"}]}], "//", "ExpandAll"}], "//", "Flatten", 
   "  "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"eqMotion", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", " ", 
          RowBox[{"D", "[", 
           RowBox[{
            RowBox[{"eqMotion", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", "t"}], "]"}]}], "}"}], " ", 
        ",", 
        RowBox[{
         RowBox[{"\[Psi]", "''"}], "[", "t", "]"}]}], "]"}], " ", "/.", 
      RowBox[{"Rule", "\[Rule]", "Equal"}]}], "/.", " ", "p\[Phi]Rule"}], "/.",
     
    RowBox[{"h", "\[Rule]", "0"}]}], "//", "ExpandAll"}], "//", "Flatten", 
  "  "}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData["eqMotion"], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"L0", "\[Rule]", "1"}], ",", 
     RowBox[{"g", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Phi]", "[", "0", "]"}], "==", "0"}], ",", 
     RowBox[{
      RowBox[{"p\[Phi]", "[", "0", "]"}], "\[Equal]", "0.1"}], ",", 
     RowBox[{
      RowBox[{"\[Psi]", "[", "0", "]"}], "\[Equal]", 
      RowBox[{"\[Pi]", "/", "2"}]}], ",", 
     RowBox[{
      RowBox[{"p\[Psi]", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{"nSol", " ", "=", " ", 
    RowBox[{
     RowBox[{"NDSolve", "[", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"eqMotion", ",", "initial"}], "}"}], "/.", "values"}], "//",
         "Flatten"}], " ", ",", 
       RowBox[{"{", 
        RowBox[{"\[Psi]", ",", "\[Phi]", ",", "p\[Psi]", ",", "p\[Phi]"}], 
        "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"t", ",", " ", "0", ",", " ", "50"}], "}"}]}], "]"}], " ", "//",
      "Flatten"}]}], " ", ";"}]}]], "Input",
 CellChangeTimes->{{3.421768798134486*^9, 3.421768798869478*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Psi]1", "[", "t_", "]"}], " ", ",", 
     RowBox[{"\[Phi]1", "[", "t_", "]"}]}], " ", "}"}], "=", "  ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"\[Psi]", "[", "t", "]"}], ",", "  ", 
      RowBox[{"\[Phi]", "[", "t", "]"}]}], " ", "}"}], "/.", "nSol"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", "=", "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot3D", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}], ",", 
             RowBox[{"z", "[", "t", "]"}], ",", 
             RowBox[{"Thickness", "[", ".01", "]"}]}], "}"}], " ", "/.", 
           "change"}], "/.", "\[Psi]Rule"}], "/.", "values"}], "/.", 
        RowBox[{"\[Psi]", "\[Rule]", "\[Psi]1"}]}], "/.", 
       RowBox[{"\[Phi]", "\[Rule]", "\[Phi]1"}]}], " ", "//", "Evaluate"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "25"}], "}"}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421768086096763*^9, 3.421768101977371*^9}, 
   3.421768439105783*^9, 3.421768631986065*^9, {3.421768737925835*^9, 
   3.421768785411716*^9}, {3.421769387433502*^9, 3.421769388016521*^9}, 
   3.421769637718794*^9, {3.421769674287959*^9, 3.421769701125456*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"sphere", "=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
      RowBox[{"Sphere", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "0.96`"}], "]"}]}], 
     "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421768169392459*^9, 3.421768170912138*^9}, {
  3.421768392936987*^9, 3.421768393382458*^9}, {3.421768836058676*^9, 
  3.421768863978909*^9}, {3.421769031048647*^9, 3.421769031398455*^9}, {
  3.421769122995901*^9, 3.421769143409881*^9}, {3.421769225353581*^9, 
  3.421769289543581*^9}, {3.421769361309304*^9, 3.421769365443059*^9}, {
  3.421769627452989*^9, 3.421769630908583*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"sphere", ",", "pt1", ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "0"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42176829072869*^9, 3.421768319076583*^9}, 
   3.421768356488116*^9, 3.421768968122937*^9, {3.421769721639402*^9, 
   3.421769723327838*^9}, 3.421769847908028*^9}],

Cell["This won' t work in 6.0, and not needed. Use Opacity above.", \
"Subsubsection",
 CellChangeTimes->{{3.421769913058044*^9, 3.421769929467635*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"pt2", "/.", "\[InvisibleSpace]", 
    RowBox[{
     RowBox[{"Polygon", "[", "x_", "]"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Hue", "[", "0.8`", "]"}], ",", 
       RowBox[{"Line", "[", "x", "]"}]}], "}"}]}]}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", 
      FractionBox["1", "2"]}], "}"}]}]}], "]"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.421769733396844*^9, 3.421769733558341*^9}}]
}, Closed]]
}, Closed]],

Cell["6.4 Hamilton-Jacobi Problems  ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Overview", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"HamiltonJacobi", "[", 
   RowBox[{
   "L_", ",", "xList_List", ",", "pList__List", ",", "wList_List", ",", "a_", 
    ",", 
    RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "xx", ",", "vv", ",", "pp", ",", "sol", ",", "ham", ",", "ww", ",", 
      "hamPrincFunc", ",", "pNewRule", ",", "HJeq"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"xx", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", "t", "]"}], "&"}], ",", "xList"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"vv", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"#", "'"}], "[", "t", "]"}], "&"}], ",", "xList"}], "]"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"pp", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", "t", "]"}], "&"}], ",", "pList"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"sol", "=", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{"L", ",", "#"}], "]"}], "&"}], "/@", "vv"}], ")"}], 
          "\[Equal]", "pp"}], ",", "vv"}], "]"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ham", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"pp", ".", "vv"}], "-", "L"}], ")"}], "//.", "sol"}], "//",
         "Simplify"}], "//", "Expand"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ww", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", "t", "]"}], "&"}], ",", "wList", ",", 
        RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"hamPrincFunc", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Plus", "@@", "ww"}], ")"}], "-", 
       RowBox[{"a", " ", "t"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"pNewRule", "=", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"pp", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"D", "[", 
              RowBox[{"hamPrincFunc", ",", "#"}], "]"}], "&"}], "/@", "xx"}], 
           ")"}]}], "//", "Thread"}], "}"}], "//", "Flatten"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"HJeq", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"ham", "//.", "pNewRule"}], ")"}], "-", "a"}], "\[Equal]", 
       "0"}]}], ";", "       ", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", 
      RowBox[{"{", 
       RowBox[{"sol", ",", "hamPrincFunc", ",", "HJeq"}], "}"}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"+", 
      FractionBox["1", "2"]}], " ", "m", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["x", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "-", 
    RowBox[{"V", "[", 
     RowBox[{"x", "[", "t", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"pRule", ",", "hamPrincFunc", ",", "eqHamJac"}], "}"}], "=", 
   RowBox[{"HamiltonJacobi", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", "x", "}"}], ",", 
     RowBox[{"{", "p", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"W", "[", "x", "]"}], "}"}], ",", "a"}], "]"}]}], 
  ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData["pRule"], "Input"],

Cell[BoxData["hamPrincFunc"], "Input"],

Cell[BoxData["eqHamJac"], "Input",
 CellChangeTimes->{{3.421770070362697*^9, 3.421770072674508*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"L", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"+", 
      FractionBox["1", "2"]}], " ", "m", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["x", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "-", 
    RowBox[{"V", "[", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"HamiltonJacobi", "[", 
  RowBox[{"L", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"px", ",", "py"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"W1", "[", "x", "]"}], ",", 
     RowBox[{"W2", "[", "y", "]"}]}], "}"}], ",", "a"}], "]"}]}], "Input",
 Hyphenation->False],

Cell["Protect[ HamiltonJacobi ];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 1: Harmonic Oscillator   ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["x", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}], "2"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "k", " ", 
    SuperscriptBox[
     RowBox[{"x", "[", "t", "]"}], "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"L", "=", 
  RowBox[{"T", "-", "V"}]}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xpRule", ",", "ham", ",", "eqMotion"}], "}"}], "=", 
   RowBox[{
    RowBox[{"Hamilton", "[", 
     RowBox[{"L", ",", 
      RowBox[{"{", "x", "}"}], ",", 
      RowBox[{"{", "p", "}"}]}], "]"}], "//.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x_", "[", "t", "]"}], "\[Rule]", "x"}], "}"}]}]}], 
  ";"}]], "Input"],

Cell[BoxData["xpRule"], "Input"],

Cell[BoxData["ham"], "Input"],

Cell[BoxData["eqMotion"], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"pRule", "=", 
   RowBox[{"{", 
    RowBox[{"p", "\[Rule]", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"S", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell["eqHJ = (ham + D[S[x,t],t]) ==0  //. pRule", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"sRule", "=", 
   RowBox[{"{", 
    RowBox[{"S", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"W", "[", "#1", "]"}], "-", 
        RowBox[{"P", " ", "#2"}]}], "&"}], ")"}]}], "}"}]}], ";"}]], "Input"],

Cell["eqW= eqHJ //.sRule", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell["dWRule= Solve[eqW,W'[x]][[2]]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"wRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"W", "[", "x", "]"}], "\[Rule]", "  ", 
    RowBox[{
     SqrtBox[
      RowBox[{"2", "m", " ", "P"}]], "  ", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       SqrtBox[
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox["x", "2"], " ", "\[Lambda]"}]}]], ",", "x"}], 
      "]"}]}]}], "/.", 
   RowBox[{"\[Lambda]", "\[Rule]", 
    FractionBox["k", 
     RowBox[{"2", " ", "P"}]]}]}]}]], "Input"],

Cell["eq1= Q== D[S[x,t] /.sRule /.wRule,P] //Simplify ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
xSol= Solve[eq1,x ] //Simplify //PowerExpand //Simplify //Flatten \
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"xpRule", "/.", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"#", ",", "p"}], "]"}], "&"}]}], " ", "//", 
   "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "/.", 
  RowBox[{
   RowBox[{"x", "'"}], "\[Rule]", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"x", "/.", "xSol"}], ",", "t"}], "]"}]}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Particle in a Constant Gravity Field  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 StyleBox[
  RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}],
  FontFamily->"Courier",
  FontWeight->"Bold"]], "Input"],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    FractionBox["1", "2"], " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["x", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["z", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"g", " ", "m", " ", 
    RowBox[{"z", "[", "t", "]"}]}]}], ";"}], "\n", 
 RowBox[{"L", "=", 
  RowBox[{"T", "-", "V"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"prule", ",", "S", ",", "Chareq"}], "}"}], "=", 
  RowBox[{
   RowBox[{"HamiltonJacobi", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "z"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"px", ",", "pz"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Wx", "[", "x", "]"}], " ", ",", 
       RowBox[{"Wz", "[", "z", "]"}]}], "}"}], ",", "P"}], "]"}], "//", 
   "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{"eq1a", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Chareq", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "4"}], "}"}]}], "]"}], "]"}], "\[Equal]", 
    "A"}], " ", "/.", 
   RowBox[{
    RowBox[{"z", "[", "t", "]"}], "\[Rule]", 
    "z"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"eq1b", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Chareq", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", 
    RowBox[{"-", "A"}]}], "   ", "/.", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "\[Rule]", "x"}]}]}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{"Wxsol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eq1a", ",", 
     RowBox[{"Wz", "[", "z", "]"}], ",", "z"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Wzsol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eq1b", ",", 
     RowBox[{"Wx", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
   RowBox[{"[", "2", "]"}], "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"Ssol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "P"}], " ", "t"}], "+", 
     RowBox[{"Wx", "[", "x", "]"}], "+", 
     RowBox[{"Wz", "[", "z", "]"}]}], "/.", " ", "Wxsol"}], "/.", "Wzsol", 
   " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Qeq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Qx", ",", "Qz"}], "}"}], "\[Equal]", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"D", "[", 
          RowBox[{"Ssol", ",", "#"}], "]"}], "&"}], "/@", 
        RowBox[{"{", 
         RowBox[{"A", ",", "P"}], "}"}]}], "//", "Flatten"}], ")"}]}], "//", 
    "Thread"}], " ", "//", "Simplify", " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Sol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"Qeq", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "z"}], "}"}]}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "\[Rule]", 
        RowBox[{"x", "[", "t", "]"}]}], ",", 
       RowBox[{"z", "\[Rule]", 
        RowBox[{"z", "[", "t", "]"}]}]}], "}"}]}], "/.", 
    RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Sol", ",", 
         RowBox[{"(", 
          RowBox[{"Sol", "/.", 
           RowBox[{"t", "\[Rule]", "0"}]}], ")"}], ",", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{"Sol", ",", "t"}], "]"}], "/.", 
           RowBox[{"t", "\[Rule]", "0"}]}], ")"}]}], "}"}], "//", "Flatten"}],
       ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", 
        RowBox[{"z", "[", "t", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"A", ",", "P", ",", "Qx", ",", "Qz"}], "}"}]}], "]"}], "//", 
    "Flatten"}], "//", "ExpandAll"}], "\n"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3:  Kepler's Problem and Hamilton-Jacobi Equations ", \
"Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Required package", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"rRule", "=", 
  RowBox[{"rvector", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"CoordinatesToCartesian", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "[", "#", "]"}], ",", 
          RowBox[{"\[Theta]", "[", "#", "]"}], ",", 
          RowBox[{"z", "[", "#", "]"}]}], "}"}], ",", "Cylindrical"}], "]"}], 
      "]"}], "&"}], ")"}]}]}]], "Input"],

Cell[TextData[{
 "The kinetic and potential energies for the particle moving in the ",
 StyleBox["z=0",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " plane are "
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["m", "2"], " ", 
       RowBox[{
        RowBox[{
         RowBox[{"rvector", "'"}], "[", "t", "]"}], ".", 
        RowBox[{
         RowBox[{"rvector", "'"}], "[", "t", "]"}]}]}], "//.", "rRule"}], " ",
      "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"z", "'"}], "[", "t", "]"}], "\[Rule]", "0"}], "}"}]}], " ", "//",
     "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "=", 
   RowBox[{"-", 
    FractionBox["k", 
     RowBox[{"r", "[", "t", "]"}]]}]}], ";"}]}], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"L", "=", 
   RowBox[{"T", "-", "V"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"momRule", ",", "hamPF", ",", "eqMotion"}], "}"}], "=", 
   RowBox[{"HamiltonJacobi", "[", 
    RowBox[{"L", ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "\[Theta]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"pr", ",", "p\[Theta]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Wr", "[", "r", "]"}], ",", 
       RowBox[{"W\[Theta]", "[", "\[Theta]", "]"}]}], "}"}], ",", "En"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"momRule", ",", "hamPF", ",", "eqMotion"}], "}"}], " ", "//", 
  "Column"}]}], "Input",
 CellChangeTimes->{{3.421770429839894*^9, 3.421770434562482*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"w\[Theta]rule", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"W\[Theta]", "'"}], "[", "\[Theta]", "]"}], "\[Equal]", 
        RowBox[{"+", "el"}]}], ",", 
       RowBox[{
        RowBox[{"W\[Theta]", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",",
      
     RowBox[{"{", "W\[Theta]", "}"}], ",", "\[Theta]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"eqMotion", "//.", "w\[Theta]rule"}], "//", 
      RowBox[{
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{"Wr", "'"}], "[", 
           RowBox[{"r", "[", "t", "]"}], "]"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "&"}]}], ")"}], "/.", "  ", 
    RowBox[{
     RowBox[{"r", "[", "t", "]"}], "\[Rule]", "r"}]}], " ", "//", 
   "PowerExpand"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"eq1", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", "el"}], "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"Integrate", "[", " ", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"r", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"a", " ", "r"}], "+", 
         RowBox[{"b", " ", 
          SuperscriptBox["r", "2"]}]}]]}]], ",", "r"}], " ", "]"}], "/.", " ",
    
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", 
      FractionBox[
       RowBox[{"2", " ", "k", " ", "m"}], 
       SuperscriptBox["el", "2"]]}], ",", 
     RowBox[{"b", "\[Rule]", 
      FractionBox[
       RowBox[{"2", " ", "En", " ", "m"}], 
       SuperscriptBox["el", "2"]]}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"Qeq", "=", " ", 
   RowBox[{"Q", "==", 
    RowBox[{"\[Theta]", " ", "+", "eq3", " "}]}]}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"ueq", "=", 
  RowBox[{"Qeq", "/.", 
   RowBox[{"r", "\[Rule]", 
    FractionBox["1", "u"]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"usol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"u", " ", "/.", 
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"ueq", ",", "u"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], " ", "/.", 
      RowBox[{"{", 
       RowBox[{"Q", "\[Rule]", 
        RowBox[{"\[Pi]", "/", "2"}]}], " ", "}"}]}], "//", "Simplify"}], "//",
     "PowerExpand"}], "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[TextData[{
 "   The solution for ",
 StyleBox["u",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " can be expressed in the canonical form \n\n                      ",
 StyleBox["  ",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 Cell[BoxData[
  RowBox[{"u", "=", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"e", " ", 
      RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], 
    RowBox[{"a", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["e", "2"]}], ")"}]}]]}]],
  FontFamily->"Times",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 StyleBox[" ",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 "\n                        \nEquate ",
 StyleBox["u",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 "  to its canonical form:"
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"usol", "\[Equal]", 
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"e", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], 
    RowBox[{"a", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       SuperscriptBox["e", "2"]}], ")"}]}]]}]}]], "Input"],

Cell[TextData[{
 "You can obtain two independent equations from  ",
 StyleBox["eq4",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " by choosing two values for ",
 StyleBox["Cos[\[Theta][t]]",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 ":"
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq5", "=", " ", 
  RowBox[{
   RowBox[{"eq4", "/.", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"\[Pi]", "/", "2"}]}], " ", "}"}]}], "}"}]}], " ", "//", 
   "Thread"}]}]], "Input",
 Hyphenation->False],

Cell[TextData[{
 "The values for ",
 StyleBox["e",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " and ",
 StyleBox["a",
  FontFamily->"Courier",
  FontWeight->"Bold"],
 " follow from"
}], "Special5",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[" Solve[eq5 ,{a,e}]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["6.5 Exercises", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 1: Atwood Machine  ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 2:  Double Atwood machine     ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Exercise 3: Spherical Pendulum ",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 4: Double Pendulum", "Subsubsection",
 Hyphenation->False],

Cell["Exercise 5:  Spring Pendulum  ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 6:  Hamilton-Jacobi in parabolic coordinates", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Exercise 7:  How Hamilton Works",
 StyleBox["  ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Exercise 8:  How HamiltonJacobi Works",
 StyleBox["  ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Exercise 9:  How firstDiffSeries Works",
 StyleBox["  ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[TextData[{
 "Exercise 10: How firstOrderPert Works",
 StyleBox["  ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]]
},
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{1075, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 88, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[681, 27, 224, 7, 30, "Subsubsection"],
Cell[908, 36, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1736, 56, 115, 2, 24, "Subsubsection"],
Cell[1854, 60, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3867, 97, 115, 3, 59, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4007, 104, 102, 3, 73, "Section",
 Evaluatable->False],
Cell[4112, 109, 267, 9, 55, "Input"]
}, Closed]],
Cell[4394, 121, 138, 3, 43, "Section",
 Evaluatable->False],
Cell[4535, 126, 158, 5, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4718, 135, 60, 0, 31, "Subsection"],
Cell[4781, 137, 105, 2, 32, "Input"],
Cell[4889, 141, 78, 2, 32, "Input"],
Cell[4970, 145, 339, 12, 32, "Input"],
Cell[5312, 159, 187, 6, 32, "Input"],
Cell[5502, 167, 78, 2, 32, "Input"],
Cell[5583, 171, 187, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[5807, 182, 137, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[5969, 189, 54, 1, 30, "Subsubsection"],
Cell[6026, 192, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6157, 199, 54, 1, 30, "Subsubsection"],
Cell[6214, 202, 821, 27, 75, "Input"],
Cell[7038, 231, 843, 27, 55, "Input"],
Cell[7884, 260, 66, 1, 32, "Input"],
Cell[7953, 263, 263, 8, 32, "Input"],
Cell[8219, 273, 89, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[8345, 279, 52, 1, 30, "Subsubsection"],
Cell[8400, 282, 336, 12, 32, "Input"],
Cell[8739, 296, 179, 6, 32, "Input"],
Cell[8921, 304, 163, 6, 32, "Input"],
Cell[9087, 312, 204, 7, 32, "Input"],
Cell[9294, 321, 264, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[9595, 335, 53, 1, 30, "Subsubsection"],
Cell[9651, 338, 958, 28, 77, "Input"],
Cell[10612, 368, 731, 23, 77, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[11392, 397, 134, 3, 31, "Subsection",
 Evaluatable->False],
Cell[11529, 402, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[11665, 409, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[11768, 414, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[11899, 421, 99, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[12001, 426, 918, 28, 32, "Input"],
Cell[12922, 456, 204, 6, 32, "Input"],
Cell[13129, 464, 932, 30, 97, "Input"],
Cell[14064, 496, 177, 5, 32, "Input"],
Cell[14244, 503, 419, 14, 32, "Input"],
Cell[14666, 519, 642, 19, 32, "Input"],
Cell[15311, 540, 357, 11, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15705, 556, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[15806, 561, 527, 15, 77, "Input"],
Cell[16336, 578, 117, 1, 30, "Subsubsection"],
Cell[16456, 581, 432, 13, 26, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[16925, 599, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[17026, 604, 335, 10, 32, "Input"],
Cell[17364, 616, 407, 13, 32, "Input"],
Cell[17774, 631, 567, 14, 99, "Input"],
Cell[18344, 647, 536, 17, 55, "Input"],
Cell[18883, 666, 226, 6, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[19158, 678, 125, 3, 31, "Subsection",
 Evaluatable->False],
Cell[19286, 683, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[19422, 690, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[19525, 695, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[19656, 702, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[19757, 707, 944, 29, 32, "Input"],
Cell[20704, 738, 322, 11, 32, "Input"],
Cell[21029, 751, 725, 22, 52, "Input"],
Cell[21757, 775, 246, 8, 32, "Input"],
Cell[22006, 785, 143, 5, 32, "Input"],
Cell[22152, 792, 187, 5, 32, "Input"],
Cell[22342, 799, 466, 16, 32, "Input"],
Cell[22811, 817, 530, 19, 32, "Input"],
Cell[23344, 838, 321, 11, 32, "Input"],
Cell[23668, 851, 368, 12, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[24073, 868, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[24174, 873, 236, 8, 32, "Input"],
Cell[24413, 883, 89, 2, 32, "Input"],
Cell[24505, 887, 276, 8, 32, "Input"],
Cell[24784, 897, 268, 9, 32, "Input"],
Cell[25055, 908, 111, 3, 32, "Input"],
Cell[25169, 913, 246, 7, 32, "Input"],
Cell[25418, 922, 716, 20, 82, "Input"],
Cell[26137, 944, 1339, 40, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[27513, 989, 52, 1, 30, "Subsubsection"],
Cell[27568, 992, 146, 3, 30, "Subsubsection"],
Cell[27717, 997, 2087, 56, 137, "Input"],
Cell[29807, 1055, 226, 5, 32, "Input"],
Cell[30036, 1062, 528, 14, 55, "Input"],
Cell[30567, 1078, 179, 4, 30, "Subsubsection"],
Cell[30749, 1084, 1075, 31, 71, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[31861, 1120, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[31962, 1125, 248, 9, 25, "Special5",
 Evaluatable->False],
Cell[32213, 1136, 206, 6, 32, "Input"],
Cell[32422, 1144, 106, 3, 32, "Input"],
Cell[32531, 1149, 158, 5, 32, "Input"],
Cell[32692, 1156, 267, 8, 32, "Input"],
Cell[32962, 1166, 506, 17, 32, "Input"],
Cell[33471, 1185, 822, 24, 32, "Input"],
Cell[34296, 1211, 242, 7, 86, "Input"],
Cell[34541, 1220, 1216, 34, 77, "Input"],
Cell[35760, 1256, 177, 4, 32, "Input"],
Cell[35940, 1262, 115, 1, 30, "Subsubsection"],
Cell[36058, 1265, 1753, 52, 115, "Input"],
Cell[37814, 1319, 282, 7, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[38133, 1331, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[38234, 1336, 337, 13, 25, "Special5",
 Evaluatable->False],
Cell[38574, 1351, 576, 18, 32, "Input"],
Cell[39153, 1371, 289, 10, 25, "Special5",
 Evaluatable->False],
Cell[39445, 1383, 1324, 38, 165, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[40818, 1427, 91, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[40934, 1432, 54, 1, 30, "Subsubsection"],
Cell[40991, 1435, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[41122, 1442, 54, 1, 30, "Subsubsection"],
Cell[41179, 1445, 465, 16, 52, "Input"],
Cell[41647, 1463, 463, 16, 52, "Input"],
Cell[42113, 1481, 1111, 35, 55, "Input"],
Cell[43227, 1518, 70, 1, 32, "Input"],
Cell[43300, 1521, 580, 19, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[43917, 1545, 52, 1, 30, "Subsubsection"],
Cell[43972, 1548, 301, 9, 32, "Input"],
Cell[44276, 1559, 304, 10, 32, "Input"],
Cell[44583, 1571, 526, 19, 32, "Input"],
Cell[45112, 1592, 374, 13, 32, "Input"],
Cell[45489, 1607, 669, 20, 32, "Input"],
Cell[46161, 1629, 311, 10, 32, "Input"],
Cell[46475, 1641, 148, 2, 30, "Subsubsection"],
Cell[46626, 1645, 295, 9, 26, "Input"],
Cell[46924, 1656, 510, 15, 55, "Input",
 Evaluatable->False],
Cell[47437, 1673, 174, 6, 32, "Input"],
Cell[47614, 1681, 932, 24, 99, "Input"],
Cell[48549, 1707, 216, 5, 32, "Input"],
Cell[48768, 1714, 53, 1, 32, "Input"],
Cell[48824, 1717, 454, 15, 32, "Input"],
Cell[49281, 1734, 779, 20, 99, "Input"],
Cell[50063, 1756, 183, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[50283, 1766, 52, 1, 30, "Subsubsection"],
Cell[50338, 1769, 905, 24, 99, "Input"],
Cell[51246, 1795, 184, 5, 32, "Input"],
Cell[51433, 1802, 1062, 29, 99, "Input"],
Cell[52498, 1833, 184, 5, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[52731, 1844, 143, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[52899, 1851, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[53002, 1856, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[53133, 1863, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[53234, 1868, 597, 20, 75, "Input"],
Cell[53834, 1890, 292, 11, 32, "Input"],
Cell[54129, 1903, 459, 16, 75, "Input"],
Cell[54591, 1921, 81, 2, 32, "Input"],
Cell[54675, 1925, 281, 9, 32, "Input"],
Cell[54959, 1936, 529, 16, 55, "Input"],
Cell[55491, 1954, 278, 9, 32, "Input"],
Cell[55772, 1965, 783, 24, 56, "Input"],
Cell[56558, 1991, 238, 8, 32, "Input"],
Cell[56799, 2001, 418, 12, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[57254, 2018, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[57355, 2023, 227, 7, 32, "Input"],
Cell[57585, 2032, 470, 17, 32, "Input"],
Cell[58058, 2051, 335, 11, 32, "Input"],
Cell[58396, 2064, 297, 9, 32, "Input"],
Cell[58696, 2075, 256, 7, 32, "Input"],
Cell[58955, 2084, 126, 1, 30, "Subsubsection"],
Cell[59084, 2087, 825, 22, 49, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[59946, 2114, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[60047, 2119, 292, 9, 32, "Input"],
Cell[60342, 2130, 829, 24, 32, "Input"],
Cell[61174, 2156, 126, 5, 50, "Input"],
Cell[61303, 2163, 913, 27, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[62265, 2196, 117, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[62407, 2203, 54, 1, 30, "Subsubsection"],
Cell[62464, 2206, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[62595, 2213, 53, 1, 30, "Subsubsection"],
Cell[62651, 2216, 379, 14, 53, "Input"],
Cell[63033, 2232, 888, 30, 118, "Input"],
Cell[63924, 2264, 679, 23, 32, "Input"],
Cell[64606, 2289, 256, 9, 32, "Input"],
Cell[64865, 2300, 1051, 29, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[65953, 2334, 53, 1, 30, "Subsubsection"],
Cell[66009, 2337, 211, 7, 32, "Input"],
Cell[66223, 2346, 189, 6, 32, "Input"],
Cell[66415, 2354, 325, 10, 32, "Input"],
Cell[66743, 2366, 295, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[67075, 2381, 55, 1, 30, "Subsubsection"],
Cell[67133, 2384, 367, 11, 32, "Input"],
Cell[67503, 2397, 764, 24, 32, "Input"],
Cell[68270, 2423, 305, 10, 32, "Input"],
Cell[68578, 2435, 116, 1, 30, "Subsubsection"],
Cell[68697, 2438, 500, 15, 26, "Input"],
Cell[69200, 2455, 103, 4, 50, "Input"],
Cell[69306, 2461, 1218, 38, 55, "Input"],
Cell[70527, 2501, 1151, 36, 55, "Input"],
Cell[71681, 2539, 993, 27, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[72711, 2571, 55, 1, 30, "Subsubsection"],
Cell[72769, 2574, 339, 10, 32, "Input"],
Cell[73111, 2586, 724, 22, 32, "Input"],
Cell[73838, 2610, 300, 10, 32, "Input"],
Cell[74141, 2622, 430, 13, 32, "Input"],
Cell[74574, 2637, 106, 4, 50, "Input"],
Cell[74683, 2643, 1218, 38, 55, "Input"],
Cell[75904, 2683, 1023, 31, 55, "Input"],
Cell[76930, 2716, 1066, 30, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[78033, 2751, 53, 1, 30, "Subsubsection"],
Cell[78089, 2754, 1873, 50, 187, "Input"],
Cell[79965, 2806, 485, 16, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[80477, 2826, 198, 7, 43, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[80700, 2837, 160, 5, 31, "Subsection",
 Evaluatable->False],
Cell[80863, 2844, 255, 9, 122, "Input"],
Cell[81121, 2855, 76, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[81234, 2862, 180, 7, 31, "Subsection",
 Evaluatable->False],
Cell[81417, 2871, 113, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[81555, 2878, 104, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[81662, 2883, 94, 2, 32, "Input"],
Cell[81759, 2887, 842, 28, 75, "Input"],
Cell[82604, 2917, 69, 2, 32, "Input"],
Cell[82676, 2921, 88, 2, 32, "Input"],
Cell[82767, 2925, 467, 15, 55, "Input"],
Cell[83237, 2942, 261, 9, 32, "Input"],
Cell[83501, 2953, 105, 3, 32, "Input"],
Cell[83609, 2958, 238, 8, 32, "Input"],
Cell[83850, 2968, 939, 26, 55, "Input"],
Cell[84792, 2996, 408, 15, 32, "Input"],
Cell[85203, 3013, 549, 18, 32, "Input"],
Cell[85755, 3033, 315, 11, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[86119, 3050, 130, 3, 31, "Subsection",
 Evaluatable->False],
Cell[86252, 3055, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[86388, 3062, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[86491, 3067, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[86622, 3074, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[86723, 3079, 839, 27, 97, "Input"],
Cell[87565, 3108, 242, 8, 32, "Input"],
Cell[87810, 3118, 703, 22, 77, "Input"],
Cell[88516, 3142, 570, 18, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[89123, 3165, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[89224, 3170, 541, 17, 32, "Input"],
Cell[89768, 3189, 478, 16, 32, "Input"],
Cell[90249, 3207, 177, 5, 32, "Input"],
Cell[90429, 3214, 121, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[90587, 3223, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[90688, 3228, 375, 11, 32, "Input"],
Cell[91066, 3241, 166, 5, 50, "Input"],
Cell[91235, 3248, 100, 2, 32, "Input"],
Cell[91338, 3252, 240, 6, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[91627, 3264, 135, 3, 31, "Subsection",
 Evaluatable->False],
Cell[91765, 3269, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[91901, 3276, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[92004, 3281, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[92135, 3288, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[92236, 3293, 567, 19, 52, "Input"],
Cell[92806, 3314, 455, 15, 52, "Input"],
Cell[93264, 3331, 75, 2, 32, "Input"],
Cell[93342, 3335, 94, 2, 32, "Input"],
Cell[93439, 3339, 68, 2, 32, "Input"],
Cell[93510, 3343, 134, 4, 32, "Input"],
Cell[93647, 3349, 237, 7, 32, "Input"],
Cell[93887, 3358, 285, 10, 32, "Input"],
Cell[94175, 3370, 618, 20, 32, "Input"],
Cell[94796, 3392, 417, 11, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[95250, 3408, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[95351, 3413, 1003, 27, 55, "Input"],
Cell[96357, 3442, 268, 8, 32, "Input"],
Cell[96628, 3452, 626, 19, 32, "Input"],
Cell[97257, 3473, 579, 19, 42, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[97873, 3497, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[97974, 3502, 218, 7, 32, "Input"],
Cell[98195, 3511, 116, 4, 32, "Input"],
Cell[98314, 3517, 347, 10, 32, "Input"],
Cell[98664, 3529, 405, 14, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[99096, 3547, 175, 7, 43, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[99296, 3558, 121, 3, 31, "Subsection",
 Evaluatable->False],
Cell[99420, 3563, 2501, 72, 275, "Input"],
Cell[101924, 3637, 112, 3, 32, "Input"],
Cell[102039, 3642, 384, 14, 52, "Input"],
Cell[102426, 3658, 383, 10, 99, "Input"],
Cell[102812, 3670, 802, 27, 75, "Input"],
Cell[103617, 3699, 81, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[103735, 3706, 119, 3, 31, "Subsection",
 Evaluatable->False],
Cell[103857, 3711, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[103993, 3718, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[104096, 3723, 94, 2, 32, "Input"],
Cell[104193, 3727, 458, 16, 95, "Input"],
Cell[104654, 3745, 93, 3, 32, "Input"],
Cell[104750, 3750, 238, 8, 32, "Input"],
Cell[104991, 3760, 240, 8, 32, "Input"],
Cell[105234, 3770, 266, 10, 32, "Input"],
Cell[105503, 3782, 570, 19, 77, "Input"],
Cell[106076, 3803, 199, 6, 32, "Input"],
Cell[106278, 3811, 278, 10, 32, "Input"],
Cell[106559, 3823, 391, 12, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[106999, 3841, 124, 3, 31, "Subsection",
 Evaluatable->False],
Cell[107126, 3846, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[107245, 3852, 65, 1, 30, "Subsubsection"],
Cell[107313, 3855, 3078, 89, 253, "Input"],
Cell[110394, 3946, 930, 30, 55, "Input"],
Cell[111327, 3978, 3547, 104, 253, "Input"],
Cell[114877, 4084, 420, 14, 32, "Input"],
Cell[115300, 4100, 346, 11, 32, "Input"]
}, Closed]],
Cell[115661, 4114, 54, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[115740, 4119, 52, 1, 24, "Subsubsection"],
Cell[115795, 4122, 570, 19, 95, "Input"],
Cell[116368, 4143, 117, 4, 32, "Input"],
Cell[116488, 4149, 419, 13, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[116944, 4167, 52, 1, 30, "Subsubsection"],
Cell[116999, 4170, 273, 8, 32, "Input"],
Cell[117275, 4180, 393, 12, 32, "Input"],
Cell[117671, 4194, 707, 19, 99, "Input"],
Cell[118381, 4215, 202, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[118620, 4225, 52, 1, 30, "Subsubsection"],
Cell[118675, 4228, 493, 15, 32, "Input"],
Cell[119171, 4245, 347, 12, 32, "Input"],
Cell[119521, 4259, 542, 15, 32, "Input"],
Cell[120066, 4276, 421, 14, 32, "Input"],
Cell[120490, 4292, 270, 9, 32, "Input"],
Cell[120763, 4303, 166, 3, 32, "Input"],
Cell[120932, 4308, 356, 10, 32, "Input"],
Cell[121291, 4320, 662, 21, 32, "Input"],
Cell[121956, 4343, 106, 1, 30, "Subsubsection"],
Cell[122065, 4346, 1099, 30, 115, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[123213, 4382, 125, 3, 31, "Subsection",
 Evaluatable->False],
Cell[123341, 4387, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[123460, 4393, 112, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[123575, 4398, 3078, 89, 253, "Input"]
}, Closed]],
Cell[126668, 4490, 109, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[126780, 4495, 80, 1, 26, "Input"],
Cell[126863, 4498, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[126988, 4505, 52, 1, 24, "Subsubsection"],
Cell[127043, 4508, 473, 14, 32, "Input"],
Cell[127519, 4524, 630, 20, 77, "Input"],
Cell[128152, 4546, 385, 12, 32, "Input"],
Cell[128540, 4560, 31, 0, 32, "Input"],
Cell[128574, 4562, 37, 0, 32, "Input"],
Cell[128614, 4564, 87, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[128738, 4571, 52, 1, 30, "Subsubsection"],
Cell[128793, 4574, 562, 19, 104, "Input"],
Cell[129358, 4595, 285, 10, 32, "Input"],
Cell[129646, 4607, 293, 8, 55, "Input"],
Cell[129942, 4617, 189, 6, 32, "Input"],
Cell[130134, 4625, 261, 8, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[130432, 4638, 52, 1, 30, "Subsubsection"],
Cell[130487, 4641, 255, 9, 32, "Input"],
Cell[130745, 4652, 279, 8, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[131073, 4666, 80, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[131178, 4671, 54, 1, 30, "Subsubsection"],
Cell[131235, 4674, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[131366, 4681, 52, 1, 30, "Subsubsection"],
Cell[131421, 4684, 933, 33, 75, "Input"],
Cell[132357, 4719, 653, 21, 77, "Input"],
Cell[133013, 4742, 210, 7, 32, "Input"],
Cell[133226, 4751, 98, 2, 32, "Input"],
Cell[133327, 4755, 400, 13, 32, "Input"],
Cell[133730, 4770, 32, 0, 32, "Input"],
Cell[133765, 4772, 29, 0, 32, "Input"],
Cell[133797, 4774, 66, 1, 32, "Input"],
Cell[133866, 4777, 422, 14, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[134325, 4796, 52, 1, 30, "Subsubsection"],
Cell[134380, 4799, 230, 7, 32, "Input"],
Cell[134613, 4808, 475, 15, 32, "Input"],
Cell[135091, 4825, 223, 8, 32, "Input"],
Cell[135317, 4835, 393, 12, 32, "Input"],
Cell[135713, 4849, 556, 17, 32, "Input"],
Cell[136272, 4868, 515, 15, 32, "Input"],
Cell[136790, 4885, 537, 16, 32, "Input"],
Cell[137330, 4903, 999, 27, 99, "Input"],
Cell[138332, 4932, 177, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[138558, 4942, 182, 7, 31, "Subsection",
 Evaluatable->False],
Cell[138743, 4951, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[138879, 4958, 102, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[138984, 4963, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[139115, 4970, 52, 1, 30, "Subsubsection"],
Cell[139170, 4973, 802, 25, 75, "Input"],
Cell[139975, 5000, 1017, 30, 99, "Input"],
Cell[140995, 5032, 256, 9, 32, "Input"],
Cell[141254, 5043, 196, 7, 32, "Input"],
Cell[CellGroupData[{
Cell[141475, 5054, 440, 14, 32, "Input"],
Cell[141918, 5070, 31, 0, 32, "Input"],
Cell[141952, 5072, 29, 0, 32, "Input"],
Cell[141984, 5074, 66, 1, 32, "Input"]
}, Closed]],
Cell[142065, 5078, 87, 2, 32, "Input"],
Cell[142155, 5082, 235, 8, 32, "Input"],
Cell[142393, 5092, 145, 4, 32, "Input"],
Cell[142541, 5098, 251, 8, 32, "Input"],
Cell[142795, 5108, 700, 22, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[143532, 5135, 52, 1, 30, "Subsubsection"],
Cell[143587, 5138, 55, 1, 32, "Input"],
Cell[143645, 5141, 228, 7, 32, "Input"],
Cell[143876, 5150, 475, 15, 32, "Input"],
Cell[144354, 5167, 664, 19, 32, "Input"],
Cell[145021, 5188, 401, 13, 32, "Input"],
Cell[145425, 5203, 1154, 27, 121, "Input"],
Cell[146582, 5232, 769, 18, 32, "Input"],
Cell[147354, 5252, 429, 9, 32, "Input"],
Cell[147786, 5263, 152, 2, 30, "Subsubsection"],
Cell[147941, 5267, 535, 15, 46, "Input",
 Evaluatable->False]
}, Closed]]
}, Closed]],
Cell[148503, 5286, 116, 3, 43, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[148644, 5293, 97, 3, 31, "Subsection",
 Evaluatable->False],
Cell[148744, 5298, 94, 2, 32, "Input"],
Cell[148841, 5302, 2916, 86, 297, "Input"],
Cell[151760, 5390, 743, 24, 75, "Input"],
Cell[152506, 5416, 31, 0, 32, "Input"],
Cell[152540, 5418, 38, 0, 32, "Input"],
Cell[152581, 5420, 100, 1, 32, "Input"],
Cell[152684, 5423, 977, 32, 75, "Input"],
Cell[153664, 5457, 89, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[153790, 5464, 122, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[153937, 5471, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[154040, 5476, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[154171, 5483, 52, 1, 30, "Subsubsection"],
Cell[154226, 5486, 508, 17, 118, "Input"],
Cell[CellGroupData[{
Cell[154759, 5507, 386, 13, 32, "Input"],
Cell[155148, 5522, 32, 0, 32, "Input"],
Cell[155183, 5524, 29, 0, 32, "Input"],
Cell[155215, 5526, 34, 0, 32, "Input"]
}, Closed]],
Cell[155264, 5529, 249, 9, 32, "Input"],
Cell[155516, 5540, 104, 2, 32, "Input"],
Cell[155623, 5544, 267, 9, 32, "Input"],
Cell[155893, 5555, 81, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[156011, 5562, 52, 1, 30, "Subsubsection"],
Cell[156066, 5565, 92, 2, 32, "Input"],
Cell[156161, 5569, 492, 17, 52, "Input"],
Cell[156656, 5588, 111, 2, 32, "Input"],
Cell[156770, 5592, 137, 4, 32, "Input"],
Cell[156910, 5598, 288, 10, 32, "Input"],
Cell[157201, 5610, 205, 7, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[157455, 5623, 138, 3, 31, "Subsection",
 Evaluatable->False],
Cell[157596, 5628, 54, 1, 30, "Subsubsection"],
Cell[157653, 5631, 133, 4, 26, "Input"],
Cell[CellGroupData[{
Cell[157811, 5639, 52, 1, 30, "Subsubsection"],
Cell[157866, 5642, 615, 21, 97, "Input"],
Cell[158484, 5665, 503, 16, 32, "Input"],
Cell[158990, 5683, 643, 22, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[159670, 5710, 52, 1, 30, "Subsubsection"],
Cell[159725, 5713, 421, 12, 55, "Input"],
Cell[160149, 5727, 291, 10, 32, "Input"],
Cell[160443, 5739, 481, 16, 32, "Input"],
Cell[160927, 5757, 480, 15, 32, "Input"],
Cell[161410, 5774, 767, 24, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[162226, 5804, 150, 4, 31, "Subsection",
 Evaluatable->False],
Cell[162379, 5810, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[162493, 5815, 108, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[162604, 5820, 101, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[162730, 5826, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[162833, 5831, 94, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[162964, 5838, 52, 1, 30, "Subsubsection"],
Cell[163019, 5841, 101, 2, 32, "Input"],
Cell[163123, 5845, 452, 13, 32, "Input"],
Cell[163578, 5860, 249, 9, 25, "Special5",
 Evaluatable->False],
Cell[163830, 5871, 649, 23, 95, "Input"],
Cell[164482, 5896, 112, 4, 32, "Input"],
Cell[164597, 5902, 713, 21, 55, "Input"],
Cell[165313, 5925, 514, 16, 32, "Input"],
Cell[165830, 5943, 561, 18, 32, "Input"],
Cell[166394, 5963, 210, 7, 32, "Input"],
Cell[166607, 5972, 680, 23, 66, "Input"],
Cell[167290, 5997, 165, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[167492, 6007, 52, 1, 30, "Subsubsection"],
Cell[167547, 6010, 130, 4, 52, "Input"],
Cell[167680, 6016, 473, 15, 32, "Input"],
Cell[168156, 6033, 842, 33, 109, "Special5",
 Evaluatable->False],
Cell[169001, 6068, 305, 10, 58, "Input"],
Cell[169309, 6080, 331, 13, 25, "Special5",
 Evaluatable->False],
Cell[169643, 6095, 299, 10, 32, "Input"],
Cell[169945, 6107, 270, 13, 25, "Special5",
 Evaluatable->False],
Cell[170218, 6122, 81, 2, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[170348, 6130, 99, 3, 43, "Section",
 Evaluatable->False],
Cell[170450, 6135, 120, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[170573, 6140, 131, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[170707, 6145, 186, 7, 24, "Subsubsection",
 Evaluatable->False],
Cell[170896, 6154, 73, 1, 24, "Subsubsection"],
Cell[170972, 6157, 122, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[171097, 6162, 145, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[171245, 6167, 187, 7, 24, "Subsubsection",
 Evaluatable->False],
Cell[171435, 6176, 193, 7, 24, "Subsubsection",
 Evaluatable->False],
Cell[171631, 6185, 194, 7, 24, "Subsubsection",
 Evaluatable->False],
Cell[171828, 6194, 193, 7, 24, "Subsubsection",
 Evaluatable->False]
}, Closed]]
}
]
*)

(* End of internal cache information *)
