(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    152399,       5157]
NotebookOptionsPosition[    136244,       4668]
NotebookOutlinePosition[    136663,       4687]
CellTagsIndexPosition[    136620,       4684]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"Clear", "::", "wrsym"}], "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell["7. Orbiting Bodies", "Title",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Introduction", "Section",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], ";"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell["7.1 Two Body Problem ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Overview of the Two-Body Problem", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 1: Equivalent One-body Problem  ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input", \
"Deemphasis",
 CellID->213998274],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"M0", "==", 
      RowBox[{"m1", "+", "m2"}]}], ",", 
     RowBox[{"\[Mu]", "==", 
      FractionBox[
       RowBox[{"m1", " ", "m2"}], "M0"]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["mSol= Solve[eq1,{m1,m2}][[1]] ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"R", "[", "t", "]"}], "==", 
      FractionBox[
       RowBox[{
        RowBox[{"m1", " ", 
         RowBox[{"r1", "[", "t", "]"}]}], "+", 
        RowBox[{"m2", " ", 
         RowBox[{"r2", "[", "t", "]"}]}]}], "M0"]}], ",", 
     RowBox[{
      RowBox[{"r", "[", "t", "]"}], "==", 
      RowBox[{
       RowBox[{"r1", "[", "t", "]"}], "-", 
       RowBox[{"r2", "[", "t", "]"}]}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol1", "=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Solve", "[", 
         RowBox[{"eq2", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"r1", "[", "t", "]"}], ",", 
            RowBox[{"r2", "[", "t", "]"}]}], "}"}]}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}], "//.", 
       RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//.", 
      RowBox[{"{", 
       RowBox[{"M0", "\[Rule]", 
        RowBox[{"m1", "+", "m2"}]}], "}"}]}], ")"}], "//", 
    RowBox[{
     RowBox[{"MapAll", "[", 
      RowBox[{"Apart", ",", "#"}], "]"}], "&"}]}], ")"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"rSol", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r1", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"m2", " ", 
           RowBox[{"r", "[", "#1", "]"}]}], 
          RowBox[{"m1", "+", "m2"}]], "+", 
         RowBox[{"R", "[", "#1", "]"}]}], "&"}], ")"}]}], ",", 
     RowBox[{"r2", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"m1", " ", 
            RowBox[{"r", "[", "#1", "]"}]}], 
           RowBox[{"m1", "+", "m2"}]]}], "+", 
         RowBox[{"R", "[", "#1", "]"}]}], "&"}], ")"}]}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"T", "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", "m1", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["r1", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", "m2", " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["r2", "\[Prime]",
        MultilineFunction->None], "[", "t", "]"}], "2"]}]}]}], ";"}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{"La", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"T", "-", 
      RowBox[{"V", "[", 
       RowBox[{"r0", "[", "t", "]"}], "]"}]}], "/.", " ", "rSol"}], "/.", 
    "mSol"}], "//", "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[TextData[{
 StyleBox["OLD \n",
  FontColor->RGBColor[1, 0, 0]],
 "Needs[\"Calculus`VectorAnalysis`\"]  "
}], "Subsubsection",
 CellChangeTimes->{{3.421771054314164*^9, 3.421771085912183*^9}},
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"rRule", "=", 
  RowBox[{"r", "\[Rule]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"CoordinatesToCartesian", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"r0", "[", "#", "]"}], ",", 
           RowBox[{"\[Theta]", "[", "#", "]"}], ",", 
           RowBox[{"\[Phi]", "[", "#", "]"}]}], "}"}], ",", "Spherical"}], 
        "]"}], "//", "Evaluate"}], ")"}], "&"}], ")"}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"RRule", "=", 
   RowBox[{"{", 
    RowBox[{"R", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Rx", "[", "#", "]"}], ",", 
         RowBox[{"Ry", "[", "#", "]"}], ",", 
         RowBox[{"Rz", "[", "#", "]"}]}], "}"}], "&"}], ")"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell["\<\
r/:VectorQ[r]=True; 
R/:VectorQ[R]=True;\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"vectorRule", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"x_", "[", "   ", "t_", "]"}], "^", "2"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "   ", "t", "]"}], ".", 
        RowBox[{"x", "[", "   ", "t", "]"}]}], "/;", 
       RowBox[{"VectorQ", "[", "x", "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"x_", "'"}], "[", "t_", "]"}], "^", "2"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], ".", 
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}]}], "/;", 
       RowBox[{"VectorQ", "[", "x", "]"}]}]}]}], "}"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell["La //.vectorRule ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Lb= La //.vectorRule //.rRule //.RRule //Simplify", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VariationalMethods`\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell["EulerEquations[Lb,{Rx[t],Ry[t],Rz[t]},t]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"L", "=", 
  RowBox[{
   RowBox[{"Lb", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Rx", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"0", "&"}], ")"}]}], ",", 
      RowBox[{"Ry", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"0", "&"}], ")"}]}], ",", 
      RowBox[{"Rz", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"0", "&"}], ")"}]}]}], "}"}]}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqMotion", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"EulerEquations", "[", 
         RowBox[{"Lb", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"r0", "[", "t", "]"}], ",", 
            RowBox[{"\[Theta]", "[", "t", "]"}], ",", 
            RowBox[{"\[Phi]", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}], "//",
         
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"#", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"r0", "''"}], "[", "t", "]"}], ",", 
             RowBox[{
              RowBox[{"\[Theta]", "''"}], "[", "t", "]"}], ",", 
             RowBox[{
              RowBox[{"\[Phi]", "''"}], "[", "t", "]"}]}], "}"}]}], "]"}], 
         "&"}]}], " ", "//", "Flatten"}], " ", "//", "Simplify"}], " ", ")"}],
     "/.", 
    RowBox[{"Rule", "\[Rule]", "Equal"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"eqMotion", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421771143919849*^9, 3.421771144438736*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Theta]Rule", "=", 
   RowBox[{"\[Theta]", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Pi]", "/", "2"}], "&"}], ")"}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqMotion", "=", " ", 
   RowBox[{"eqMotion", "//.", "\[Theta]Rule"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"eqMotion", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421771153034273*^9, 3.421771153953277*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"dSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"eqMotion", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"r0", "[", "0", "]"}], "\[Equal]", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"el", "/", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", " ", 
             RowBox[{
              RowBox[{"\[Phi]", "'"}], "[", "0", "]"}]}], ")"}]}], "]"}]}]}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"r0", "[", "t", "]"}], "}"}], ",", "t"}], "]"}], "//", 
    "PowerExpand"}], " ", "//", "Flatten", " "}]}]], "Input"],

Cell["\<\
\[Phi]Rule= Solve[dSol /.{Rule->Equal} ,\[Phi]'[t]][[1]]\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["\<\
rEq=eqMotion[[1]] /.\[Phi]Rule //ExpandAll\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["energy= Integrate[(rEq[[1]]-rEq[[2]]) r0'[t],t]", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"FirstIntegrals", "[", 
       RowBox[{
        RowBox[{"L", "/.", " ", "\[Theta]Rule"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r0", "[", "t", "]"}], ",", "  ", 
          RowBox[{"\[Phi]", "[", "t", "]"}]}], "}"}], " ", ",", "t"}], "]"}], 
      "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"FirstIntegral", "[", "\[Phi]", "]"}], "\[Rule]", 
         RowBox[{"-", "el"}]}], " ", ",", 
        RowBox[{
         RowBox[{"FirstIntegral", "[", "t", "]"}], "\[Rule]", 
         RowBox[{"En", "  ", "\[Mu]"}]}]}], "}"}]}], "/.", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", "ExpandAll"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"eq3", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421771182974175*^9, 3.421771183457769*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq3", " ", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Phi]", "'"}], "[", "t", "]"}], ",", "En"}], "}"}]}], 
     "]"}], "//", "Flatten"}], "//", "ExpandAll"}], "//", "Column"}]], "Input",\

 CellChangeTimes->{{3.421771192036469*^9, 3.421771192584731*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"uRule", "=", 
   RowBox[{"{", 
    RowBox[{"r0", "\[Rule]", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"u", "[", 
         RowBox[{"\[Phi]", "[", "#1", "]"}], "]"}]], "&"}], ")"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Phi]Rule1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\[Phi]Rule", ",", 
      RowBox[{"D", "[", 
       RowBox[{"\[Phi]Rule", ",", "t"}], "]"}]}], "}"}], " ", "//.", 
    "uRule"}], " ", "//", "Flatten"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"rEq", "//.", "uRule"}], "//.", "\[Phi]Rule1"}], ",", 
         RowBox[{
          RowBox[{"u", "''"}], "[", 
          RowBox[{"\[Phi]", "[", "t", "]"}], "]"}]}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], " ", ")"}], " ", "/.", 
     RowBox[{"Rule", "\[Rule]", "Equal"}]}], "/.", 
    RowBox[{
     RowBox[{"\[Phi]", "[", "t", "]"}], "\[Rule]", "\[Phi]"}]}], "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"eq3", "//.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"V", "'"}], "[", "x_", "]"}], "\[Rule]", 
     RowBox[{"-", 
      RowBox[{"f", "[", "x", "]"}]}]}], "}"}], " "}]}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Kepler Orbits      ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", "diffSeriesOne", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"diffSeriesOne", "[", 
     RowBox[{
     "eqin_", ",", "z_", ",", "t_", ",", "order_", ",", "initList__List"}], 
     "]"}], ":=", "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "eq", ",", "zSer", ",", "eSer", ",", "eqs", ",", "vars", ",", "sol", 
        ",", "zSol"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"eq", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"eqin", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", 
          RowBox[{"eqin", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "\[Equal]", "0"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"zSer", "=", 
        RowBox[{"Series", "[", 
         RowBox[{
          RowBox[{"z", "[", "t", "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", "order"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"eSer", "=", 
        RowBox[{
         RowBox[{"eq", "/.", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"z", "[", "t", "]"}], "\[Rule]", "zSer"}], ")"}]}], "//", 
         "ExpandAll"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"eqs", "=", 
        RowBox[{"Thread", "[", 
         RowBox[{
          RowBox[{"CoefficientList", "[", 
           RowBox[{
            RowBox[{"eSer", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "t"}], "]"}], "\[Equal]", 
          "0"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"vars", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"D", "[", 
             RowBox[{
              RowBox[{"z", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"t", ",", "j"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"j", ",", "2", ",", 
              RowBox[{"order", "+", "2"}]}], "}"}]}], "]"}], "/.", 
          RowBox[{"t", "\[Rule]", "0"}]}], ")"}]}], ";", "     ", 
       RowBox[{"sol", "=", 
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{"eqs", ",", "vars"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"zSol", "=", 
        RowBox[{
         RowBox[{"zSer", "/.", "sol"}], "/.", "initList"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "zSol", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "diffSeriesOne", "]"}], ";"}]}], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["u", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "\[Phi]", "]"}], "==", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"m", " ", 
        RowBox[{"f", "[", 
         FractionBox["1", 
          RowBox[{"u", "[", "\[Phi]", "]"}]], "]"}]}], 
       RowBox[{
        SuperscriptBox["el", "2"], " ", 
        SuperscriptBox[
         RowBox[{"u", "[", "\[Phi]", "]"}], "2"]}]]}], "-", 
     RowBox[{"u", "[", "\[Phi]", "]"}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"forceRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"V", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["k", "#1"]}], "&"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"f", "[", 
       FractionBox["1", 
        RowBox[{"u", "[", "\[Phi]", "]"}]], "]"}], "\[Rule]", 
      RowBox[{"-", 
       RowBox[{
        SuperscriptBox["V", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}]}]}], ",", 
     RowBox[{"r", "\[Rule]", 
      FractionBox["1", 
       RowBox[{"u", "[", "\[Phi]", "]"}]]}]}], "}"}]}], ";"}]], "Input"],

Cell["eq2= eq1 //.forceRule ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"eq2", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"u", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], " ", 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", "[", "\[Phi]", "]"}], "}"}], ",", "\[Phi]"}], "]"}], "[",
      
     RowBox[{"[", "1", "]"}], "]"}], "//", "ExpandAll"}], "//", 
   "Simplify"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{"eq3", "/.", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "\[Rule]", 
     FractionBox[
      RowBox[{"e", " ", "k", " ", "m"}], 
      SuperscriptBox["el", "2"]]}]}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{"eq4", "//.", 
   RowBox[{"{", 
    RowBox[{"el", "\[Rule]", 
     SqrtBox[
      RowBox[{"a", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         SuperscriptBox["e", "2"]}], ")"}], " ", "k", " ", "m"}]]}], 
    "}"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<BarCharts`\>\"", "]"}], ";", 
  RowBox[{"Needs", "[", "\"\<Histograms`\>\"", "]"}], ";", 
  RowBox[{"Needs", "[", "\"\<PieCharts`\>\"", "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"?", "PolarPlot"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"plotOrbit", "[", 
    RowBox[{"a_", ",", "e_", ",", "opts___"}], "]"}], ":=", 
   RowBox[{"PolarPlot", "[", 
    RowBox[{
     RowBox[{"a", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"e", "^", "2"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"e", " ", 
          RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Phi]", ",", "0", ",", 
       RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", "opts"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.421771311932627*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"list", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"plotOrbit", "[", 
      RowBox[{"1", ",", "eIn", " ", ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.008", "]"}], ",", 
          RowBox[{"Hue", "[", "eIn", " ", "]"}]}], "}"}]}]}], "]"}], ",", " ",
      
     RowBox[{"{", 
      RowBox[{"eIn", ",", "0.1", ",", "0.9", ",", "0.2"}], "}"}]}], " ", 
    "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"list", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421771336743606*^9, 3.421771352864042*^9}},
 Hyphenation->False],

Cell["plotOrbit[1,1.3]", "Input",
 CellChangeTimes->{{3.421771414976518*^9, 3.421771416346603*^9}},
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData["eq2"], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"initial", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["u", "\[Prime]",
        MultilineFunction->None], "[", "0", "]"}], "\[Rule]", "0"}], ",", 
     RowBox[{
      RowBox[{"u", "[", "0", "]"}], "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "e"}], ")"}], " ", "k", " ", "m"}], 
       SuperscriptBox["el", "2"]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"seriesSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"diffSeriesOne", "[", 
     RowBox[{"eq2", ",", "u", ",", "\[Phi]", ",", "6", ",", "initial"}], 
     "]"}], "//", "Normal"}], "//", "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"cterm", "[", "n_", "]"}], "=", 
   FractionBox[
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"], " ", "e", " ", "k", " ", "m", " ", 
     SuperscriptBox["\[Phi]", 
      RowBox[{"2", " ", "n"}]]}], 
    RowBox[{
     SuperscriptBox["el", "2"], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", " ", "n"}], ")"}], "!"}]}]]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"seriesSol", "\[Equal]", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     RowBox[{"k", " ", "m"}], 
     SuperscriptBox["el", "2"]], "+", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"cterm", "[", "i", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "3"}], "}"}]}], "]"}]}], ")"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"answer", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{"k", " ", "m"}], 
      SuperscriptBox["el", "2"]], "+", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"n", "=", "0"}], "\[Infinity]"], 
      RowBox[{"cterm", "[", "n", "]"}]}]}], "  ", "//", "PowerExpand"}], "//",
    "Simplify"}]}]], "Input"]
}, Closed]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"u", "[", "\[Phi]", "]"}], " ", "/.", "eq4"}], " ", ")"}], 
  "\[Equal]", "answer"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 3: Precessing Ellipse     ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"firstOrderPert", "[", 
     RowBox[{"eq1_", ",", "x_", ",", 
      RowBox[{"{", 
       RowBox[{"x0_", ",", "v0_"}], "}"}], ",", 
      RowBox[{"eps_:", "eps"}], ",", 
      RowBox[{"t_:", "t"}]}], "]"}], ":=", "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "xRule", ",", "eq2", ",", "eqEps", ",", "initCon0", ",", "initCon1", 
        ",", "dsol1", ",", "dsol2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"xRule", "=", 
        RowBox[{"{", 
         RowBox[{"x", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"x", "[", "0", "]"}], "[", "#", "]"}], "+", 
             RowBox[{"eps", " ", 
              RowBox[{
               RowBox[{"x", "[", "1", "]"}], "[", "#", "]"}]}]}], "&"}], 
           ")"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"eq2", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"eq1", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "-", 
          RowBox[{"eq1", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "/.", "xRule"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"eqEps", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"CoefficientList", "[", 
           RowBox[{"eq2", ",", "eps"}], "]"}], "\[Equal]", "0"}], "//", 
         "Thread"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"initCon0", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "[", "0", "]"}], "\[Equal]", "x0"}],
           ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "[", "0", "]"}], ")"}], "'"}], "[", "0", "]"}], 
           "\[Equal]", "v0"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"initCon1", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"x", "[", "1", "]"}], "[", "0", "]"}], "\[Equal]", "0"}], 
          ",", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"x", "[", "1", "]"}], ")"}], "'"}], "[", "0", "]"}], 
           "\[Equal]", "0"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"dsol1", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"DSolve", "[", 
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"eqEps", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", "initCon0"}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "0", "]"}], "[", "t", "]"}], "}"}], ",", 
            "t"}], "]"}], "//", "Flatten"}], ")"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"dsol2", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"DSolve", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Join", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"eqEps", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "}"}], ",", "initCon1"}], 
              "]"}], "//.", "dsol1"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "1", "]"}], "[", "t", "]"}], "}"}], ",", 
            "t"}], "]"}], "//", "Flatten"}], ")"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], "/.", "xRule"}], "//.", 
         RowBox[{"Join", "[", 
          RowBox[{"dsol1", ",", "dsol2"}], "]"}]}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Protect", "[", "firstOrderPert", "]"}], ";"}]}], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["u", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "\[Phi]", "]"}], "==", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"m", " ", 
        RowBox[{"f", "[", 
         FractionBox["1", 
          RowBox[{"u", "[", "\[Phi]", "]"}]], "]"}]}], 
       RowBox[{
        SuperscriptBox["el", "2"], " ", 
        SuperscriptBox[
         RowBox[{"u", "[", "\[Phi]", "]"}], "2"]}]]}], "-", 
     RowBox[{"u", "[", "\[Phi]", "]"}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"forceRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"V", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", 
          FractionBox["k", "#1"]}], "-", 
         FractionBox["b", 
          SuperscriptBox["#1", "2"]]}], "&"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"f", "[", 
       FractionBox["1", 
        RowBox[{"u", "[", "\[Phi]", "]"}]], "]"}], "\[Rule]", 
      RowBox[{"-", 
       RowBox[{
        SuperscriptBox["V", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}]}]}], ",", 
     RowBox[{"r", "\[Rule]", 
      FractionBox["1", 
       RowBox[{"u", "[", "\[Phi]", "]"}]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"eq1", "//.", "forceRule"}], "//", "ExpandAll"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"eq2", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"u", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], 
       " ", ",", 
       RowBox[{"u", "[", "\[Phi]", "]"}], ",", "\[Phi]"}], "]"}], ")"}], " ", 
    "//", "Simplify"}], " ", "//", "Flatten"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CRule", "=", " ", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "\[Rule]", " ", 
    FractionBox[
     RowBox[{"e", " ", "k", " ", "m"}], 
     RowBox[{" ", 
      RowBox[{
       SuperscriptBox["el", "2"], "-", 
       RowBox[{"2", " ", "b", " ", "m"}]}]}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"uSol", "=", " ", 
  RowBox[{
   RowBox[{"eq3", "/.", "CRule"}], "//", "Simplify"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"shiftRule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      FractionBox[
       SqrtBox[
        RowBox[{
         SuperscriptBox["el", "2"], "-", 
         RowBox[{"2", " ", "b", " ", "m"}]}]], "el"], "\[Rule]", 
      RowBox[{"1", "-", "\[CapitalDelta]"}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"eq3", "/.", "CRule"}], "/.", "shiftRule"}], "//", 
  "FullSimplify"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"elRule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         RowBox[{"k", " ", "m"}], 
         RowBox[{
          SuperscriptBox["el", "2"], "-", 
          RowBox[{"2", " ", "b", " ", "m"}]}]], "==", 
        FractionBox["1", 
         RowBox[{"a", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            SuperscriptBox["e", "2"]}], ")"}]}]]}], "}"}], ",", "el"}], "]"}],
     "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"eq3", "/.", "CRule"}], "/.", "shiftRule"}], "/.", "elRule"}], "//",
   "Simplify"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"plotorbit", "[", 
   RowBox[{"start_", ",", "finish_", ",", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "e_", ",", "\[CapitalDelta]_"}], "}"}], ",", 
    "opts___"}], " ", "]"}], ":=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"a", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["e", "2"]}], ")"}], " ", 
         RowBox[{"Cos", "[", "\[Phi]", "]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"e", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "\[CapitalDelta]"}], ")"}], " ", "\[Phi]"}], 
           "]"}]}]}]], ",", 
       FractionBox[
        RowBox[{"a", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           SuperscriptBox["e", "2"]}], ")"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]", "]"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"e", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "\[CapitalDelta]"}], ")"}], " ", "\[Phi]"}], 
           "]"}]}]}]]}], "}"}], "//", "Evaluate"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "start", ",", "finish"}], "}"}], ",", "opts"}], 
   " ", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"values", "=", 
    RowBox[{"{", " ", 
     RowBox[{"1", ",", "0.5", ",", "0.1"}], "  ", "}"}]}], ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"plotorbit", "[", 
  RowBox[{"0", ",", 
   RowBox[{"6", " ", "\[Pi]"}], ",", "values", ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", "0.008", "]"}], ",", 
      RowBox[{"Hue", "[", "0.8", "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421771571153031*^9},
 Hyphenation->False]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData["eq2"], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"firstOrderPert", "[", 
       RowBox[{"eq2", ",", "u", ",", 
        RowBox[{"{", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "e"}], ")"}], " ", "k", " ", "m"}], 
           RowBox[{
            SuperscriptBox["el", "2"], "-", 
            RowBox[{"2", " ", "b", " ", "m"}]}]], ",", "0"}], "}"}], ",", "b",
         ",", "\[Phi]"}], "]"}], "  ", "+", 
      SuperscriptBox[
       RowBox[{"O", "[", "b", "]"}], "2"]}], " ", "//", "Normal"}], "//", 
    "Simplify"}], " ", "//", "Expand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"            ", 
  RowBox[{
   RowBox[{"u", "[", "\[Phi]", "]"}], "/.", " ", "uSol", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{"u", "[", "\[Phi]", "]"}], "/.", " ", "uSol"}], ")"}], "+", 
      SuperscriptBox[
       RowBox[{"O", "[", "b", "]"}], "2"]}], " ", "//", "Normal"}], "//", 
    "ExpandAll"}], "//", "PowerExpand", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq4", "\[Equal]", "eq5"}], "//", "Simplify"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 4: Numerical Solution   ",
 StyleBox[" ",
  FontColor->RGBColor[0, 0, 1]]
}], "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Remarks and outline", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["u", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "\[Phi]", "]"}], "==", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"m", " ", 
        RowBox[{"f", "[", 
         FractionBox["1", 
          RowBox[{"u", "[", "\[Phi]", "]"}]], "]"}]}], 
       RowBox[{
        SuperscriptBox["el", "2"], " ", 
        SuperscriptBox[
         RowBox[{"u", "[", "\[Phi]", "]"}], "2"]}]]}], "-", 
     RowBox[{"u", "[", "\[Phi]", "]"}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"forceRule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"V", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["k", "#1"]}], "&"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"f", "[", 
       FractionBox["1", 
        RowBox[{"u", "[", "\[Phi]", "]"}]], "]"}], "\[Rule]", 
      RowBox[{"-", 
       RowBox[{
        SuperscriptBox["V", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}]}]}], ",", 
     RowBox[{"r", "\[Rule]", 
      FractionBox["1", 
       RowBox[{"u", "[", "\[Phi]", "]"}]]}]}], "}"}]}], ";"}]], "Input"],

Cell["eq2= eq1 //. forceRule ", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "\[Rule]", "1"}], ",", 
     RowBox[{"el", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell["initial1={u[0]==1.6, u'[0]==0};", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ndsol1", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"eq2", "/.", "values"}], ",", "initial1"}], "}"}], "//", 
       "Flatten"}], ",", 
      RowBox[{"u", "[", "\[Phi]", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Phi]", ",", "0", ",", 
        RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}]], "Input"],

Cell["\<\
u1[\[Phi]_]=u[\[Phi]]/.ndsol1;
u1[1.1]\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<BarCharts`\>\"", "]"}], ";", 
  RowBox[{"Needs", "[", "\"\<Histograms`\>\"", "]"}], ";", 
  RowBox[{"Needs", "[", "\"\<PieCharts`\>\"", "]"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"PolarPlot", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"u1", "[", "\[Phi]", "]"}]], "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Phi]", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421771643972416*^9}],

Cell["initial2= {u[0]==3, u'[0]==0};", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"ndsol2", "=", 
   RowBox[{
    RowBox[{"NDSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"eq2", "/.", "values"}], ",", "initial2"}], "}"}], "//", 
       "Flatten"}], ",", 
      RowBox[{"u", "[", "\[Phi]", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Phi]", ",", "0", ",", 
        RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}]], "Input"],

Cell["\<\
u2[\[Phi]_]=u[\[Phi]] //.ndsol2;
u2[1.1]\
\>", "Input",
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"PolarPlot", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"u2", "[", "\[Phi]", "]"}]], "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Phi]", ",", "0", ",", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.42177165381842*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"numOrbit", "[", 
   RowBox[{"V_", ",", "r_", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r0_:", "1"}], ",", 
      RowBox[{"dr0_:", "0"}], ",", 
      RowBox[{"el_:", "1"}], ",", 
      RowBox[{"m_:", "1"}]}], "}"}], ",", "angle_", " ", ",", "opts___"}], 
   "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "u", ",", "\[Phi]", ",", "uforce", ",", "eq1", ",", "initial", ",", 
      "eqs", ",", "ndsol"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"uforce", "=", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D", "[", 
         RowBox[{"V", ",", "r"}], "]"}]}], "/.", 
       RowBox[{"r", "\[Rule]", 
        RowBox[{"1", "/", 
         RowBox[{"u", "[", "\[Phi]", "]"}]}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"eq1", "=", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"u", "''"}], "[", "\[Phi]", "]"}], "\[Equal]", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"u", "[", "\[Phi]", "]"}]}], "-", 
          RowBox[{"m", " ", 
           RowBox[{"uforce", "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"el", "^", "2"}], " ", 
              RowBox[{
               RowBox[{"u", "[", "\[Phi]", "]"}], "^", "2"}]}], ")"}]}]}]}]}],
         "//", "ExpandAll"}], ")"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"initial", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"u", "[", "0", "]"}], "\[Equal]", 
         RowBox[{"1", "/", "r0"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"u", "'"}], "[", "0", "]"}], "\[Equal]", " ", 
         RowBox[{
          RowBox[{"-", "dr0"}], "/", 
          RowBox[{"r0", "^", "2"}]}]}]}], " ", "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"eqs", "=", 
      RowBox[{"Join", "[", 
       RowBox[{
        RowBox[{"{", "eq1", "}"}], ",", "initial"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ndsol", "=", 
      RowBox[{
       RowBox[{"NDSolve", "[", 
        RowBox[{"eqs", ",", 
         RowBox[{"u", "[", "\[Phi]", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Phi]", ",", "0", ",", "angle"}], "}"}]}], "]"}], "//", 
       "Flatten"}]}], ";", "  ", 
     RowBox[{"PolarPlot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"u", "[", "\[Phi]", "]"}]}], "/.", "ndsol"}], "//", 
        "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Phi]", ",", "0", ",", "angle"}], "}"}], ",", "opts"}], 
      "]"}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.421771665452241*^9, 3.4217716701382*^9}, 
   3.421771715990397*^9}],

Cell[BoxData[
 RowBox[{"numOrbit", "[", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "r"]}], ",", "r", ",", 
   RowBox[{"{", 
    RowBox[{".6", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"2", " ", "\[Pi]"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Thickness", "[", ".008", "]"}], ",", 
      RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421771676539852*^9, 3.421771695078583*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"lista", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"numOrbit", "[", 
      RowBox[{"#", ",", "r", ",", 
       RowBox[{"{", 
        RowBox[{"0.6", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
       RowBox[{"6", " ", "\[Pi]"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.008", "]"}], ",", 
          RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}]}]}], " ", "]"}], "&"}], "/@",
     " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        SuperscriptBox["r", "1.1`"]]}], ",", 
      RowBox[{"-", 
       FractionBox["1", 
        SuperscriptBox["r", "0.9`"]]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421771727467964*^9, 3.421771753182673*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "lista", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.42177174680499*^9, 3.421771748825557*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"listb", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"numOrbit", "[", 
      RowBox[{"#", ",", "r", ",", 
       RowBox[{"{", 
        RowBox[{"0.6", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
       RowBox[{"6", " ", "\[Pi]"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Thickness", "[", "0.008", "]"}], ",", 
          RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}]}]}], " ", "]"}], "&"}], "/@",
     
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        FractionBox["0.02`", 
         SuperscriptBox["r", "3"]]}], "-", 
       FractionBox["1", "r"]}], ",", 
      RowBox[{
       FractionBox["0.02`", 
        SuperscriptBox["r", "3"]], "-", 
       FractionBox["1", "r"]}]}], "}"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "listb", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.421771770038333*^9, 3.421771772012237*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["7.2 Restricted Three Body Problem", "Section",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["\<\
Overview of the Three Body Problem and Initialization of PMotion and Mgraph\
\>", "Subsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"PMotion", "[", 
   RowBox[{"\[Mu]1_", ",", 
    RowBox[{"{", 
     RowBox[{"x0_", ",", "y0_", ",", "vx0_", ",", "vy0_"}], "}"}], ",", 
    "tmax_", ",", 
    RowBox[{"step_:", "1000"}]}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "rrule", ",", "Urule", ",", "eqMotion", ",", "r1", ",", "r2", ",", 
      "\[Mu]", ",", "U"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"rrule", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"r1", "\[Rule]", 
         SqrtBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Mu]", "+", 
              RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
        RowBox[{"r2", "\[Rule]", 
         SqrtBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
              RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Urule", "=", 
      RowBox[{"{", 
       RowBox[{"U", "\[Rule]", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
         FractionBox["\[Mu]", "r2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"x", "[", "t", "]"}], "2"], "+", 
            SuperscriptBox[
             RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"eqMotion", "=", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"x", "''"}], "[", "t", "]"}], "-", 
          RowBox[{"2", " ", 
           RowBox[{
            RowBox[{"y", "'"}], "[", "t", "]"}]}]}], "\[Equal]", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"U", "/.", "Urule"}], "/.", "rrule"}], ",", 
           RowBox[{"x", "[", "t", "]"}]}], "]"}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"y", "''"}], "[", "t", "]"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{
            RowBox[{"x", "'"}], "[", "t", "]"}]}]}], "\[Equal]", 
         RowBox[{"D", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"U", "/.", "Urule"}], "/.", "rrule"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "]"}]}]}], "}"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"NDSolve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"eqMotion", "/.", 
            RowBox[{"\[Mu]", "\[Rule]", "\[Mu]1"}]}], ",", 
           RowBox[{
            RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
           RowBox[{
            RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "vx0"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "vy0"}]}], 
          "}"}], "//", "Flatten"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
        RowBox[{"MaxSteps", "\[Rule]", "step"}]}], "]"}], "//", 
      "Flatten"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Mgraph", "[", 
    RowBox[{"fx_", ",", "fy_", ",", "t_", ",", "tfinal_", ",", "Opts___"}], 
    "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"ParametricPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"fx", "[", "t", "]"}], ",", 
        RowBox[{"fy", "[", "t", "]"}]}], "}"}], "//", "Evaluate"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tfinal"}], "}"}], ",", 
     "\[IndentingNewLine]", "Opts", ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.421772757478783*^9}],

Cell["Protect[PMotion,Mgraph];", "Input",
 Hyphenation->False,
 AspectRatioFixed->True]
}, Closed]],

Cell["\<\
Problems on the Equal Mass Primaries (\[Mu]=1/2 )\
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["\<\
Problem 1: Lagrangian Points for Equal Mass Binaries (\[Mu]=1/2 ) \
\>", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Urule", "=", 
   RowBox[{"U", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
     FractionBox["\[Mu]", "r2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"x", "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r1", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
     RowBox[{"r2", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"eq1", "=", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"U", " ", "/.", "Urule"}], "/.", "rrule"}], ",", 
        RowBox[{"x", "[", "t", "]"}]}], "]"}], "\[Equal]", "0"}]}], " ", 
    ")"}], "//", "TraditionalForm"}], "  ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"eq2", "=", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"U", " ", "/.", "Urule"}], "/.", "rrule"}], ",", 
        RowBox[{"y", "[", "t", "]"}]}], "]"}], "\[Equal]", "0"}]}], " ", 
    ")"}], "//", "TraditionalForm"}], "    "}]}], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"L", "[", "2", "]"}], ",", 
     RowBox[{"L", "[", "3", "]"}], ",", 
     RowBox[{"L", "[", "4", "]"}], ",", 
     RowBox[{"L", "[", "5", "]"}], ",", 
     RowBox[{"L", "[", "1", "]"}]}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq1", ",", "eq2"}], "}"}], " ", "/.", 
     RowBox[{"\[Mu]", "\[Rule]", 
      FractionBox["1", "2"]}]}], " ", "//", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}]}], "}"}]}], "]"}], "&"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "2", "]"}], ",", 
    RowBox[{"L", "[", "3", "]"}], ",", 
    RowBox[{"L", "[", "4", "]"}], ",", 
    RowBox[{"L", "[", "5", "]"}], ",", 
    RowBox[{"L", "[", "1", "]"}]}], "}"}], " ", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421771874188414*^9, 3.421771874675394*^9}}],

Cell["Reorder solutions", "Subsubsection",
 CellChangeTimes->{{3.421772422374359*^9, 3.421772426658394*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"L", "[", "5", "]"}], ",", 
     RowBox[{"L", "[", "4", "]"}], ",", 
     RowBox[{"L", "[", "3", "]"}], ",", 
     RowBox[{"L", "[", "2", "]"}], ",", 
     RowBox[{"L", "[", "1", "]"}]}], "}"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq1", ",", "eq2"}], "}"}], " ", "/.", 
     RowBox[{"\[Mu]", "\[Rule]", 
      FractionBox["1", "2"]}]}], " ", "//", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}]}], "}"}]}], "]"}], "&"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "2", "]"}], ",", 
    RowBox[{"L", "[", "3", "]"}], ",", 
    RowBox[{"L", "[", "4", "]"}], ",", 
    RowBox[{"L", "[", "5", "]"}], ",", 
    RowBox[{"L", "[", "1", "]"}]}], "}"}], " ", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421771874188414*^9, 3.421771874675394*^9}, {
  3.421772330582239*^9, 3.421772339343694*^9}, {3.421772384571028*^9, 
  3.421772400416857*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CLpt", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"L", "[", "#", "]"}], "&"}], " ", "/@", " ", 
    RowBox[{"Range", "[", "5", "]"}]}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], ",", 
     RowBox[{"y", "[", "t", "]"}]}], "}"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"L", "[", "1", " ", "]"}], ",", 
     RowBox[{"L", "[", "2", "]"}], ",", 
     RowBox[{"L", "[", "3", "]"}]}], "}"}]}], " ", "//", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{"#", ",", 
     RowBox[{"TableHeadings", "\[Rule]", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<L[1]\>\"", ",", "\"\<L[2]\>\"", ",", "\"\<L[3]\>\""}], 
         "}"}], " ", ",", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], ",", 
          RowBox[{"y", "[", "t", "]"}]}], "}"}]}], " ", "}"}]}]}], "]"}], 
   "&"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "4", "]"}], ",", 
    RowBox[{"L", "[", "5", "]"}]}], "}"}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.421771884903957*^9, 3.421771885762823*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"r1", "\[Equal]", "r2", "\[Equal]", "1"}], "/.", "rrule"}], "/.",
     
    RowBox[{"L", "[", "4", "]"}]}], "/.", 
   RowBox[{"\[Mu]", "\[Rule]", 
    RowBox[{"1", "/", "2"}]}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lgraph", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02`", "]"}], ",", 
        RowBox[{"Hue", "[", "0.9`", "]"}], ",", 
        RowBox[{"Point", "/@", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"x", "[", "t", "]"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "\[InvisibleSpace]",
            "CLpt"}], ")"}]}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Text", "[", 
          RowBox[{
           SubscriptBox["L", "#1"], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"x", "[", "t", "]"}], "+", "0.1`"}], ",", 
              RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", 
            "\[InvisibleSpace]", 
            RowBox[{
            "CLpt", "\[LeftDoubleBracket]", "#1", 
             "\[RightDoubleBracket]"}]}]}], "]"}], "&"}], ")"}], "/@", 
       RowBox[{"Range", "[", "5", "]"}]}]}], "}"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.421771919733302*^9, {3.421772483159512*^9, 3.421772512114348*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"equilateral", "=", " ", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.02", "]"}], ",", "   ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", " ", "1"}], "/", "2"}], ",", "0"}], "}"}], "  ", 
         "]"}], ",", " ", 
        RowBox[{"Point", "[", 
         RowBox[{"{", " ", 
          RowBox[{
           RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], "  ", "]"}]}], "}"}], 
      ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.002", "]"}], ",", 
        RowBox[{"Hue", "[", ".4", "]"}], ",", "   ", 
        RowBox[{"Line", "[", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}], ",", "0"}], "}"}], " ", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], ",", 
              RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", 
            RowBox[{"L", "[", "4", "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "/", "2"}], ",", "0"}], "}"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], ",", 
              RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", 
            RowBox[{"L", "[", "5", "]"}]}], "   ", ",", 
           RowBox[{"{", " ", 
            RowBox[{
             RowBox[{"1", "/", "2"}], ",", "0"}], "}"}]}], "}"}], " ", 
         "]"}]}], "     ", "}"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Text", "[", " ", 
         RowBox[{
          SubscriptBox["L", "#"], "  ", ",", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], "+", "0.1"}], ",", 
             RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", 
           RowBox[{"CLpt", "[", 
            RowBox[{"[", "#", "]"}], "]"}]}]}], " ", "]"}], "&"}], "/@", 
       RowBox[{"Range", "[", "5", "]"}]}]}], "}"}], " ", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.421771996708176*^9, 3.421772507557721*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"Lgraph", ",", "equilateral", ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"r1", "\[Equal]", "r2", "\[Equal]", "1"}], "  ", "/.", 
   "rrule"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{"eq3", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"y", "[", "t", "]"}]}], "}"}], " ", ",", 
    RowBox[{"InverseFunctions", "\[Rule]", "True"}]}], "]"}], " "}]], "Input",\

 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"eq1", ",", "eq2"}], "}"}], "/.", "eq4"}], "//", "Simplify", 
  "  "}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"jacobi", " ", "=", 
  RowBox[{
   RowBox[{"C", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["x", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["y", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
     RowBox[{"2", "  ", "U"}]}]}], "  ", "/.", "Urule", "   "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"jacGC", "=", 
   RowBox[{"ContourPlot", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"2", "  ", "U"}], "  ", "/.", "Urule"}], "/.", "rrule"}], "/.",
        
       RowBox[{"\[Mu]", "\[Rule]", 
        RowBox[{"1", "/", "2"}]}]}], "//", "Evaluate"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"-", "2"}], ",", "2"}], "}"}], " ", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], ",", 
       RowBox[{"-", "2"}], " ", ",", "2"}], " ", "}"}], ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Contours", "\[Rule]", 
      RowBox[{"Range", "[", 
       RowBox[{"3", ",", "4.5", " ", ",", "0.1"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotPoints", "\[Rule]", "66"}]}], " ", "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.421772542977219*^9, 3.421772553174668*^9}, 
   3.421772621162301*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"jacGC", ",", "Lgraph", ",", "equilateral"}], " ", "]"}]], "Input",
 CellChangeTimes->{{3.421772608451845*^9, 3.421772610429125*^9}},
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 2: Looping Motion in an Equal Mass Binary System (\[Mu]=1/2) \
\>", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"PMotion", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"0.3", ",", "0", ",", "0", ",", "1.781"}], " ", "}"}], ",", 
     RowBox[{"6", " ", "\[Pi]"}], " ", ",", "2000"}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.421772808964635*^9, 3.421772809203542*^9}},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], ";"}]}], "Input",
 CellChangeTimes->{3.421772987508645*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", "  ", 
  RowBox[{"Mgraph", "[", 
   RowBox[{"fx", ",", "fy", ",", "t", ",", 
    RowBox[{"6", " ", "\[Pi]"}], "  ", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Hue", "[", "0.9", "]"}]}], " ", ",", " ", "\[IndentingNewLine]",
     
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], " ", "]"}]}], "}"}]}]}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.421772837555415*^9, 3.421772842397426*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt1", ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.692", ",", "0.709"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.01"}], ",", "0.01"}], " ", "}"}]}], "}"}]}], ",", 
   RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421772890009034*^9}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"Cos", "[", "t", "]"}]}], ",", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"Sin", "[", "t", "]"}]}]}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"fx", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"fy", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"fx", "[", "t", "]"}], 
          RowBox[{"Sin", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"fy", "[", "t", "]"}], " ", 
          RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}]}], "}"}], "//", 
    "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "   ", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"GrayLevel", "[", "0.3", "]"}], ",", 
      RowBox[{"Hue", "[", "0.6", "]"}]}], "}"}]}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421773021196534*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"PMotion", "[", 
   RowBox[{
    RowBox[{"1", "/", "2"}], ",", " ", 
    RowBox[{"{", " ", 
     RowBox[{"1.35", " ", ",", "0", " ", ",", "0", ",", 
      RowBox[{"-", " ", "1.568"}]}], " ", "}"}], ",", 
    RowBox[{"10", " ", "\[Pi]"}], " ", ",", "2000"}], "]"}], " "}]], "Input",
 CellChangeTimes->{3.421773040164681*^9},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], ";"}]}], "Input",
 CellChangeTimes->{3.421773046103322*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Mgraph", "[", 
  RowBox[{"fx", ",", "fy", ",", "t", ",", 
   RowBox[{"10", " ", "\[Pi]"}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Hue", "[", "0.8", "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"-", "0.5"}], " ", ",", "1.5"}], " ", "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], " ", "]"}]}], " ", 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421773057536989*^9, 3.421773060727914*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], 
             RowBox[{"Cos", "[", "t", "]"}]}], ",", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Sin", "[", "t", "]"}]}]}], " ", "}"}], ",", 
          RowBox[{"1.35", 
           RowBox[{"{", "  ", 
            RowBox[{
             RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
             RowBox[{"Sin", "[", "t", "]"}]}], " ", "}"}]}], ",", 
          RowBox[{"1.1", 
           RowBox[{"{", "  ", 
            RowBox[{
             RowBox[{"Cos", "[", "t", "]"}], ",", " ", 
             RowBox[{"Sin", "[", "t", "]"}]}], " ", "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"fx", "[", "t", "]"}], 
              RowBox[{"Cos", "[", "t", "]"}]}], "-", 
             RowBox[{
              RowBox[{"fy", "[", "t", "]"}], " ", 
              RowBox[{"Sin", "[", "t", "]"}]}]}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"fx", "[", "t", "]"}], 
              RowBox[{"Sin", "[", "t", "]"}]}], "+", 
             RowBox[{
              RowBox[{"fy", "[", "t", "]"}], " ", 
              RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}]}], "}"}], "//", 
        "Evaluate"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"#", " ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"GrayLevel", "[", "0.3", "]"}], ",", 
          RowBox[{"Hue", "[", "0.6", "]"}], ",", 
          RowBox[{"Hue", "[", "0.9", "]"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], 
      "\[IndentingNewLine]", "]"}], "&"}], " ", "/@", " ", 
    RowBox[{"{", 
     RowBox[{"2", ",", "10"}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421773077904442*^9, 3.421773110192565*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{"{", "pt1", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.421773103378864*^9, 3.421773105033333*^9}},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"PMotion", "[", 
   RowBox[{
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.01112"}], " ", ",", "0", ",", "0", ",", " ", 
      RowBox[{"+", "1.538"}]}], " ", "}"}], ",", 
    RowBox[{"10", " ", "\[Pi]"}], ",", "2000"}], "]"}], " "}]], "Input",
 CellChangeTimes->{3.421773122761196*^9},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Mgraph", "[", 
   RowBox[{"fx", ",", "fy", ",", "t", ",", 
    RowBox[{"10", "  ", "\[Pi]"}], " ", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Hue", "[", "0.6", "]"}]}], "  ", ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], " ", "]"}]}], "}"}]}]}],
    "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.42177317802936*^9, 3.421773182412223*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 3: Symmetric orbits about the y-axis for \[Mu]=1/2 ",
 StyleBox["  ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"PMotion", "[", 
   RowBox[{
    RowBox[{"1", "/", "2"}], ",", 
    RowBox[{"{", " ", 
     RowBox[{"0", ",", "0.12067", " ", ",", 
      RowBox[{"-", "1.0600745428"}], " ", ",", "0"}], " ", "}"}], ",", 
    RowBox[{"6", " ", "\[Pi]"}], " ", ",", "2000"}], "]"}], " "}]], "Input",
 CellChangeTimes->{
  3.421773312206624*^9, {3.42177336696259*^9, 3.42177336722582*^9}, {
   3.4217734165919*^9, 3.421773443282083*^9}},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"CLpt", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0."}], ",", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0."}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0."}], ",", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
        RowBox[{"-", "1.1984"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0."}], ",", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "1.1984"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0.8660"}], ",", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0."}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
        RowBox[{"-", "0.8660"}]}], ",", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0."}]}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Mgraph", "[", 
  RowBox[{"fx", ",", "fy", ",", "t", ",", 
   RowBox[{"6", " ", "\[Pi]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Hue", "[", ".8", "]"}]}], ",", " ", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], " ", ",", "0"}], "}"}], " ", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "1"}], "/", "2"}], ",", "0"}], "}"}], " ", "]"}], ",", 
      
      RowBox[{
       RowBox[{
        RowBox[{"Point", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "[", "t", "]"}], ",", 
            RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", 
          RowBox[{"CLpt", "[", 
           RowBox[{"[", "#", "]"}], "]"}]}], " ", "]"}], "&"}], " ", "/@", 
       " ", 
       RowBox[{"Range", "[", "4", "]"}]}]}], " ", "}"}]}]}], " ", 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.421773275394342*^9, 3.421773282439044*^9}, {
  3.421773402002927*^9, 3.42177345475788*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Mass exchange Between Equal Mass Binaries ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"PMotion", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"{", " ", 
      RowBox[{"0.044", "  ", ",", "0", " ", ",", "0", " ", ",", "0"}], "  ", 
      "}"}], ",", "8", " ", ",", "2000"}], "]"}]}], " ", ";"}]], "Input",
 CellChangeTimes->{{3.421773479209718*^9, 3.421773479445742*^9}},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", " ", 
  RowBox[{"Mgraph", "[", 
   RowBox[{
   "fx", ",", "fy", ",", "t", ",", " ", "8", " ", ",", "\[IndentingNewLine]", 
    
    RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Hue", "[", ".8", "]"}]}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"AbsolutePointSize", "[", "7", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], "]"}], " ", ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], "]"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.421773637445051*^9, 3.421773639956366*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"jacobi", " ", "=", 
   RowBox[{"C", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["x", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["y", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
     RowBox[{"2", "  ", "U"}]}]}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Urule", "=", 
   RowBox[{"U", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
     FractionBox["\[Mu]", "r2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"x", "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r1", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
     RowBox[{"r2", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"jacobi", "/.", "Urule"}], "/.", "rrule"}], "/.", 
         RowBox[{"\[Mu]", "->", 
          FractionBox["1", "2"]}]}], "/.", 
        RowBox[{
         RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}]}], "/.", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "t", "]"}], "\[Rule]", "0"}]}], " ", "/.", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0.044"}]}], " ", "/.", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "'"}], "[", "t", "]"}], "\[Rule]", "0"}]}], "  ", ")"}], 
   "[", 
   RowBox[{"[", "2", "]"}], "]"}], "  "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", " ", 
  RowBox[{"ContourPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"2", "  ", "U"}], "  ", "/.", "Urule"}], "/.", "rrule"}], "/.",
       
      RowBox[{"\[Mu]", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}]}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], ",", 
      RowBox[{"-", ".5"}], " ", ",", ".5"}], " ", "}"}], ",", 
    "\[IndentingNewLine]", " ", 
    RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Contours", "\[Rule]", 
     RowBox[{"{", "  ", 
      RowBox[{"4.033", ",", " ", "3.9", " ", ",", "3.5"}], " ", "}"}]}], ",", 
    " ", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "66"}], ",", "  ", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", " ", 
     RowBox[{"pt1", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421773657990902*^9, 3.42177365917916*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"PMotion", "[", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", " ", 
     RowBox[{"{", " ", 
      RowBox[{"0.044", "  ", ",", "0", " ", ",", "0.6", "  ", ",", "0"}], 
      "   ", "}"}], ",", "35", " ", ",", "6000"}], "]"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.421773691726688*^9, 3.421773692101348*^9}},
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fx", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], "  ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fy", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], ";"}], " "}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", " ", "=", " ", 
   RowBox[{"Mgraph", "[", 
    RowBox[{"fx", ",", "fy", ",", "t", ",", " ", "35", " ", ",", 
     RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Hue", "[", "0.8", "]"}]}]}], "   ", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.421773702863438*^9, 3.421773741422147*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt2", "=", " ", 
  RowBox[{"ContourPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"2", "  ", "U"}], "  ", "/.", "Urule"}], "/.", "rrule"}], "/.",
       
      RowBox[{"\[Mu]", "\[Rule]", 
       RowBox[{"1", "/", "2"}]}]}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], ",", 
      RowBox[{"-", "0.6"}], " ", ",", "0.6"}], " ", "}"}], ",", 
    "\[IndentingNewLine]", " ", 
    RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Contours", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "4", ",", "3.6105", ",", " ", "3.5", ",", " ", "3.4", " ", ",", "3.3"}],
       " ", "}"}]}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "66"}], ",", "  ", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", " ", 
     RowBox[{"pt1", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421773711799411*^9, 3.421773712676351*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["\<\
Problems on the Sun-Jupiter System (\[Mu]=.000954)  \
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 5:  Lagrangian Points for the Sun-Jupiter System  ", \
"Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Urule", "=", 
     RowBox[{"U", "\[Rule]", 
      RowBox[{
       FractionBox[
        RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
       FractionBox["\[Mu]", "r2"], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"x", "[", "t", "]"}], "2"], "+", 
          SuperscriptBox[
           RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}]}], ";"}], 
   "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{"jacobi", " ", "=", 
     RowBox[{
      RowBox[{"C", "\[Equal]", " ", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", " ", 
          RowBox[{
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["x", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{
             SuperscriptBox["y", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+",
         
        RowBox[{"2", "  ", "U"}]}]}], "  ", "/.", "Urule"}]}], 
    ";"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"rrule", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r1", "\[Rule]", 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"\[Mu]", "+", 
            RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
      RowBox[{"r2", "\[Rule]", 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
            RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], 
   ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"jacGJ", "=", 
  RowBox[{"ContourPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"2", "  ", "U"}], "  ", "/.", "Urule"}], "/.", "rrule"}], "/.",
       
      RowBox[{"\[Mu]", "\[Rule]", "0.000954"}]}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], ",", 
      RowBox[{"-", "1.2"}], " ", ",", "1.2"}], " ", "}"}], " ", ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"ContourShading", "\[Rule]", "False"}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Contours", "\[Rule]", 
     RowBox[{"Range", "[", 
      RowBox[{"3", ",", "3.05", " ", ",", "0.01"}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "150"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.42177384737523*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "5", "]"}], ",", 
    RowBox[{"L", "[", "4", "]"}]}], "}"}], "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", " ", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Mu]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
        RowBox[{"-", 
         FractionBox[
          SqrtBox["3"], "2"]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Mu]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", " ", 
        FractionBox[
         SqrtBox["3"], "2"]}]}], "}"}]}], "}"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Mu]", "\[Rule]", "0.000954"}], " ", "}"}]}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"U", "  ", "/.", "Urule"}], "/.", "rrule"}], ",", 
        RowBox[{"x", "[", "t", "]"}]}], "]"}], "\[Equal]", "0"}], " ", "/.", 
     " ", 
     RowBox[{"\[Mu]", "\[Rule]", ".000954"}]}], "/.", 
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "\[Rule]", " ", "0"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"U", "  ", "/.", "Urule"}], "/.", "rrule"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "]"}], "\[Equal]", "0"}], " ", "/.", 
    " ", 
    RowBox[{"\[Mu]", "\[Rule]", ".000954"}]}], "/.", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0", "    "}]}]}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "/.", " ", 
        RowBox[{"\[Mu]", "\[Rule]", "0.000954"}]}], "/.", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", " ", "#"}], " ", "}"}]}], "]"}], 
    "&"}], " ", "/@", " ", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0.9", ",", 
     RowBox[{"-", "1"}]}], " ", "}"}]}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "3", "]"}], ",", 
    RowBox[{"L", "[", "1", "]"}], ",", 
    RowBox[{"L", "[", "2", "]"}]}], "}"}], "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Outer", "[", " ", 
     RowBox[{"List", ",", "eq3", ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}], "}"}]}], " ", "]"}], "//",
     "Flatten"}], "//", 
   RowBox[{
    RowBox[{"Partition", "[", 
     RowBox[{"#", ",", "2"}], "]"}], "&"}], " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{"JLpt", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"L", "[", "#", "]"}], "&"}], " ", "/@", " ", 
    RowBox[{"Range", "[", "5", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"JLpt", " ", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421773986519534*^9, 3.421773987037484*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lgraph", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"\[Mu]", ",", "0"}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"1", "-", "\[Mu]"}], ",", "0"}], "}"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
         RowBox[{"Hue", "[", "0.9", "]"}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{"Point", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], ",", 
              RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "JLpt"}]}], " ", 
          "]"}]}], "}"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Text", "[", " ", 
          RowBox[{
           SubscriptBox["L", "#"], "  ", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], " ", ",", 
              RowBox[{
               RowBox[{"y", "[", "t", "]"}], "+", "0.1"}]}], "}"}], "/.", " ",
             
            RowBox[{"JLpt", "[", 
             RowBox[{"[", "#", "]"}], "]"}]}]}], " ", "]"}], "&"}], " ", "/@",
         "  ", 
        RowBox[{"Range", "[", "5", "]"}]}]}], "  ", "\[IndentingNewLine]", 
      "}"}], " ", "\[IndentingNewLine]", "]"}], "/.", 
    RowBox[{"\[Mu]", "\[Rule]", "0.000954"}]}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"jacGJ", ",", "Lgraph"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 6: Numerical Solution for the Trojan Asteroids   ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"initial", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"R", " ", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ",", " ", 
      RowBox[{"R", " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], ",", "0", ",", "0"}], "}"}], "/.",
     
    RowBox[{"R", "->", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SqrtBox[
       RowBox[{"3", "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Mu]"}]}], ")"}], "2"]}]]}]}]}], "/.", 
   RowBox[{"\[Mu]", "->", " ", "0.000954"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"sol", "=", 
    RowBox[{"PMotion", "[", " ", 
     RowBox[{"0.000953875", " ", ",", 
      RowBox[{
       RowBox[{"initial", "/.", 
        RowBox[{"\[Theta]", "\[Rule]", 
         RowBox[{"35", " ", "Degree"}]}]}], "  ", "//", "Flatten"}], ",", 
      "200", " ", ",", "2000"}], "]"}]}], ";"}], " "}]], "Input",
 CellChangeTimes->{{3.421774056476615*^9, 3.421774056780099*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"fx", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"pt1", "=", 
   RowBox[{"Mgraph", "[", 
    RowBox[{"fx", ",", "fy", ",", "t", ",", "200", " ", ",", 
     RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Hue", "[", "0.8", "]"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421774141144943*^9, 3.421774155332904*^9}},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Urule", "=", 
    RowBox[{"U", "\[Rule]", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
      FractionBox["\[Mu]", "r2"], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"x", "[", "t", "]"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}]}], 
   ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"rrule", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"r1", "\[Rule]", 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"\[Mu]", "+", 
            RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
      RowBox[{"r2", "\[Rule]", 
       SqrtBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
            RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
         SuperscriptBox[
          RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], 
   ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"jacGJ", "=", "\[IndentingNewLine]", 
   RowBox[{"ContourPlot", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"2", "  ", "U"}], "  ", "/.", "Urule"}], "/.", "rrule"}], "/.",
        
       RowBox[{"\[Mu]", "\[Rule]", "0.000954"}]}], "//", "Evaluate"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}], " ", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], ",", 
       RowBox[{"-", "1.2"}], " ", ",", "1.2"}], " ", "}"}], " ", ",", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"ContourShading", "\[Rule]", "False"}], " ", ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Contours", "\[Rule]", 
      RowBox[{"Range", "[", 
       RowBox[{"3", ",", "3.05", " ", ",", "0.01"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"PlotPoints", "\[Rule]", "150"}]}], " ", "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42177419592533*^9, 3.421774197834407*^9}, {
  3.421774438425114*^9, 3.421774443391637*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JLpt", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0.9324"}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
        RowBox[{"-", "1.0004"}]}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "1.0688"}], " ", ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0.4990"}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
        FractionBox[
         SqrtBox["3"], "2"]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", "0.4990"}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
        RowBox[{"-", 
         FractionBox[
          SqrtBox["3"], "2"]}]}]}], "}"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lgraph", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"\[Mu]", ",", "0"}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"1", "-", "\[Mu]"}], ",", "0"}], "}"}], "]"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
         RowBox[{"Hue", "[", "0.9", "]"}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{"Point", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], ",", 
              RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "JLpt"}]}], " ", 
          "]"}]}], "}"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"Text", "[", " ", 
          RowBox[{
           SubscriptBox["L", "#"], "  ", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], " ", ",", 
              RowBox[{
               RowBox[{"y", "[", "t", "]"}], "+", "0.1"}]}], "}"}], "/.", " ",
             
            RowBox[{"JLpt", "[", 
             RowBox[{"[", "#", "]"}], "]"}]}]}], " ", "]"}], "&"}], "/@", " ",
         
        RowBox[{"Range", "[", "5", "]"}]}]}], "  ", "\[IndentingNewLine]", 
      "}"}], " ", "\[IndentingNewLine]", "]"}], "  ", "/.", 
    RowBox[{"\[Mu]", "\[Rule]", ".000954"}]}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
  "jacGJ", " ", ",", "pt1", ",", "Lgraph", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "0.3"}], ",", "1.2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.2"}], "}"}]}], "}"}]}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.421774421897531*^9}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt1", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", " ", "->", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0.5", ",", "0.85"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0.55", ",", "0.9"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Ticks", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421774468861912*^9},
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b  ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"PMotion", "[", " ", 
    RowBox[{"0.000953875", " ", ",", 
     RowBox[{
      RowBox[{"initial", "/.", 
       RowBox[{"\[Theta]", "\[Rule]", " ", 
        RowBox[{"20", " ", "Degree"}]}]}], "  ", "//", "Flatten"}], ",", 
     "200", " ", ",", "2000"}], "]"}]}], " ", ";"}]], "Input",
 CellChangeTimes->{{3.421774489793791*^9, 3.421774489953408*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Mgraph", "[", 
  RowBox[{
  "fx", ",", "fy", ",", "t", ",", "160", " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Hue", "[", "0.8", "]"}]}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"Lgraph", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.421774500949781*^9, 3.421774503355992*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 7: Perturbative Solution for the Trojan Asteroids ", \
"Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a   ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"rrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r1", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
     RowBox[{"r2", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Urule", "=", 
   RowBox[{"U", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
     FractionBox["\[Mu]", "r2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"x", "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"eqMotion", "=", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "''"}], "[", "t", "]"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{
          RowBox[{"y", "'"}], "[", "t", "]"}]}]}], "\[Equal]", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"U", "/.", "Urule"}], "/.", "rrule"}], " ", ",", 
         RowBox[{"x", "[", "t", "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"y", "''"}], "[", "t", "]"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{
          RowBox[{"x", "'"}], "[", "t", "]"}]}]}], "\[Equal]", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"U", "/.", "Urule"}], "/.", "rrule"}], " ", ",", 
         RowBox[{"y", "[", "t", "]"}]}], "]"}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqMotion", "//", " ", "Column"}], "//", 
  "TraditionalForm"}]}], "Input",
 CellChangeTimes->{{3.421774551800956*^9, 3.421774552343653*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"pert", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"y", " ", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y0", "+", 
         RowBox[{"\[Eta]y", "[", "#", "]"}]}], "&"}], ")"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"x", " ", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x0", "+", 
         RowBox[{"\[Eta]x", "[", "#", "]"}]}], "&"}], ")"}]}]}], "}"}]}], " ",
   ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"zeropt", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x0", "\[Rule]", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Mu]"}]}], ")"}]}]}], ",", 
     RowBox[{"y0", "\[Rule]", 
      FractionBox[
       SqrtBox["3"], "2"]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{"eqMotion", " ", "/.", "pert"}]}], ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"eqPer", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"MapAt", "[", " ", 
            RowBox[{
             RowBox[{
              RowBox[{"Series", "[", 
               RowBox[{"#", " ", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Eta]x", "[", "t", "]"}], " ", ",", "0", ",", 
                  "1"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Eta]y", "[", "t", "]"}], " ", ",", "0", ",", 
                  "1"}], "}"}]}], " ", "]"}], "&"}], " ", ",", 
             RowBox[{
              RowBox[{"eq1", "[", 
               RowBox[{"[", "#", "]"}], "]"}], "/.", "zeropt"}], " ", ",", 
             "2"}], "]"}], "//", "Normal"}], "//", "ExpandAll"}], ")"}], "  ",
         "/.", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Eta]x", "[", "t", "]"}], " ", 
          RowBox[{"\[Eta]y", "[", "t", "]"}]}], "\[Rule]", "0"}]}], "  ", 
       "\[IndentingNewLine]", ")"}], "&"}], "  ", "/@", "  ", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"eqPer", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421774567855349*^9, 3.421774569089372*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"perSol", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"\[Eta]x", "[", "t", "]"}], ",", 
       RowBox[{"\[Eta]y", "[", "t", "]"}]}], "}"}], "/.", 
     RowBox[{"DSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"eqPer", ",", 
          RowBox[{
           RowBox[{"\[Eta]x", "[", "0", "]"}], "\[Equal]", "xi"}], ",", " ", 
          RowBox[{
           RowBox[{"\[Eta]y", "[", "0", "]"}], "\[Equal]", "yi"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"\[Eta]x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], ",",
           " ", 
          RowBox[{
           RowBox[{
            RowBox[{"\[Eta]y", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], 
         "}"}], "//", "Flatten"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Eta]x", "[", "t", "]"}], ",", 
         RowBox[{"\[Eta]y", "[", "t", "]"}]}], "}"}], ",", "t"}], "]"}]}], "//",
     "Flatten"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Short", "[", 
  RowBox[{"perSol", ",", "4"}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[CapitalOmega]1", ",", "\[CapitalOmega]2"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{
     SqrtBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"27", " ", "\[Mu]"}], "+", 
          RowBox[{"27", " ", 
           SuperscriptBox["\[Mu]", "2"]}]}]]}]}]], ",", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"27", " ", "\[Mu]"}], "+", 
          RowBox[{"27", " ", 
           SuperscriptBox["\[Mu]", "2"]}]}]]}]}]]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"\[CapitalOmega]1", ",", "\[CapitalOmega]2"}], "}"}], "/.", 
  RowBox[{"\[Mu]", "\[Rule]", " ", "0.000954"}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Abs", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[CapitalOmega]1", ",", "\[CapitalOmega]2"}], "}"}], "/.", 
   RowBox[{"\[Mu]", "\[Rule]", " ", "0.000954"}]}], "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"11.86", " ", 
   RowBox[{"{", " ", 
    RowBox[{
     FractionBox[
      RowBox[{"1", " "}], "0.997"], " ", ",", 
     FractionBox[
      RowBox[{"1", " "}], "0.0805"]}], "  ", "}"}], " ", "yrs", 
   "   "}]}]], "Input",
 Hyphenation->False]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"zeropt", "/.", 
  RowBox[{"\[Mu]", "\[Rule]", "0.000954", " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"trojanpert", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"0.499", " ", "+", 
            RowBox[{"perSol", "[", 
             RowBox[{"[", "1", " ", "]"}], "]"}]}], ",", 
           RowBox[{
            FractionBox[
             SqrtBox["3"], "2"], "+", 
            RowBox[{"perSol", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xi", "\[Rule]", "0.0001"}], ",", 
           RowBox[{"yi", "\[Rule]", "0.0001"}]}], "}"}]}], "/.", 
        RowBox[{"\[Mu]", "\[Rule]", "0.000954"}]}], " ", "//", "ExpandAll"}], 
      "//", "ExpToTrig"}], " ", "//", "Chop"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"trojanpert", "//", 
  RowBox[{
   RowBox[{"Short", "[", 
    RowBox[{"#", ",", "6"}], "]"}], "&"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{"trojanpert", "//", "Evaluate"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "80"}], "}"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.421774640541026*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"nSol", "=", 
   RowBox[{"PMotion", "[", " ", 
    RowBox[{"0.000954", " ", ",", " ", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"0.499", " ", "+", "0.0001"}], ",", "  ", 
        RowBox[{
         FractionBox[
          SqrtBox["3"], "2"], "+", "0.0001"}], ",", "0", "   ", ",", " ", 
        "0"}], "  ", "}"}], "//", "Flatten"}], ",", "80", " ", ",", "1000"}], 
    "]"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "nSol"}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "nSol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Mgraph", "[", 
  RowBox[{
  "fx", ",", "fy", ",", "t", ",", "80", " ", ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0.8", "]"}], ",", 
      RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.03", "}"}], "]"}]}], "}"}]}], " ", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"pt1", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.421774672527245*^9, 3.421774673556591*^9}}]
}, Closed]]
}, Closed]]
}, Closed]],

Cell["\<\
Problems on the Earth-Moon System (\[Mu]= .01215)  \
\>", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 8:  Lagrangian Points for the Earth-Moon System ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Urule", "=", 
   RowBox[{"U", "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "-", "\[Mu]"}], "r1"], "+", 
     FractionBox["\[Mu]", "r2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"x", "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}], ")"}]}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"jacobi", " ", "=", 
  RowBox[{
   RowBox[{"C", "\[Equal]", " ", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", " ", 
       RowBox[{
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["x", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["y", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "2"]}], ")"}]}], "+", 
     RowBox[{"2", "  ", "U"}]}]}], "  ", "/.", "Urule"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rrule", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r1", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}], ",", 
     RowBox[{"r2", "\[Rule]", 
      SqrtBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Mu]", "+", 
           RowBox[{"x", "[", "t", "]"}]}], ")"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"y", "[", "t", "]"}], "2"]}]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"jacGE", "=", 
  RowBox[{"ContourPlot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"2", "  ", "U"}], "  ", "/.", "Urule"}], "/.", "rrule"}], "/.",
       
      RowBox[{"\[Mu]", "\[Rule]", "0.01215"}]}], " ", "//", "Evaluate"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{"-", "1.2"}], ",", "1.2"}], "}"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], ",", 
      RowBox[{"-", "1.2"}], " ", ",", "1.2"}], " ", "}"}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"ContourShading", "\[Rule]", "False"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Contours", "\[Rule]", 
     RowBox[{"Range", "[", 
      RowBox[{"3", ",", "3.55", " ", ",", "0.05"}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "150"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.421774852519361*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b ", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"eq1", "=", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"U", " ", "/.", "Urule"}], "/.", "rrule"}], ",", 
       RowBox[{"x", "[", "t", "]"}]}], "]"}], "\[Equal]", "0"}]}], " ", 
   "\[IndentingNewLine]", " ", 
   RowBox[{"eq2", "=", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"U", " ", "/.", "Urule"}], "/.", "rrule"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "]"}], "\[Equal]", "0", 
     "     "}]}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"FindRoot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"eq1", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "/.", 
        RowBox[{"\[Mu]", "\[Rule]", "0.01215"}]}], " ", "/.", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}]}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], ",", " ", "#"}], " ", "}"}]}], "]"}], 
    "&"}], "  ", "/@", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0.9", ",", 
     RowBox[{"-", "1"}]}], " ", "}"}]}], " "}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "1", "]"}], ",", 
    RowBox[{"L", "[", "2", "]"}], ",", 
    RowBox[{"L", "[", "3", "]"}]}], "}"}], "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Outer", "[", " ", 
     RowBox[{"List", ",", "eq3", ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", "0"}], "}"}]}], " ", "]"}], "//",
     "Flatten"}], "//", 
   RowBox[{
    RowBox[{"Partition", "[", 
     RowBox[{"#", ",", "2"}], "]"}], "&"}], " "}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq4", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Mu]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
        RowBox[{"-", 
         FractionBox[
          SqrtBox["3"], "2"]}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "[", "t", "]"}], "\[Rule]", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", "\[Mu]"}]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "\[Rule]", 
        FractionBox[
         SqrtBox["3"], "2"]}]}], "}"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"L", "[", "4", "]"}], ",", 
    RowBox[{"L", "[", "5", "]"}]}], "}"}], "=", 
  RowBox[{"eq4", "/.", 
   RowBox[{"\[Mu]", "\[Rule]", "0.01215", " "}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"LptE", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"L", "[", "#", "]"}], "&"}], " ", "/@", " ", 
    RowBox[{"Range", "[", "5", "]"}]}]}], " ", ";"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lgraph", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Graphics", "[", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointSize", "[", ".02", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"\[Mu]", ",", "0"}], "}"}], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"{", " ", 
           RowBox[{
            RowBox[{"1", "-", "\[Mu]"}], ",", "0"}], "}"}], "]"}]}], "}"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", ".02", "]"}], ",", 
         RowBox[{"Hue", "[", ".9", "]"}], ",", 
         RowBox[{"Map", "[", 
          RowBox[{"Point", ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"x", "[", "t", "]"}], ",", 
              RowBox[{"y", "[", "t", "]"}]}], "}"}], "/.", "LptE"}]}], 
          "]"}]}], "}"}]}], " ", "\[IndentingNewLine]", "}"}], " ", 
     "\[IndentingNewLine]", "]"}], "  ", "/.", 
    RowBox[{"\[Mu]", "\[Rule]", "0.01215"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"jacGE", ",", "Lgraph"}], "]"}]], "Input",
 Hyphenation->False]
}, Closed]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 9: Motion about L[4] in the Earth-Moon System  ", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"eqPer", "=", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{
         SuperscriptBox["\[Eta]y", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Eta]x", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], "==", 
      RowBox[{
       FractionBox[
        RowBox[{"3", " ", 
         RowBox[{"\[Eta]x", "[", "t", "]"}]}], "4"], "+", 
       RowBox[{
        FractionBox["3", "4"], " ", 
        SqrtBox["3"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Mu]"}]}], ")"}], " ", 
        RowBox[{"\[Eta]y", "[", "t", "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{
         SuperscriptBox["\[Eta]x", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Eta]y", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}], "==", 
      RowBox[{
       RowBox[{
        FractionBox["3", "4"], " ", 
        SqrtBox["3"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Mu]"}]}], ")"}], " ", 
        RowBox[{"\[Eta]x", "[", "t", "]"}]}], "+", 
       FractionBox[
        RowBox[{"9", " ", 
         RowBox[{"\[Eta]y", "[", "t", "]"}]}], "4"]}]}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"perSol", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Eta]x", "[", "t", "]"}], ",", 
           RowBox[{"\[Eta]y", "[", "t", "]"}]}], "}"}], "/.", 
         "\[IndentingNewLine]", 
         RowBox[{"DSolve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{"eqPer", ",", 
              RowBox[{
               RowBox[{"\[Eta]x", "[", "0", "]"}], "\[Equal]", "0.0001"}], 
              ",", 
              RowBox[{
               RowBox[{"\[Eta]y", "[", "0", "]"}], "\[Equal]", "0.0001"}], 
              ",", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"\[Eta]x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}], 
              ",", 
              RowBox[{
               RowBox[{
                RowBox[{"\[Eta]y", "'"}], "[", "0", "]"}], "\[Equal]", 
               "0"}]}], "}"}], "//", "Flatten"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Eta]x", "[", "t", "]"}], ",", 
             RowBox[{"\[Eta]y", "[", "t", "]"}]}], "}"}], ",", "t"}], 
          "\[IndentingNewLine]", "]"}]}], "/.", 
        RowBox[{"\[Mu]", "\[Rule]", "0.01215"}]}], " ", "//", "Flatten"}], "//",
       "ExpandAll"}], "//", "ExpToTrig"}], " ", "//", "Simplify"}], "//", 
   "Chop"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"zeropt", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x0", "\[Rule]", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Mu]"}]}], ")"}]}]}], ",", 
      RowBox[{"y0", "\[Rule]", 
       FractionBox[
        SqrtBox["3"], "2"]}]}], "}"}], "/.", 
    RowBox[{"\[Mu]", "\[Rule]", ".01215"}]}]}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"position", " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x0", ",", "y0"}], "}"}], "+", "perSol"}], "/.", 
   "zeropt"}]}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"ParametricPlot", "[", " ", 
   RowBox[{
    RowBox[{"position", "//", "Evaluate"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "80"}], "}"}]}], " ", "]"}]}]], "Input",
 CellChangeTimes->{3.421775143282258*^9},
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"nSol", "=", 
  RowBox[{"PMotion", "[", " ", 
   RowBox[{"0.01215", " ", ",", " ", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0.48785", "+", "0.0001"}], ",", 
       RowBox[{
        FractionBox[
         SqrtBox["3"], "2"], "+", "0.0001"}], ",", "0", " ", ",", "0"}], " ", 
      "}"}], "//", "Flatten"}], ",", "80", " ", ",", "1000"}], "]"}], 
  " "}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "nSol"}]}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "nSol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Mgraph", "[", 
   RowBox[{
   "fx", ",", "fy", ",", "t", ",", "80", " ", ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.008", "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.05", "}"}], "]"}], ",", 
       RowBox[{"Hue", "[", "0.8", "]"}]}], " ", "}"}]}], ",", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"pt1", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}], "  ", "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421775156435362*^9, 3.421775165116632*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 10:  Orbit  around  the  Earth and Moon", "Subsection",
 Hyphenation->False],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"sol", "=", 
   RowBox[{"PMotion", "[", 
    RowBox[{"0.01215", " ", ",", 
     RowBox[{"{", 
      RowBox[{"1.2", " ", ",", "0", " ", ",", "0", " ", ",", 
       RowBox[{"-", "1.5"}]}], "    ", "}"}], ",", 
     RowBox[{"2", "\[Pi]"}], " ", ",", "3000"}], "]"}]}], " ", ";"}]], "Input",\

 Hyphenation->False],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"fx", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"fy", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", "sol"}]}], " ", ";"}]}], "Input",
 Hyphenation->False],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"Mgraph", "[", 
   RowBox[{"fx", ",", "fy", ",", "t", ",", 
    RowBox[{"2", " ", "\[Pi]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "100"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Hue", "[", "0.8", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421775220291275*^9, 3.421775221907282*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "  ", 
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], ",", "  ", 
        RowBox[{"Sin", "[", "t", "]"}]}], " ", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"fx", "[", "t", "]"}], 
          RowBox[{"Cos", "[", "t", "]"}]}], "-", 
         RowBox[{
          RowBox[{"fy", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", "t", "]"}]}]}], ",", " ", "\[IndentingNewLine]",
         
        RowBox[{
         RowBox[{
          RowBox[{"fx", "[", "t", "]"}], 
          RowBox[{"Sin", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"fy", "[", "t", "]"}], " ", 
          RowBox[{"Cos", "[", "t", "]"}]}]}]}], "}"}]}], "}"}], "//", 
    "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "   ", 
     RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"GrayLevel", "[", "0.3", "]"}], ",", 
      RowBox[{"Hue", "[", "0.6", "]"}], ",", 
      RowBox[{"Hue", "[", "0.9", "]"}]}], "}"}]}], ",", "\[IndentingNewLine]",
    
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421775238493701*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["7.3 Exercises  ", "Section",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 1: Central force problems", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 2: Central force procedure", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 3: Central forces and elliptical solutions", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 4 : Attractive Inverse fifth power force", "Subsection",
 Hyphenation->False],

Cell["Exercise 5: Eccentric Anomaly", "Subsection",
 Hyphenation->False],

Cell["Exercise 6: Eccentric Anomaly", "Subsection",
 Hyphenation->False],

Cell["Exercise 7: Kepler problem with drag", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 8: Lagrange points  ", "Subsection",
 Evaluatable->False,
 Hyphenation->False,
 AspectRatioFixed->True],

Cell["Exercise 9:  Orbit around the Sun and Jupiter  ", "Subsection",
 Hyphenation->False],

Cell["Exercise 10: Exact Solution for the Three-Body Problem", "Subsection",
 Hyphenation->False]
}, Closed]],

Cell[BoxData[""], "Input"]
},
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{926, 936},
WindowMargins->{{0, Automatic}, {0, Automatic}},
ShowSelection->True,
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 109, 3, 32, "Input"],
Cell[CellGroupData[{
Cell[702, 28, 224, 7, 30, "Subsubsection"],
Cell[929, 37, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1757, 57, 115, 2, 24, "Subsubsection"],
Cell[1875, 61, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3888, 98, 102, 3, 59, "Title",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4015, 105, 52, 1, 73, "Section"],
Cell[4070, 108, 282, 9, 55, "Input"]
}, Closed]],
Cell[4367, 120, 107, 3, 43, "Section",
 Evaluatable->False],
Cell[4477, 125, 75, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[4577, 130, 192, 7, 31, "Subsection",
 Evaluatable->False],
Cell[4772, 139, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4908, 146, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[5011, 151, 94, 2, 32, "Input"],
Cell[5108, 155, 116, 3, 32, "Input",
 CellID->213998274],
Cell[CellGroupData[{
Cell[5249, 162, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[5350, 167, 283, 10, 52, "Input"],
Cell[5636, 179, 93, 2, 32, "Input"],
Cell[5732, 183, 538, 18, 52, "Input"],
Cell[6273, 203, 697, 22, 32, "Input"],
Cell[6973, 227, 730, 25, 53, "Input"],
Cell[7706, 254, 492, 17, 52, "Input"],
Cell[8201, 273, 266, 9, 32, "Input"],
Cell[8470, 284, 242, 7, 49, "Subsubsection"],
Cell[8715, 293, 503, 15, 26, "Input"],
Cell[9221, 310, 373, 13, 32, "Input"],
Cell[9597, 325, 111, 5, 50, "Input"],
Cell[9711, 332, 815, 24, 77, "Input"],
Cell[10529, 358, 80, 2, 32, "Input"],
Cell[10612, 362, 112, 2, 32, "Input"],
Cell[10727, 366, 105, 2, 32, "Input"],
Cell[10835, 370, 103, 2, 32, "Input"],
Cell[10941, 374, 425, 14, 32, "Input"],
Cell[11369, 390, 1109, 31, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[12515, 426, 99, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[12617, 431, 213, 7, 32, "Input"],
Cell[12833, 440, 278, 7, 55, "Input"],
Cell[13114, 449, 683, 21, 32, "Input"],
Cell[13800, 472, 127, 4, 32, "Input"],
Cell[13930, 478, 113, 4, 32, "Input"],
Cell[14046, 484, 110, 2, 32, "Input"],
Cell[14159, 488, 898, 25, 99, "Input"],
Cell[15060, 515, 400, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[15497, 533, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[15598, 538, 279, 10, 54, "Input"],
Cell[15880, 550, 284, 9, 32, "Input"],
Cell[16167, 561, 599, 18, 32, "Input"],
Cell[16769, 581, 266, 9, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[17096, 597, 119, 3, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[17240, 604, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[17354, 609, 2773, 76, 319, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[20164, 690, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[20267, 695, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[20386, 701, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[20487, 706, 569, 18, 69, "Input"],
Cell[21059, 726, 619, 20, 54, "Input"],
Cell[21681, 748, 85, 2, 32, "Input"],
Cell[21769, 752, 520, 18, 32, "Input"],
Cell[22292, 772, 261, 8, 53, "Input"],
Cell[22556, 782, 289, 10, 44, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[22882, 797, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[22983, 802, 228, 5, 32, "Input"],
Cell[23214, 809, 73, 2, 32, "Input"],
Cell[23290, 813, 633, 20, 32, "Input"],
Cell[23926, 835, 535, 15, 55, "Input"],
Cell[24464, 852, 210, 5, 32, "Input"],
Cell[24677, 859, 145, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[24859, 867, 99, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[24961, 872, 50, 1, 32, "Input"],
Cell[25014, 875, 471, 15, 53, "Input"],
Cell[25488, 892, 257, 7, 32, "Input"],
Cell[25748, 901, 443, 15, 58, "Input"],
Cell[26194, 918, 347, 11, 53, "Input"],
Cell[26544, 931, 372, 12, 55, "Input"]
}, Closed]],
Cell[26931, 946, 159, 5, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[27139, 957, 186, 7, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[27350, 968, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[27464, 973, 3924, 111, 297, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[31425, 1089, 100, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[31528, 1094, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[31647, 1100, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[31748, 1105, 569, 18, 69, "Input"],
Cell[32320, 1125, 711, 23, 54, "Input"],
Cell[33034, 1150, 140, 4, 32, "Input"],
Cell[33177, 1156, 451, 14, 32, "Input"],
Cell[33631, 1172, 441, 14, 77, "Input"],
Cell[34075, 1188, 351, 12, 65, "Input"],
Cell[34429, 1202, 148, 5, 32, "Input"],
Cell[34580, 1209, 581, 19, 58, "Input"],
Cell[35164, 1230, 175, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[35376, 1241, 98, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[35477, 1246, 1349, 40, 83, "Input"],
Cell[36829, 1288, 167, 5, 32, "Input"],
Cell[36999, 1295, 370, 10, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[37418, 1311, 77, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[37498, 1315, 29, 0, 32, "Input"],
Cell[37530, 1317, 677, 20, 53, "Input"],
Cell[38210, 1339, 126, 3, 32, "Input"],
Cell[38339, 1344, 359, 11, 32, "Input"],
Cell[38701, 1357, 91, 2, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[38841, 1365, 184, 7, 31, "Subsection",
 Evaluatable->False],
Cell[39028, 1374, 111, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[39164, 1381, 100, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[39267, 1386, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[39386, 1392, 99, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[39488, 1397, 569, 18, 69, "Input"],
Cell[40060, 1417, 619, 20, 54, "Input"],
Cell[40682, 1439, 86, 2, 32, "Input"],
Cell[40771, 1443, 228, 7, 32, "Input"],
Cell[41002, 1452, 94, 2, 32, "Input"],
Cell[41099, 1456, 462, 15, 32, "Input"],
Cell[41564, 1473, 109, 5, 50, "Input"],
Cell[41676, 1480, 228, 5, 32, "Input"],
Cell[41907, 1487, 313, 9, 54, "Input"],
Cell[42223, 1498, 93, 2, 32, "Input"],
Cell[42319, 1502, 462, 15, 32, "Input"],
Cell[42784, 1519, 111, 5, 50, "Input"],
Cell[42898, 1526, 312, 9, 54, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[43247, 1540, 99, 3, 30, "Subsubsection",
 Evaluatable->False],
Cell[43349, 1545, 2745, 81, 209, "Input"],
Cell[46097, 1628, 509, 14, 52, "Input"],
Cell[46609, 1644, 805, 24, 76, "Input"],
Cell[47417, 1670, 210, 5, 32, "Input"],
Cell[47630, 1677, 823, 26, 76, "Input"],
Cell[48456, 1705, 211, 5, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[48706, 1715, 73, 1, 43, "Section"],
Cell[CellGroupData[{
Cell[48804, 1720, 126, 3, 31, "Subsection"],
Cell[48933, 1725, 3663, 106, 235, "Input"],
Cell[52599, 1833, 695, 19, 121, "Input"],
Cell[53297, 1854, 87, 2, 32, "Input"]
}, Closed]],
Cell[53399, 1859, 146, 5, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[53570, 1868, 117, 3, 31, "Subsection"],
Cell[CellGroupData[{
Cell[53712, 1875, 51, 1, 39, "Subsection"],
Cell[53766, 1878, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[53885, 1884, 53, 1, 30, "Subsubsection"],
Cell[53941, 1887, 457, 15, 52, "Input"],
Cell[54401, 1904, 705, 23, 46, "Input"],
Cell[55109, 1929, 742, 24, 77, "Input"],
Cell[55854, 1955, 1049, 32, 75, "Input"],
Cell[56906, 1989, 108, 1, 30, "Subsubsection"],
Cell[57017, 1992, 1147, 34, 69, "Input"],
Cell[58167, 2028, 211, 7, 32, "Input"],
Cell[58381, 2037, 798, 25, 55, "Input"],
Cell[59182, 2064, 249, 7, 32, "Input"],
Cell[59434, 2073, 290, 10, 32, "Input"],
Cell[59727, 2085, 1254, 36, 55, "Input"],
Cell[60984, 2123, 2442, 69, 99, "Input"],
Cell[63429, 2194, 174, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[63640, 2203, 52, 1, 30, "Subsubsection"],
Cell[63695, 2206, 160, 5, 32, "Input"],
Cell[63858, 2213, 316, 10, 32, "Input"],
Cell[64177, 2225, 166, 6, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[64380, 2236, 52, 1, 30, "Subsubsection"],
Cell[64435, 2239, 549, 16, 32, "Input"],
Cell[64987, 2257, 1107, 32, 121, "Input"],
Cell[66097, 2291, 201, 4, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[66359, 2302, 120, 3, 31, "Subsection"],
Cell[CellGroupData[{
Cell[66504, 2309, 54, 1, 30, "Subsubsection"],
Cell[66561, 2312, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[66680, 2318, 52, 1, 30, "Subsubsection"],
Cell[66735, 2321, 391, 11, 32, "Input"],
Cell[67129, 2334, 404, 14, 55, "Input"],
Cell[67536, 2350, 828, 20, 121, "Input"],
Cell[68367, 2372, 414, 12, 32, "Input"],
Cell[68784, 2386, 1377, 41, 125, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[70198, 2432, 52, 1, 30, "Subsubsection"],
Cell[70253, 2435, 390, 10, 32, "Input"],
Cell[70646, 2447, 404, 14, 55, "Input"],
Cell[71053, 2463, 992, 26, 121, "Input"],
Cell[72048, 2491, 2279, 60, 226, "Input"],
Cell[74330, 2553, 209, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[74576, 2563, 52, 1, 30, "Subsubsection"],
Cell[74631, 2566, 395, 11, 32, "Input"],
Cell[75029, 2579, 371, 13, 55, "Input"],
Cell[75403, 2594, 742, 17, 121, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[76206, 2618, 166, 5, 31, "Subsection"],
Cell[CellGroupData[{
Cell[76397, 2627, 54, 1, 30, "Subsubsection"],
Cell[76454, 2630, 94, 2, 32, "Input"],
Cell[76551, 2634, 484, 12, 32, "Input"],
Cell[77038, 2648, 372, 13, 55, "Input"],
Cell[77413, 2663, 1325, 41, 143, "Input"],
Cell[78741, 2706, 1341, 35, 143, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[80131, 2747, 96, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[80252, 2752, 54, 1, 30, "Subsubsection"],
Cell[80309, 2755, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[80428, 2761, 53, 1, 30, "Subsubsection"],
Cell[80484, 2764, 386, 10, 32, "Input"],
Cell[80873, 2776, 367, 13, 55, "Input"],
Cell[81243, 2791, 842, 21, 121, "Input"],
Cell[82088, 2814, 531, 16, 32, "Input"],
Cell[82622, 2832, 457, 15, 52, "Input"],
Cell[83082, 2849, 705, 23, 46, "Input"],
Cell[83790, 2874, 767, 25, 77, "Input"],
Cell[84560, 2901, 1308, 36, 187, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[85905, 2942, 53, 1, 30, "Subsubsection"],
Cell[85961, 2945, 399, 11, 32, "Input"],
Cell[86363, 2958, 367, 13, 55, "Input"],
Cell[86733, 2973, 402, 9, 32, "Input"],
Cell[87138, 2984, 1346, 37, 187, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[88523, 3026, 149, 5, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[88697, 3035, 103, 2, 31, "Subsection"],
Cell[CellGroupData[{
Cell[88825, 3041, 54, 1, 30, "Subsubsection"],
Cell[88882, 3044, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[89001, 3050, 52, 1, 30, "Subsubsection"],
Cell[89056, 3053, 1150, 37, 75, "Input"],
Cell[90209, 3092, 749, 25, 46, "Input"],
Cell[90961, 3119, 1009, 28, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[92007, 3152, 53, 1, 30, "Subsubsection"],
Cell[92063, 3155, 1114, 37, 60, "Input"],
Cell[93180, 3194, 912, 29, 77, "Input"],
Cell[94095, 3225, 626, 20, 32, "Input"],
Cell[94724, 3247, 573, 18, 55, "Input"],
Cell[95300, 3267, 322, 8, 55, "Input"],
Cell[95625, 3277, 1689, 47, 165, "Input"],
Cell[97317, 3326, 110, 3, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[97488, 3336, 100, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[97613, 3341, 54, 1, 30, "Subsubsection"],
Cell[97670, 3344, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[97789, 3350, 54, 1, 30, "Subsubsection"],
Cell[97846, 3353, 622, 20, 52, "Input"],
Cell[98471, 3375, 426, 11, 32, "Input"],
Cell[98900, 3388, 349, 12, 55, "Input"],
Cell[99252, 3402, 383, 9, 32, "Input"],
Cell[99638, 3413, 493, 17, 52, "Input"],
Cell[100134, 3432, 749, 25, 46, "Input"],
Cell[100886, 3459, 1177, 31, 165, "Input"],
Cell[102066, 3492, 1399, 43, 207, "Input"],
Cell[103468, 3537, 1711, 47, 165, "Input"],
Cell[105182, 3586, 418, 12, 55, "Input"],
Cell[105603, 3600, 452, 13, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[106092, 3618, 54, 1, 30, "Subsubsection"],
Cell[106149, 3621, 410, 10, 32, "Input"],
Cell[106562, 3633, 371, 13, 55, "Input"],
Cell[106936, 3648, 519, 11, 121, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[107516, 3666, 103, 2, 31, "Subsection"],
Cell[CellGroupData[{
Cell[107644, 3672, 54, 1, 30, "Subsubsection"],
Cell[107701, 3675, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[107820, 3681, 55, 1, 30, "Subsubsection"],
Cell[107878, 3684, 705, 23, 46, "Input"],
Cell[108586, 3709, 457, 15, 52, "Input"],
Cell[109046, 3726, 1165, 35, 121, "Input"],
Cell[110214, 3763, 516, 17, 77, "Input"],
Cell[110733, 3782, 373, 13, 60, "Input"],
Cell[111109, 3797, 130, 4, 32, "Input"],
Cell[111242, 3803, 1397, 38, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[112676, 3846, 52, 1, 30, "Subsubsection"],
Cell[112731, 3849, 1067, 31, 55, "Input"],
Cell[113801, 3882, 107, 3, 32, "Input"],
Cell[113911, 3887, 815, 28, 70, "Input"],
Cell[114729, 3917, 193, 5, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[114959, 3927, 52, 1, 30, "Subsubsection"],
Cell[115014, 3930, 226, 6, 32, "Input"],
Cell[115243, 3938, 282, 10, 52, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[115562, 3953, 52, 1, 30, "Subsubsection"],
Cell[115617, 3956, 121, 3, 32, "Input"],
Cell[115741, 3961, 972, 29, 151, "Input"],
Cell[116716, 3992, 277, 7, 32, "Input"],
Cell[116996, 4001, 457, 13, 60, "Input"],
Cell[117456, 4016, 369, 13, 55, "Input"],
Cell[117828, 4031, 671, 17, 99, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[118538, 4053, 148, 5, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[118711, 4062, 99, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[118835, 4067, 54, 1, 30, "Subsubsection"],
Cell[118892, 4070, 94, 2, 32, "Input"],
Cell[CellGroupData[{
Cell[119011, 4076, 52, 1, 30, "Subsubsection"],
Cell[119066, 4079, 457, 15, 52, "Input"],
Cell[119526, 4096, 542, 16, 32, "Input"],
Cell[120071, 4114, 705, 23, 46, "Input"],
Cell[120779, 4139, 1004, 28, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[121820, 4172, 53, 1, 30, "Subsubsection"],
Cell[121876, 4175, 577, 19, 55, "Input"],
Cell[122456, 4196, 621, 20, 32, "Input"],
Cell[123080, 4218, 573, 18, 55, "Input"],
Cell[123656, 4238, 968, 31, 136, "Input"],
Cell[124627, 4271, 248, 8, 32, "Input"],
Cell[124878, 4281, 216, 7, 32, "Input"],
Cell[125097, 4290, 1149, 31, 143, "Input"],
Cell[126249, 4323, 110, 3, 32, "Input"]
}, Closed]]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[126420, 4333, 98, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[126543, 4338, 54, 1, 30, "Subsubsection"],
Cell[126600, 4341, 94, 2, 32, "Input"],
Cell[126697, 4345, 1496, 46, 75, "Input"],
Cell[128196, 4393, 1427, 40, 77, "Input"],
Cell[129626, 4435, 470, 16, 60, "Input"],
Cell[130099, 4453, 197, 7, 32, "Input"],
Cell[130299, 4462, 291, 8, 32, "Input"],
Cell[130593, 4472, 408, 12, 60, "Input"],
Cell[131004, 4486, 373, 13, 55, "Input"],
Cell[131380, 4501, 683, 17, 77, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[132112, 4524, 90, 1, 31, "Subsection"],
Cell[CellGroupData[{
Cell[132227, 4529, 54, 1, 30, "Subsubsection"],
Cell[132284, 4532, 94, 2, 32, "Input"],
Cell[132381, 4536, 344, 10, 32, "Input"],
Cell[132728, 4548, 371, 13, 55, "Input"],
Cell[133102, 4563, 434, 9, 99, "Input"],
Cell[133539, 4574, 1427, 40, 165, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[135015, 4620, 101, 3, 43, "Section",
 Evaluatable->False],
Cell[135119, 4625, 123, 3, 39, "Subsection",
 Evaluatable->False],
Cell[135245, 4630, 124, 3, 31, "Subsection",
 Evaluatable->False],
Cell[135372, 4635, 140, 3, 31, "Subsection",
 Evaluatable->False],
Cell[135515, 4640, 92, 1, 31, "Subsection"],
Cell[135610, 4643, 72, 1, 31, "Subsection"],
Cell[135685, 4646, 72, 1, 31, "Subsection"],
Cell[135760, 4649, 125, 3, 31, "Subsection",
 Evaluatable->False],
Cell[135888, 4654, 118, 3, 31, "Subsection",
 Evaluatable->False],
Cell[136009, 4659, 90, 1, 31, "Subsection"],
Cell[136102, 4662, 97, 1, 31, "Subsection"]
}, Closed]],
Cell[136214, 4666, 26, 0, 26, "Input"]
}
]
*)

(* End of internal cache information *)
