(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    146783,       4981]
NotebookOptionsPosition[    129226,       4460]
NotebookOutlinePosition[    129645,       4479]
CellTagsIndexPosition[    129602,       4476]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"Clear", "::", "\"\<wrsym\>\""}], "]"}], ";"}]], "Input",
 CellChangeTimes->{3.424553530084804*^9}],

Cell[CellGroupData[{

Cell[TextData[{
 "Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: "
}], "Subsubsection",
 CellChangeTimes->{{3.424620415746278*^9, 3.42462042670328*^9}},
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Note about the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 6 Files: \n\nDear user. \n\nThese files have been roughly adapted \
for Mathematica Version 6. There were significant changes with this \
Mathematica version. \n\nThe Mathematica input has been adapted to generate \
the solutions. In rare cases, changes in the internal Mathematica graphics \
structure made it difficult to fully reproduces the graphics of versions 4.x \
and 5.x; a 3'rd edition of our text is in progress and these will be \
addressed in this new book. \n\nFredrick Olness\nJuly 2008\n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620433558357*^9, 3.424620592507797*^9}, {
  3.424620630088725*^9, 3.424620726566171*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Legal Notice, Disclaimer, and Book Ordering Information:", \
"Subsubsection",
 ImageRegion->{{0, 1}, {0, 1}}],

Cell[TextData[{
 "(* Legal Notice, Disclaimer, and Book Ordering Information:\n\nLast \
Modified: FIO July 9, 2008: updated for Mathematica version 6.x\nLast \
Modified: FIO June 8, 2002\n\n",
 StyleBox["Mathematica For Physics: 2nd Edition",
  FontColor->RGBColor[1, 0, 0]],
 "\n\nRobert L. Zimmerman and Fredrick I. Olness\n\nWebSite:  \n",
 StyleBox["  www.physics.smu.edu/~olness\n  darkwing.uoregon.edu/~phys600/\n\n\
",
  FontColor->RGBColor[1, 0, 0]],
 "MathSource Number: 0206-862",
 StyleBox["\n",
  FontColor->RGBColor[1, 0, 0]],
 "\nISBN 0-201-53796-6\nFor ordering information, call 1-800-282-0693\n\
Addison-Wesley Publishing Company\n\nCommunication with the authors:\n\
Fredrick I. Olness:  olness@mail.physics.smu.edu\nRobert L. Zimmerman: \
bob@zim.uoregon.edu\n\nCopyright 2002, Addison-Wesley Publishing Company, \
Inc. The material in\nthis file may be distributed freely  so long as the \
content remains\nunchanged, and the copyright and  reference notices are \
included. The\npublisher grants permission for the noncommercial use of these \
programs\nand program segments.  All other uses require the prior written \
consent\nof the publisher.    \n\nAll rights are reserved with regard to the  \
material in the\n\"Mathematica For Physics\" text, and may not be reproduced, \
stored in a\nretrieval system, or transmitted,  in any form or by any means,\n\
electronic, mechanical, photocopying,  recording, or otherwise, without\nthe \
prior written permission  of the publisher. \n\nThe programs and applications \
presented in this book have been included\nfor  their instructional value. \
They have been tested with care but are\nnot  guaranteed for any particular \
purpose. The publisher does not\noffer any  warranties or representations, \
nor does it accept any\nliabilities with  respect to the programs or \
applications. \n\n *)\n"
}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.424620828588587*^9, 3.42462084491675*^9}},
 ImageRegion->{{0, 1}, {0, 1}}]
}, Closed]],

Cell[" 9. Quantum Mechanics", "Title",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[" Introduction", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], ";"}]}]}]], "Input"],

Cell["9.1 One-Dimensional Schroedinger's Equation ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Problem 1: Particle bound in an Infinite Potential Well", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Figure Goes Here", "SmallText",
 CellFrame->True,
 Background->GrayLevel[0.849989]],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution: ", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", " ", 
   FormBox[
    RowBox[{"0", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"V", "-", "En"}], ")"}], " ", 
       RowBox[{"\[Psi]", "[", "x", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[HBar]", "2"], " ", 
        RowBox[{
         SuperscriptBox["\[Psi]", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "x", "]"}]}], 
       RowBox[{"2", " ", "m"}]]}]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"eq1", "/.", 
   RowBox[{"V", "\[Rule]", "0"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"krule", "=", " ", 
   RowBox[{"En", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["\[HBar]", "2"], " ", 
      SuperscriptBox["k", "2"]}], 
     RowBox[{"2", " ", "m"}]]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"schrod", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"eq2", "/.", "krule"}], ",", 
      RowBox[{
       RowBox[{"\[Psi]", "''"}], "[", "x", "]"}]}], " ", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1"}], "]"}], "]"}], "/.", 
   RowBox[{"Rule", "\[Rule]", "Equal"}]}]}]], "Input"],

Cell["\<\
dsol= DSolve[schrod,\[Psi],x][[1,1]]\
\>", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"sol1", "=", 
  RowBox[{"Reduce", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{"\[Psi]", "[", "a", "]"}], "\[Equal]", "0"}]}], "}"}], "/.", 
    "dsol"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"En", "\[Equal]", 
   FormBox[
    FractionBox[
     RowBox[{
      SuperscriptBox["k", "2"], " ", 
      SuperscriptBox["\[HBar]", "2"]}], 
     RowBox[{"2", " ", "m"}]],
    TraditionalForm]}], "/.", 
  FormBox[
   RowBox[{"k", "\[Rule]", 
    FractionBox[
     RowBox[{"n", " ", "\[Pi]"}], "a"]}],
   TraditionalForm]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x_", ",", "n_"}], "]"}], " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]", "[", "x", " ", "]"}], " ", "/.", "dsol"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"C", "[", "1", "]"}], "\[Rule]", "0"}], ",", " ", 
     FormBox[
      RowBox[{"k", "\[Rule]", 
       FractionBox[
        RowBox[{"n", " ", "\[Pi]"}], "a"]}],
      TraditionalForm]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"normEq", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"1", " ", "\[Equal]", " ", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"\[Psi]", "[", 
         RowBox[{"x", ",", "n"}], "]"}], "2"], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "0", ",", "a"}], "}"}]}], "]"}]}], "//", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"#", ",", 
       RowBox[{"Element", "[", 
        RowBox[{"n", ",", "Integers"}], "]"}]}], "]"}], "&"}]}], "//", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"#", ",", 
       RowBox[{"C", "[", "2", "]"}]}], "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "1"}], " ", "]"}], "]"}], "&"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x_", ",", "n_"}], "]"}], " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]", "[", 
     RowBox[{"x", ",", "n"}], "]"}], "/.", "normEq"}], "//", 
   "Simplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell["\<\
table= Table[Integrate[\[Psi][x,i]\[Psi][x,j],{x,0,a}],{i,4},{j,4}];\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"table", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Psi]", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "4"}], "}"}]}], "]"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"\[Psi]", "[", "j", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "4"}], "}"}]}], "]"}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"\[Psi]", "[", 
        RowBox[{"n", ",", "x"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "4"}], "}"}]}], "]"}], "/.", "\[InvisibleSpace]", 
     RowBox[{"{", 
      RowBox[{"a", "\[Rule]", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.05`", "}"}], "]"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.03`", "}"}], "]"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.01`", "}"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{"\[Psi]", ",", 
      RowBox[{"FontSize", "\[Rule]", "14"}], ",", 
      RowBox[{"FontWeight", "\[Rule]", "Bold"}]}], "]"}]}], ",", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<n=1\>\"", ",", "\"\<n=2\>\"", ",", "\"\<n=3\>\"", ",", 
      "\"\<n=4\>\""}], "}"}]}], ",", 
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"-", 
       FractionBox["1", "2"]}]}], "}"}]}]}], "]"}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 2: Particle bound in a Finite Potential Well", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Figure Goes Here", "SmallText",
 CellFrame->True,
 Background->GrayLevel[0.849989]],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"schrodeq", "=", 
   FormBox[
    RowBox[{"0", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"V", "-", "En"}], ")"}], " ", 
       RowBox[{"\[Psi]", "[", "x", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[HBar]", "2"], " ", 
        RowBox[{
         SuperscriptBox["\[Psi]", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "x", "]"}]}], 
       RowBox[{"2", " ", "m"}]]}]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"EWrule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{"En", "\[Rule]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["kW", "2"], " ", 
         SuperscriptBox["\[HBar]", "2"]}], 
        RowBox[{"2", " ", "m"}]], "+", "V"}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Psi]", "[", "x", "]"}], "/.", 
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{"schrodeq", ",", 
         RowBox[{"\[Psi]", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "/.", "EWrule"}], "//", 
    "ExpToTrig"}], " ", "//", "Simplify"}], " ", "//", 
  "PowerExpand"}]], "Input"],

Cell[BoxData[
 RowBox[{"kWrule", "=", " ", 
  RowBox[{
   RowBox[{
    FormBox[
     RowBox[{"kW", "\[Rule]", 
      FractionBox[
       RowBox[{
        SqrtBox["2"], " ", 
        SqrtBox[
         RowBox[{"m", " ", 
          RowBox[{"(", 
           RowBox[{"En", "-", "V"}], ")"}]}]]}], "\[HBar]"]}],
     TraditionalForm], "/.", 
    RowBox[{"V", "\[Rule]", 
     RowBox[{"-", "V0"}]}]}], "/.", 
   RowBox[{"En", "\[Rule]", 
    RowBox[{"-", "Wn"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]W", "[", "x_", "]"}], "=", 
   RowBox[{
    RowBox[{"cSym", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"kW", " ", "x"}], "]"}]}], "+", 
    RowBox[{"cAsym", " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"kW", " ", "x"}], "]"}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ELRrule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{"En", "\[Rule]", 
      FractionBox[
       RowBox[{
        SuperscriptBox["kLR", "2"], " ", 
        SuperscriptBox["\[HBar]", "2"]}], 
       RowBox[{"2", " ", "m"}]]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Psi]", "[", "x", "]"}], "/.", 
      RowBox[{
       RowBox[{"DSolve", "[", 
        RowBox[{"schrodeq", ",", 
         RowBox[{"\[Psi]", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "/.", 
     RowBox[{"V", "\[Rule]", "0"}]}], "/.", "ELRrule"}], " ", "//", 
   "Simplify"}], "//", " ", "PowerExpand", " "}]], "Input"],

Cell[BoxData[
 RowBox[{"kLRrule", "=", " ", 
  RowBox[{
   RowBox[{
    FormBox[
     RowBox[{"kLR", "\[Rule]", 
      FractionBox[
       RowBox[{
        SqrtBox["2"], " ", 
        SqrtBox[
         RowBox[{"En", " ", "m"}]]}], "\[HBar]"]}],
     TraditionalForm], " ", "/.", 
    RowBox[{"En", "\[Rule]", 
     RowBox[{"-", "Wn"}]}]}], " ", "//", "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"qLRrule", "=", " ", 
   FormBox[
    RowBox[{"qLR", "\[Rule]", 
     FractionBox[
      RowBox[{
       SqrtBox["2"], " ", 
       SqrtBox[
        RowBox[{"m", " ", "Wn"}]]}], "\[HBar]"]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]", "[", "x", "]"}], "/.", 
       RowBox[{
        RowBox[{"DSolve", "[", 
         RowBox[{"schrodeq", ",", 
          RowBox[{"\[Psi]", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "/.", 
      RowBox[{"V", "\[Rule]", "0"}]}], "/.", "ELRrule"}], " ", "/.", 
    RowBox[{"kLR", "\[Rule]", 
     RowBox[{"I", " ", "qLR"}]}]}], "//", "Simplify"}], "//", " ", 
  "PowerExpand", " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]R", "[", "x_", "]"}], "=", " ", 
    RowBox[{"cR", " ", 
     SuperscriptBox["E", 
      RowBox[{
       RowBox[{"-", "qLR"}], " ", "x"}]]}]}], "   ", ";"}], "           ", 
  RowBox[{"(*", 
   RowBox[{"x", ">", "a"}], "*)"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]L", "[", "x_", "]"}], "=", " ", 
    RowBox[{"cL", " ", 
     SuperscriptBox["E", 
      RowBox[{
       RowBox[{"+", "qLR"}], " ", "x"}]]}]}], " ", ";"}], "      ", 
  RowBox[{"(*", 
   RowBox[{"x", "<", 
    RowBox[{"-", "a"}]}], "*)"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell["\<\
eq1= {  (\[Psi]L[ x]-\[Psi]W[ x]==0)  /. {x-> -a}, 
        (\[Psi]W[ x]-\[Psi]R[ x]==0)  /. {x-> +a},
        (\[Psi]L'[x]-\[Psi]W'[x]==0)  /. {x-> -a},
        (\[Psi]W'[x]-\[Psi]R'[x]==0)  /. {x-> +a}  } \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"eq2", "=", 
    RowBox[{"eq1", "/.", 
     RowBox[{"cAsym", "\[Rule]", "0"}]}]}], " ", ")"}], "//", 
  "Column"}]], "Input",
 CellChangeTimes->{{3.421782998306501*^9, 3.421782998803728*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq3", "=", 
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"eq2", " ", ",", " ", 
        RowBox[{"cL", "\[NotEqual]", "0"}], ",", 
        RowBox[{"cR", "\[NotEqual]", "0"}], ",", 
        RowBox[{"kW", "\[NotEqual]", "0"}], ",", 
        RowBox[{"qLR", " ", "\[NotEqual]", "0"}], ",", " ", 
        RowBox[{"cSym", "\[NotEqual]", "0"}], ",", 
        RowBox[{
         RowBox[{"Cos", "[", " ", 
          RowBox[{"a", " ", "kW"}], "]"}], "\[NotEqual]", "0"}]}], " ", "}"}],
       "//", "Flatten"}], "  ", ",", 
     RowBox[{"{", 
      RowBox[{"cL", ",", "cR"}], "}"}]}], " ", "]"}]}], " ", ";", 
  RowBox[{"eq3", " ", "//", "Column"}]}]], "Input",
 CellChangeTimes->{{3.421783003524296*^9, 3.421783004219129*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"symSol", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq3", "  ", ",", 
       RowBox[{"{", 
        RowBox[{"cL", ",", "cR"}], "}"}]}], " ", "]"}], " ", "//", 
     "Simplify"}], "//", "Flatten", "  "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"symEn", "=", 
    RowBox[{
     RowBox[{"Tan", "[", 
      RowBox[{"a", " ", "kW"}], "]"}], "\[Equal]", "  ", 
     RowBox[{"qLR", "/", "kW"}]}]}], ";"}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq4", "=", 
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"eq1", "/.", 
         RowBox[{"cSym", "\[Rule]", "0"}]}], " ", ",", " ", 
        RowBox[{"cL", "\[NotEqual]", "0"}], ",", 
        RowBox[{"cR", "\[NotEqual]", "0"}], ",", 
        RowBox[{"kW", "\[NotEqual]", "0"}], ",", 
        RowBox[{"qLR", "\[NotEqual]", "0"}], ",", 
        RowBox[{"cAsym", "\[NotEqual]", "0"}], ",", 
        RowBox[{
         RowBox[{"Cos", "[", " ", 
          RowBox[{"a", " ", "kW"}], "]"}], "\[NotEqual]", "0"}]}], " ", "}"}],
       "//", "Flatten"}], "  ", ",", 
     RowBox[{"{", 
      RowBox[{"cL", ",", "cR"}], "}"}]}], " ", "]"}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"eq4", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421783009935624*^9, 3.421783010465553*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"asymSol", "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq4", " ", ",", 
       RowBox[{"{", 
        RowBox[{"cL", ",", "cR"}], "}"}]}], " ", "]"}], " ", "//", 
     "Simplify"}], "//", "Flatten", " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"asymEn", "=", 
   RowBox[{
    RowBox[{"Tan", "[", 
     RowBox[{"a", " ", "kW"}], "]"}], "\[Equal]", " ", 
    RowBox[{
     RowBox[{"-", " ", "kW"}], "/", "qLR"}]}]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c ", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", " ", "\[Rule]", 
      RowBox[{"{", " ", 
       RowBox[{"100", ",", " ", "200", ",", " ", "500", ",", "\[Infinity]"}], 
       "}"}]}]}], "}"}]}], " ", ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nRule", "=", 
   FormBox[
    RowBox[{"Wn", "\[Rule]", 
     RowBox[{"V0", "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["n", "2"], " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        SuperscriptBox["\[HBar]", "2"]}], 
       RowBox[{"8", " ", 
        SuperscriptBox["a", "2"], " ", "m"}]]}]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"kRules", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kW", "\[Rule]", 
      FractionBox[
       RowBox[{" ", 
        SqrtBox[
         RowBox[{"2", " ", "m", " ", 
          RowBox[{"(", 
           RowBox[{"V0", "-", "Wn"}], " ", ")"}]}]]}], "\[HBar]"]}], ",", 
     RowBox[{"qLR", "\[Rule]", 
      FractionBox[
       RowBox[{" ", 
        SqrtBox[
         RowBox[{"2", " ", 
          RowBox[{"(", "Wn", ")"}], " ", "m"}]]}], "\[HBar]"]}]}], "}"}]}], 
  ";"}]], "Input"],

Cell["eq5 =symEn/.kRules /.nRule//PowerExpand ", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Sign", "[", "n", "]"}], " ", "^=", " ", 
   RowBox[{"+", "1"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.421783253552367*^9, 3.421783295888865*^9}}],

Cell[BoxData[
 RowBox[{"pt1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ArcTan", "[", 
         RowBox[{"eq5", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
        RowBox[{"ArcTan", "[", 
         RowBox[{"eq5", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], "/.", "values"}], "//",
      "Evaluate"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "9"}], " ", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameTicks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "\"\<n=1\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"3", ",", "\"\<n=3\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"5", ",", "\"\<n=5\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"7", ",", "\"\<n=7\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"9", ",", "\"\<n=9\>\""}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0.5", ",", "1", ",", "1.5"}], "}"}]}], "}"}]}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{".4", ",", "1.6"}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421783091929161*^9, 3.421783093451317*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"text", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=\!\(\*InterpretationBox[\"\[Infinity]\",
DirectedInfinity[1]]\)\>\"", ",", "  ", 
       RowBox[{"{", 
        RowBox[{"6", ",", "1.5"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
      
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=500\>\"", ",", " ", 
       RowBox[{"{", 
        RowBox[{"6", ",", "1.3"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
      
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=200\>\"", ",", " ", 
       RowBox[{"{", 
        RowBox[{"6", ",", "1.1"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]",
      
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=100\>\"", ",", " ", 
       RowBox[{"{", 
        RowBox[{"6", ",", "0.8"}], "}"}]}], "]"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"pt1", ",", 
   RowBox[{"Graphics", "[", "text", "]"}], " ", ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421783022000195*^9, 3.421783023263669*^9}}],

Cell["eq6 =asymEn/.kRules /.nRule//PowerExpand ", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"text", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=\!\(\*InterpretationBox[\"\[Infinity]\",
DirectedInfinity[1]]\)\>\"", ",", "  ", 
       RowBox[{"{", 
        RowBox[{"7", ",", "0"}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=500\>\"", ",", " ", 
       RowBox[{"{", 
        RowBox[{"7", ",", 
         RowBox[{"-", ".4"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=200\>\"", ",", " ", 
       RowBox[{"{", 
        RowBox[{"7", ",", 
         RowBox[{"-", ".7"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", " ", 
      RowBox[{"\"\<V0=100\>\"", ",", " ", 
       RowBox[{"{", 
        RowBox[{"7", ",", 
         RowBox[{"-", ".9"}]}], " ", "}"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"ArcTan", "[", 
        RowBox[{"eq6", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
       RowBox[{"ArcTan", "[", " ", 
        RowBox[{"eq6", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}]}], "}"}], " ", "/.", 
     "values"}], "//", "Evaluate"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0.0", " ", ",", "9"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
   RowBox[{"FrameTicks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "\"\<n=2\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "\"\<n=4\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"6", ",", "\"\<n=6\>\""}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"8", ",", "\"\<n=8\>\""}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1.5"}], ",", 
        RowBox[{"-", "1"}], ",", "0", ",", "0.5", ",", "1", ",", "1.5"}], 
       "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], " ", ",", " ", ".1"}], "}"}]}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"Epilog", "\[Rule]", " ", "text"}]}], "  ", "]"}]], "Input",
 CellChangeTimes->{3.421783034316103*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nValues", "[", 
   RowBox[{"eq_", ",", "potential_", ",", "guess_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{"n", "/.", 
    RowBox[{
     RowBox[{"FindRoot", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"eq", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"m", "\[Rule]", "1"}], ",", 
           RowBox[{"a", "\[Rule]", "1"}], ",", 
           RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
           RowBox[{"V0", "\[Rule]", "potential"}]}], "}"}]}], "//", 
        "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "guess"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}]], "Input"],

Cell["symGuess= {0.9, 2.9, 4.9, 6.9, 8.9};", "Input",
 AspectRatioFixed->True],

Cell["\<\
symValues= {nValues[eq5,100,#]
           ,nValues[eq5,200,#]
           ,nValues[eq5,500,#]}&  /@  symGuess;  \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"asymGuess", "=", 
   RowBox[{"{", 
    RowBox[{"1.9", " ", ",", "3.9", " ", ",", "5.9", ",", "7.9"}], " ", 
    "}"}]}], ";"}]], "Input"],

Cell["\<\
asymValues={nValues[eq6,100,#]
           ,nValues[eq6,200,#]
           ,nValues[eq6,500,#]}& /@  asymGuess;   \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"(", 
  RowBox[{
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"Sort", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"symValues", ",", "asymValues"}], "}"}], "//", "Flatten"}], 
      "]"}], ",", "3"}], "]"}], "//", 
   RowBox[{
    RowBox[{"TableForm", "[", 
     RowBox[{"#", ",", 
      RowBox[{"TableSpacing", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "2"}], "}"}]}], ",", 
      RowBox[{"TableHeadings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<n=1\>\"", ",", "\"\<n=2\>\"", ",", "\"\<n=3\>\"", ",", 
           "\"\<n=4\>\"", ",", "\"\<n=5\>\"", ",", "\"\<n=6\>\"", ",", 
           "\"\<n=7\>\"", ",", "\"\<n=8\>\"", ",", "\"\<n=9\>\""}], "}"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{
          "\"\<V0=100\>\"", ",", "\"\<V0=200\>\"", ",", "\"\<V0=500\>\""}], 
          "}"}]}], "}"}]}]}], "]"}], "&"}]}], ")"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Partition", "[", 
   RowBox[{
    RowBox[{"Sort", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"symValues", ",", "asymValues"}], "}"}], "//", "Flatten"}], 
     "]"}], ",", "3"}], "]"}], "//", " ", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{"#", ",", "\[IndentingNewLine]", 
     RowBox[{"TableSpacing", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "2"}], "}"}]}], ",", 
     RowBox[{"TableHeadings", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\"\<n=1\>\"", ",", "\"\<n=2\>\"", ",", "\"\<n=3\>\"", ",", 
          "\"\<n=4\>\"", ",", "\"\<n=5\>\"", ",", "\"\<n=6\>\"", ",", 
          "\"\<n=7\>\"", ",", "\"\<n=8\>\"", ",", "\"\<n=9\>\""}], "}"}], ",",
         
        RowBox[{"{", 
         RowBox[{
         "\"\<V0=100\>\"", ",", "\"\<V0=200\>\"", ",", "\"\<V0=500\>\""}], 
         "}"}]}], "}"}]}]}], "\[IndentingNewLine]", "]"}], "&"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"symRules", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"kRules", ",", "nRule", ",", "symSol", ",", 
      RowBox[{"a", "\[Rule]", "1"}], ",", 
      RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
      RowBox[{"m", "\[Rule]", "1"}], ",", 
      RowBox[{"V0", "\[Rule]", "100"}], ",", 
      RowBox[{"cSym", "\[Rule]", "100"}], ",", 
      RowBox[{"cAsym", "\[Rule]", "0"}]}], "}"}], "//", "Flatten"}]}], 
  "\n"}]], "Input"],

Cell["\<\
Clear[s\[Psi],a\[Psi]];
(* Symmetric*) 
s\[Psi][x_ /;x<-1,n0_]:= (\[Psi]L[x]//.symRules//.{n->n0});
s\[Psi][x_ /;-1<=x<1,n0_]:= (\[Psi]W[x]//.symRules//.{n->n0});
s\[Psi][x_ /;x>=1,n0_]:= (\[Psi]R[x]//.symRules//.{n->n0});\
\>", "Input",
 AspectRatioFixed->True],

Cell["symEnergy= nValues[eq5, 100,#]&/@symGuess;  ", "Input",
 AspectRatioFixed->True],

Cell["\<\
plotsym= 
Plot[ s\[Psi][x,#] //.symRules //Evaluate
        ,{x,-2,2}
        ,PlotLabel->  NumberForm[#,2]
        ,Axes->None
        ,DisplayFunction->Identity ]&  /@  symEnergy;\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"plotsym", "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], "\[RightDoubleBracket]"}], 
    ",", 
    RowBox[{"plotsym", "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}], "\[RightDoubleBracket]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.421783353434747*^9, 3.421783396313556*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"asymRules", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"kRules", ",", "nRule", ",", "asymSol", ",", 
     RowBox[{"a", "\[Rule]", "1"}], ",", 
     RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "100"}], ",", 
     RowBox[{"cAsym", "\[Rule]", "100"}], ",", 
     RowBox[{"cSym", "\[Rule]", "0"}]}], "}"}], "//", "Flatten"}]}]], "Input"],

Cell["\<\
 (* Asymmetric*) 
a\[Psi][x_ /;x<-1,n0_]:= (\[Psi]L[x]//.asymRules//.{n->n0});
a\[Psi][x_ /; -1<=x<1,n0_]:= (\[Psi]W[x]//.asymRules//.{n->n0});
a\[Psi][x_ /;x>=1,n0_]:= (\[Psi]R[x]//.asymRules//.{n->n0});\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"asymEnergy", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"nValues", "[", 
      RowBox[{"eq6", ",", "100", ",", "#"}], "]"}], "&"}], "/@", 
    "asymGuess"}]}], " ", ";"}]], "Input"],

Cell["\<\
 plotasym= 
  Plot[ a\[Psi][x,#] //.asymRules //Evaluate
          ,{x,-2,2}
          ,PlotLabel->NumberForm[#,2]
          ,Axes->None
          ,DisplayFunction->Identity]& /@ asymEnergy;              
              \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"plotasym", "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], "\[RightDoubleBracket]"}], ",", 
    RowBox[{"plotasym", "\[LeftDoubleBracket]", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], "\[RightDoubleBracket]"}]}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.421783407851403*^9, 3.421783410526532*^9}},
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Particle Hitting a Finite Step Potential", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Figure Goes Here", "SmallText",
 CellFrame->True,
 Background->GrayLevel[0.849989]],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]L", "[", "x_", "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "kL", " ", "x"}]], "+", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", "kL", " ", "x"}]], " ", "R"}]}]}],
   ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"kLRule", "=", 
    FormBox[
     RowBox[{"kL", "\[Rule]", 
      RowBox[{
       SqrtBox["2"], " ", 
       FractionBox[
        SqrtBox[
         RowBox[{"En", " ", "m"}]], "\[HBar]"]}]}],
     TraditionalForm]}], ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"     ", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]R", "[", "x_", "]"}], "=", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", "kR", " ", "x"}]], " ", "T"}]}], 
   ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"kRRule", "=", 
   RowBox[{"kR", "\[Rule]", 
    FractionBox[
     FormBox[
      RowBox[{
       SqrtBox["2"], " ", 
       SqrtBox[
        RowBox[{"m", " ", 
         RowBox[{"(", 
          RowBox[{"En", "-", "V0"}], ")"}]}]]}],
      TraditionalForm], "\[HBar]"]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"boundary", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Psi]L", "[", "x", "]"}], "\[Equal]", 
      RowBox[{"\[Psi]R", "[", "x", "]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]L", "'"}], "[", "x", "]"}], "\[Equal]", 
      RowBox[{
       RowBox[{"\[Psi]R", "'"}], "[", "x", "]"}]}]}], "}"}], "//.", 
   RowBox[{"x", "\[Rule]", "0"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"RTrule", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"boundary", ",", 
      RowBox[{"{", 
       RowBox[{"R", ",", "T"}], "}"}]}], "]"}], "//", "Flatten"}], "//", 
   "Simplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   SuperscriptBox["exp_", "*"], ":=", 
   RowBox[{"exp", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Complex", "[", 
       RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
      RowBox[{"Complex", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "b"}]}], "]"}]}], "}"}], " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"a", "-", 
     RowBox[{"\[ImaginaryI]", " ", "b"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Theta]"}]]}], ")"}], "*"], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{"Conjugate", "[", 
  RowBox[{"a", "-", 
   RowBox[{"\[ImaginaryI]", " ", "b"}], "+", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Theta]"}]]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Del]", "f_"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"f", ",", "#"}], " ", "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "  "}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Del]", 
  RowBox[{"\[Psi]", "[", "x", "  ", "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"flux", "[", "\[Psi]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    FractionBox["\[HBar]", 
     RowBox[{"2", "\[ImaginaryI]", " ", "m"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Psi]", "*"], " ", 
       RowBox[{"\[Del]", "\[Psi]"}]}], " ", "-", " ", 
      RowBox[{
       RowBox[{"\[Del]", 
        SuperscriptBox["\[Psi]", "*"]}], " ", "\[Psi]"}]}], ")"}]}], " ", "//",
    "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]L", "[", "x", "]"}], "//", "flux"}], "//", "Simplify", 
  "  "}]], "Input"],

Cell[BoxData[
 RowBox[{"incFlux", "=", 
  RowBox[{
   RowBox[{"flux", "[", 
    RowBox[{"\[Psi]L", "[", "x", "]"}], "]"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"R", "\[Rule]", "0"}], "}"}], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Rflux", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"incFlux", "-", 
     RowBox[{"flux", "[", 
      RowBox[{"\[Psi]L", "[", "x", "]"}], "]"}]}], ")"}], "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Tflux", "=", 
  RowBox[{"flux", "[", 
   RowBox[{"\[Psi]R", "[", "x", "]"}], "]"}]}]], "Input"],

Cell["\<\
{RR,TT}= { Rflux[[1]] /incFlux[[1]],
           Tflux[[1]] /incFlux[[1]] }\
\>", "Input",
 AspectRatioFixed->True],

Cell["{RR,TT}={RR,TT}/. RTrule", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"RR", "+", "TT"}], " ", "//", "Simplify"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
     RowBox[{"V0", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"RR", ",", "TT", ",", 
          RowBox[{"TT", "+", "RR"}]}], "}"}], "/.", "RTrule"}], "/.", 
       "kLRule"}], "/.", "kRRule"}], "/.", "values"}], "//", "Evaluate"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"En", ",", "1", ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<E\>\"", ",", "\"\<Coefficient\>\""}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Dashing", "[", 
       RowBox[{"{", 
        RowBox[{"0.06", ",", "0.02"}], "}"}], "]"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.02", "}"}], "]"}], ",", 
      RowBox[{"{", "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotLegend", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<RR\>\"", ",", "\"\<TT\>\"", ",", "\"\<TT+RR\>\""}], "}"}]}],
    ",", "\[IndentingNewLine]", 
   RowBox[{"LegendPosition", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421783442183906*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"kRule", "=", 
   RowBox[{"{", 
    RowBox[{"kLRule", ",", "kRRule"}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"wave", "[", 
     RowBox[{"x_", ",", "En_"}], "]"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Psi]L", "[", "x", "]"}], ",", 
          RowBox[{"\[Psi]R", "[", "x", "]"}]}], "}"}], "/.", "RTrule"}], "/.",
        "kRule"}], "/.", "values"}], " ", "//", "Simplify"}]}], " ", ";"}], 
  "  "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x_", ",", "En_"}], "]"}], ":=", 
  RowBox[{"Which", "[", " ", 
   RowBox[{
    RowBox[{"x", "\[LessEqual]", "0"}], ",", 
    RowBox[{
     RowBox[{"wave", "[", 
      RowBox[{"x", ",", "En"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], ",", 
    RowBox[{"x", ">", "0"}], ",", 
    RowBox[{
     RowBox[{"wave", "[", 
      RowBox[{"x", ",", "En"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"waveplot2D", "[", "Energy_", "]"}], ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]", "[", 
        RowBox[{"x", ",", "Energy"}], "]"}], "//", "Re"}], ",", 
      RowBox[{
       RowBox[{"\[Psi]", "[", 
        RowBox[{"x", ",", "Energy"}], "]"}], "//", "Im"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.02", "}"}], "]"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421783451084802*^9}],

Cell[BoxData[
 RowBox[{"waveplot2D", "[", "1.1", "]"}]], "Input",
 CellChangeTimes->{3.42178346587071*^9}],

Cell[BoxData[
 RowBox[{"waveplot2D", "[", "0.9", "]"}]], "Input",
 CellChangeTimes->{3.421783467283401*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]", "[", 
     RowBox[{"x", ",", "Energy"}], "]"}], "//", "Re"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Energy", ",", ".5", ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "50"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<Energy\>\"", ",", "\"\<\[Psi]\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421783480540909*^9}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Psi]", "[", 
     RowBox[{"x", ",", "Energy"}], "]"}], "//", "Im"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"Energy", ",", ".5", ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "50"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x\>\"", ",", "\"\<Energy\>\"", ",", "\"\<\[Psi]\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.42178348624034*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"timePlot", "[", 
   RowBox[{"time_", ",", "En_"}], "]"}], ":=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "I"}], " ", "En", " ", "time"}], "]"}], 
        RowBox[{"\[Psi]", "[", 
         RowBox[{"x", ",", "En"}], "]"}]}], "//", "Re"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", 
         RowBox[{
          RowBox[{"-", "I"}], " ", "En", " ", "time"}], "]"}], 
        RowBox[{"\[Psi]", "[", 
         RowBox[{"x", ",", "En"}], "]"}]}], "//", "Im"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Thickness", "[", "0.008", "]"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "2"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{3.421783491640357*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"timePlot", "[", 
   RowBox[{"1.", ",", "0.9"}], "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{3.421783568459097*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"frames", "=", "1"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Energy", "=", "0.9"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"timestep", "=", 
   FractionBox[
    RowBox[{"2", "\[Pi]"}], 
    RowBox[{
     RowBox[{"(", "frames", ")"}], "Energy"}]]}], ";"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"timePlot", "[", 
      RowBox[{
       RowBox[{"n", " ", "timestep"}], " ", ",", "Energy"}], "]"}], " ", "//",
      "Print"}], ";"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "frames"}], "}"}]}], "\n", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.421783578731415*^9, 3.421783582359227*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"frames", "=", "1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"Energy", "=", "1.1"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"timestep", "=", 
   FractionBox[
    RowBox[{"2", "\[Pi]"}], 
    RowBox[{
     RowBox[{"(", "frames", ")"}], "Energy"}]]}], ";"}], "\n", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"timePlot", "[", 
      RowBox[{
       RowBox[{"n", " ", "timestep"}], " ", ",", "Energy"}], "]"}], " ", "//",
      "Print"}], ";"}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "frames"}], "}"}]}], "\n", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.421783586774711*^9, 3.421783589298538*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 4: Particle Propagating Towards a Rectangular Potential\
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Figure Goes Here", "SmallText",
 CellFrame->True,
 Background->GrayLevel[0.849989]],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]L", "[", "x_", "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "kLR", " ", "x"}]], "+", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", "kLR", " ", "x"}]], " ", 
     "R"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]R", "[", "x_", "]"}], "=", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "kLR", " ", "x"}]], " ", "T"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[Psi]W", "[", "x_", "]"}], "=", 
   RowBox[{
    RowBox[{"B", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", "kW", " ", "x"}]]}], "+", 
    RowBox[{"A", " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", "kW", " ", "x"}]]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"kRules", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"kW", "\[Rule]", 
       RowBox[{
        SqrtBox["2"], " ", 
        FractionBox[
         SqrtBox[
          RowBox[{"m", " ", 
           RowBox[{"(", 
            RowBox[{"En", "-", "V0"}], ")"}]}]], "\[HBar]"]}]}], ",", 
      RowBox[{"kLR", "\[Rule]", 
       RowBox[{
        SqrtBox["2"], " ", 
        FractionBox[
         SqrtBox[
          RowBox[{"En", " ", "m"}]], "\[HBar]"]}]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Psi]L", "[", "x", "]"}], "-", 
          RowBox[{"\[Psi]W", "[", "x", "]"}]}], "\[Equal]", "0"}], ")"}], "/.",
        
       RowBox[{"{", 
        RowBox[{"x", "\[Rule]", 
         RowBox[{"-", "a"}]}], "}"}]}], ",", "\[IndentingNewLine]", "     ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Psi]W", "[", "x", "]"}], "-", 
          RowBox[{"\[Psi]R", "[", "x", "]"}]}], "\[Equal]", "0"}], ")"}], "/.",
        
       RowBox[{"{", 
        RowBox[{"x", "\[Rule]", 
         RowBox[{"+", "a"}]}], "}"}]}], ",", "\[IndentingNewLine]", "     ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"\[Psi]L", "'"}], "[", "x", "]"}], "-", 
          RowBox[{
           RowBox[{"\[Psi]W", "'"}], "[", "x", "]"}]}], "\[Equal]", "0"}], 
        ")"}], "/.", 
       RowBox[{"{", 
        RowBox[{"x", "\[Rule]", 
         RowBox[{"-", "a"}]}], "}"}]}], ",", "\[IndentingNewLine]", "     ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"\[Psi]W", "'"}], "[", "x", "]"}], "-", 
          RowBox[{
           RowBox[{"\[Psi]R", "'"}], "[", "x", "]"}]}], "\[Equal]", "0"}], 
        ")"}], "/.", 
       RowBox[{"{", 
        RowBox[{"x", "\[Rule]", 
         RowBox[{"+", "a"}]}], "}"}]}]}], "}"}], "//", "Simplify"}]}], " ", 
  ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ABRTrule", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq1", ",", 
       RowBox[{"{", 
        RowBox[{"A", ",", "B", ",", "R", ",", "T"}], "}"}]}], "]"}], "//", 
     "FullSimplify"}], "//", "Flatten"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ABRTrule", "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421783628248251*^9, 3.42178362881534*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   SuperscriptBox["exp_", "*"], ":=", 
   RowBox[{"exp", " ", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Complex", "[", 
       RowBox[{"a_", ",", "b_"}], "]"}], "\[RuleDelayed]", 
      RowBox[{"Complex", "[", 
       RowBox[{"a", ",", 
        RowBox[{"-", "b"}]}], "]"}]}], "}"}], " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Del]", "f_"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"f", ",", "#"}], " ", "]"}], "&"}], " ", "/@", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], "  "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"flux", "[", "\[Psi]_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    FractionBox["\[HBar]", 
     RowBox[{"2", "\[ImaginaryI]", " ", "m"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Psi]", "*"], " ", 
       RowBox[{"\[Del]", "\[Psi]"}]}], " ", "-", " ", 
      RowBox[{
       RowBox[{"\[Del]", 
        SuperscriptBox["\[Psi]", "*"]}], " ", "\[Psi]"}]}], ")"}]}], " ", "//",
    "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"incFlux", "=", 
  RowBox[{"flux", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Psi]L", "[", "x", "]"}], "/.", 
     RowBox[{"R", "\[Rule]", "0"}]}], "/.", "ABRTrule"}], " ", "]"}], 
  "  "}]], "Input"],

Cell["\<\
Rflux=  (incFlux-flux[\[Psi]L[x]/.ABRTrule]) //ExpToTrig //Simplify  \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Tflux", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"flux", "[", 
     RowBox[{
      RowBox[{"\[Psi]R", "[", "x", "]"}], "/.", "ABRTrule"}], "]"}], "//", 
    "ExpToTrig"}], " ", "//", "Simplify", "  "}]}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"RR", ",", "TT"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Rflux", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "/", 
      RowBox[{"incFlux", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"Tflux", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "/", 
      RowBox[{"incFlux", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"RR", ",", "TT"}], "}"}], "//", "Column"}]}], "Input",
 CellChangeTimes->{{3.421783634333906*^9, 3.421783634862958*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TT", "+", "RR"}], "==", "1"}], "  ", "//", "Simplify"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"values", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"a", "\[Rule]", "1"}]}], " ", "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"RR", ",", "TT"}], "}"}], "/.", "kRules"}], "/.", 
      RowBox[{"{", 
       RowBox[{"V0", "\[Rule]", 
        RowBox[{"-", "100"}]}], "}"}]}], "/.", "values"}], "//", "Evaluate"}],
    ",", " ", 
   RowBox[{"{", 
    RowBox[{"En", ",", "1", ",", "200"}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<En\>\"", ",", "\"\<RR, TT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", 
        RowBox[{"0.02", ",", "0.02"}], "}"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{3.421783640244389*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"RR", ",", "TT"}], "}"}], "/.", "kRules"}], "/.", 
      RowBox[{"{", 
       RowBox[{"V0", "\[Rule]", 
        RowBox[{"+", "1"}]}], "}"}]}], "/.", "values"}], "//", "Evaluate"}], 
   ",", " ", 
   RowBox[{"{", 
    RowBox[{"En", ",", "0", ",", "5"}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<En\>\"", ",", "\"\<RR, TT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", 
        RowBox[{"0.02", ",", "0.02"}], "}"}], "]"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "50"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{3.421783645960756*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part e", "Subsubsection"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"TT", "/.", "kRules"}], " ", "/.", "values"}], "/.", 
     RowBox[{"a", "\[Rule]", "1"}]}], "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"En", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"V0", ",", 
     RowBox[{"-", "20"}], ",", "0"}], "}"}], ",", " ", "\[IndentingNewLine]", 
   
   RowBox[{"PlotPoints", "\[Rule]", "40"}], ",", "\[IndentingNewLine]", " ", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "10", ",", "5"}], "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "0", ",", "10"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "/", "2"}], ",", "1"}], "}"}]}], "  ", "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Energy\>\"", ",", "\"\<Potential\>\"", ",", "\"\<TT\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421783650256349*^9}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"RR", "/.", "kRules"}], "/.", "ABRTrule"}], "/.", "values"}], "/.",
      
     RowBox[{"a", "\[Rule]", "1"}]}], "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"En", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"V0", ",", 
     RowBox[{"-", "20"}], ",", "0"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}], ",", "\[IndentingNewLine]", " ", 
   RowBox[{"Ticks", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "10", ",", "5"}], "]"}], ",", 
      RowBox[{"Range", "[", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "0", ",", "10"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "/", "2"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<Energy\>\"", ",", "\"\<Potential\>\"", ",", "\"\<RR\>\""}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{3.421783655515741*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part f", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Psi]L", "[", 
      RowBox[{"x_", ",", "aa_"}], "]"}], ",", 
     RowBox[{"\[Psi]W", "[", 
      RowBox[{"x_", ",", "aa_"}], "]"}], ",", 
     RowBox[{"\[Psi]R", "[", 
      RowBox[{"x_", ",", "aa_"}], "]"}]}], "}"}], "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Psi]L", "[", "x", "]"}], ",", 
         RowBox[{"\[Psi]W", "[", "x", "]"}], ",", 
         RowBox[{"\[Psi]R", "[", "x", "]"}]}], "}"}], " ", "/.", "ABRTrule"}],
       "/.", "kRules"}], "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", " ", 
       RowBox[{"m", "\[Rule]", "1"}], ",", 
       RowBox[{"a", "\[Rule]", "aa"}]}], "}"}]}], " ", "//", "Simplify"}]}], 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x_", ",", "a_"}], "]"}], ":=", 
  RowBox[{"Which", "[", 
   RowBox[{
    RowBox[{"x", " ", "\[LessEqual]", " ", 
     RowBox[{"-", "a"}]}], ",", " ", 
    RowBox[{"\[Psi]L", "[", 
     RowBox[{"x", ",", "a"}], "]"}], ",", 
    RowBox[{
     RowBox[{"-", "a"}], "<", "x", "\[LessEqual]", " ", "a"}], ",", " ", 
    RowBox[{"\[Psi]W", "[", 
     RowBox[{"x", ",", "a"}], "]"}], ",", 
    RowBox[{"a", "<", "x"}], ",", " ", 
    RowBox[{"\[Psi]R", "[", 
     RowBox[{"x", ",", "a"}], "]"}]}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Psi]", "[", 
       RowBox[{"x", ",", "2"}], "]"}], " ", "/.", 
      RowBox[{"{", " ", 
       RowBox[{
        RowBox[{"En", "\[Rule]", "1"}], ",", " ", 
        RowBox[{"V0", "\[Rule]", 
         RowBox[{"-", "12"}]}]}], "}"}]}], "//", "Re"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.42178366012477*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Psi]", "[", 
       RowBox[{"x", ",", "2"}], "]"}], 
      SuperscriptBox[
       RowBox[{"\[Psi]", "[", 
        RowBox[{"x", ",", "2"}], "]"}], "*"]}], " ", "//.", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"En", "\[Rule]", "1"}], ",", " ", 
       RowBox[{"V0", "\[Rule]", 
        RowBox[{"-", "12"}]}]}], "}"}]}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}]}], "]"}],
   " "}]], "Input",
 CellChangeTimes->{3.421783664209769*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part g", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"timePlot", "[", 
   RowBox[{"t_", ",", "En_", ",", "V0_"}], "]"}], ":=", "\[IndentingNewLine]",
   
  RowBox[{"Plot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "En", " ", 
            RowBox[{"t", "/", "\[HBar]"}]}]], " ", 
          RowBox[{"\[Psi]", "[", 
           RowBox[{"x", ",", "2"}], " ", "]"}]}], " ", "//", "Re"}], ",", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "En", " ", 
            RowBox[{"t", "/", "\[HBar]"}]}]], " ", 
          RowBox[{"\[Psi]", "[", 
           RowBox[{"x", ",", "2"}], "]"}]}], "//", "Im"}]}], "}"}], "//.", 
      RowBox[{"{", " ", 
       RowBox[{"\[HBar]", "\[Rule]", "1"}], "}"}]}], " ", "//", "Evaluate"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "15"}], ",", "15"}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Dashing", "[", 
          RowBox[{"{", "0.02", "}"}], "]"}], ",", 
         RowBox[{"Thickness", "[", "0.008", "]"}]}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "2"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.02", "]"}], ",", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "2"}], ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "0"}], "}"}]}], "}"}], "]"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{3.421783668499656*^9}],

Cell["\<\
 frames=1;
 V0=1.1;
 En=1;
 timestep=2 \[Pi]/(frames En);
 Do[timePlot[n timestep ,En,V0] //Print
 ,{n,1,frames}]\
\>", "Input",
 CellChangeTimes->{{3.421783740097303*^9, 3.421783741750579*^9}},
 AspectRatioFixed->True,
 AnimationDisplayTime->0.13]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 5: The One-Dimensional Harmonic Oscillator  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   FormBox[
    RowBox[{"0", "==", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"V", "-", "En"}], ")"}], " ", 
       RowBox[{"\[Psi]", "(", "x", ")"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[HBar]", "2"], " ", 
        RowBox[{
         SuperscriptBox["\[Psi]", "\[Prime]\[Prime]",
          MultilineFunction->None], "(", "x", ")"}]}], 
       RowBox[{"2", " ", "m"}]]}]}],
    TraditionalForm], " ", "/.", 
   RowBox[{"V", "\[Rule]", 
    FormBox[
     FractionBox[
      RowBox[{"k", " ", 
       SuperscriptBox["x", "2"]}], "2"],
     TraditionalForm]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"DSolve", "[", 
      RowBox[{"eq1", ",", 
       RowBox[{"\[Psi]", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], " ", "//", "PowerExpand"}], " ", "//", 
   "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "ParabolicCylinderD"}]], "Input",
 CellChangeTimes->{{3.42178396739586*^9, 3.42178397169357*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"notation", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "\[Rule]", 
      RowBox[{
       SuperscriptBox["\[Omega]", "2"], "m"}]}], ",", " ", 
     RowBox[{"En", "  ", "\[Rule]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "+", "n"}], ")"}], " ", "\[HBar]", " ", 
       "\[Omega]"}]}], ",", " ", 
     RowBox[{"\[Omega]", "\[Rule]", 
      FractionBox["\[HBar]", 
       RowBox[{"m", " ", 
        SuperscriptBox["\[Alpha]", "2"]}]]}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol", " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eq2", "[", 
      RowBox[{"[", "1", "]"}], "]"}], " ", "//.", "notation"}], "//", 
    "PowerExpand"}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]0", "[", 
   RowBox[{"x_", ",", "n_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Psi]", "[", "x", "]"}], "/.", "dsol"}], " ", "/.", 
    RowBox[{
     RowBox[{"C", "[", "2", "]"}], "\[Rule]", "0"}]}], "/.", 
   RowBox[{
    RowBox[{"C", "[", "1", "]"}], "\[Rule]", "1"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"energylevels", "=", 
  RowBox[{
   RowBox[{"En", "/.", "notation"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Omega]", "\[Rule]", 
     FormBox[
      SqrtBox[
       FractionBox["k", "m"]],
      TraditionalForm]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"energylevels", "/.", 
  RowBox[{"n", "\[Rule]", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", "3", ",", "1"}], "]"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"norm", "[", "n_", "]"}], "  ", ":=", " ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"norm", "[", "n", "]"}], "=", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Psi]0", "[", 
        RowBox[{"x", " ", ",", "n"}], "]"}], 
       RowBox[{"\[Psi]0", "[", 
        RowBox[{"x", " ", ",", "n"}], "]"}]}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
      RowBox[{"Assumptions", "\[Rule]", 
       RowBox[{"{", " ", 
        RowBox[{
         RowBox[{"\[Alpha]", ">", "0"}], " ", ",", 
         RowBox[{"Element", "[", 
          RowBox[{"n", ",", "Integers"}], "]"}]}], "}"}]}]}], " ", "]"}], "//",
     "Sqrt"}]}]}]], "Input",
 CellChangeTimes->{{3.421784017800068*^9, 3.42178402678616*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"norm", "[", "n", "]"}], " ", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.421784041671333*^9, 3.421784044965602*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Psi]", "[", 
   RowBox[{"x_", ",", "n_Integer"}], "]"}], ":=", " ", 
  FractionBox[
   RowBox[{"\[Psi]0", "[", 
    RowBox[{"x", ",", "n"}], "]"}], 
   RowBox[{"  ", 
    RowBox[{"norm", "[", "n", "]"}]}]]}]], "Input",
 CellChangeTimes->{{3.421784054718333*^9, 3.421784078578718*^9}, {
  3.421784112200028*^9, 3.421784113990333*^9}, {3.421784203243684*^9, 
  3.421784245712316*^9}, {3.421784365284427*^9, 3.421784393693558*^9}, {
  3.421784429718051*^9, 3.421784432708215*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"\[Psi]", "[", 
        RowBox[{"x", ",", "n"}], "]"}], "2"], " ", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", " ", 
      RowBox[{"Assumptions", "\[Rule]", 
       RowBox[{"{", " ", 
        RowBox[{"\[Alpha]", ">", "0"}], "}"}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "3"}], "}"}]}], "]"}], " ", "//", 
  "PowerExpand"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"table", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"\[Psi]", "[", 
      RowBox[{"x", ",", "n"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "3"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42178449481702*^9, 3.421784547611041*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"table", ",", "\[IndentingNewLine]", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", " ", 
      RowBox[{
      "\"\<\[Psi][x,0]\>\"", ",", "\"\<\[Psi][x,1]\>\"", ",", 
       "\"\<\[Psi][x,2]\>\"", ",", "\"\<\[Psi][x,3]\>\""}], "   ", "}"}], 
     "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"\[Psi]", "[", 
          RowBox[{"x", ",", "n"}], "]"}], "/", "2"}], " ", "+", "  ", "n"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "7"}], "}"}]}], "]"}], "  ", "/.", 
     RowBox[{"{", 
      RowBox[{"\[Alpha]", "\[Rule]", "1"}], "}"}]}], " ", "//", "Evaluate"}], 
   " ", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "6"}], ",", "6"}], "}"}], " ", ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"0.6", "  ", 
        RowBox[{"z", "^", "2"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Thickness", "[", ".01", "]"}]}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], "  ", "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.421783773855547*^9, {3.421784559524881*^9, 3.421784590603876*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"\[Psi]", "[", 
          RowBox[{"x", ",", "n"}], "]"}], "2"], "+", " ", "n"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "7"}], "}"}]}], "]"}], "  ", "/.", 
     RowBox[{"{", 
      RowBox[{"\[Alpha]", "\[Rule]", "1"}], "}"}]}], " ", "//", "Evaluate"}], 
   " ", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"0.6", "  ", 
        RowBox[{"z", "^", "2"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Thickness", "[", ".01", "]"}]}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], " ", "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.421783779585296*^9, {3.421784619548076*^9, 3.4217846229323*^9}}]
}, Closed]]
}, Closed]],

Cell["9.2 Three-Dimensional Schroedinger's Equation  ", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["\<\
Problem 1:  Three-Dimensional Harmonic Oscillator in Cartesian Coordinates \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 AspectRatioFixed->True],

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"Cartesian", "[", 
    RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}], ";"}]], "Input"],

Cell["\[Psi][x_,y_,z_] = X[x] Y[y] Z[z]; ", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"-", 
      SuperscriptBox["\[HBar]", "2"]}], 
     RowBox[{"2", "m"}]], " ", 
    RowBox[{"Laplacian", "[", 
     RowBox[{"\[Psi]", "[", 
      RowBox[{"x", ",", "y", ",", "z"}], "]"}], "]"}]}], "+", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Vx", "[", "x", "]"}], "+", 
      RowBox[{"Vy", "[", "y", "]"}], "+", 
      RowBox[{"Vz", "[", "z", "]"}], " ", "-", " ", "En"}], ")"}], 
    RowBox[{"\[Psi]", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"eq1", "/", 
    RowBox[{"\[Psi]", "[", 
     RowBox[{"x", ",", "y", ",", "z"}], "]"}]}], "//", 
   "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Enrule", "=", 
   RowBox[{"{", 
    RowBox[{"En", "->", 
     RowBox[{"Ex", "+", "Ey", "+", "Ez"}]}], "}"}]}], " ", ";"}]], "Input"],

Cell["\<\
select[eq_,Ei_,var_]:= Select[eq,(!FreeQ[#,var]|| !FreeQ[#,Ei ])&]\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"fieldEq", "=", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"0", "\[Equal]", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"select", "[", 
        RowBox[{
         RowBox[{"eq2", "/.", "Enrule"}], ",", "Ex", ",", "x"}], "]"}], ",", 
       "  ", 
       RowBox[{"select", "[", 
        RowBox[{
         RowBox[{"eq2", "/.", "Enrule"}], ",", "Ey", ",", "y"}], "]"}], ",", 
       RowBox[{"select", "[", 
        RowBox[{
         RowBox[{"eq2", "/.", "Enrule"}], ",", "Ez", ",", "z"}], "]"}]}], 
      "}"}]}], "//", "Thread"}]}], ";", 
  RowBox[{"fieldEq", " ", "//", "Column"}]}]], "Input",
 CellChangeTimes->{{3.42178464352425*^9, 3.421784644028895*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"potential", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Vx", "(", "x", ")"}], "\[Rule]", 
       FractionBox[
        RowBox[{"kx", " ", 
         SuperscriptBox["x", "2"]}], "2"]}], ",", 
      RowBox[{
       RowBox[{"Vy", "(", "y", ")"}], "\[Rule]", 
       FractionBox[
        RowBox[{"ky", " ", 
         SuperscriptBox["y", "2"]}], "2"]}], ",", 
      RowBox[{
       RowBox[{"Vz", "(", "z", ")"}], "\[Rule]", 
       FractionBox[
        RowBox[{"kz", " ", 
         SuperscriptBox["z", "2"]}], "2"]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"xEq", ",", "yEq", ",", "zEq"}], "}"}], "=", 
   RowBox[{"fieldEq", "/.", "potential"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{"xEq", ",", "yEq", ",", "zEq"}], "}"}], "//", "Column"}]}], "Input",\

 CellChangeTimes->{{3.421784647993554*^9, 3.421784648489631*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"notation", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"kx", "\[Rule]", 
       RowBox[{"m", " ", 
        SuperscriptBox["\[Omega]x", "2"]}]}], ",", 
      RowBox[{"Ex", "\[Rule]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"nx", "+", 
          FractionBox["1", "2"]}], ")"}], " ", "\[Omega]x", " ", 
        "\[HBar]"}]}], ",", 
      RowBox[{"\[Omega]x", "\[Rule]", 
       FractionBox["\[HBar]", 
        RowBox[{"m", " ", 
         SuperscriptBox["\[Alpha]x", "2"]}]]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"?", "ParabolicCylinderD"}]], "Input",
 CellChangeTimes->{{3.421784814041642*^9, 3.421784817928372*^9}}],

Cell[BoxData[
 RowBox[{"xSol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{"xEq", "//.", "notation"}], ",", 
      RowBox[{"X", "[", "x", "]"}], ",", "x"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "//", "Simplify"}]}]], "Input"],

Cell["\<\
Patch : We' ll just set X = to ParabolicCylinderD and compute the \
normalization directly\
\>", "Subsubsection",
 CellChangeTimes->{{3.421843680642096*^9, 3.421843704124332*^9}}],

Cell[BoxData[
 RowBox[{"?", "ParabolicCylinderD"}]], "Input",
 CellChangeTimes->{{3.421784957867494*^9, 3.421784962370536*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "norm", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"norm", "[", "n_Integer", "]"}], ":=", 
  RowBox[{
   RowBox[{"norm", "[", "n", "]"}], "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ParabolicCylinderD", "[", 
         RowBox[{"n", ",", "x"}], "]"}], "^", "2"}], "   ", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}]}], "]"}], 
     " ", "//", "Sqrt"}], ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.421784929929903*^9, 3.421784940190769*^9}, {
   3.421785056443412*^9, 3.421785061014754*^9}, {3.421785179003109*^9, 
   3.421785192886702*^9}, {3.421785250424223*^9, 3.42178525799565*^9}, {
   3.42178530206317*^9, 3.421785305138968*^9}, {3.421785446503737*^9, 
   3.42178548829458*^9}, {3.421785616048571*^9, 3.421785619928719*^9}, {
   3.421785811162026*^9, 3.421785825928299*^9}, {3.421786028038466*^9, 
   3.421786076884897*^9}, 3.421786132056605*^9, {3.421786167549133*^9, 
   3.421786225339704*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"norm", "[", "i", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42178550059003*^9, 3.421785510168159*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"X", "[", 
   RowBox[{"x_", ",", "nx_"}], "]"}], " ", "=", 
  FractionBox[
   RowBox[{"ParabolicCylinderD", "[", 
    RowBox[{"nx", ",", "x"}], "]"}], 
   RowBox[{"norm", "[", "nx", "]"}]]}]], "Input",
 CellChangeTimes->{{3.421785542976463*^9, 3.42178558168273*^9}, {
   3.421785655020363*^9, 3.421785676603751*^9}, 3.421785715786316*^9, {
   3.421785789041994*^9, 3.421785791708646*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", " ", 
   RowBox[{
    RowBox[{"Integrate", "[", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"X", "[", 
        RowBox[{"x", ",", "nx"}], "]"}], "2"], "  ", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "\[Infinity]"}], ",", "\[Infinity]"}], "}"}], ",", 
      RowBox[{"GenerateConditions", "\[Rule]", "False"}]}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"nx", ",", "0", ",", "5"}], "}"}]}], "]"}], "//", "PowerExpand", 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Y", "[", 
   RowBox[{"y_", ",", "ny_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"X", "[", 
    RowBox[{"y", ",", "ny"}], "]"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]x", "\[Rule]", "\[Alpha]y"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "[", 
   RowBox[{"z_", ",", "nz_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"X", "[", 
    RowBox[{"z", ",", "nz"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]x", "\[Rule]", "\[Alpha]z"}], "}"}]}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[Alpha]Rule", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Alpha]x", "\[Rule]", "1"}], ",", " ", 
     RowBox[{"\[Alpha]y", "\[Rule]", "1"}]}], "}"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"wavePlot", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"X", "[", 
       RowBox[{"x", ",", "3"}], "]"}], " ", 
      RowBox[{"Y", "[", 
       RowBox[{"y", ",", "2"}], "]"}]}], "/.", "\[Alpha]Rule"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "35"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421786278237317*^9, 3.421786279810451*^9}}],

Cell[BoxData[
 RowBox[{"vPlot", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"0.15", " ", 
      RowBox[{"(", 
       FormBox[
        RowBox[{
         SuperscriptBox["x", "2"], "+", 
         SuperscriptBox["y", "2"]}],
        TraditionalForm], ")"}]}], "-", "2"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotPoints", "\[Rule]", "35"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421786286302054*^9, 3.421786287322221*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"{", 
   RowBox[{"vPlot", ",", "wavePlot"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{3.421784658337756*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Problem 2:  Schroedinger's Equation for Spherically Symmetric Potentials \
\>", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}]], "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Part a ",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"Spherical", "[", 
    RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "]"}], 
  ";"}]], "Input"],

Cell["\[Psi][r,\[Theta],\[Phi]] =R[r] \[CapitalTheta][\[Theta]] \
\[CapitalPhi][\[Phi]];", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq1", "=", " ", 
  RowBox[{
   RowBox[{
    FormBox[
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox["\[HBar]", "2"], 
       RowBox[{"2", " ", "m"}]]}],
     TraditionalForm], "  ", 
    RowBox[{"Laplacian", "[", 
     RowBox[{"\[Psi]", "[", 
      RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}], "]"}]}], "+", " ",
    
   RowBox[{
    RowBox[{"(", 
     RowBox[{"V", " ", "-", " ", "En"}], ")"}], 
    RowBox[{"\[Psi]", "[", 
     RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"eq1", " ", 
    FormBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       RowBox[{
        SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}], 
      RowBox[{"\[Psi]", "[", 
       RowBox[{"r", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]],
     TraditionalForm]}], "//", "ExpandAll"}]}]], "Input"],

Cell["select[eq_,var_]:= Select[eq,(!FreeQ[#,var])&]", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"select", "[", 
    RowBox[{"eq2", ",", "\[Phi]"}], "]"}], "\[Equal]", 
   FormBox[
    FractionBox[
     RowBox[{" ", 
      RowBox[{
       SuperscriptBox["\[HBar]", "2"], 
       SuperscriptBox["m\[Phi]", "2"]}]}], 
     RowBox[{"2", " ", "m"}]],
    TraditionalForm]}]}]], "Input"],

Cell["\<\
\[Phi]Eq=Solve[eq3,\[CapitalPhi]''[\[Phi]] ][[1,1]] /.Rule->Equal\
\>", "Input",
 AspectRatioFixed->True],

Cell["eq4=DSolve[\[Phi]Eq,\[CapitalPhi][\[Phi]],\[Phi]][[1]] ", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eq4", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"C", "[", "1", "]"}], "\[Rule]", "1"}], ",", " ", 
        RowBox[{
         RowBox[{"C", "[", "2", "]"}], "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"I", ",", 
           RowBox[{"-", "I"}]}], "}"}]}]}], "}"}]}], "//", 
     RowBox[{
      RowBox[{"MapAll", "[", 
       RowBox[{"TrigToExp", ",", "#"}], "]"}], "&"}]}], " ", "//", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{"Thread", ",", "#", ",", "2"}], "]"}], "&"}]}], " ", "//", 
   "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"       ", 
  RowBox[{
   RowBox[{"\[Phi]Rule", "=", 
    RowBox[{
     RowBox[{"\[CapitalPhi]", "[", "\[Phi]", "]"}], "\[Rule]", 
     FormBox[
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"\[ImaginaryI]", " ", "m\[Phi]", " ", "\[Phi]"}]],
      TraditionalForm]}]}], ";"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Part b",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq5", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"eq2", "/.", 
      RowBox[{"(", 
       RowBox[{"\[Phi]Eq", "/.", 
        RowBox[{"Equal", "\[Rule]", "Rule"}]}], " ", ")"}]}], ")"}], "/", 
    SuperscriptBox[
     RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}], "//", "Expand", 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq6", "=", 
  RowBox[{
   RowBox[{"select", "[", 
    RowBox[{"eq5", ",", "r"}], "]"}], "\[Equal]", 
   FormBox[
    RowBox[{"-", 
     FractionBox[
      RowBox[{"\[ScriptL]", " ", 
       RowBox[{"(", 
        RowBox[{"\[ScriptL]", "+", "1"}], ")"}], " ", 
       SuperscriptBox["\[HBar]", "2"]}], 
      RowBox[{"2", " ", "m"}]]}],
    TraditionalForm]}]}]], "Input"],

Cell["\<\
rEq= Solve[eq6,R''[r] ][[1,1]] /. Rule->Equal // ExpandAll    \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"eq7", "=", " ", 
  RowBox[{
   RowBox[{"select", "[", 
    RowBox[{"eq5", ",", "\[Theta]"}], "]"}], "\[Equal]", " ", 
   FormBox[
    FractionBox[
     RowBox[{"\[ScriptL]", " ", 
      RowBox[{"(", 
       RowBox[{"\[ScriptL]", "+", "1"}], ")"}], " ", 
      SuperscriptBox["\[HBar]", "2"]}], 
     RowBox[{"2", " ", "m"}]],
    TraditionalForm]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Theta]Eq", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"eq7", ",", 
       RowBox[{
        RowBox[{"\[CapitalTheta]", "''"}], "[", "\[Theta]", "]"}]}], "]"}], 
     "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1"}], "]"}], "]"}], " ", "/.", 
    RowBox[{"Rule", "\[Rule]", "Equal"}]}], "//", "ExpandAll", 
   " "}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Part c",
 StyleBox[" ",
  FontColor->RGBColor[0, 1, 0]]
}], "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vChange", "[", " ", 
   RowBox[{"Eq_", ",", "\[Psi]_", ",", "x_", ",", "z_", ",", "f_"}], "]"}], ":=",
   " ", 
  RowBox[{"Eq", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"\[Psi]", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "n_"}], "}"}]}], "]"}], "\[RuleDelayed]", 
      "\[IndentingNewLine]", 
      RowBox[{"Nest", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "/", 
             RowBox[{"D", "[", 
              RowBox[{"f", ",", "z"}], "]"}]}], ")"}], "  ", 
           RowBox[{"D", "[", 
            RowBox[{"#", ",", "z"}], "]"}]}], ")"}], "&"}], ",", 
        RowBox[{"\[Psi]", "[", "z", "]"}], ",", "n"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"\[Psi]", "[", "x", "]"}], "\[RuleDelayed]", 
      RowBox[{"\[Psi]", "[", "z", "]"}]}], ",", 
     RowBox[{"x", "\[RuleDelayed]", "f"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq8", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"vChange", "[", 
     RowBox[{
     "\[Theta]Eq", ",", "\[CapitalTheta]", ",", "\[Theta]", ",", "z", ",", 
      RowBox[{"ArcCos", "[", "z", "]"}]}], "]"}], " ", "//", "ExpandAll"}], "//",
    " ", "Simplify", "  "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq9", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{"eq8", " ", ",", 
     RowBox[{"\[CapitalTheta]", "[", "z", "]"}], " ", ",", "z"}], "]"}], "//",
    "Flatten"}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"LegendreQ", "[", 
   RowBox[{"2", " ", ",", "1", ",", "z"}], "]"}], " "}]], "Input"],

Cell[BoxData[
 RowBox[{"\[Theta]Rule", "=", 
  RowBox[{
   RowBox[{"eq9", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"C", "[", "1", "]"}], "\[Rule]", "1"}], ",", " ", 
      RowBox[{
       RowBox[{"C", "[", "2", "]"}], "\[Rule]", "0"}]}], "}"}]}], " ", "//", 
   "Simplify"}]}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part d", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"norm", "[", 
       RowBox[{"\[ScriptL]", ",", "m"}], "]"}], "  ", 
      RowBox[{"\[CapitalTheta]", "[", "z", "]"}], " ", 
      RowBox[{"\[CapitalPhi]", "[", "\[Phi]", "]"}]}], " ", "/.", 
     "\[Theta]Rule"}], "/.", "\[Phi]Rule"}], "/.", " ", 
   RowBox[{"z", "\[Rule]", 
    RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "/.", 
  RowBox[{"m\[Phi]", "\[Rule]", "m", " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"norm", "[", 
    RowBox[{"\[ScriptL]_", ",", "m_"}], "]"}], "=", 
   FormBox[
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", 
       SqrtBox["\[Pi]"]}]], " ", 
     SqrtBox[
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "\[ScriptL]"}], "+", "1"}], ")"}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[ScriptL]", "-", "m"}], ")"}], "!"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"m", "+", "\[ScriptL]"}], ")"}], "!"}]]]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Y", "[", 
   RowBox[{"\[ScriptL]_", ",", "m_", ",", "\[Theta]_", ",", "\[Phi]_"}], 
   "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"norm", "[", 
        RowBox[{"\[ScriptL]", ",", "m"}], "]"}], " ", 
       RowBox[{"\[CapitalTheta]", "[", "z", "]"}], " ", 
       RowBox[{"\[CapitalPhi]", "[", "\[Phi]", "]"}]}], " ", "/.", 
      "\[Theta]Rule"}], "/.", "\[Phi]Rule"}], "/.", " ", 
    RowBox[{"z", "\[Rule]", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], "/.", 
   RowBox[{"m\[Phi]", "\[Rule]", "m", " "}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Table", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"SphericalHarmonicY", "[", 
       RowBox[{"\[ScriptL]", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], 
       "]"}], "==", 
      RowBox[{"Y", "[", 
       RowBox[{"\[ScriptL]", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], 
       "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptL]", ",", "0", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", 
       RowBox[{"-", "\[ScriptL]"}], ",", "\[ScriptL]"}], "}"}]}], "]"}], "//",
    "Simplify"}], "//", "PowerExpand", "  "}]], "Input"]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 3: Particle in an Infinite, Spherical Well ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Figure Goes Here", "SmallText",
 CellFrame->True,
 Background->GrayLevel[0.849989]],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input",
 CellChangeTimes->{
  3.421786413267706*^9, {3.421786511966186*^9, 3.421786515575443*^9}, 
   3.421786684501021*^9},
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"rEq", "=", 
  RowBox[{
   RowBox[{"0", "==", 
    FormBox[
     RowBox[{
      FractionBox[
       RowBox[{"2", " ", "m", " ", 
        RowBox[{"R", "(", "r", ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"En", "-", 
          RowBox[{"V", "(", "r", ")"}]}], ")"}], " ", 
        SuperscriptBox["r", "2"]}], 
       SuperscriptBox["\[HBar]", "2"]], "+", 
      RowBox[{
       RowBox[{
        SuperscriptBox["R", "\[Prime]\[Prime]",
         MultilineFunction->None], "(", "r", ")"}], " ", 
       SuperscriptBox["r", "2"]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{
        SuperscriptBox["R", "\[Prime]",
         MultilineFunction->None], "(", "r", ")"}], " ", "r"}], "-", 
      RowBox[{"\[ScriptL]", " ", 
       RowBox[{"(", 
        RowBox[{"\[ScriptL]", "+", "1"}], ")"}], " ", 
       RowBox[{"R", "(", "r", ")"}]}]}],
     TraditionalForm]}], " ", "/.", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"V", "(", "r", ")"}], "\[Rule]", "0"}], ",", 
      RowBox[{"En", "\[Rule]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["k", "2"], " ", 
         SuperscriptBox["\[HBar]", "2"]}], 
        RowBox[{"2", " ", "m"}]]}]}], "}"}],
    TraditionalForm]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{"rEq", " ", ",", 
      RowBox[{"R", "[", "r", "]"}], ",", "r"}], "]"}], "//", "Flatten"}], "//",
    "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"R", "[", 
   RowBox[{"r_", ",", "\[ScriptL]_", ",", 
    RowBox[{"k_:", "1"}]}], "]"}], " ", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "[", "r", "]"}], " ", "/.", "dsol"}], " ", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"C", "[", "1", "]"}], "\[Rule]", 
      SqrtBox[
       RowBox[{"1", "+", 
        RowBox[{"2", "\[ScriptL]"}]}]]}], ",", " ", 
     RowBox[{
      RowBox[{"C", "[", "2", "]"}], "\[Rule]", "0"}]}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Integrate", "[", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"R", "[", 
     RowBox[{"r", ",", "\[ScriptL]", ",", "k"}], "]"}], "^", "2"}], " ", ",", 
   
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "\[Infinity]"}], "}"}], " ", ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"k", ">", "0"}], ",", 
      RowBox[{"\[ScriptL]", ">", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}]}]}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TableForm", "[", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"R", "[", 
        RowBox[{"r", ",", "#", ",", "k"}], "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "3"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"TableHeadings", "\[Rule]", 
      RowBox[{"{", " ", 
       RowBox[{"{", " ", 
        RowBox[{
        "\"\<\[ScriptL]=0\>\"", ",", "\"\<\[ScriptL]=1\>\"", ",", 
         "\"\<\[ScriptL]=2\>\"", ",", "\"\<\[ScriptL]=3\>\""}], "  ", "}"}], 
       "}"}]}]}], " ", "]"}], " ", "//", "Simplify"}], "//", 
  "PowerExpand"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"?", "BesselJZero"}]], "Input",
 CellChangeTimes->{{3.421786701283912*^9, 3.4217867064061*^9}}],

Cell[BoxData[
 RowBox[{"zeros", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"N", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"BesselJZero", "[", 
         RowBox[{
          RowBox[{
           FractionBox["1", "2"], "+", "#1"}], ",", "i"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "5"}], "}"}]}], "]"}], "]"}], "&"}], ")"}], "/@", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", "4"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.421786764556403*^9, 3.421786800801984*^9}}],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{"zeros", ",", " ", 
   RowBox[{"TableSpacing", "\[Rule]", " ", "1"}], " ", ",", "   ", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<S-Wave\>\"", ",", "\"\<P-Wave\>\"", ",", "\"\<D-Wave\>\"", ",", 
        "\"\<F-Wave\>\"", ",", "\"\<G-Wave\>\""}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
       "\"\<First\>\"", ",", "\"\<Second\>\"", ",", "\"\<Third\>\"", ",", 
        "\"\<Fourth\>\"", ",", "\"\<Fifth\>\""}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"levels", "=", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"i", "-", "0.4"}], ",", 
         RowBox[{"zeros", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"i", "+", "0.4"}], ",", 
         RowBox[{"zeros", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "zeros", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", 
       RowBox[{"Length", "[", 
        RowBox[{"zeros", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], " ", 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
        RowBox[{"Map", "[", 
         RowBox[{"Line", ",", "levels", ",", 
          RowBox[{"{", "2", "}"}]}], "]"}]}], "}"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<S\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<P\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<D\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<F\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"4", ",", "1"}], "}"}]}], "]"}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"Text", "[", 
       RowBox[{"\"\<G\>\"", ",", 
        RowBox[{"{", 
         RowBox[{"5", ",", "1"}], "}"}]}], "]"}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "5.9"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "25"}], "}"}]}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.421786439605433*^9, {3.42178684419174*^9, 3.421786872365869*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"R", "[", 
       RowBox[{"r", ",", "0", ",", "k"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{"k", "\[Rule]", 
        RowBox[{"(", 
         RowBox[{"zeros", "[", 
          RowBox[{"[", 
           RowBox[{"0", "+", "1"}], "]"}], "]"}], ")"}]}], "}"}]}], 
     "\[IndentingNewLine]", "                ", "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"r", ",", " ", "0", " ", ",", "1"}], "}"}], ",", "  ", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.01", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.02", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", ".03", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", ".05", "}"}], "]"}]}], "}"}]}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"StyleForm", "[", 
      RowBox[{"\"\<\[Psi]\>\"", ",", 
       RowBox[{"FontSize", "\[Rule]", "14"}]}], "]"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLegend", "\[Rule]", "  ", 
     RowBox[{"{", 
      RowBox[{"k1", ",", "k2", ",", "k3", ",", "k4", ",", "k5"}], "}"}]}], 
    "  ", ",", "\[IndentingNewLine]", 
    RowBox[{"LegendPosition", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"\"\<S(\[ScriptL]=0)-State\>\"", ",", 
         RowBox[{"FontSize", "\[Rule]", "14"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.6", ",", "2"}], "}"}]}], "]"}]}]}], " ", 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.421786458224111*^9, 3.421786462785968*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rPlots", "=", "\[IndentingNewLine]", 
   RowBox[{"Table", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Plot", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"R", "[", 
         RowBox[{"r", ",", "\[ScriptL]", ",", 
          RowBox[{"zeros", "[", 
           RowBox[{"[", 
            RowBox[{
             RowBox[{
              RowBox[{"+", "1"}], "+", "\[ScriptL]"}], ",", "n"}], "]"}], 
           "]"}]}], "]"}], "//", "Evaluate"}], ",", 
       RowBox[{"{", 
        RowBox[{"r", ",", "0.01", ",", "1"}], "}"}], ",", " ", 
       RowBox[{"Ticks", "\[Rule]", "None"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", "All"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"n", ",", "\[ScriptL]"}], "}"}]}]}], "\[IndentingNewLine]", 
      "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptL]", ",", "0", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.421786890021885*^9, 3.421786890654665*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", "rPlots", "]"}]], "Input",
 CellChangeTimes->{{3.421786894311901*^9, 3.421786897027191*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem 4: Particle in a Finite, Spherical Well  ", "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Figure Goes Here", "SmallText",
 CellFrame->True,
 Background->GrayLevel[0.849989]],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input",
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"rEq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", 
     FormBox[
      RowBox[{
       RowBox[{
        SuperscriptBox["k", "2"], " ", 
        RowBox[{"R", "(", "r", ")"}], " ", 
        SuperscriptBox["r", "2"]}], "+", 
       RowBox[{
        RowBox[{
         SuperscriptBox["R", "\[Prime]\[Prime]",
          MultilineFunction->None], "(", "r", ")"}], " ", 
        SuperscriptBox["r", "2"]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         SuperscriptBox["R", "\[Prime]",
          MultilineFunction->None], "(", "r", ")"}], " ", "r"}], "-", 
       RowBox[{"\[ScriptL]", " ", 
        RowBox[{"(", 
         RowBox[{"\[ScriptL]", "+", "1"}], ")"}], " ", 
        RowBox[{"R", "(", "r", ")"}]}]}],
      TraditionalForm]}], " ", "/.", 
    RowBox[{"En", "\[Rule]", 
     RowBox[{"-", "Wn"}]}]}], "/.", 
   RowBox[{"V", "\[Rule]", 
    RowBox[{"-", "V0"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"rRule", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"DSolve", "[", 
     RowBox[{"rEq", " ", ",", 
      RowBox[{"R", "[", "r", "]"}], ",", "r"}], "]"}], " ", "//", "Flatten"}],
    "//", "ExpandAll"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"kRule", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"kIn", "\[Rule]", 
       FractionBox[
        RowBox[{
         SqrtBox["2"], " ", 
         SqrtBox["m"], " ", 
         SqrtBox[
          RowBox[{"V0", "-", "Wn"}]]}], "\[HBar]"]}], ",", 
      RowBox[{"kOut", "\[Rule]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         SqrtBox["2"], " ", 
         SqrtBox["m"], " ", 
         SqrtBox["Wn"]}], "\[HBar]"]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Series", "[", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"R", "[", "r", "]"}], "/.", "rRule"}], "/.", 
       RowBox[{"\[ScriptL]", "\[Rule]", "#"}]}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"r", ",", "0", ",", "1"}], "}"}]}], "]"}], "&"}], "  ", "/@", 
   "  ", 
   RowBox[{"Range", "[", 
    RowBox[{"0", ",", "3"}], "]"}]}], "//", "Column"}]], "Input",
 CellChangeTimes->{{3.421786917795228*^9, 3.421786918356582*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"waveIn", "[", 
   RowBox[{"kIn_", ",", "\[ScriptL]_", ",", "r_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"R", "[", "r", "]"}], "/.", "rRule"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"C", "[", "1", "]"}], "\[Rule]", "cIn"}], ",", 
       RowBox[{
        RowBox[{"C", "[", "2", "]"}], "\[Rule]", "0"}], ",", 
       RowBox[{"k", "\[Rule]", "kIn"}]}], "}"}]}], "//", "Simplify"}], "//", 
   "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"waveIn", "[", 
        RowBox[{"kIn", " ", ",", "#", ",", "r"}], " ", "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "3"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"TableHeadings", "\[Rule]", 
      RowBox[{"{", " ", 
       RowBox[{"{", " ", 
        RowBox[{
        "\"\<\[ScriptL]=0\>\"", ",", "\"\<\[ScriptL]=1\>\"", ",", 
         "\"\<\[ScriptL]=2\>\"", ",", "\"\<\[ScriptL]=3\>\""}], "  ", "}"}], 
       "}"}]}]}], " ", "]"}], " ", "//", "Simplify"}], "//", 
  "PowerExpand"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"R", "[", "r", "]"}], "/.", "rRule"}], "/.", 
    RowBox[{"k", " ", "\[Rule]", 
     RowBox[{"I", " ", "qOut"}]}]}], "//", "PowerExpand"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"eq1", "/.", 
      RowBox[{"\[ScriptL]", "\[Rule]", "0"}]}], "//", "TrigToExp"}], "//", 
    "Simplify"}], "//", "PowerExpand"}], "//", 
  RowBox[{
   RowBox[{"Collect", "[", 
    RowBox[{"#", ",", 
     RowBox[{"{", " ", 
      RowBox[{"Exp", "[", "a_", "]"}], "  ", "}"}]}], "]"}], "&"}], 
  " "}]], "Input"],

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"eq1", "/.", 
   RowBox[{
    RowBox[{"C", "[", "2", "]"}], "\[Rule]", 
    RowBox[{"1", " ", 
     RowBox[{"C", "[", "1", "]"}], " "}]}]}]}]], "Input"],

Cell["\<\
waveOut[qOut_,\[ScriptL]_,r_]= eq1 /.rRule /.{C[1]\[Rule] cOut,C[2]\[Rule] +I \
cOut} \
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"waveOut", "[", 
           RowBox[{"qOut", " ", ",", "#", ",", "r"}], " ", "]"}], "//", 
          "TrigToExp"}], " ", "//", "Simplify"}], "//", "PowerExpand"}], "  ",
        ")"}], "&"}], "/@", 
     RowBox[{"Range", "[", 
      RowBox[{"0", ",", "3"}], "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"TableHeadings", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"{", " ", 
       RowBox[{
       "\"\<\[ScriptL]=0\>\"", ",", "\"\<\[ScriptL]=1\>\"", ",", 
        "\"\<\[ScriptL]=2\>\"", ",", "\"\<\[ScriptL]=3\>\""}], "  ", "}"}], 
      "}"}]}]}], " ", "]"}], "  "}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"bc1", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"waveIn", "[", 
      RowBox[{"kIn", ",", "\[ScriptL]", ",", "r"}], "]"}], "\[Equal]", 
     RowBox[{"waveOut", "[", 
      RowBox[{"qOut", ",", "\[ScriptL]", ",", "r"}], "]"}]}], ")"}], "//.", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", "a"}], "}"}], " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{"cOutRule", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{"bc1", ",", "cOut"}], "]"}], "/.", 
     RowBox[{"cIn", "\[Rule]", "1"}]}], " ", "//", "Flatten"}], "//", 
   "Simplify"}]}]], "Input"],

Cell["\<\
bc2= (D[waveIn[kIn,\[ScriptL],r],r] == D[waveOut[qOut,\[ScriptL],r],r]) \
//.{r->a}//Simplify;\
\>", "Input",
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"allRules", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"kIn", "\[Rule]", 
       FractionBox[
        RowBox[{
         SqrtBox["2"], " ", 
         SqrtBox[
          RowBox[{"m", " ", 
           RowBox[{"(", 
            RowBox[{"V0", "-", "Wn"}], ")"}]}]]}], "\[HBar]"]}], ",", 
      RowBox[{"qOut", "\[Rule]", 
       RowBox[{
        SqrtBox["2"], " ", 
        SqrtBox[
         FractionBox[
          RowBox[{"m", " ", "Wn"}], 
          SuperscriptBox["\[HBar]", "2"]]]}]}], ",", "  ", "cOutRule", ",", 
      " ", 
      RowBox[{"\[HBar]", "\[Rule]", "1"}], ",", 
      RowBox[{"a", "\[Rule]", "1"}], ",", 
      RowBox[{"m", "\[Rule]", "1"}], ",", 
      RowBox[{"V0", "\[Rule]", "110"}], ",", 
      RowBox[{"cIn", "\[Rule]", "1"}]}], "}"}], "//", "Flatten"}]}], " ", 
  ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"bc2Sol", "[", "\[ScriptL]_", "]"}], "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"bc2", "//.", "cOutRule"}], "/.", 
       RowBox[{"cIn", "\[Rule]", "1"}]}], "//.", "allRules"}], " ", "//.", 
     "allRules"}], " ", "//", "Simplify"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{"bc2Sol", "[", "0", "]"}], "//", "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.42178726193025*^9, 3.421787262615901*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"eq3", "[", 
     RowBox[{"[", "1", "]"}], "]"}], " ", "//", "Evaluate"}], ",", 
   RowBox[{"{", 
    RowBox[{"Wn", ",", "0", ",", "110"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.421786932884848*^9}],

Cell[BoxData[
 RowBox[{"sValues", "=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"FindRoot", "[", " ", 
     RowBox[{"eq3", " ", ",", 
      RowBox[{"{", 
       RowBox[{"Wn", ",", "#"}], "}"}]}], "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{"10", ",", "40", ",", "70", ",", "90"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"eq4", " ", "=", " ", 
   RowBox[{
    RowBox[{"bc2Sol", "[", "1", "]"}], " ", "//", "FullSimplify", 
    "  "}]}]}]], "Input",
 CellChangeTimes->{{3.421787316909504*^9, 3.42178732151681*^9}}],

Cell[BoxData[
 RowBox[{"eq5", "=", " ", 
  RowBox[{
   RowBox[{"bc2Sol", "[", "2", "]"}], " ", "//", "FullSimplify", 
   " "}]}]], "Input",
 CellChangeTimes->{{3.421787326779645*^9, 3.421787328597094*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"eq4", "[", 
       RowBox[{"[", "1", "]"}], "]"}], ",", 
      RowBox[{"eq5", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "//", "Evaluate"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"Wn", ",", "0", ",", "110"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{"Dashing", "[", 
       RowBox[{"{", "0.01", "}"}], "]"}]}], "}"}]}]}], " ", "]"}]], "Input",
 CellChangeTimes->{3.421786939999734*^9}],

Cell[BoxData[
 RowBox[{"pValues", "=", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{"FindRoot", "[", " ", 
     RowBox[{"eq4", " ", ",", 
      RowBox[{"{", 
       RowBox[{"Wn", ",", "#"}], "}"}]}], "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{"20", ",", "60", ",", "80", ",", "100"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"dValues", "=", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{"FindRoot", "[", " ", 
     RowBox[{"eq5", ",", 
      RowBox[{"{", 
       RowBox[{"Wn", ",", "#"}], "}"}]}], "]"}], "&"}], "  ", "/@", "  ", 
   RowBox[{"{", 
    RowBox[{"10", ",", "40", ",", "70", ",", "90"}], "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"TableForm", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"sValues", ",", "pValues", ",", "dValues"}], "}"}], ",", " ", 
   RowBox[{"TableSpacing", "\[Rule]", " ", "1"}], " ", ",", "   ", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<S-Wave\>\"", ",", "\"\<P-Wave\>\"", ",", "\"\<D-Wave\>\""}], "  ",
        "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<First\>\"", ",", "\"\<Second\>\"", ",", "\"\<Third\>\"", ",", 
        "\"\<Fourth\>\""}], " ", "}"}]}], "}"}]}]}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"in", "[", 
      RowBox[{"r_", ",", "\[ScriptL]_", ",", "Wn_"}], "]"}], ",", 
     RowBox[{"out", "[", 
      RowBox[{"r_", ",", "\[ScriptL]_", ",", "Wn_"}], "]"}]}], "}"}], "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"waveIn", "[", 
       RowBox[{"kIn", ",", "\[ScriptL]", ",", "r"}], "]"}], ",", 
      RowBox[{"waveOut", "[", 
       RowBox[{"qOut", ",", "\[ScriptL]", ",", "r"}], "]"}]}], "}"}], "//.", 
    "allRules"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"wave", "[", 
     RowBox[{"r_", ",", "\[ScriptL]_", ",", "Wn_"}], "]"}], "=", 
    RowBox[{"Which", "[", 
     RowBox[{
      RowBox[{"r", "\[LessEqual]", "1"}], " ", ",", 
      RowBox[{"in", "[", 
       RowBox[{"r", ",", "\[ScriptL]", ",", "Wn"}], "]"}], ",", 
      RowBox[{"r", ">", "1"}], " ", ",", 
      RowBox[{"out", "[", 
       RowBox[{"r", ",", "\[ScriptL]", ",", "Wn"}], "]"}]}], "]"}]}], 
   ";"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Plot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"wave", "[", 
        RowBox[{"r", ",", "0", ",", "Wn"}], "]"}], " ", "/.", "sValues"}], 
      " ", "//", "Re"}], "//", "Evaluate"}], " ", ",", "\[IndentingNewLine]", 
    
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1.3"}], "}"}], ",", " ", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.01", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.02", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", ".03", "}"}], "]"}]}], "}"}]}], ",", " ", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLegend", "\[Rule]", " ", 
     RowBox[{"Evaluate", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Wn", "/.", 
         RowBox[{"sValues", "[", 
          RowBox[{"[", "#", "]"}], "]"}]}], "&"}], "/@", 
       RowBox[{"Range", "[", "4", "]"}]}], "]"}]}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"LegendPosition", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "3"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}]}]}], "]"}], 
  " "}]], "Input",
 CellChangeTimes->{3.421786946492724*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"wave", "[", 
        RowBox[{"r", ",", "1", ",", "Wn"}], "]"}], " ", "/.", "pValues"}], "//",
       "Re"}], "//", "Evaluate"}], "    ", ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1.3"}], "}"}], ",", " ", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.01", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.02", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", ".03", "}"}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLegend", "\[Rule]", " ", 
     RowBox[{"Evaluate", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Wn", "/.", 
         RowBox[{"pValues", "[", 
          RowBox[{"[", "#", "]"}], "]"}]}], "&"}], "/@", 
       RowBox[{"Range", "[", "4", "]"}]}], "]"}]}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"LegendPosition", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "3"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{3.421786952143851*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Plot", "[", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"wave", "[", 
        RowBox[{"r", ",", "2", ",", "Wn"}], "]"}], " ", "/.", "dValues"}], "//",
       "Re"}], "//", "Evaluate"}], "    ", ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0", ",", "1.3"}], "}"}], ",", " ", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.01", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.02", "}"}], "]"}], ",", 
       RowBox[{"Dashing", "[", 
        RowBox[{"{", "0.03", "}"}], "]"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLegend", "\[Rule]", " ", 
     RowBox[{"Evaluate", "[", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Wn", "/.", 
         RowBox[{"dValues", "[", 
          RowBox[{"[", "#", "]"}], "]"}]}], "&"}], "/@", 
       RowBox[{"Range", "[", "3", "]"}]}], "]"}]}], " ", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"LegendPosition", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], ",", "\[IndentingNewLine]",
     
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", 
          RowBox[{"-", "3"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}]}], "}"}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{3.421786958755363*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Problem 5: The Hydrogen Atom in Spherical Coordinates",
 StyleBox[" ",
  FontColor->RGBColor[1, 0, 0]]
}], "Subsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Required Packages", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell[CellGroupData[{

Cell["Solution", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Clear[\"Global`*\"];", "Input",
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part a", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"0", "\[Equal]", 
     FormBox[
      RowBox[{
       FractionBox[
        RowBox[{"2", " ", "m", " ", 
         RowBox[{"R", "(", "r", ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"En", "-", 
           RowBox[{"V", "(", "r", ")"}]}], ")"}], " ", 
         SuperscriptBox["r", "2"]}], 
        SuperscriptBox["\[HBar]", "2"]], "+", 
       RowBox[{
        RowBox[{
         SuperscriptBox["R", "\[Prime]\[Prime]",
          MultilineFunction->None], "(", "r", ")"}], " ", 
        SuperscriptBox["r", "2"]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{
         SuperscriptBox["R", "\[Prime]",
          MultilineFunction->None], "(", "r", ")"}], " ", "r"}], "-", 
       RowBox[{"\[ScriptL]", " ", 
        RowBox[{"(", 
         RowBox[{"\[ScriptL]", "+", "1"}], ")"}], " ", 
        RowBox[{"R", "(", "r", ")"}]}]}],
      TraditionalForm]}], "/.", 
    RowBox[{
     RowBox[{"V", "[", "r", "]"}], "\[Rule]", 
     FormBox[
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["e", "2"], 
        RowBox[{"4", " ", "\[Pi]", " ", "r", " ", "\[Epsilon]0"}]]}],
      TraditionalForm]}]}], "/.", 
   RowBox[{"En", "\[Rule]", 
    RowBox[{"-", "Wn"}]}]}]}]], "Input"],

Cell["eq2=DSolve[eq1,{R[r]},r][[1]] //Simplify", "Input",
 CellChangeTimes->{{3.421787450243723*^9, 3.421787456914858*^9}, {
  3.421787491422134*^9, 3.421787491966298*^9}},
 AspectRatioFixed->True],

Cell[BoxData[
 RowBox[{
  RowBox[{"substitutions", "=", 
   FormBox[
    RowBox[{"{", 
     RowBox[{
      RowBox[{"m", "\[Rule]", 
       FractionBox[
        RowBox[{"4", " ", "\[Pi]", " ", "\[Epsilon]0", " ", 
         SuperscriptBox["\[HBar]", "2"]}], 
        RowBox[{"a0", " ", 
         SuperscriptBox["e", "2"]}]]}], ",", 
      RowBox[{"Wn", "\[Rule]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["e", "4"], " ", "m"}], 
        RowBox[{"32", " ", 
         SuperscriptBox["n", "2"], " ", 
         SuperscriptBox["\[Pi]", "2"], " ", 
         SuperscriptBox["\[Epsilon]0", "2"], " ", 
         SuperscriptBox["\[HBar]", "2"]}]]}]}], "}"}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"eq3", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"eq2", "//.", "substitutions"}], "  ", "//", "PowerExpand"}], "//",
    "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"eq4", "=", 
  RowBox[{"eq3", "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"C", "[", "1", "]"}], "\[Rule]", "0"}], " ", "}"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rNorm", "=", 
   FormBox[
    RowBox[{
     SuperscriptBox["2", 
      RowBox[{"\[ScriptL]", "+", "1"}]], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["1", 
        RowBox[{"a0", " ", "n"}]], ")"}], "\[ScriptL]"], " ", 
     SqrtBox[
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{"n", "-", "\[ScriptL]", "-", "1"}], ")"}], "!"}], 
       RowBox[{
        SuperscriptBox["a0", "3"], " ", 
        SuperscriptBox["n", "4"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"n", "+", "\[ScriptL]"}], ")"}], "!"}]}]]]}],
    TraditionalForm]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rwave", "[", 
   RowBox[{"n_", ",", "\[ScriptL]_", ",", "r_"}], "]"}], " ", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"R", "[", "r", "]"}], "/.", 
      RowBox[{"eq4", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{
      RowBox[{"C", "[", "2", "]"}], "\[Rule]", "rNorm"}]}], "//", 
    "PowerExpand"}], "//", "Simplify"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"Integrate", "[", " ", 
  RowBox[{
   RowBox[{
    SuperscriptBox["r", "2"], 
    SuperscriptBox[
     RowBox[{"{", "  ", 
      RowBox[{
       RowBox[{"rwave", "[", 
        RowBox[{"1", ",", "0", ",", "r"}], " ", "]"}], ",", 
       RowBox[{"rwave", "[", 
        RowBox[{"2", ",", "0", ",", "r"}], " ", "]"}], ",", 
       RowBox[{"rwave", "[", 
        RowBox[{"2", ",", "1", ",", "r"}], " ", "]"}]}], "}"}], "2"]}], ",", 
   RowBox[{"{", 
    RowBox[{"r", ",", "0", ",", "\[Infinity]"}], "}"}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Re", "[", "a0", "]"}], ">", "0"}], "}"}]}]}], "]"}]], "Input"]
}, Closed]],

Cell[CellGroupData[{

Cell["Part b", "Subsubsection"],

Cell[BoxData[
 RowBox[{"eq5", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"rwave", "[", 
      RowBox[{"n", ",", "\[ScriptL]", ",", "r"}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptL]", ",", "0", ",", 
       RowBox[{"n", "-", "1"}]}], "}"}]}], " ", "]"}], "//", " ", 
   RowBox[{
    RowBox[{"TableForm", "[", 
     RowBox[{"#", ",", " ", 
      RowBox[{"TableHeadings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<n=1\>\"", ",", "\"\<n=2\>\"", ",", "\"\<n=3\>\""}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\[ScriptL]=0\>\"", ",", "\"\<\[ScriptL]=1\>\"", ",", 
           "\"\<\[ScriptL]=2\>\""}], "}"}]}], "}"}]}]}], "]"}], "&"}], 
   " "}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot", "[", 
   RowBox[{"n_", ",", "\[ScriptL]_", ",", "rmax_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"rwave", "[", 
         RowBox[{"n", ",", "\[ScriptL]", ",", "r"}], "]"}], "2"]}], "/.", 
      RowBox[{"a0", "\[Rule]", "1"}]}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"r", ",", "0.01", ",", "rmax"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Ticks", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "4", ",", "8", ",", "14", ",", "20"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.1", ",", "0.3", ",", "0.5"}], "}"}]}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.421787521792438*^9, 3.421787522656022*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"plot", "[", 
     RowBox[{"n", ",", "\[ScriptL]", ",", 
      RowBox[{"n", " ", "7"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[ScriptL]", ",", "0", ",", 
      RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.421787528965723*^9, 3.421787530566706*^9}},
 AspectRatioFixed->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Part c", "Subsubsection"],

Cell[BoxData[
 RowBox[{
  RowBox[{"plot", "[", 
   RowBox[{"\[ScriptL]_", ",", "m_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"SphericalPlot3D", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"SphericalHarmonicY", "[", 
       RowBox[{"\[ScriptL]", ",", "m", ",", "\[Theta]", ",", "\[Phi]"}], 
       "]"}], " ", "//", "Abs"}], "//", "Evaluate"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"\[Theta]", ",", "0", ",", "\[Pi]"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Phi]", ",", "0", ",", 
      RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Boxed", "\[Rule]", "False"}], ",", "\[IndentingNewLine]", 
    RowBox[{"Axes", "\[Rule]", "False"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.421787544542603*^9, 3.421787545337995*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pt1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"plot", "[", 
      RowBox[{"\[ScriptL]", ",", "m"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[ScriptL]", ",", "0", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", 
       RowBox[{"-", "\[ScriptL]"}], ",", "\[ScriptL]"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", "pt1", "]"}]}], "Input",
 CellChangeTimes->{{3.421787560638482*^9, 3.421787604065563*^9}},
 AspectRatioFixed->True]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["9.3 Exercises", "Section",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Exercise 1:  Infinite Potential Well with Rectangular Perturbation\
\>", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 2:  Tilted Square Well", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 3: The Wentzel-Kramers-Brillouin Approximation", \
"Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 4: Plot of the Electron Probability Density", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 5: Perturbed Harmonic Oscillator", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["Exercise 6: Perturbation Theory", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True],

Cell["\<\
Exercise 7:  Separation of variables in Cylindrical Coordinates\
\>", "Subsubsection",
 Evaluatable->False,
 AspectRatioFixed->True]
}, Closed]]
},
WindowToolbars->"EditBar",
CellGrouping->Manual,
WindowSize->{646, 945},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1,
FrontEndVersion->"6.0 for Linux x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 157, 4, 32, "Input"],
Cell[CellGroupData[{
Cell[750, 29, 224, 7, 30, "Subsubsection"],
Cell[977, 38, 791, 15, 248, "Input",
 Evaluatable->False]
}, Closed]],
Cell[CellGroupData[{
Cell[1805, 58, 115, 2, 24, "Subsubsection"],
Cell[1923, 62, 1998, 34, 806, "Input",
 Evaluatable->False]
}, Closed]],
Cell[3936, 99, 84, 2, 59, "Title",
 Evaluatable->False],
Cell[4023, 103, 78, 2, 73, "Section",
 Evaluatable->False],
Cell[4104, 107, 287, 9, 49, "Input"],
Cell[4394, 118, 109, 2, 73, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[4528, 124, 123, 2, 31, "Subsection",
 Evaluatable->False],
Cell[4654, 128, 89, 2, 41, "SmallText"],
Cell[4746, 132, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[4837, 136, 102, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[4964, 142, 81, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[5048, 146, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[5147, 152, 31, 0, 30, "Subsubsection"],
Cell[5181, 154, 520, 17, 55, "Input"],
Cell[5704, 173, 107, 3, 32, "Input"],
Cell[5814, 178, 244, 8, 55, "Input"],
Cell[6061, 188, 355, 11, 32, "Input"],
Cell[6419, 201, 86, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6542, 209, 31, 0, 30, "Subsubsection"],
Cell[6576, 211, 313, 10, 32, "Input"],
Cell[6892, 223, 367, 14, 55, "Input"],
Cell[7262, 239, 458, 15, 50, "Input"],
Cell[7723, 256, 743, 23, 77, "Input"],
Cell[8469, 281, 239, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[8745, 294, 31, 0, 30, "Subsubsection"],
Cell[8779, 296, 118, 3, 32, "Input"],
Cell[8900, 301, 506, 15, 55, "Input"],
Cell[9409, 318, 1352, 39, 169, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[10810, 363, 120, 2, 31, "Subsection",
 Evaluatable->False],
Cell[10933, 367, 89, 2, 41, "SmallText"],
Cell[CellGroupData[{
Cell[11047, 373, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[11129, 377, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[11228, 383, 31, 0, 30, "Subsubsection"],
Cell[11262, 385, 520, 17, 55, "Input"],
Cell[11785, 404, 344, 12, 55, "Input"],
Cell[12132, 418, 450, 14, 55, "Input"],
Cell[12585, 434, 471, 17, 60, "Input"],
Cell[13059, 453, 306, 10, 32, "Input"],
Cell[13368, 465, 314, 11, 55, "Input"],
Cell[13685, 478, 476, 14, 55, "Input"],
Cell[14164, 494, 379, 13, 60, "Input"],
Cell[14546, 509, 266, 10, 60, "Input"],
Cell[14815, 521, 572, 17, 55, "Input"],
Cell[15390, 540, 304, 10, 32, "Input"],
Cell[15697, 552, 317, 11, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[16051, 568, 31, 0, 30, "Subsubsection"],
Cell[16085, 570, 257, 6, 86, "Input"],
Cell[16345, 578, 242, 7, 32, "Input"],
Cell[16590, 587, 799, 20, 99, "Input"],
Cell[17392, 609, 292, 9, 32, "Input"],
Cell[17687, 620, 218, 7, 32, "Input"],
Cell[17908, 629, 881, 23, 99, "Input"],
Cell[18792, 654, 291, 9, 32, "Input"],
Cell[19086, 665, 221, 7, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[19344, 677, 32, 0, 30, "Subsubsection"],
Cell[19379, 679, 400, 11, 32, "Input"],
Cell[19782, 692, 395, 13, 56, "Input"],
Cell[20180, 707, 517, 18, 60, "Input"],
Cell[20700, 727, 82, 1, 32, "Input"],
Cell[20785, 730, 195, 5, 32, "Input"],
Cell[20983, 737, 1463, 41, 209, "Input"],
Cell[22449, 780, 882, 24, 121, "Input"],
Cell[23334, 806, 248, 5, 32, "Input"],
Cell[23585, 813, 83, 1, 32, "Input"],
Cell[23671, 816, 919, 25, 99, "Input"],
Cell[24593, 843, 1567, 44, 187, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[26197, 892, 31, 0, 30, "Subsubsection"],
Cell[26231, 894, 688, 20, 99, "Input"],
Cell[26922, 916, 78, 1, 32, "Input"],
Cell[27003, 919, 161, 5, 68, "Input"],
Cell[27167, 926, 172, 5, 32, "Input"],
Cell[27342, 933, 162, 5, 68, "Input"],
Cell[27507, 940, 978, 28, 121, "Input"],
Cell[28488, 970, 980, 27, 165, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[29505, 1002, 31, 0, 30, "Subsubsection"],
Cell[29539, 1004, 460, 12, 99, "Input"],
Cell[30002, 1018, 272, 7, 104, "Input"],
Cell[30277, 1027, 86, 1, 32, "Input"],
Cell[30366, 1030, 231, 8, 122, "Input"],
Cell[30600, 1040, 477, 13, 32, "Input"],
Cell[31080, 1055, 431, 10, 77, "Input"],
Cell[31514, 1067, 254, 6, 86, "Input"],
Cell[31771, 1075, 217, 7, 32, "Input"],
Cell[31991, 1084, 269, 9, 140, "Input"],
Cell[32263, 1095, 464, 12, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[32776, 1113, 119, 2, 31, "Subsection",
 Evaluatable->False],
Cell[32898, 1117, 89, 2, 41, "SmallText"],
Cell[32990, 1121, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[33081, 1125, 102, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[33208, 1131, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[33290, 1135, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[33389, 1141, 31, 0, 30, "Subsubsection"],
Cell[33423, 1143, 358, 11, 32, "Input"],
Cell[33784, 1156, 285, 11, 60, "Input"],
Cell[34072, 1169, 247, 8, 32, "Input"],
Cell[34322, 1179, 323, 12, 60, "Input"],
Cell[34648, 1193, 424, 13, 32, "Input"],
Cell[35075, 1208, 242, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[35354, 1221, 31, 0, 30, "Subsubsection"],
Cell[35388, 1223, 356, 11, 32, "Input"],
Cell[35747, 1236, 278, 9, 32, "Input"],
Cell[36028, 1247, 235, 6, 32, "Input"],
Cell[36266, 1255, 255, 8, 32, "Input"],
Cell[36524, 1265, 88, 2, 32, "Input"],
Cell[36615, 1269, 468, 15, 53, "Input"],
Cell[37086, 1286, 128, 4, 32, "Input"],
Cell[37217, 1292, 212, 6, 32, "Input"],
Cell[37432, 1300, 215, 7, 32, "Input"],
Cell[37650, 1309, 119, 3, 32, "Input"],
Cell[37772, 1314, 124, 4, 50, "Input"],
Cell[37899, 1320, 66, 1, 32, "Input"],
Cell[37968, 1323, 87, 2, 32, "Input"],
Cell[38058, 1327, 234, 7, 32, "Input"],
Cell[38295, 1336, 1429, 41, 187, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[39761, 1382, 31, 0, 30, "Subsubsection"],
Cell[39795, 1384, 130, 4, 32, "Input"],
Cell[39928, 1390, 444, 15, 55, "Input"],
Cell[40375, 1407, 488, 15, 55, "Input"],
Cell[40866, 1424, 893, 26, 99, "Input"],
Cell[41762, 1452, 106, 2, 32, "Input"],
Cell[41871, 1456, 107, 2, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[42015, 1463, 31, 0, 30, "Subsubsection"],
Cell[42049, 1465, 574, 16, 55, "Input"],
Cell[42626, 1483, 573, 16, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[43236, 1504, 31, 0, 30, "Subsubsection"],
Cell[43270, 1506, 1207, 37, 143, "Input"],
Cell[44480, 1545, 166, 4, 55, "Input"],
Cell[44649, 1551, 768, 23, 211, "Input"],
Cell[45420, 1576, 732, 22, 211, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[46201, 1604, 139, 4, 51, "Subsection",
 Evaluatable->False],
Cell[46343, 1610, 89, 2, 41, "SmallText"],
Cell[CellGroupData[{
Cell[46457, 1616, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[46539, 1620, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[46638, 1626, 31, 0, 30, "Subsubsection"],
Cell[46672, 1628, 363, 11, 32, "Input"],
Cell[47038, 1641, 220, 7, 32, "Input"],
Cell[47261, 1650, 382, 11, 32, "Input"],
Cell[47646, 1663, 552, 20, 60, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[48235, 1688, 31, 0, 30, "Subsubsection"],
Cell[48269, 1690, 1594, 50, 99, "Input"],
Cell[49866, 1742, 419, 11, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[50322, 1758, 31, 0, 30, "Subsubsection"],
Cell[50356, 1760, 356, 11, 32, "Input"],
Cell[50715, 1773, 253, 8, 32, "Input"],
Cell[50971, 1783, 468, 15, 53, "Input"],
Cell[51442, 1800, 227, 7, 32, "Input"],
Cell[51672, 1809, 119, 3, 32, "Input"],
Cell[51794, 1814, 238, 7, 32, "Input"],
Cell[52035, 1823, 655, 21, 55, "Input"],
Cell[52693, 1846, 113, 3, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[52843, 1854, 31, 0, 30, "Subsubsection"],
Cell[52877, 1856, 238, 7, 32, "Input"],
Cell[53118, 1865, 841, 27, 99, "Input"],
Cell[53962, 1894, 937, 29, 143, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[54936, 1928, 31, 0, 30, "Subsubsection"],
Cell[54970, 1930, 1108, 31, 121, "Input"],
Cell[56081, 1963, 1130, 32, 121, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[57248, 2000, 31, 0, 30, "Subsubsection"],
Cell[57282, 2002, 845, 26, 77, "Input"],
Cell[58130, 2030, 575, 16, 55, "Input"],
Cell[58708, 2048, 914, 29, 55, "Input"],
Cell[59625, 2079, 1007, 32, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[60669, 2116, 31, 0, 30, "Subsubsection"],
Cell[60703, 2118, 2048, 60, 165, "Input"],
Cell[62754, 2180, 258, 10, 122, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[63061, 2196, 120, 2, 31, "Subsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[63206, 2202, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[63288, 2206, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[63387, 2212, 31, 0, 30, "Subsubsection"],
Cell[63421, 2214, 672, 23, 55, "Input"],
Cell[64096, 2239, 300, 9, 32, "Input"],
Cell[64399, 2250, 125, 2, 32, "Input"],
Cell[64527, 2254, 555, 17, 54, "Input"],
Cell[65085, 2273, 227, 7, 32, "Input"],
Cell[65315, 2282, 350, 11, 32, "Input"],
Cell[65668, 2295, 259, 9, 70, "Input"],
Cell[65930, 2306, 158, 4, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[66125, 2315, 31, 0, 30, "Subsubsection"],
Cell[66159, 2317, 856, 23, 99, "Input"],
Cell[67018, 2342, 243, 6, 32, "Input"],
Cell[67264, 2350, 514, 12, 54, "Input"],
Cell[67781, 2364, 585, 17, 55, "Input"],
Cell[68369, 2383, 320, 9, 32, "Input"],
Cell[68692, 2394, 357, 9, 55, "Input"],
Cell[69052, 2405, 1170, 34, 121, "Input"],
Cell[70225, 2441, 1149, 33, 121, "Input"]
}, Closed]]
}, Closed]],
Cell[71401, 2478, 112, 2, 71, "Section",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[71538, 2484, 151, 4, 51, "Subsection",
 Evaluatable->False],
Cell[71692, 2490, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[71783, 2494, 105, 2, 26, "Input"],
Cell[71891, 2498, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[71973, 2502, 62, 1, 26, "Input"],
Cell[CellGroupData[{
Cell[72060, 2507, 31, 0, 30, "Subsubsection"],
Cell[72094, 2509, 157, 4, 32, "Input"],
Cell[72254, 2515, 77, 1, 32, "Input"],
Cell[72334, 2518, 589, 18, 79, "Input"],
Cell[72926, 2538, 184, 6, 32, "Input"],
Cell[73113, 2546, 167, 5, 32, "Input"],
Cell[73283, 2553, 116, 3, 32, "Input"],
Cell[73402, 2558, 705, 19, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[74144, 2582, 31, 0, 30, "Subsubsection"],
Cell[74178, 2584, 632, 21, 55, "Input"],
Cell[74813, 2607, 360, 10, 55, "Input"],
Cell[75176, 2619, 594, 19, 54, "Input"],
Cell[75773, 2640, 127, 2, 32, "Input"],
Cell[75903, 2644, 283, 8, 32, "Input"],
Cell[76189, 2654, 189, 4, 49, "Subsubsection"],
Cell[76381, 2660, 127, 2, 26, "Input"],
Cell[76511, 2664, 1093, 24, 99, "Input"],
Cell[77607, 2690, 237, 6, 32, "Input"],
Cell[77847, 2698, 422, 10, 55, "Input"],
Cell[78272, 2710, 530, 15, 55, "Input"],
Cell[78805, 2727, 259, 8, 32, "Input"],
Cell[79067, 2737, 254, 8, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[79358, 2750, 31, 0, 30, "Subsubsection"],
Cell[79392, 2752, 217, 6, 32, "Input"],
Cell[79612, 2760, 667, 19, 99, "Input"],
Cell[80282, 2781, 690, 20, 99, "Input"],
Cell[80975, 2803, 157, 4, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[81181, 2813, 149, 4, 51, "Subsection",
 Evaluatable->False],
Cell[81333, 2819, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[81424, 2823, 105, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[81554, 2829, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[81636, 2833, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[81735, 2839, 95, 4, 30, "Subsubsection"],
Cell[81833, 2845, 172, 5, 32, "Input"],
Cell[82008, 2852, 124, 2, 32, "Input"],
Cell[82135, 2856, 545, 18, 55, "Input"],
Cell[82683, 2876, 384, 12, 57, "Input"],
Cell[83070, 2890, 88, 1, 32, "Input"],
Cell[83161, 2893, 343, 12, 55, "Input"],
Cell[83507, 2907, 115, 3, 32, "Input"],
Cell[83625, 2912, 97, 1, 32, "Input"],
Cell[83725, 2915, 645, 21, 55, "Input"],
Cell[84373, 2938, 321, 9, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[84731, 2952, 94, 4, 30, "Subsubsection"],
Cell[84828, 2958, 348, 11, 32, "Input"],
Cell[85179, 2971, 394, 13, 55, "Input"],
Cell[85576, 2986, 112, 3, 32, "Input"],
Cell[85691, 2991, 385, 12, 55, "Input"],
Cell[86079, 3005, 404, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[86520, 3023, 94, 4, 30, "Subsubsection"],
Cell[86617, 3029, 1038, 30, 55, "Input"],
Cell[87658, 3061, 305, 8, 32, "Input"],
Cell[87966, 3071, 211, 6, 32, "Input"],
Cell[88180, 3079, 124, 3, 32, "Input"],
Cell[88307, 3084, 315, 10, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[88659, 3099, 31, 0, 30, "Subsubsection"],
Cell[88693, 3101, 474, 13, 32, "Input"],
Cell[89170, 3116, 618, 22, 71, "Input"],
Cell[89791, 3140, 609, 17, 55, "Input"],
Cell[90403, 3159, 612, 17, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[91064, 3182, 119, 2, 31, "Subsection",
 Evaluatable->False],
Cell[91186, 3186, 89, 2, 41, "SmallText"],
Cell[91278, 3190, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[91369, 3194, 219, 5, 26, "Input"],
Cell[CellGroupData[{
Cell[91613, 3203, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[91695, 3207, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[91794, 3213, 31, 0, 30, "Subsubsection"],
Cell[91828, 3215, 1256, 39, 126, "Input"],
Cell[93087, 3256, 233, 7, 32, "Input"],
Cell[93323, 3265, 505, 16, 41, "Input"],
Cell[93831, 3283, 493, 15, 55, "Input"],
Cell[94327, 3300, 646, 18, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[95010, 3323, 31, 0, 30, "Subsubsection"],
Cell[95044, 3325, 118, 2, 32, "Input"],
Cell[95165, 3329, 535, 16, 53, "Input"],
Cell[95703, 3347, 619, 16, 99, "Input"],
Cell[96325, 3365, 909, 28, 77, "Input"],
Cell[97237, 3395, 1918, 54, 231, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[99192, 3454, 31, 0, 30, "Subsubsection"],
Cell[99226, 3456, 2010, 55, 231, "Input"],
Cell[101239, 3513, 1128, 29, 143, "Input"],
Cell[102370, 3544, 136, 2, 32, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[102555, 3552, 117, 2, 31, "Subsection",
 Evaluatable->False],
Cell[102675, 3556, 89, 2, 41, "SmallText"],
Cell[102767, 3560, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[102858, 3564, 102, 2, 26, "Input"],
Cell[CellGroupData[{
Cell[102985, 3570, 79, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[103067, 3574, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[103166, 3580, 31, 0, 30, "Subsubsection"],
Cell[103200, 3582, 926, 28, 55, "Input"],
Cell[104129, 3612, 240, 7, 32, "Input"],
Cell[104372, 3621, 539, 19, 60, "Input"],
Cell[104914, 3642, 512, 15, 55, "Input"],
Cell[105429, 3659, 526, 16, 77, "Input"],
Cell[105958, 3677, 658, 18, 77, "Input"],
Cell[106619, 3697, 236, 7, 32, "Input"],
Cell[106858, 3706, 384, 13, 55, "Input"],
Cell[107245, 3721, 198, 6, 32, "Input"],
Cell[107446, 3729, 136, 4, 32, "Input"],
Cell[107585, 3735, 771, 22, 99, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[108393, 3762, 31, 0, 30, "Subsubsection"],
Cell[108427, 3764, 362, 10, 32, "Input"],
Cell[108792, 3776, 259, 8, 32, "Input"],
Cell[109054, 3786, 144, 4, 32, "Input"],
Cell[109201, 3792, 855, 27, 126, "Input"],
Cell[110059, 3821, 336, 10, 55, "Input"],
Cell[110398, 3833, 185, 4, 32, "Input"],
Cell[110586, 3839, 279, 8, 32, "Input"],
Cell[110868, 3849, 319, 9, 32, "Input"],
Cell[111190, 3860, 231, 6, 32, "Input"],
Cell[111424, 3868, 205, 5, 32, "Input"],
Cell[111632, 3875, 636, 19, 77, "Input"],
Cell[112271, 3896, 321, 9, 32, "Input"],
Cell[112595, 3907, 315, 9, 32, "Input"],
Cell[112913, 3918, 601, 16, 77, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[113551, 3939, 31, 0, 30, "Subsubsection"],
Cell[113585, 3941, 544, 16, 55, "Input"],
Cell[114132, 3959, 490, 14, 55, "Input"],
Cell[114625, 3975, 1616, 49, 165, "Input"],
Cell[116244, 4026, 1628, 48, 187, "Input"],
Cell[117875, 4076, 1629, 48, 187, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[119553, 4130, 184, 6, 31, "Subsection",
 Evaluatable->False],
Cell[119740, 4138, 88, 2, 30, "Subsubsection",
 Evaluatable->False],
Cell[CellGroupData[{
Cell[119853, 4144, 79, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[119935, 4148, 62, 1, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[120034, 4154, 31, 0, 30, "Subsubsection"],
Cell[120068, 4156, 1263, 38, 127, "Input"],
Cell[121334, 4196, 197, 3, 32, "Input"],
Cell[121534, 4201, 708, 21, 57, "Input"],
Cell[122245, 4224, 168, 5, 32, "Input"],
Cell[122416, 4231, 168, 5, 32, "Input"],
Cell[122587, 4238, 656, 22, 70, "Input"],
Cell[123246, 4262, 418, 13, 55, "Input"],
Cell[123667, 4277, 677, 19, 55, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[124381, 4301, 31, 0, 30, "Subsubsection"],
Cell[124415, 4303, 864, 25, 77, "Input"],
Cell[125282, 4330, 953, 27, 121, "Input"],
Cell[126238, 4359, 485, 13, 32, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[126760, 4377, 31, 0, 30, "Subsubsection"],
Cell[126794, 4379, 864, 20, 165, "Input"],
Cell[127661, 4401, 547, 15, 55, "Input"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[128257, 4422, 78, 2, 43, "Section",
 Evaluatable->False],
Cell[128338, 4426, 145, 4, 30, "Subsubsection",
 Evaluatable->False],
Cell[128486, 4432, 102, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[128591, 4436, 128, 3, 24, "Subsubsection",
 Evaluatable->False],
Cell[128722, 4441, 123, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[128848, 4445, 112, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[128963, 4449, 102, 2, 24, "Subsubsection",
 Evaluatable->False],
Cell[129068, 4453, 142, 4, 24, "Subsubsection",
 Evaluatable->False]
}, Closed]]
}
]
*)

(* End of internal cache information *)
